#
# spec file for package k_deflt (Version 2.4.21)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org
#

# neededforbuild  gpp kernel-source km_afs km_basilisk km_bios km_cipe km_drbd km_drm km_dvb km_ferrari km_ipppcomp km_iscsi km_lirc km_oprofile km_pcmci km_sam9407 km_scsl km_secumod km_v4l2 km_wlan libgpp popt popt-devel
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib gcc gcc-c++ gdbm gettext kernel-source km_afs km_basilisk km_bios km_cipe km_drbd km_drm km_dvb km_ferrari km_ipppcomp km_iscsi km_lirc km_oprofile km_pcmci km_sam9407 km_scsl km_secumod km_v4l2 km_wlan libstdc++-devel libtool perl popt-devel rpm

Name:         k_deflt
Version:      2.4.21
Release:      303
Summary:      The standard kernel
License:      GPL
Group:        System/Kernel
Provides:     kernel
Autoreqprov:  on
PreReq:       mkinitrd /bin/cp /bin/sed /bin/touch /bin/awk
Source0:      config_subst.sh
Source1:      update_rcfile_setting.sh
Source2:      update_INITRD_MODULES.sh
Source3:      readlink.sh
Source4:      relink.sh
Source5:      post.sh
Source6:      postun.sh
Source7:      pre.sh
Source8:      trigger-script.sh.in
%define cfg_name default
%define ver_str %{version}-%{release}-%{cfg_name}
%define build_km %([ -e %_sourcedir/skip-km ] ; echo $?)
%define strict_preconf 0

%description
The standard kernel.



%prep
%setup -c -n %name -T
# Updating INITRD_MODULES is only necessary if we want to allow new kernels
# to be installed on old distributions. In all other cases, the current
# mkinitrd will automatically detect which modules are needed in the initrd,
# and will include them.
for when in pre preun post postun ; do
    sed -e "s/@when@/$when/g" %{SOURCE8} > $when.sh
done
cat %{SOURCE7} >> pre.sh
cat %{SOURCE1} %{SOURCE2} %{SOURCE3} %{SOURCE4} %{SOURCE5} >> post.sh
cat %{SOURCE3} %{SOURCE4} %{SOURCE6} >> postun.sh

%build
source %{SOURCE0}
# Create a custom hostname utility and place it in the path before the
# system wide one so that we don't need to create a temporary make file.
export PATH=%_builddir/%buildsubdir:$PATH
cat > %_builddir/%buildsubdir/hostname <<EOF
#! /bin/bash
echo "%_arch.suse.de"
EOF
chmod +x %_builddir/%buildsubdir/hostname
cd /usr/src/linux
make distclean
# These CONFIG_* variables should be set correctly in the defconfig.*
# files already. Update them just to be sure ...
cat arch/%_arch/defconfig.%{cfg_name} \
| config_subst CONFIG_UNITEDLINUX_KERNEL \
| config_subst CONFIG_SUSE_KERNEL y \
| config_subst CONFIG_RELEASE %{release} \
> .config
make oldconfig
if ! make %{?jobs:-j%jobs} dep >  %_tmppath/make-dep.log 2>&1 ; then
    tail -n 1000 %_tmppath/make-dep.log
    exit 1
fi
make %{?jobs:-j%jobs} bzImage
make %{?jobs:-j%jobs} modules
make modules_install
if [ -d /usr/src/linux-%{version}-%{release}-include/%{cfg_name} ]; then
    rm -f /lib/modules/%ver_str/build
    # The kernel headers for this kernel configuration are here ...
    ln -s /usr/src/linux-%{version}-%{release}-include/%{cfg_name} \
	/lib/modules/%ver_str/build
fi
%if %build_km
cd /usr/src
%if %strict_preconf
# The external modules are supposed to locate the kernel sources via
# the /lib/modules/`uname -r`/build symlink. Hide /usr/src/linux and
# /usr/src/linux-%ver_str to ensure that they do.
undo_hide() {
    mv /usr/src/linux-%{version}-%{release}-hidden \
	/usr/src/linux-%{version}-%{release}
    mv /usr/src/linux-hidden /usr/src/linux
}
trap "undo_hide ; exit 1" EXIT
mv /usr/src/linux-%{version}-%{release} \
    /usr/src/linux-%{version}-%{release}-hidden
mv /usr/src/linux /usr/src/linux-hidden
# uname --set-kernel-version %ver_str
echo %ver_str > /.kernelversion
%endif
if [ -d /usr/src/kernel-modules ]; then
    for d in /usr/src/kernel-modules/*; do
	cd $d \
	&& make -f Makefile.module \
	&& make -f Makefile.module install
    done
fi
%if %strict_preconf
undo_hide
trap - EXIT
%endif
%endif

%install
echo -n > %_builddir/%buildsubdir/extra.files
cd /usr/src/linux
mkdir -p /boot
cp -p System.map /boot/System.map-%ver_str
cp -p arch/%_arch/boot/bzImage /boot/vmlinuz-%ver_str
cp -p .config /boot/config-%ver_str
gzip -c9 vmlinux > /boot/vmlinux-%ver_str.gz
if [ -e Kerntypes ] ; then
    cp -p Kerntypes /boot/Kerntypes-%ver_str
    echo /boot/Kerntypes-%ver_str > %_builddir/%buildsubdir/extra.files
fi
# Create a few compatibility links for renamed modules
cd /lib/modules/%ver_str/kernel/drivers/net
ln 3c59x.o 3c90x.o
ln 8139too.o rtl8139.o
cd /lib/modules/%ver_str/kernel/drivers/char
ln hangcheck-timer.o iofence-timer.o
depmod -ae -F /boot/System.map-%ver_str %ver_str
# Ghost files: They are not packed up, and must be created on %post on
# the target system. Ghost symlinks must point to the same target in
# order to not conflict.
rm -f /boot/vmlinuz /boot/initrd
ln -s vmlinuz /boot/vmlinuz
ln -s initrd /boot/initrd
mkdir -p /lib/modules/%{version}-override-%{cfg_name}
mkdir -p /lib/modules/scripts
(   cat <<EOF
/boot/System.map-%ver_str
/boot/vmlinuz-%ver_str
/boot/config-%ver_str
/boot/vmlinux-%ver_str.gz
%ghost /boot/vmlinuz
%ghost /boot/initrd
/lib/modules/%{version}-override-%{cfg_name}
/lib/modules/scripts
EOF
    find /lib/modules/%ver_str \
	-type d -printf '%%%%dir %%p\n' -o \
	-path '*/modules.*' -printf '%%%%verify(not md5 size mtime) %%p\n' -o \
	-printf '%%p\n'
    cat %_builddir/%buildsubdir/extra.files
) > %_builddir/%buildsubdir/all.files
    

%pre -f pre.sh

%preun -f preun.sh

%post -f post.sh

%postun -f postun.sh

%files -f all.files

%changelog -n k_deflt
* Mon Dec 05 2005 - mason@suse.de
- patches.i386/hangcheck-fixes.diff: Use the TSC as monotonic
  source for the hangcheck timer (133495).
* Fri Dec 02 2005 - jblunck@suse.de
- patches.i386/elf_core_copy_regs-fix.diff: Dump the real %%fs
  and %%gs segment register values to core files.
* Thu Dec 01 2005 - gregkh@suse.de
- patches.common/usb-ohci-update-2.4.patch: Fix OHCI locking
  issues (#90667).
* Mon Nov 28 2005 - kkeil@suse.de
- patches.common/ptrace_selfattach.patch: Fix ptrace self-attach
  rule (133972)
* Tue Nov 22 2005 - okir@suse.de
- patches.common/missing-sockfd_put: [PATCH] Lost sockfd_put()
  in routing_ioctl() (117169).
* Tue Nov 22 2005 - okir@suse.de
- patches.common/sendmsg-overflow: kernel sendmsg() overflow (114364).
* Tue Nov 15 2005 - tiwai@suse.de
- patches.common/ipv6-flowlabel-refcnt: IPv6: fix refcnt of
  struct ip6_flowlabel  (130270).
* Mon Nov 14 2005 - neilb@suse.de
- series.conf: add nfsd-jukebox-err
- patches.common/nfsd-jukebox-err:  (133577).
* Thu Nov 10 2005 - kkeil@suse.de
- add patches.common/netfilter-portptr.patch
  Fix potential memory corruption in NAT code (131214)
* Thu Nov 03 2005 - garloff@suse.de
- patches.common/document-scsi-scan-parms: Document SCSI scanning
  parameters..
* Fri Oct 28 2005 - okir@suse.de
- patches.fixes/tcp-stale-pred-flags: [TCP]: Clear stale
  pred_flags when snd_wnd changes.
* Fri Sep 30 2005 - hare@suse.de
- patches.s390/linux-2.4.21-s390-29-june2003-patches/*.diff
  Include IBM codedrop 2005-07-28 (Fixed I/O buffers)
- patches.s390/linux-2.4.21-s390-30-june2003-patches/*.diff
  Include IBM codedrop 2005-09-23
* Wed Aug 31 2005 - agruen@suse.de
- patches.common/nfsacl-entry-order.diff: Solaris VxFS
  compatibility fix (102323).
* Thu Aug 18 2005 - okir@suse.de
- patches.common/zlib-fixes: Removed bogus hunk (104085)
* Tue Aug 16 2005 - kkeil@suse.de
- patches.common/netfilter-conntrack-expect (#100428)
  Fix incorrect error return in ip_conntrack_expect_related
* Tue Aug 16 2005 - tiwai@suse.de
- patches.common/zisofs-fixes: check input buffer size in zisofs
  (104085).
- patches.common/zlib-fixes: Update in-kernel zlib routines
  (104085).
* Wed Aug 10 2005 - hare@suse.de
- patches.s390/linux-2.4.21-s390-27-june2003-patches/*.diff
  Include IBM codedrop 2005-06-23.
- patches.s390/linux-2.4.21-s390-28-june2003-patches/*.diff
  Include IBM codedrop 2005-07-28.
- patches.s390/s390-ctc-busy-wait.patch:
  Fix busy wait in CTC driver (97075 - LTC17067).
* Wed Jul 27 2005 - mantel@suse.de
- patches.common/scsi-scan-largelun: Add EMC Invista (#98954)
* Tue Jul 19 2005 - mantel@suse.de
- x86_64: Don't use exception stack for stack segment (#90500)
* Thu Jul 14 2005 - mason@suse.de
- patches.common/dcache-nr_unused-race: fix race on the count
  of unused dcache entries (#83501)
* Tue Jul 05 2005 - schwab@suse.de
- Verify ar.rsc value imported from userspace [#87244, CAN-2005-1761].
* Wed Jun 29 2005 - mantel@suse.de
- patches.common/execve-overflow: Fix buffer overflow in
  x86-64/ia64 32bit execve (90499).
* Tue Jun 28 2005 - axboe@suse.de
- patches.common/cciss-nr-cmds-proc: Fix read starvation (#87165)
- series.conf:
* Mon Jun 20 2005 - hare@suse.de
- patches.i386/lkcd-send-dump-IPI
  Fix mishandling of dump IPI (#78113 - LTC15051).
* Mon Jun 20 2005 - hare@suse.de
- patches.common/jfs-sles8-sp4.patch
  Update JFS to latest codebase (#63963 - LTC12851)
- patches.common/jfs-sles8-unload_nls.patch
  Fix JFS crash upon unloading (#63963 - LTC12851)
- patches.common/jfs-sles8-btroot.patch
  Fix JFS crash (#63963 - LTC12851)
* Thu Jun 09 2005 - lmb@suse.de
- patches.common/md-start-array-2: Avoid a scary looking (but harmless)
  MD_BUG() when not starting an array via autostart (#88502)
* Wed Jun 08 2005 - hare@suse.de
- patches.common/memfrac-kernel-parameter: fix memfrac and
  lower_zone_reserve kernel parameters (SUSE48283)
- patches.s390/linux-2.4.21-s390-26-june2003-patches/*.diff
  Include IBM codedrop 2005-06-07.
- patches.s390/vm_gfp_debug
  Enable stack traces.
* Wed Jun 01 2005 - mantel@suse.de
- patches.fixes/ptrace-canonical: Check for canonical addresses
  in ptrace (73701).
* Tue May 31 2005 - mantel@suse.de
- fix harmless bug in sles8 rwsem just in case some driver uses it
* Tue May 24 2005 - mantel@suse.de
- make kernel build even on S/390
* Tue May 24 2005 - okir@suse.de
- patches.common/posix-release-locks: Fix crash in locks.c (74093).
* Tue May 24 2005 - agruen@suse.de
- patches.common/elf-coredump-fix: Make compile.
* Tue May 17 2005 - mantel@suse.de
- patches.common/x86_64-sysret-fix: Delete.
- patches.common/ptrace-check-segment: x86-64: Fix canonical
  checking for segment registers in ptrace (83143).
* Tue May 17 2005 - hare@suse.de
- add patches.s390/linux-2.4.21-s390-25-june2003-patches/*.diff
  Include IBM codedrop 2005-04-28.
- delete patches.common/scsi-ltcbzid-12614-lvm-mp.diff
  Remove obsolete patch.
* Fri May 13 2005 - mantel@suse.de
- patches.common/x86_64-sysret-fix: fix AMD64 sysret local DoS
  (73701).
* Fri May 13 2005 - mantel@suse.de
- patches.common/ext2-info-leak: fix suspected information leak
  (mem pages) in ext2 (75706).
* Fri May 13 2005 - mantel@suse.de
- patches.common/elf-coredump-fix: fix Linux kernel ELF core dump
  privilege elevation (83222, CAN-2005-1263).
* Mon May 09 2005 - okir@suse.de
- series.conf: Mark patches.common/lkcd-dump-pt_regs as ia32/ia64 only;
  it breaks compilation on other platforms.
* Thu Apr 28 2005 - okir@suse.de
- patches.common/ipv4-martian-oops: [IPv4] Prevent oops when
  printing martian source (65556).
* Tue Apr 26 2005 - mantel@suse.de
- patches.common/ipmi_kcs_drv: allow BMC offset and register spacing
  be passed as parameter when module is loaded (#78574)
* Tue Apr 26 2005 - mantel@suse.de
- fix segfault of top under certain circumstances (#65867 - LTC13989)
* Tue Apr 26 2005 - mantel@suse.de
- patches.common/lkcd-dump-pt_regs: dump triggered via
  /proc/sysrq-trigger fails due to missing struct pt_regs
  (#77435 - LTC15050)
* Tue Apr 26 2005 - jeffm@suse.de
- patches.common/dio-mark-inode-error.diff: [PATCH] unreachable
  code in ext3_direct_IO(). (#74711 - LTC14781)
* Thu Apr 14 2005 - okir@suse.de
- patches.common/link-path-walk-refcounting: link_path_walk
  should reference mount point during follow_link (45943, SGI-932676)
* Wed Apr 13 2005 - lmb@suse.de
- patches.common/md-multipath-retry-handling: Fix data corruption issue
  in md multipath retrying of failed IO (76190).
* Tue Apr 12 2005 - jbohac@suse.cz
- patches.common/fix-ipsec-lockup: fix endless loop in ipsec (#64791)
* Tue Apr 12 2005 - lmb@suse.de
- patches.common/md-locking-multipath: Enhance locking in md multipath
  (76190)
- patches.common/md-locking-raid1: Enhance locking similarily in md
  raid1 (76190)
* Tue Apr 12 2005 - lmb@suse.de
- patches.common/md-upstream-fixes: Minor md seqfile and raid1/raid5
  resync fixes.
* Thu Apr 07 2005 - axboe@suse.de
- patches.common/md-drive-stat-acct: fix READA accounting
* Wed Apr 06 2005 - rw@suse.de
- ia64-ptrace-crash: use second version from Jan Beulich. (#65236 C43)
* Tue Apr 05 2005 - garloff@suse.de
- write-throttling-highmem: fix write throttling on x86 with >1G
  of RAM (#67316).
* Tue Apr 05 2005 - agruen@suse.de
- patches.common/aio-up_read-deadlock: [PATCH] rwsem: Make rwsems
  use interrupt disabling spinlocks (73640, from axboe@suse.de).
* Fri Apr 01 2005 - mantel@suse.de
- Fix potential DoS in load_elf_library (#73837)
* Wed Mar 30 2005 - agruen@suse.de
- patches.common/xfs-kern-iomap-write-to-delalloc-fix: iomap
  write to delalloc fix (65999, SGI:PV917981).
* Tue Mar 29 2005 - mantel@suse.de
- bluetooth: Fix signedness problem at socket creation (#74519)
* Thu Mar 24 2005 - agruen@suse.de
- patches.common/locks_remove_posix-race.diff: Grab file handle
  to make sure it doesn't get released too early (74093).
* Wed Mar 23 2005 - schwab@suse.de
- Fix missing syscall slot [#74349].
* Wed Mar 23 2005 - schwab@suse.de
- Disable ptrace fix.
* Fri Mar 18 2005 - ihno@suse.de
- add patches.s390/linux-2.4.21-s390-24-june2003-patches/*
  S/390: Include official IBM codedrop.
* Wed Mar 16 2005 - mantel@suse.de
- ia64: fix possible crash in ptrace() (#65236)
* Tue Mar 15 2005 - okir@suse.de
- patches.common/lockd-gc-deadlock: [NFS] [PATCH]  Fix deadlock
  problem in lockd. (72179).
* Mon Mar 14 2005 - olh@suse.de
- update patches.ppc/ibm-ppc64-vmx-signal.patch
  handle SA_ONESHOT correctly (#62367 - LTC11883/#72166)
* Fri Mar 11 2005 - okir@suse.de
- patches.common/ipv6-add-addr-fail: Fix bad checks for
  ipv6_add_addr() return values (72051).
* Fri Mar 11 2005 - mantel@suse.de
- fix assertion failure in do_get_write_access() (#64707 - LTC12459)
* Thu Mar 10 2005 - mantel@suse.de
- epoll: return proper error on overflow condition (#71782)
* Mon Mar 07 2005 - mantel@suse.de
- fix possible memory corruption by reading /proc/kcore (#65774)
* Mon Mar 07 2005 - mantel@suse.de
- fix potential memory access to free memory in /proc handling (#65860)
* Mon Mar 07 2005 - mantel@suse.de
- add sanity check to ppp_async code (#65857)
* Mon Mar 07 2005 - mantel@suse.de
- ia64: add sanity check to unw_unwind_to_user (#65112)
* Mon Feb 28 2005 - mantel@suse.de
- fix oops in parport_wait_event (#66684 - LTC11536)
* Thu Feb 24 2005 - mantel@suse.de
- fix NO_SENSE handling in SCSI drivers (SUSE50425)
* Fri Feb 18 2005 - mantel@suse.de
- tagged SLES8_SP4_RC1
* Fri Feb 18 2005 - mantel@suse.de
- disable bcm5700-new test code to fix problem with unresolved
  symbols (SUSE50674)
* Fri Feb 18 2005 - mantel@suse.de
- update IBM ServeRAID driver (ips.c) to 7.10.18
* Thu Feb 17 2005 - okir@suse.de
- patches.common/qla2xxx-disable-fdmi: Disable FDMI for qla2xxx (SUSE50738).
* Thu Feb 17 2005 - ihno@suse.de
- patches.common/scsi-addsingledev-online
  patches.common/scsi-ltcbzid-12614-lvm-mp.diff
  Fix online behaviour of SCSI-disks if
  fcp connection is lost (SUSE50607)
* Thu Feb 17 2005 - mantel@suse.de
- JFS: Handle out of space errors more gracefully (SUSE50945)
* Tue Feb 15 2005 - agruen@suse.de
- patches.common/xattr-race-minimal-fix.diff: Fix race in xattr
  sharing (SUSE50424).
* Tue Feb 15 2005 - olh@suse.de
- fix usb-serial driver, bring it to 2.4.28 level (bug SUSE48489)
  remove obsolete patches.common/usb-serial-palm-sched_oops.patch
  add patches.common/usb-serial-2.4-1.1438.6.5.patch
  http://linux.bkbits.net:8080/linux-2.4/cset@40cef0fbpF3A_edUhi8Ha2Qi09Batw
  add patches.common/usb-serial-2.4-1.1482.2.2.patch
  http://linux.bkbits.net:8080/linux-2.4/cset@4186b9cdrEhF6Csz1SSx9dzswhwG8Q
* Fri Feb 11 2005 - mantel@suse.de
- add new PCI IDs to megaraid2 driver (SUSE50720)
* Thu Feb 10 2005 - hare@suse.de
- S/390: build sclp_cpi as module (SUSE49607).
* Thu Feb 10 2005 - okir@suse.de
- patches.common/natsemi-long-cable-fix: add module option
  to disable natsemi short cable hack (SUSE46903)
* Sun Feb 06 2005 - olh@suse.de
- disable old qla2xxx v6 driver for ppc64 and use new version v7
* Sat Feb 05 2005 - agruen@suse.de
- patches.common/xattr-sharing-bug.diff: Fix long-standing xattr
  sharing bug (SUSE50424).
* Fri Feb 04 2005 - mantel@suse.de
- update e1000-new driver to 5.6.10.1
* Fri Feb 04 2005 - mantel@suse.de
- consolidate qla2xxx drivers to version v7.03.00
* Fri Feb 04 2005 - hare@suse.de
- add patches.common/scsi-define-task-aborted
  Fix STATUS mask and define TASK_ABORTED (SUSE49150)
- add patches.common/scsi-increase-error-timeout
  Increase error timeout to avoid races (SUSE49692)
- add patches.s390/s390-tape-defcc-common.diff
  S390: fix tape tar or db2 backups hang (SUSE49781)
* Fri Feb 04 2005 - hare@suse.de
- add patches.s390/linux-2.4.21-s390-22-june2003-patches/*
  S/390: Include official IBM codedrop.
- add patches.s390/linux-2.4.21-s390-23-june2003-patches/*
  S/390: Include official IBM codedrop.
- Removed obsolete patches.
* Thu Feb 03 2005 - mantel@suse.de
- fix oops in generic_file_direct_IO (SUSE48909 - LTC12515)
* Thu Feb 03 2005 - mantel@suse.de
- JFS: remove buggy txAbortCommit, and use txAbort instead
  (SUSE50430 - LTC13830)
* Wed Feb 02 2005 - mantel@suse.de
- fix ia64 that got broken by the fix to SUSE49896
* Thu Jan 27 2005 - garloff@suse.de
- Disable rawio readv/writev implementation (andrea, SUSE48530)
* Wed Jan 26 2005 - mantel@suse.de
- fix potential problem with overlapping VMAs (SUSE49896)
* Wed Jan 26 2005 - mantel@suse.de
- add missing check to vt resizing code (SUSE49171)
* Mon Jan 17 2005 - mantel@suse.de
- UML does not have audit subsystem
* Fri Jan 14 2005 - mantel@suse.de
- fix race in SMP page fault handler; correct version (SUSE49652)
* Thu Jan 13 2005 - mantel@suse.de
- fix audit subsystem filtering flaw (SUSE49801)
* Thu Jan 13 2005 - mantel@suse.de
- fix race in SMP page fault handler (SUSE49652)
* Wed Jan 12 2005 - mantel@suse.de
- add missing mmap_sem around do_brk calls (SUSE49492)
* Mon Jan 10 2005 - hare@suse.de
- patches.s390/s390-hsi-disable-time-delay.patch
  Fix hipersockets (SUSE49639 - LTC13256).
* Wed Jan 05 2005 - okir@suse.de
- patches.common/cmsg-compat-signedness-fix: one of the size
  checks was wrong and broke some 32bit applications on 64bit
  kernels (SUSE49517).
* Thu Dec 23 2004 - mantel@suse.de
- add some more entries to scsi_scan blacklist (SUSE49498)
* Wed Dec 22 2004 - mantel@suse.de
- patches.common/igmp-fix: use final version of fix (SUSE48895)
* Fri Dec 17 2004 - mantel@suse.de
- patches.common/usb-storage-reset-device: only allow usb-storage
  to reset if it owns the whole device (SUSE38798, SUSE35425)
* Fri Dec 17 2004 - mantel@suse.de
- patches.common/x86_64-int80: fix roothole in x86_64 int80
  handler (SUSE49210)
* Fri Dec 10 2004 - mantel@suse.de
- patches.common/lkcd-e1000-netpoll: provide API required by
  LKCD netdump to e1000 driver (SUSE49083).
* Thu Dec 09 2004 - olh@suse.de
- add patches.ppc/ibm-ppc64-vmx-signal.patch
  improve vmx context switching (SUSE47367 - LTC11883)
* Thu Dec 09 2004 - olh@suse.de
- update patches.ia64/linux-2.4.21-ia64-030702
  move the include/linux/pci_ids.h change out of the way
* Thu Dec 09 2004 - mantel@suse.de
- patches.common/cmsg-compat-signedness-fix: CMSG compat code
  needs signedness fixes too. (SUSE49047).
- patches.common/cmsg-signedness: Fix CMSG validation checks
  wrt. signedness. (SUSE49047).
* Thu Dec 09 2004 - mantel@suse.de
- patches.common/fix-ip-options-leak: Do not leak IP options. (SUSE49057).
* Mon Dec 06 2004 - mantel@suse.de
- patches.common/igmp-fix: fix possible DoS in igmp code (SUSE48895)
* Fri Dec 03 2004 - mantel@suse.de
- patches.common/serialize-dgram-read.diff: Serialize dgram read
  using semaphore just like stream (SUSE48427).
* Thu Dec 02 2004 - hare@suse.de
- add patches.s390/qeth-transmission-failures.patch
  Fix qeth transmission failures (SUSE48706 - LTC12756)
* Fri Nov 26 2004 - hare@suse.de
- add patches.s390/linux-2.4.21-s390-20-june2003-patches/*
  S/390: Include official IBM codedrop.
- add patches.s390/linux-2.4.21-s390-21-june2003.diff
  S/390: Include official LCS driver update
- Removed obsolete patches.
* Tue Nov 23 2004 - axboe@suse.de
- patches.common/sg-sles8-fixes-update: missed one place where proc
  output needs to drop the lock.
* Wed Nov 17 2004 - mantel@suse.de
- patches.common/elf-loader-setuid:
  additional checks for elf loader vulnerability
* Tue Nov 16 2004 - mantel@suse.de
- patches.common/cciss-update:
- patches.common/cciss-device-id:
  use new PCI ID for new cciss driver (SUSE45148)
* Mon Nov 15 2004 - mantel@suse.de
- patches.common/fix-aout-leak:
  fix a.out leaking fds and memory (SUSE48199)
* Fri Nov 12 2004 - mantel@suse.de
- patches.common/elf-loader-setuid:
  fix ELF loader when handling setuid binaries (SUSE45632)
* Thu Nov 11 2004 - hare@suse.de
- patches.s390/lcs-driver-update
  S/390 LCS network driver update (SUSE34111)
* Wed Nov 10 2004 - mantel@suse.de
- patches.common/cciss-update:
  update cciss driver to latest version from 2.4.28-rc2 (SUSE45148)
* Wed Nov 10 2004 - okir@suse.de
- patches.common/smbfs-overflows: included additional fixes (SUSE46204)
* Wed Nov 10 2004 - mantel@suse.de
- patches.ia64/linux-2.4.21-ia64-030702:
  fix trivial reject in pci.ids file
* Tue Nov 09 2004 - mantel@suse.de
- moved tag SLES8_SP4_BETA1
* Tue Nov 09 2004 - mantel@suse.de
- patches.common/fix-cciss-x86_64:
  make cciss driver at least compile on x86_64
* Mon Nov 08 2004 - mantel@suse.de
- tagged SLES8_SP4_BETA1
* Mon Nov 08 2004 - mantel@suse.de
- config/*/*:
- patches.common/bcm5700-new:
- patches.common/bcm5700-new-adapt:
  add version 7.3.5 of bcm5700 driver as "bcm5700-new"
* Mon Nov 08 2004 - mantel@suse.de
- patches.common/10_try-cciss-only-4G-1:
- patches.common/cciss-update:
  update cciss driver to 2.4.52 instead of cloning it
* Mon Nov 08 2004 - hare@suse.de
- add patches.s390/linux-2.4.21-s390-19-june2003-patches/*
  Update to official IBM codedrop.
- Removed obsolete patches.
- Added compatible ioctls for softdog (SUSE40925).
* Fri Nov 05 2004 - axboe@suse.de
- Update the sg fix patch (SUSE47458)
* Wed Nov 03 2004 - axboe@suse.de
- Fix leak on building SCSI command blocks (SUSE47817)
* Fri Oct 29 2004 - olh@suse.de
- add patches.common/usb-drivers-memset.patch
  fix some memleak to userspace in some usb drivers (SUSE47595)
* Fri Oct 29 2004 - mantel@suse.de
- patches.common/fix-clear_LDT-wrong-context: clear_LDT sometimes
  was called in the wrong context (SUSE47430)
* Tue Oct 26 2004 - olh@suse.de
- add patches.common/cciss_2442_to_2448_x86_64.patch
  add patches.common/cciss_2448_to_2452_x86_64.patch
  update cciss also on x86_64 (SUSE45148)
* Tue Oct 26 2004 - olh@suse.de
- add patches.ppc/ibm-ppc64-signal-set-current-state.patch
  add memory barrier after chaning current->state (SUSE47603 - LTC11921)
* Tue Oct 26 2004 - mantel@suse.de
- patches.common/fix-get_user_pages: fix broken get_user_pages;
  properly account reserved pages (SUSE47337, SUSE47343)
* Tue Oct 19 2004 - agruen@suse.de
- patches.common/scsi-complete-account: Fix SCSI io accounting
  locking (SUSE47322, axboe@suse.de).
* Mon Oct 18 2004 - lmb@suse.de
- patches.common/md-resync-speed: Fix resync speed for stacked md
  devices. (L3 SUSE47143)
- patches.common/md-start-array: Avoid the automatic nested md device
  discovery if starting one array explicitly. (L3 SUSE46966)
* Fri Oct 15 2004 - olh@suse.de
- add patches.common/set_pte-races (SUSE46948 - LTC11574)
  Fix threaded user page write memory ordering
  Make sure we order the writes to a newly created page with the
  page table update that potentially exposes the page to another CPU.
* Fri Oct 15 2004 - mantel@suse.de
- name new cciss driver "cciss-new" instead of "cciss_new". Now
  this is consistent with the handling of "e1000-new".
* Fri Oct 15 2004 - mantel@suse.de
- add new version 2.4.52 of cciss driver as cciss_new (SUSE45148)
* Fri Oct 15 2004 - hare@suse.de
- Update patches.s390/linux-2.4.21-s390-18-june2003-patches/*
  Replaced corrupted files (Transmission error from IBM).
* Mon Oct 11 2004 - hare@suse.de
- add patches.s390/linux-2.4.21-s390-18-june2003-patches/*
  Update to official IBM codedrop.
- Removed obsolete patches.
* Mon Oct 11 2004 - hare@suse.de
- Enabled patch for SUSE44487.
* Mon Oct 11 2004 - okir@suse.de
- patches.common/smbfs-overflows: Patch from Urban Widmark to
  fix remotely exploitable denial of service in kernel SMB code (SUSE46204)
* Mon Oct 11 2004 - hare@suse.de
- add patches.s390/linux-2.4.21-s390-17-june2003-patches/linux-2.4.21-s390-17-0{7,8,9}-june2003.diff
  Update to official IBM codedrop.
* Mon Oct 11 2004 - hare@suse.de
- patches.common/lkcd-smp-update: compilation fix for ia64.
* Fri Oct 08 2004 - olh@suse.de
- add patches.common/jfs-memleak-invalidate_metapages.patch
  JFS: fix memory leak in __invalidate_metapages (SUSE35499 - LTC6726)
* Fri Oct 08 2004 - olh@suse.de
- add patches.ppc/ibm-ppc64-linux-2.4.21-213-set_pte.patch
  fix race condition between PTE set and __hash_page on PPC64
  (SUSE45980 - LTC11381)
* Thu Oct 07 2004 - hare@suse.de
- patches.common/lkcd-smp-update: Fix lkcd crash on smp
  machines (SUSE44919).
* Mon Oct 04 2004 - mantel@suse.de
- patches.common/pte-establish-race: avoid userspace corruption
  during COWs with threads on x86 PAE with >4G of ram.
* Wed Sep 29 2004 - axboe@suse.de
- make gendisk_lock irq safe (bug SUSE45742)
* Mon Sep 27 2004 - okir@suse.de
- fix for ES7000 machines to properly detect all CPUs (SUSE32926)
* Fri Sep 24 2004 - okir@suse.de
- patches.fixes/netfilter-ipt-log-crash: Prevent ICMP crash in
  netfilter logging (SUSE46016)
* Wed Sep 22 2004 - hare@suse.de
- Disable CONFIG_UID16 for s390x (SUSE43176)
- Drop broadcast packets if qeth can't handle them (SUSE42433)
  add patches.s390/qeth-drop-bcast-packets.patch
* Wed Sep 22 2004 - hare@suse.de
- Disabled IBM preliminary patches.
* Wed Sep 22 2004 - mantel@suse.de
- export some aio symbols to catch up with 2.6
* Wed Sep 22 2004 - hare@suse.de
- Added Preliminary IBM Codedrop 2.4.21-s390-17 (2004-09-17)
  add patches.s390/linux-2.4.21-s390-17-june2003-patches
- Added Preliminary IBM 'Korora' Codedrop.
  add patches.s390/ctcmpc.diff
  add patches.s390/layer2_10gig.diff
  add patches.s390/z90crypt.diff
- Fix sys_ioctl definition for 31bit emulation
  add patches.s390/s390x-ioctl32-args.diff
* Wed Sep 22 2004 - hare@suse.de
- Update patches.s390/mcast_new_complete.diff to match
  IBMs version.
* Tue Sep 21 2004 - mantel@suse.de
- fix JFS resize bug on big-endian (SUSE41535)
* Tue Sep 21 2004 - okir@suse.de
- prevent oops in ip6t_LOG (SUSE44213)
* Tue Sep 21 2004 - hare@suse.de
- Added IBM Codedrop 2.4.21-s390-13 (2004-05-18)
  add patches.s390/linux-2.4.21-s390-13-june2003-patches
- Added IBM Codedrop 2.4.21-s390-14 (2004-06-14)
  add patches.s390/linux-2.4.21-s390-14-june2003-patches
- Added IBM Codedrop 2.4.21-s390-15 (2004-07-14)
  add patches.s390/linux-2.4.21-s390-15-june2003-patches
- Added IBM Codedrop 2.4.21-s390-16 (2004-09-14)
  add patches.s390/linux-2.4.21-s390-16-june2003-patches
- Removed temporary fixes which were merged in the codedrops.
- Disabled CONFIG_UID16 for s390x.
* Tue Sep 21 2004 - mason@suse.de
- update write-return-eio to handle the generic_osync_inode case
* Mon Sep 20 2004 - garloff@suse.de
- write-return-eio: In case we encountered an IO error (-EIO), we
  better make sure we return it, as the amount of bytes written
  before is not reliable then. (SUSE43622)
* Mon Sep 20 2004 - okir@suse.de
- sunrpc/svcsock: don't propagate TCP recvfrom errors up to nfsd;
  this causes nfsd to exit (SUSE45132)
* Sun Sep 19 2004 - garloff@suse.de
- scsi-scan-largelun: Update SCSI blacklist from 2.4.28-pre3.
* Fri Sep 17 2004 - garloff@suse.de
- scsi-scan-allow-ghost-devs: Move determination of SCSI level
  earlier, so we can issue REPORT_LUN to targets where we could
  not register LUN 0 due to PQ/PDevTp == 3/0x1f. [SUSE39279]
* Thu Sep 16 2004 - garloff@suse.de
- scsi-logging-parm: Don't put a version on symbol.
- scsi-scan-allow-ghost-devs: Don't abort scanning on PQ/PDevTp
  == 3/0x1f; just don't attach to this LUN (unless
  scsi_allow_ghost_devices is larger than the LUN). For ghosts,
  only allow sg to attach. [SUSE39279]
* Wed Sep 15 2004 - garloff@suse.de
- scsi-scan-newopts: bflags could have been used uninitialized
  for INQUIRY length determination.
* Mon Aug 30 2004 - garloff@suse.de
- get_user_pages_pte_pin-async2: Asynchronous kevented to avoid
  async IO deadlock (andrea, SUSE43220, SUSE43761).
* Wed Aug 25 2004 - schwab@suse.de
- One more audit patch [SUSE43066].
* Mon Aug 23 2004 - schwab@suse.de
- audit: fix handling of return value.
- audit: add support for clone2 syscall.
* Mon Aug 23 2004 - mantel@suse.de
- fix race condition in sg.c I/O completion (SUSE42678)
* Mon Aug 23 2004 - garloff@suse.de
- get_user-pages_pte_pin-fix: Fix the kiovec free oops with lvm
  snapshotting (SUSE33482, SUSE44065).
* Fri Aug 20 2004 - okir@suse.de
- More nfsd xdr decoding fixes (SUSE43603)
* Tue Aug 17 2004 - hare@suse.de
- patches.s390/s390x-lstat-return.patch (SUSE43118)
  S/390: Do not modify stat buffer on error.
* Mon Aug 16 2004 - hare@suse.de
- patches.s390/s390x-mmap-error.patch (SUSE43554 - LTC10008)
  S/390: Fix mmap segfault on error.
* Thu Aug 12 2004 - schwab@suse.de
- Revert last change.
* Thu Aug 12 2004 - okir@suse.de
- Moved syscall-audit-ia32_syscall_enable to patches.ia64 (SUSE43066)
* Thu Aug 12 2004 - schwab@suse.de
- Use CONFIG_IA64.
* Thu Aug 12 2004 - garloff@suse.de
- syscall-audit-ia64-utimes: utimes has two timeval arguments,
  fix audit code for it on ia64 (SUSE43066).
* Wed Aug 11 2004 - schwab@suse.de
- Add ia32_syscall_enable sysctl [SUSE43066].
* Wed Aug 11 2004 - mantel@suse.de
- fix kNFSd signed issues (SUSE43603)
* Tue Aug 10 2004 - schwab@suse.de
- Fix syscall-audit patches to compile.
* Tue Aug 10 2004 - garloff@suse.de
- queue-signals-peruser.diff: Fix missing initialisation of signal
  counter in signal DoS patch. (SUSE39181, okir)
* Fri Aug 06 2004 - okir@suse.de
- Fixed s390/ppc compile problem with syscall-audit-semtimedop
* Fri Aug 06 2004 - okir@suse.de
- Merged several patches for audit subsystem (SUSE43066, SUSE43561)
* Thu Jul 29 2004 - mantel@suse.de
- add missing license tags for dump_gzip.c and dump_rle.c (SUSE42159)
* Thu Jul 29 2004 - mantel@suse.de
- fix wrong cache descriptors (SUSE41051)
* Thu Jul 29 2004 - garloff@suse.de
- Fix proc-info-leak bugfix (SUSE43390).
* Thu Jul 29 2004 - olh@suse.de
- add patches.common/proc-info-leak-ppc_rtas_tone_volume_read
  missing variable
* Wed Jul 28 2004 - ihno@suse.de
- Fix proc-info-leak to compile on S/390 (netiucv).
* Wed Jul 28 2004 - hare@suse.de
- Fix proc-info-leak to compile on S/390 (ctcmain).
* Tue Jul 27 2004 - mantel@suse.de
- make fix for firewire overflow problem actually compile
* Tue Jul 27 2004 - mantel@suse.de
- fix integer overflow in firewire code (SUSE42402)
* Tue Jul 27 2004 - garloff@suse.de
- Clean up signal queue DoS patches: Just apply the sysctl per user
  instead of globally (SUSE39181).
* Fri Jul 23 2004 - mantel@suse.de
- export symbol block_commit_write (SUSE43205)
* Fri Jul 23 2004 - mantel@suse.de
- activate fixes for /proc info leak (SUSE41074)
* Wed Jul 21 2004 - schwab@suse.de
- Add LAuS patches for ia64.
* Fri Jul 16 2004 - mantel@suse.de
- fix direct io on ext3 (SUSE42239)
* Wed Jul 07 2004 - mantel@suse.de
- JFS: Make sure journal records get flushed to disk (SUSE42651)
* Thu Jun 24 2004 - mantel@suse.de
- add missing check in chown() system call (SUSE42400)
* Wed Jun 23 2004 - agruen@suse.de
- SUSE39181 pending signal queues: denial of service. Hide the new
  RLIMIT_SIGPENDING resource from user space.
* Mon Jun 21 2004 - ihno@suse.de
- add EXPORT_SYMBOL_NOVERS(_sb_findmap); for
  s390 and s390x (SUSE42137)
* Mon Jun 21 2004 - mantel@suse.de
- pss-user-pointer: Properly check userspace pointer (SUSE42050)
- fix memory overwrite bug in airo driver (SUSE42096)
- fix copy_from_user/copy_to_user thinko in ALSA (SUSE42095)
- asus_acpi: parse arguments in a safe way (SUSE42052)
- properly use _user in OSS ioctls (SUSE42050)
- don't write user pointers without checking in decnet (SUSE42049)
- check existance of device in eql (SUSE42217)
* Mon Jun 21 2004 - agruen@suse.de
- Make CONFIG_RELEASE a string instead of an integer.
- Switch to sequence-patch.sh from kernel-source-26. Adjust.
* Mon Jun 21 2004 - mantel@suse.de
- fix wrong 32 bit syscall table on x86_64 for syscall audit (SUSE41972)
* Sun Jun 20 2004 - agruen@suse.de
- Backport from kernel-source-26: Remove stray quotes from
  EXTRAVERSION: CONFIG_CFGNAME is a quotes string like "default";
  those quotes ended up in EXTRAVERSION and were removed or not
  depending on the context in which this variable was used.
* Fri Jun 18 2004 - ak@suse.de
- Fix x86-64 MCE decoding patch that went in previously (SUSE41593)
* Wed Jun 16 2004 - garloff@suse.de
- gdth-pci-dma-2: Fix ICP Vortex driver for machines with >4GB
  RAM. (SUSE41495, axboe).
* Wed Jun 16 2004 - hare@suse.de
- S390: Update patches.arch/s390-dirty-2.6.5.diff
  Update to version suggested by akpm (SUSE42066).
* Wed Jun 16 2004 - hare@suse.de
- S390: add patches.s390/dirty-2.4.21.diff
  fixing data corruption under memory pressure for s390 (SUSE42066)
* Tue Jun 15 2004 - hare@suse.de
- S390: add patches.s390/w4sense-cc3.patch
  Fix data corruption on heavy load with ESS.
* Tue Jun 15 2004 - mantel@suse.de
- fix user-triggerable local DoS (SUSE41951)
- use correct fix for e1000 infoleak bug (SUSE39680)
* Fri Jun 11 2004 - ak@suse.de
- Add missing file
* Fri Jun 04 2004 - ak@suse.de
- Fix machine check handler on x86-64 (SUSE41593)
* Thu Jun 03 2004 - ak@suse.de
- Really fix LDT/TSS limit on x86-64 (SUSE41574)
* Tue Jun 01 2004 - schwab@suse.de
- Fix fpu register leak [SUSE41411].
* Mon May 31 2004 - olh@suse.de
- add patches.ppc/ibm-ppc64-bcm5700-7.1.23
  need memory barriers in the Rx path (SUSE41393 - LTC9003)
* Fri May 28 2004 - mantel@suse.de
- fix vmalloc-page-fault bug with nested irqs (SUSE40550)
* Fri May 28 2004 - mantel@suse.de
- fix incorrect error handling in map_user_kiobuf
* Fri May 28 2004 - mantel@suse.de
- fix info leak in e1000 driver (SUSE39680)
* Thu May 27 2004 - axboe@suse.de
- fix for > 1TB SCSI disk (SUSE41262)
* Wed May 26 2004 - olh@suse.de
- enable patches.common/highuid16.patch
* Wed May 26 2004 - olh@suse.de
- add patches.common/highuid16.patch, but leave it disabled
  the last patch to fix uid32 problem in smbfs caused unresolved
  symbols. make it i386 only for the time being. (SUSE41090 - LTC8819)
* Tue May 25 2004 - ihno@suse.de
- remove EXPORTSYMBOL-declaration of overflowuid_overflowgid
  in arch/s390x/s390_ksysm.c
* Mon May 24 2004 - ihno@suse.de
- adding patches.s390/add_config_uid16_to_s390x to enable
  CONFIG_UID16 for s390x
* Thu May 20 2004 - garloff@suse.de
- qla-select_next_path_fix-v6.07.02: Handle failover without
  oopsing during module reinsertion (PPC, SUSE40872).
* Wed May 19 2004 - ihno@suse.de
- Adding CONFIG_UID16=y to default config of s390x
* Sat May 15 2004 - olh@suse.de
- add patches.ppc/ppc64-24-hdio-ioctls.diff
  mark HDIO_DRIVE_TASK as compatible ioctl (SUSE40641 - LTC8579)
* Sun May 09 2004 - olh@suse.de
- add patches.common/usb-storage-ioerror_ohci-locking-2.4.21.patch
  serialize ohci URB unlink handling (SUSE25555,SUSE30673 - LTC4369)
* Fri May 07 2004 - hare@suse.de
- S/390: Add patches.s390/linux-2.5.21-s390-zfcp-retry.patch
  Fix rash retries on zfcp (SUSE35557).
* Fri May 07 2004 - hare@suse.de
- S/390: Added more includes to init/kerntypes.c
  (As per request of Michael Holzheu <holzheu@de.ibm.com>)
* Wed May 05 2004 - mantel@suse.de
- fix uid32 problem in smbfs (SUSE39579)
* Mon May 03 2004 - olh@suse.de
- add patches.ppc/ibm-ppc64-lparcfg (SUSE39602 - LTC6863)
* Fri Apr 30 2004 - hare@suse.de
- Merge from UL1_SP4_BRANCH
* Wed Apr 28 2004 - rw@suse.de
- add patches.common/fs-exec-coredump-LFS (SUSE38733)
  from Andrea to allow core files larger than 2 GB
* Tue Apr 27 2004 - olh@suse.de
- add add patches.common/get_user_pages_pte_pin (SUSE39138 - LTC7702)
  patch from Andrea to prevent unmapping of pinned pages
* Mon Apr 26 2004 - mantel@suse.de
- fix buffer overflow in panic() (SUSE39054)
* Mon Apr 26 2004 - mantel@suse.de
- fix proc file permissions of qla2xxx driver (SUSE39347)
* Mon Apr 26 2004 - mantel@suse.de
- fix memory leak in do_fork() (SUSE39223)
* Wed Apr 21 2004 - olh@suse.de
- add patches.common/qla-vary_io, ppc64 only at the moment
  (SUSE37610 - LTC7160)
* Wed Apr 21 2004 - garloff@suse.de
- Fix mcast-msfilter-int-overflow patch.
* Tue Apr 20 2004 - garloff@suse.de
- mcast-msfilter-int-overflow: Fix integer overflow in ip_setsockopt
  MCAST_MSFILTER (SUSE39207).
* Mon Apr 19 2004 - mantel@suse.de
- add support for Treo600 (trivial backport from 2.6) (SUSE39132)
* Fri Apr 16 2004 - mantel@suse.de
- add two more HP devices to SCSI scan blacklist
* Thu Apr 15 2004 - hare@suse.de
- S/390: Fix multicast handling for iucv (SUSE35593).
  (UL1_SP4_BRANCH)
* Thu Apr 15 2004 - garloff@suse.de
- Fix user_to_kernel_hz_overflow(x) macro (werner, andrea).
* Wed Apr 14 2004 - garloff@suse.de
- Enable nbd module on ia64.
* Fri Apr 09 2004 - garloff@suse.de
- Add Apple Xserve to the SCSI blacklist with LARGELUN | SPARSELUN.
* Wed Apr 07 2004 - garloff@suse.de
- Semaphore fix (SUSE38517, i386 & x86-64).
* Tue Apr 06 2004 - hare@suse.de
- S/390: added patches.s390/mcast_new_complete.diff
  Fixing Multicast handling on S/390 (SUSE35593).
  (UL1_SP4_BRANCH)
* Fri Apr 02 2004 - mantel@suse.de
- fix cpu_sibling_map on summit machines (SUSE33284).
* Fri Apr 02 2004 - mantel@suse.de
- fix I/O resource allocation failure during PCI hotplug (SUSE32694)
* Fri Apr 02 2004 - mantel@suse.de
- fix info leak in jfs filesystem (SUSE36125)
* Fri Apr 02 2004 - mantel@suse.de
- add CLOVERLEAF device to scsi_scan blacklist
* Fri Apr 02 2004 - mantel@suse.de
- fix some more ACPI IRQ problems (SUSE36058, SUSE34704, SUSE35314)
* Fri Apr 02 2004 - garloff@suse.de
- sunrpc-svcsock-drop: Be more careful about dropping connections
  in RPC, work around for buggy NFS clients (SUSE34733, okir).
* Wed Mar 31 2004 - mantel@suse.de
- fix ocfs2 mount problem (SUSE32962)
* Wed Mar 31 2004 - mantel@suse.de
- added some HP devices to scsi_scan blacklist (SUSE36207)
* Wed Mar 31 2004 - mantel@suse.de
- scsi_scan blacklist entry for DEC HSG80 needs BLIST_SPARSELUN
  instead of BLIST_FORCELUN (SUSE37453)
* Wed Mar 31 2004 - hare@suse.de
- S/390: Update to IBM codedrop 2004/03/15
  added patches.s390/linux-2.4.21-s390-12-june2003-patches
  removed superseded patches:
  patches.s390/zfcp_hbaapi_buffersize.patch
  patches.s390/zfcp-watchdog.patch
  patches.s390/qdio-guest-lan.patch
  (UL1_SP4_BRANCH)
* Wed Mar 31 2004 - hare@suse.de
- S/390: add patches.s390/qdio-guest-lan.patch
  fix performance slowdown of Hypersocket Guest Lan (SUSE36652)
  (UL1_SP4_BRANCH)
* Tue Mar 30 2004 - hare@suse.de
- S/390: add patches.s390/zfcp-watchdog.patch
  watchdog for stalled FCP channel (SUSE37072)
  (UL1_SP4_BRANCH)
* Thu Mar 25 2004 - hare@suse.de
- S/390: add patches.s390/zfcp_hbaapi_buffersize.patch
  fix size of SCSI SENSE buffer for zfcp hbaapi (SUSE36486).
  (UL1_SP4_BRANCH)
* Mon Mar 22 2004 - bk@suse.de
- 390:disable parts of linux-2.4.21-s390-10-05-june2003-net(SUSE35593)
  (UL1_SP4_BRANCH)
* Sun Mar 21 2004 - ak@suse.de
- Fix user triggerable oops in x86-64 32bit emulation
* Wed Mar 17 2004 - olh@suse.de
- add patches.ppc/sles8-qla-v6.07.02-2.4.21-147.patch (SUSE36225)
  update device driver to fix potential data integrity problem
* Wed Mar 17 2004 - mantel@suse.de
- allow IPv6 netfilter modules to be loaded on x86_64 (SUSE34810)
* Thu Mar 11 2004 - mantel@suse.de
- add new version 5.2.30.1 of e1000 driver as e1000-new.o
* Thu Mar 11 2004 - mantel@suse.de
- fix info leak in xfs filesystem (SUSE35463)
* Thu Mar 11 2004 - mantel@suse.de
- add missing size check in r128 driver also to 4.0 version
* Wed Mar 10 2004 - mason@suse.com
- lvm hash bucket calculation fix, solves snapshot creation
  problems on 32bit machines with > 4GB of ram.  Bug SUSE34418
* Mon Mar 08 2004 - mantel@suse.de
- use agpgart-bus also on i386 to solve problem also in 32 bit
* Fri Mar 05 2004 - mantel@suse.de
- don't try to use forcedeth driver on S/390 machines
* Thu Mar 04 2004 - mantel@suse.de
- add HP ProLiant and Compaq ProLiant to dmi blacklist so that ACPI
  gets disabled automagically on these systems
* Wed Mar 03 2004 - mantel@suse.de
- fix ipv4 raw ip checksum error, triggered by gcc 3.3 (SUSE34820)
* Wed Mar 03 2004 - mantel@suse.de
- 64-bit kernel emulation of 32-bit CDROM_SEND_PACKET ioctl was
  incomplete and could cause kernel crashes (SUSE35159)
* Wed Mar 03 2004 - mantel@suse.de
- fix vulnerability in soundblaster driver (SUSE35279)
* Wed Mar 03 2004 - mantel@suse.de
- fix info leak in ext3 filesystem (SUSE35212)
* Wed Mar 03 2004 - mantel@suse.de
- add yet another missing size check in r128 driver (SUSE33945)
* Wed Mar 03 2004 - mantel@suse.de
- fix vulnerability in iso9660 filesystem (SUSE34841)
* Wed Mar 03 2004 - mantel@suse.de
- add forcedeth driver for NVIDIA nForce media access controllers
* Wed Mar 03 2004 - garloff@suse.de
- blacklist-patch.HP: ACPI blacklist update forCompaq/HP Proliant
  machines (SUSE33167).
* Tue Mar 02 2004 - garloff@suse.de
- patches.common/scsi-req-q-ptr: Make sure proper request queue
  ptr is passed, to avoid missing wakeups. Finally solves
  starvation (SUSE33215, LTC5252, axboe, mpeschke)
* Tue Mar 02 2004 - garloff@suse.de
- patches.common/lvm-dont-shift-pv: Don't shift PV pointers
  to prevent null ptr deref. (SUSE34042, sbader, obsoletes
  lvm-mp-oops-on-null-pv).
* Tue Mar 02 2004 - garloff@suse.de
- patches.common/vm_reserve: Also use vm_reserve boot param, if
  CONFIG_DISCONTIGMEM (NUMA) is set on i386. (SUSE34418)
* Mon Mar 01 2004 - olh@suse.de
- add patches.ppc/ibm-ppc64-log_rtas_len-overflow
  avoid overflow in rtas functions (SUSE34595 - LTC5991)
* Mon Mar 01 2004 - olh@suse.de
- add patches.ppc/ibm-ppc64-errinject.patch
  copy enough data in ppc_rtas_errinjct_write (SUSE35048 - LTC6543)
* Fri Feb 27 2004 - ak@suse.de
- Fix off by one errors in x86-64 IOMMU code (SUSE35039)
- fix IGMP/ipt_REJECT checksum on x86-64 (SUSE35140)
* Mon Feb 23 2004 - olh@suse.de
- add patches.ppc/vmalloc-patch-suse-sym2
  protect page_table_lock during interrupts (SUSE32275 - LTC4738)
* Mon Feb 23 2004 - duwe@suse.de
- fixed SUSE33167 (HP & xAPICs) through DMI id updates
* Thu Feb 19 2004 - mantel@suse.de
- prevent potential DoS attack via mremap (SUSE34729)
* Thu Feb 19 2004 - mantel@suse.de
- fix user space access in C-Media PCI OSS sound driver
* Thu Feb 19 2004 - mantel@suse.de
- fix SUSE33945 for both versions of the r128 DRI driver
* Thu Feb 19 2004 - ak@suse.de
- Implement mapped_base for x86-64 (SUSE34548)
* Tue Feb 17 2004 - ak@suse.de
-  Fix aacraid patch
* Fri Feb 13 2004 - ak@suse.de
- Update aacraid and dpt_i2o drivers to latest versions on x86-64
- Reenable dpt_i2o driver on x86-64
* Thu Feb 12 2004 - hare@suse.de
- S390: Moved IBM codedrop 2004/01/16 to UL1_SP4_BRANCH.
* Mon Feb 09 2004 - hare@suse.de
- S390: Add missing symbol nr_running().
* Fri Feb 06 2004 - hare@suse.de
- S390: Reenable missing
  patches.s390/linux-2.4.21-s390-timer-03-june2003.diff.
* Fri Feb 06 2004 - rw@suse.de
- add patches.ia64/disable-showMem (SUSE33317)
* Thu Feb 05 2004 - olh@suse.de
- add patches.ppc/ibm-ppc64-pseries-cpu_update for upcoming cpus
* Thu Feb 05 2004 - okir@suse.de
- Part of a patch from Greg Banks, which will hopefully fix
  the "dirty inodes after unmount, self-destruct in 5 seconds"
  problem (SUSE30943)
* Thu Feb 05 2004 - mantel@suse.de
- check interpreter type to prevent possible local DoS (SUSE34287)
* Thu Feb 05 2004 - mantel@suse.de
- return proper error codes for do_munmap() failure in mremap
* Wed Feb 04 2004 - bk@suse.de
- s390x: fix 31-bit emulation of /proc/<pid>/mapped_base(SUSE34276)
* Wed Feb 04 2004 - agruen@suse.de
- patches.fixes/xattr-keep-block: Fix xattr bug when keeping
  the same disk block in ext[23].
* Wed Feb 04 2004 - okir@suse.de
- Audit subsystem: included patches that were submitted as part
  of the EAL3 certification effort but not included in the SLES8
  kernel so far. These patches affect the audit subsystem only.
  patches.common/syscall-audit-noparanoia
  patches.common/syscall-audit-nohang
* Mon Feb 02 2004 - hare@suse.de
- S390: Update to IBM 'blizzard' codedrop 2004/01/31
  Added new patches linux-2.4.21-s390-08-june2003-patches
  Added new patches linux-2.4.21-s390-09-june2003-patches
  Added new patches linux-2.4.21-s390-10-june2003-patches
  Updated timer-patch.
  Updated config files to select new options.
* Sat Jan 31 2004 - garloff@suse.de
- lvm-mp-oops-on-null-pv: lvm-mp code introduced conditions where
  we could hit a NULL pv and deref it: Ooops. (axboe, SUSE34042)
* Fri Jan 30 2004 - garloff@suse.de
- shmem-swap: Fix handling of swapout behaviour on machines with
  large amounts of unlocked shared memory (SAP), all controlled
  by vm_shmem_swap sysctl, defaulting to off (andrea, SUSE33964):
  * Avoid excessive swapping ("objrmap").
  * Save extra page table scan.
  * Avoid I/O performance to be destroyed by shmem swapout.
* Fri Jan 30 2004 - garloff@suse.de
- qla2xxx-enable-conf-modules: Build the _conf modules as well.
  (SUSE34155, SUSE34191).
* Fri Jan 30 2004 - garloff@suse.de
- scsi-queue-next-unconditionally: Call request_fn()
  unconditionally all needed checks are done there. The break was
  wrong and should have been continue (axboe, mpeschke, SUSE33215).
- scsi-restart-ops-unconditionally: Ditto. We don't need the
  host lock any more then. (axboe, mpeschke, SUSE33215).
* Fri Jan 30 2004 - mantel@suse.de
- disable excessive status messages in aacraid driver
* Thu Jan 29 2004 - garloff@suse.de
- scsi-noderef-freed-host: If the error handler thread died, we
  could have dereferenced host in a freed structure SCpnt
  structure. (axboe, SUSE33783).
* Thu Jan 29 2004 - olh@suse.de
- add patches.common/usb-serial-palm-sched_oops.patch
  fix BUG() in sched.c:910 (SUSE31948)
* Mon Jan 26 2004 - olh@suse.de
- add patches.common/jfs-on-block_flushpage
  do not call block_flushpage in __invalidate_metapages
  (SUSE27332 - LTC3109)
* Mon Jan 26 2004 - mantel@suse.de
- fix race condition in qla1280 error handling code (SUSE33847)
* Mon Jan 26 2004 - mantel@suse.de
- check size for memory allocations in r128 DRI driver (SUSE33945)
* Mon Jan 26 2004 - mantel@suse.de
- fix possible crash in USB vicam driver (SUSE34118)
* Mon Jan 26 2004 - mantel@suse.de
- don't leak info in i386 fault handler (SUSE34051)
* Mon Jan 26 2004 - olh@suse.de
- add patches.ppc/suse-ppc64-kallsyms
  allow CONFIG_KALLSYMS even if KDB is off (SUSE34052 - LTC5882)
  enable CONFIG_KALLSYMS=y in iseries64 .config
* Sun Jan 25 2004 - garloff@suse.de
- scsi-dma-sectors: The limitation of new_dma_sectors in scsi_dma
  was buggy and would overflow. Fix. (IBM, axboe, SUSE33215)
* Sat Jan 24 2004 - garloff@suse.de
- acpi-t40-ec-osdl1038: ACPI on T40: Fix Embedded Controller
  detection as well. (SUSE32222)
* Sat Jan 24 2004 - ak@suse.de
- Fix compilation with gcc 3.4
* Fri Jan 23 2004 - garloff@suse.de
- Avoid overflowing size_buffers_type (andrea, FSC, see SUSE33964).
- Avoid a starvation situation in scsi midlayer (axboe, SUSE33215).
* Fri Jan 23 2004 - ak@suse.de
- Disable dpt_i2o driver on x86-64
* Thu Jan 22 2004 - ak@suse.de
- Limit file names in ncpfs (SUSE34100)
* Thu Jan 22 2004 - mantel@suse.de
- scsi-error-deadlock: fix locking in scsi_error.c to prevent
  possible deadlock. (#)
* Wed Jan 21 2004 - sf@suse.de
- add patch for SiL 3114
* Wed Jan 21 2004 - ak@suse.de
- Fix MTRR size computation on x86-64
- Fix bugs in NUMA node discovery
* Wed Jan 21 2004 - garloff@suse.de
- max_scsi_luns was not effective when REPORT_LUNS was used. Fixed.
* Tue Jan 20 2004 - bk@suse.de
- add patches.common/reiserfs-jl-refcount (prevent too early free
  of journal_list), should fix SUSE32729 and may also fix bug SUSE34026
* Tue Jan 20 2004 - olh@suse.de
- add patches.common/scsi-type-TYPE_UNKNOWN
  Scsi_Device->type is being set to -1. (SUSE34009 - LTC5783)
  It's causing us to access the scsi_device_type array at -1.
* Fri Jan 16 2004 - olh@suse.de
- add patches.ppc/ibm-ppc64-bcm5700-7.1.22
  use the latest broadcomm driver on powerpc, keep NAPI enabled
* Thu Jan 15 2004 - olh@suse.de
- update patches.common/sd_many
  fix scsi module unload problem (SUSE33282 - LTC5355)
* Thu Jan 15 2004 - garloff@suse.de
- scsi-scan-largelun: Add Pathlight/ADIC and Crossrds to blacklist.
* Tue Jan 13 2004 - agruen@suse.de
- Fix rpm3 performance problem.
* Tue Jan 13 2004 - ak@suse.de
- Fix LDT limit on x86-64
* Thu Jan 08 2004 - olh@suse.de
- add patches.ppc/ibm-ppc64-kdb-sdr1
  KDB superreg option doesnt print SDR1 register (SUSE33854 - LTC5587)
* Thu Jan 08 2004 - ak@suse.de
- Add dynamic-hz-ata-new for new libata on x86-64
* Thu Jan 08 2004 - ak@suse.de
- Update libata to new version for x86-64
- Enable libata drivers in x86-64
- Add workaround for AMD K8 Errata #87
- Make x86-64 IOMMU flushing more conservative
- Fix ptrace 32bit hole for x86-64
* Wed Dec 31 2003 - mantel@suse.de
- fix NFS directio bug that causes data corruption when creating
  files larger than 4 GB
* Thu Dec 18 2003 - hare@suse.de
- s390: added missing epoll syscalls (SUSE33668)
* Wed Dec 17 2003 - mantel@suse.de
- add missing check in mremap
* Tue Dec 16 2003 - olh@suse.de
- add cross-ppc64-binutils cross-ppc64-gcc-core unconditionally
  to avoid autobuild magic (SUSE33250 - LTC5419)
* Mon Dec 15 2003 - bk@suse.de
- s390:fix ffs() to pick up the preinitialized result value(SUSE33450)
* Fri Dec 12 2003 - olh@suse.de
- provide preconfigured header files for ppc64 kernels
  now for real...
* Thu Dec 11 2003 - bk@suse.de
- s390: fix bad ffs() return value, fixes fat and netfilter(SUSE33450)
* Tue Dec 09 2003 - bk@suse.de
- s390: fixes for ESS caching(5409) and ESS flashcopy(4676/33446)
* Tue Dec 09 2003 - olh@suse.de
- provide preconfigured header files for ppc64 kernels
  (SUSE33250 - LTC5419)
* Mon Dec 08 2003 - bk@suse.de
- s390:integrate IBM June 2003 code drops 2003-10-31 and 2003-11-28
- nfsd-fhalias(for HA-NFS): avoid console spew from invaid IP 0.
* Thu Dec 04 2003 - olh@suse.de
- add patches.ppc/ibm-ppc64-proc-copy_user
  audit pseries/iseries proc interface (SUSE33345)
* Thu Nov 27 2003 - schwab@suse.de
- Disable dma engine test in tg3 driver on SN2 [SUSE32928].
* Wed Nov 26 2003 - schwab@suse.de
- Update CPE/CMC polling code to avoid deadlock [SUSE32885].
* Mon Nov 24 2003 - ak@suse.de
- fix 32bit [f]truncate64 for x86-64
- reenable x86_64-sci fix (SUSE32893)
* Thu Nov 13 2003 - agruen@suse.de
- Set CONFIG_SUSE_KERNEL and CONFIG_UNITEDLINUX_KERNEL correctly
  in the pre-configured headers. By accident neither was defined
  there so far. (The k_* packages did fix that, though.)
* Thu Nov 13 2003 - agruen@suse.de
- SUSE33097: patches.common/xattr-pointer-arith fixes a pointer
  arithmetic bug in the xattr code.
* Thu Nov 13 2003 - schwab@suse.de
- Remove patches.common/x86_64-sci.
* Fri Nov 07 2003 - ak@suse.de
- Revert last change again by request of rf.
* Thu Nov 06 2003 - ak@suse.de
- Revert smp boot cpuid/apic handling for non summit to
  before SUSE32570,SUSE32571, fixes SUSE32926, verified on x440, but not
  yet on HP
* Mon Nov 03 2003 - ak@suse.de
- Port i386 ACPI SCI fixes to x86-64 (SUSE32893)
- Set correct TSS limit on x86-64
* Sun Nov 02 2003 - garloff@suse.de
- Fix ACPI mem handling issue with T40. [SUSE32222]
* Sun Nov 02 2003 - garloff@suse.de
- patches.common/sd_many: Fix reported SCSI disk size if between 1
  and 2TB (cosmetic). [SUSE32358]
- patches.common/ide-scsi-impl-abort: idescsi_abort(): Fix locking
  [SUSE32855]
* Fri Oct 31 2003 - schwab@suse.de
- Fix ia32 stat emulation [SUSE32824].
* Fri Oct 31 2003 - ihno@suse.de
- corrected hangcheck according to mail from Joel Becker
* Thu Oct 30 2003 - mantel@suse.de
- moved tag ul1-sp3-rc4
* Thu Oct 30 2003 - mantel@suse.de
- fix problem with dynamic-hz on x440 machines (SUSE32185)
* Thu Oct 30 2003 - olh@suse.de
- disable patches.ppc/suse-ppc64-hash_page-deadlock-fix
  has unwanted sideeffects. (SUSE32809 - LTC5212)
* Wed Oct 29 2003 - mantel@suse.de
- moved tag ul1-sp3-rc4
* Wed Oct 29 2003 - okir@suse.de
- system call audit: prevent hangs in some threaded apps (SUSE32750)
* Wed Oct 29 2003 - okir@suse.de
- Rediffed ipv6-privacy-refcount and dynamic-hz so it applies cleanly
* Wed Oct 29 2003 - mantel@suse.de
- use full speed on symbios logic2 scsi controller (SUSE26135)
* Wed Oct 29 2003 - okir@suse.de
- Fixed another IPv6 refcounting problem that caused
  "unregister_netdevice" hangs on module unload (SUSE32298)
* Wed Oct 29 2003 - olh@suse.de
- add patches.ppc/suse-ppc64-hash_page-deadlock-fix
  fix deadlock in hash_page, ppc64 only for now (SUSE32275 - LTC4738)
* Wed Oct 29 2003 - mantel@suse.de
- Tag: ul1-sp3-rc4
* Wed Oct 29 2003 - aj@suse.de
- Find AGPgart in non-default place (SUSE32754)
* Wed Oct 29 2003 - andrea@suse.de
- Removed rawio-zero-chardev (that was really fixing up a bug
  introduced in devmem-uncached). So simply removed the buggy line
  in devmem-uncached instead, the resulting cheked out tree is
  equivalent but this way is cleaner.
* Wed Oct 29 2003 - andrea@suse.de
- Allow rawio/O_DIRECT on mmap(/dev/zero, MAP_PRIVATE). (SUSE32659)
* Tue Oct 28 2003 - aj@suse.de
- Downgrade cciss to working version for x86_64  (SUSE32500).
* Tue Oct 28 2003 - mantel@suse.de
- moved tag ul1-sp3-rc3
* Tue Oct 28 2003 - mantel@suse.de
- disable buggy last_merge logic optimization (SUSE32475)
* Mon Oct 27 2003 - ak@suse.de
- use pin of bridge not device for ACPI bridge swizzle (SUSE32563)
* Mon Oct 27 2003 - mantel@suse.de
- moved tag ul1-sp3-rc3
* Mon Oct 27 2003 - mantel@suse.de
- disable stack overflow check feature on ia64
* Fri Oct 24 2003 - agruen@suse.de
- Fix for SUSE32678: Setting acls over nfs succeeds but reports an
  error. The following gets logged to the system log:
  "nfsd: non-standard errno: -61".
* Fri Oct 24 2003 - ak@suse.de
- Add pci=noacpi blacklist entries for HP DL740 and DL760G2 (SUSE19986)
* Fri Oct 24 2003 - mantel@suse.de
- Tag: ul1-sp3-rc3
* Fri Oct 24 2003 - mantel@suse.de
- fix rounding error for blkdev reads (SUSE31902)
* Fri Oct 24 2003 - mantel@suse.de
- avoid potential reiserfs log deadlock
* Fri Oct 24 2003 - mantel@suse.de
- make stack-overflow check feature safe against any potential smp
  scalability regression
- enable CONFIG_DEBUG_STACKOVERFLOW
* Fri Oct 24 2003 - aj@suse.de
- Remove CCISS patches for x86_64 for now.
* Fri Oct 24 2003 - mantel@suse.de
- add version 6.06.50 of qla2x00 driver
* Fri Oct 24 2003 - mantel@suse.de
- avoid potential stack overflow in SCSI mid layer
* Fri Oct 24 2003 - ak@suse.de
- Enlarge x86-64 exception stacks to 4k
- Use CPUID for safe_smp_processor_id
- Work around IRET issue (SUSE32471)
* Fri Oct 24 2003 - aj@suse.de
- Revert latest cciss patch and add instead one to fix dma mask (SUSE32500).
* Fri Oct 24 2003 - okir@suse.de
- system call audit:
  o system call auditing broke O_NOFOLLOW (SUSE32629)
  o fix for msgrcv audit was incomplete (SUSE32324)
  o assigning tags to syscall audit events didn't work (SUSE32419)
* Fri Oct 24 2003 - olh@suse.de
- update patches.ppc/ibm-ppc64-drivers-pseries-vio
  Get the right mac addr in ibmveth.
* Fri Oct 24 2003 - hare@suse.de
- Add patches.s390/s390-no-dst_link_failure: Remove
  dst_link_failure() calls from S/390 network drivers
  (SUSE31660).
- Add patches.s390/s390-fix-s390dbf-perm: Fix permissions
  on /proc/s390dbf (SUSE32630).
* Fri Oct 24 2003 - aj@suse.de
- Downgrade CCISS driver for AMD64 (SUSE32500).
* Thu Oct 23 2003 - olh@suse.de
- add patches.ppc/ibm-ppc64-signals-MMU_CONTEXT_FIFO
  avoid signal loss, switch from stack to queue (SUSE32565 - LTC5068)
* Thu Oct 23 2003 - olh@suse.de
- reenable patches.ppc/ibm-ppc64-pblades-tg3
  DMA workaround still required (SUSE32606 - LTC5095)
* Thu Oct 23 2003 - olh@suse.de
- update patches.ppc/suse-ppc64-ioctl32-ethtool
  handle more ioctls
* Thu Oct 23 2003 - olh@suse.de
- add patches.common/nfsd-no-tcp-mixup
  serialize access to TCP sockets in nfsd (SUSE31836 - LTC4601)
* Thu Oct 23 2003 - olh@suse.de
- add patches.ppc/suse-ppc64-ioctl32-ethtool
  handle ETHTOOL_GSTRINGS and ETHTOOL_GSTATS in 32bit emu.
  (SUSE32598 - LTC5070)
* Thu Oct 23 2003 - olh@suse.de
- add patches.common/raw-flush_dcache_page-index
  avoid oops in while reading raw devices (SUSE32607 - LTC5101)
* Thu Oct 23 2003 - mantel@suse.de
- add two additional PCI IDs to tulip driver (SUSE30924)
* Thu Oct 23 2003 - mantel@suse.de
- fix ACPI problems on IBM x440 (SUSE32570, SUSE32571)
* Tue Oct 21 2003 - bk@suse.de
- s390*: fix BUG() with SCHED_FIFO processes which do fork(SUSE32549)
* Tue Oct 21 2003 - mantel@suse.de
- avoid unaligned accesses in tg3 driver on ia64 (SUSE32000)
* Mon Oct 20 2003 - olh@suse.de
- set CONFIG_BLK_DEV_PDC202XX_NEW on pseries64
* Mon Oct 20 2003 - bk@suse.de
- s390*: enable CONFIG_MODVERSIONS in default config
* Mon Oct 20 2003 - okir@suse.de
- IPv6: fixed timeout for routes received through RAs (SUSE32490)
* Mon Oct 20 2003 - mantel@suse.de
- cleanup ia64 tree of SGI code (SUSE32327)
* Fri Oct 17 2003 - mantel@suse.de
- add certified version 6.05.00 of qla2x00 driver
* Fri Oct 17 2003 - okir@suse.de
- system call audit: fixed a problem with logging of msgrcv calls (SUSE32324)
* Fri Oct 17 2003 - mantel@suse.de
- update Emulex LP8000/.../10000 driver (lpfc) to version 1.23a
* Fri Oct 17 2003 - bk@suse.de
- s390*: fix mlock in get_user_pages with pte_dirty==false (SUSE32352)
* Fri Oct 17 2003 - mantel@suse.de
- fix typo in Config.in (CONFI_SCSI -> CONFIG_SCSI) (SUSE32420)
* Thu Oct 16 2003 - ak@suse.de
- Export bad_dma_address on x86-64
* Thu Oct 16 2003 - mantel@suse.de
- fix wrong/outdated scsi_scan blacklist entry (SUSE32355)
* Thu Oct 16 2003 - mantel@suse.de
- drop bogus cpqarray patches; they have been complementary anyway
* Thu Oct 16 2003 - olh@suse.de
- update patches.ppc/ibm-ppc64-arch
  Adjust the vlan mac address to pull 6 bytes from firmware.
* Wed Oct 15 2003 - olh@suse.de
- update patches.common/bcm5700-nonapi
  enable NAPI on ppc, fix unwanted side effects (SUSE32277 - LTC4920)
* Wed Oct 15 2003 - hare@suse.de
- S/390: fix get_next_event for kernel.hz_timer=0 (SUSE31989).
* Wed Oct 15 2003 - mantel@suse.de
- remove eServer entries from dmi_scan blacklist (SUSE32185)
* Wed Oct 15 2003 - bk@suse.de
- s390*: fix local timer list handling with on-demand timer(SUSE31989)
* Wed Oct 15 2003 - mantel@suse.de
- fix VM race in execve
* Wed Oct 15 2003 - mantel@suse.de
- update Syskonnect driver sk98lin to v6.18
* Wed Oct 15 2003 - mantel@suse.de
- use more complete kmod-uid patch from current 2.4.23-pre
* Wed Oct 15 2003 - mantel@suse.de
- initialize all fields when reading the RTC
* Wed Oct 15 2003 - hare@suse.de
- patches.s390/qeth-nonbusy-fix: Fix hang on initialisation.
* Wed Oct 15 2003 - mantel@suse.de
- fix memory leak in LVM
* Tue Oct 14 2003 - bk@suse.de
- patches.s390/nohz_timer: fix softirq handling with new timer code
* Tue Oct 14 2003 - schwab@suse.de
- Fix okir's last two patches so that they compile.
* Tue Oct 14 2003 - mantel@suse.de
- update XFS to 1.3.1
* Tue Oct 14 2003 - mason@suse.de
- disable reiserfs-search-reada, it is causing poor performance
  for fragmented metadata
* Tue Oct 14 2003 - agruen@suse.de
- Enable patches.common/seq-file-interrupts also on um, since
  schwab made it to apply there cleanly on 2003/09/12.
* Tue Oct 14 2003 - hare@suse.de
- Enabled QUOTA_QIFACE_COMPAT and QUOTA_QIFACE_V2 for S/390.
* Tue Oct 14 2003 - agruen@suse.de
- patches.common/nfsd-obese-stack2: An additional fix for SUSE32264
  from okir, double checked by mason (and me).
* Tue Oct 14 2003 - mantel@suse.de
- don't corrupt memory when reading /proc files (SUSE31758)
* Mon Oct 13 2003 - schwab@suse.de
- Fix infloop in mca code.
* Mon Oct 13 2003 - ak@suse.de
- Don't allow signal sending to modprobe in kmod
* Mon Oct 13 2003 - okir@suse.de
- Prevent stack overflow in nfsd/fh_verify (SUSE32264)
* Mon Oct 13 2003 - mantel@suse.de
- make isdn subsystem robust against races during removal of
  lowlevel device drivers and the shutdown of network devices
* Mon Oct 13 2003 - mantel@suse.de
- avoid mutex lock-up in error path of openeing a pcm device
* Mon Oct 13 2003 - hare@suse.de
- Added LVM Multipath update to v6c (SUSE31758).
* Sat Oct 11 2003 - hare@suse.de
- fixing do_timer_ticks to use correct update_process_times()
  (S/390 only).
* Fri Oct 10 2003 - bk@suse.de
- fix S/390 tick counting, fixes SUSE32148, SUSE32155 and helps SUSE31989
* Fri Oct 10 2003 - olh@suse.de
- disable patches.ppc/ibm-ppc64-pblades-tg3
  workaround not needed anymore with new firmware level
* Fri Oct 10 2003 - agruen@suse.de
- Remove $(obj-m) as well for `make clean' in Rules.modules.
* Fri Oct 10 2003 - okir@suse.de
- Disabled nfs-autofs-umount-crash patch for now, it
  just makes things worse (SUSE30943)
* Fri Oct 10 2003 - mantel@suse.de
- add missing #include to make "task" command work correctly in
  lcrash (SUSE32184)
* Fri Oct 10 2003 - mantel@suse.de
- don't leave IRQ allocated in olympic driver when ring open fails
  (SUSE32178)
* Fri Oct 10 2003 - mantel@suse.de
- fix problem with excessive interrupts (SUSE32127)
* Wed Oct 08 2003 - olh@suse.de
- set CONFIG_RTAS_USER=y in pseries64 config (SUSE32145 - LTC4844)
* Wed Oct 08 2003 - olh@suse.de
- disable patches.ppc/suse-ppc-busy-loop-debug
  suse-ppc64-up-semaphore-sync should cure all loop mount failures
* Wed Oct 08 2003 - olh@suse.de
- update patches.ppc/ibm-ppc64-drivers-iseries
  reenable viocons ouput before console initialisation
  (SUSE31958 - LTC4711)
* Wed Oct 08 2003 - olh@suse.de
- update patches.ppc/ibm-ppc64-arch
  Fix logic bug in writing error log to nvram.
* Tue Oct 07 2003 - olh@suse.de
- update patches.ppc/suse-ppc64-up-semaphore-sync
  add a sync to busy semaphore loop. (SUSE31946 - LTC4701)
* Tue Oct 07 2003 - mantel@suse.de
- fix overflow of used-bytes counter in old quota format
* Tue Oct 07 2003 - mantel@suse.de
- fix double io completion decrement in cpqarray (SUSE32053)
- fix possible bad iostat output (SUSE32053)
* Tue Oct 07 2003 - mantel@suse.de
- fix fs corruption when reiserfs is cleaning up lost files after
  a crash (SUSE31835)
* Tue Oct 07 2003 - mantel@suse.de
- drop BH_Sync for performance reasons
* Tue Oct 07 2003 - olh@suse.de
- disable CONFIG_USB_DEBUG on ppc64
* Tue Oct 07 2003 - schwab@suse.de
- Fix last change in ltt patch.
* Tue Oct 07 2003 - olh@suse.de
- update patches.ppc/ibm-ppc64-arch
  Fix from Hollis to enable gcc 3.3, and use $(CC) rather than gcc
* Tue Oct 07 2003 - agruen@suse.de
- Fix a signedness bug in the ACL code (not exploitable).
* Mon Oct 06 2003 - okir@suse.de
- system call audit:
  o fix a deadlock in the system call auditing code (SUSE30440).
  o add the syslog-return action (SUSE31889)
* Mon Oct 06 2003 - agruen@suse.de
- Enable pre-configured headers on ppc, s390, ia64 as well.
- RPM's stripping of binaries broke timestamp based make
  dependencies in the pre-configured headers. Strip ourselves
  to avoid that.
* Mon Oct 06 2003 - schwab@suse.de
- Use "rm -f" in arch/ia64/Makefile.
* Mon Oct 06 2003 - mantel@suse.de
- fix e1000 driver (scott.feldman@intel.com):
  Critical bug fix: under heavy Tx stress using ZEROCOPY or TSO, if we
  run out of Tx descriptors, we don't calculate for the context
  descriptor used as the first of the ZEROCOPY/TSO send, nor do we clean
  up the context descriptor bits in the case where the send isn't going
  to fit and we need to undo the mappings.  This bug was introduced
  with the 5.2.16 patch set which included a workaround for a hang
  on SUSE82544 over PCI-X.  This workaround caused the check for no-Tx-
  resource logic to change, and this bug slipped in.
* Mon Oct 06 2003 - ak@suse.de
- Export enable_apic_up for oprofile (SUSE31774)
* Mon Oct 06 2003 - schwab@suse.de
- Fix invalid pointer in megaraid2 driver [SUSE28129].
* Mon Oct 06 2003 - mantel@suse.de
- disable NAPI for bcm5700 driver to fix performance problems
* Mon Oct 06 2003 - ak@suse.de
- Remove csum tail exception handling patches again. Bug was already
  fixed in 2.4.20.
* Mon Oct 06 2003 - ak@suse.de
- Don't use AGPv3 for VIA KT400/600
* Sat Oct 04 2003 - olh@suse.de
- add patches.ppc/ibm-ppc64-iseries-pci-bar-addressing
  handle BAR region > 4MB, temporary workaround (SUSE30448 - LTC4328)
* Sat Oct 04 2003 - agruen@suse.de
- Add some references to doc/README.SuSE.
* Sat Oct 04 2003 - olh@suse.de
- update patches.ppc/ibm-ppc64-arch
  call save_remaining_regs() in AltiVecAssist_common,
  not its decriptor
* Thu Oct 02 2003 - duwe@suse.de
- most Compaq/HP Proliants seem to have broken ACPI PCI IRQ routing
-> blacklisted
* Thu Oct 02 2003 - mantel@suse.de
- ALSA update:
- fixed the surround, LFE sample rates on ac97.
- added quirks for via823x boards.
- fixed the oops in OSS pcm emulation code (with plugins).
- fixed the wrong detection of VIA8233A.
- fixed the hiss noise on some VIA823x (snd_ac97_set_rate() fix).
- changed the control names for spdif on audigy to the standard names.
- clean up and fix calling of schedule().
- added emu10k1 emulation to dummy driver.
- fixed the spdif rate change on ice1712.
- raise the version: 0.9.7
- fixed bugs with some invalid usb sync-pipes
- fixed the usb mixer parsing routine for selector units.
- added the patch to fix pcmcia changes in 2.6.
- added imajor() and iminor() macros.
- fixed sscape hwdep ctls segfault.
- fixed hdsp hwdep ctls segfault.
- added more quirks for intel8x0.
* Thu Oct 02 2003 - mantel@suse.de
- fix potential race in exit_mmap
* Thu Oct 02 2003 - mantel@suse.de
- fix naming of ltt tracer modules consistent with docu (SUSE31110)
* Thu Oct 02 2003 - mantel@suse.de
- fix md refcounting in a way that does not break when using old
  raidtools
* Thu Oct 02 2003 - mantel@suse.de
- don't ignore progress made in the fs lock func
* Thu Oct 02 2003 - mantel@suse.de
- handle archs that do the pte dirty bit in software (SUSE30668)
* Wed Oct 01 2003 - ak@suse.de
- Fix broken csum-trail patch
* Wed Oct 01 2003 - agruen@suse.de
- Use %%defattr instead of chown to make sure that all files are
  owned by root (comment by olh).
* Wed Oct 01 2003 - olh@suse.de
- update patches.ppc/ibm-ppc64-drivers-iseries
  formatting changes
  fix for viotap_release making the driver unusable
  fix for viodasd correlation tokens (LTC 3898)
  for for >16 disks in /proc/iSeries/viodasd
  error path cleanup in viodasd
  (SUSE31918 - LTC4675)
* Wed Oct 01 2003 - agruen@suse.de
- Change ownership of example modules to root:root.
* Wed Oct 01 2003 - agruen@suse.de
- Add README.SuSE (on how to build kernels and modules). Also
  add two tiny hello world style modules as examples. The docs
  are installed under /usr/share/doc/packages/kernel-source/.
* Wed Oct 01 2003 - okir@suse.de
- IPv6: make sure the ipv6only flag is copied to the tw_bucket
  when the TCP socket goes into TIME_WAIT (SUSE31546)
* Wed Oct 01 2003 - ak@suse.de
- Handle exception when overrunning buffer in csum_partial on i386
  (SUSE31574)
* Wed Oct 01 2003 - olh@suse.de
- update patches.ppc/ibm-ppc64-arch
  update patches.ppc/ibm-ppc64-include
  Fix stack alignment for 64-bit and 32-bit signal handlers
  (SUSE31726 - LTC4561)
* Wed Oct 01 2003 - okir@suse.de
- IPv6: Check for MIN MTU in RA messages (SUSE31750)
* Wed Oct 01 2003 - okir@suse.de
- NFS: Release locks when process is killed (SUSE31928)
* Wed Oct 01 2003 - ak@suse.de
- Remove AIO networking support (SUSE31900)
* Wed Oct 01 2003 - ak@suse.de
- Don't enable NUMA on x86-64 UP kernels
- Make CONFIG_HISAX_AVM_A1_CS modular on both SMP and UP on x86-64
* Wed Oct 01 2003 - garloff@suse.de
- Longer SCSI timeouts on PPC64. (Sick AChip ARC765.)
* Tue Sep 30 2003 - agruen@suse.de
- Yet another pre-configured header fix.
* Tue Sep 30 2003 - ak@suse.de
- Tighten checks in AMD prefetch workarounds.
* Tue Sep 30 2003 - mantel@suse.de
- moved TAG: ul1-sp3-rc1
* Tue Sep 30 2003 - okir@suse.de
- NFS: prevent oops in silly-delete/umount race (SUSE30943)
* Tue Sep 30 2003 - okir@suse.de
- syscall auditing: fixed deadlock when logging shat/shmdt
* Tue Sep 30 2003 - duwe@suse.de
- detect xapics also for ACPI interpreter case
  (no acpi=oldboot) finally fixes SUSE19986
* Tue Sep 30 2003 - schwab@suse.de
- Reenable CONFIG_QIFACE_COMPAT on ia64 and fix missing header.
* Tue Sep 30 2003 - aj@suse.de
- Enable V1 quota for x86-64.
* Tue Sep 30 2003 - agruen@suse.de
- Some more pre-configured header fixes.
- Add Rules.modules for use by externel kernel modules (make -C
  /usr/src/linux ... only works for the modules target).
* Tue Sep 30 2003 - olh@suse.de
- update patches.ppc/ibm-ppc64-arch
  hvc_console.c can't handle future non-"hvterm1" vty devices
* Tue Sep 30 2003 - mantel@suse.de
- fix potential deadlock in microcode driver (SUSE31892)
* Mon Sep 29 2003 - olh@suse.de
- turn kdb off on iseries, disable it per default on pseries
  boot with kdb=on to get it back.
* Mon Sep 29 2003 - mantel@suse.de
- use CONFIG_QIFACE_V2 for i386, no quota compatibility mode for
  other archs
* Mon Sep 29 2003 - mantel@suse.de
- drop Aurema hooks (SUSE31874)
* Mon Sep 29 2003 - olh@suse.de
- update patches.ppc/ibm-ppc64-pblades
  remove special openpic handling, move some stuff to asm/system.h
* Mon Sep 29 2003 - mantel@suse.de
- enable CONFIG_QIFACE_COMPAT (SUSE31695)
* Mon Sep 29 2003 - mantel@suse.de
- re-add missing stuff from enable-apic patch
* Mon Sep 29 2003 - okir@suse.de
- fixed typo in previous ipv6 patch
* Mon Sep 29 2003 - olh@suse.de
- update patches.ppc/ibm-ppc64-arch
  update patches.ppc/ibm-ppc64-include
  warning fix
  Add improved idle loop for shared processors; make use of prod.
  Clean up some SMT tuning parmameters.
  Add SMT priorities which were missing.
* Mon Sep 29 2003 - okir@suse.de
- IPv6: fix ipsec6 tunnel mode - large packets would lock up the
  tunnel (SUSE30709)
* Sat Sep 27 2003 - okir@suse.de
- syscall-audit: remove useless/harmful spin lock
* Sat Sep 27 2003 - aj@suse.de
- Fix unresolved symbols in pcmcia (SUSE31620, patch by kkeil@suse.de)
* Fri Sep 26 2003 - agruen@suse.de
- Add symlink linux-include -> linux-%%ver_str-include in /usr/src
  (and linux-um-include -> linux-%%ver_str-um-include).
* Fri Sep 26 2003 - ak@suse.de
- support 32bit uids on x86-64
* Fri Sep 26 2003 - olh@suse.de
- update patches.ppc/ibm-ppc64-rtas_flash
  allow smaller firmware images
* Fri Sep 26 2003 - bk@suse.de
- log automatic shutdown on S/390(SUSE31353)
* Fri Sep 26 2003 - mantel@suse.de
- check bounds in do_brk
* Fri Sep 26 2003 - mantel@suse.de
- fix error handling in cdrom driver (SUSE31463)
* Fri Sep 26 2003 - mantel@suse.de
- allow up to 1024 mounts (SUSE31823)
* Fri Sep 26 2003 - olh@suse.de
- add patches.common/kdb-kdbm_rqueue
  check linked list in additional kdb commands
* Fri Sep 26 2003 - olh@suse.de
- enable CONFIG_KDB_MODULES=y on ppc64
* Fri Sep 26 2003 - olh@suse.de
- update patches.ppc/suse-ppc64-builtin-cmdline
  use attribute packed for the cmdline struct
* Fri Sep 26 2003 - okir@suse.de
- syscall-audit: two Opteron fixes, added sys_pciconfig_*
* Fri Sep 26 2003 - hare@suse.de
- added missing aio-poll-compile-fix.
* Fri Sep 26 2003 - hare@suse.de
- allow for multiple ticks in do_timer;
  enable it for S390 only for now.
* Fri Sep 26 2003 - olh@suse.de
- update patches.ppc/ibm-ppc64-arch
  prepare for /rtas/ibm,termno going away
* Fri Sep 26 2003 - ihno@suse.de
- integrate IBM code drop from 2003-09-18
* Fri Sep 26 2003 - ihno@suse.de
- adding defines for epoll for s390/s390x in unistd.h
- correcting __NR_epoll_wait_old-entry in x86_64 unistd.h
* Thu Sep 25 2003 - olh@suse.de
- add patches.ppc/ibm-ppc64-rtas-modules
  build rtas_flash as module (SUSE31744 - LTC4569)
  CONFIG_RTAS_FLASH,CONFIG_SCANLOG,CONFIG_RTAS_USER=m
* Thu Sep 25 2003 - aj@suse.de
- Make idecd as module SUSE31745.
* Thu Sep 25 2003 - olh@suse.de
- add patches.ppc/suse-ppc64-cut-iseries-cmdline
  use only the first line from OS400 cmdline (SUSE30978 - LTC3883)
* Thu Sep 25 2003 - schwab@suse.de
- Remove corrected errors from SAL info log once they are printed.
* Thu Sep 25 2003 - ak@suse.de
- Always declare enable_apic_up and export it. Needed to fix
  SUSE31774
* Wed Sep 24 2003 - olh@suse.de
- reenable patches.ppc/suse-ppc64-up-semaphore-sync
  fixes deadlocks in pipes
* Wed Sep 24 2003 - olh@suse.de
- update patches.common/firewire_ieee1394 (rev 1064)
  Audit copy_*_user in pcilynx.
  fix memory leak in handle_incoming_packet
  Fix for possible deadlock in nodemgr thread.
* Wed Sep 24 2003 - agruen@suse.de
- Create temporary copy of version.h in /tmp (and not in the pwd)
  to allow building external modules for read-only kernel sources.
* Wed Sep 24 2003 - aj@suse.de
- Just a marker, SuSE Linux 9.0 RC4 contains these changes (tag
  SL90-RC4).
* Wed Sep 24 2003 - ak@suse.de
- Fix patch for locking bug (SUSE31697)
* Wed Sep 24 2003 - mantel@suse.de
- fix problem where every user who can open /dev/cdrom can crash
  the kernel
* Wed Sep 24 2003 - ak@suse.de
- Fix locking bug in /proc/mdstat (SUSE31697)
* Wed Sep 24 2003 - garloff@suse.de
- Fix for SUSE31617 (lmb/andrea): md-refcount-fix
  md0 refcounting did not work as we can not increase the count on
  not-yet existing devs. The second decrease screwed us
  subsequently.
* Wed Sep 24 2003 - ak@suse.de
- Handle unreachable IO-APICs in ACPI without panic. Fix it
  for i386 and x86-64. Remove disabled processor change for
  x86-64 again. When changing IO-APIC id fails try the old one
  (still SUSE31533)
- Add comments to ACPI patches.
* Tue Sep 23 2003 - aj@suse.de
- Fix provides/obsoletes.
* Tue Sep 23 2003 - garloff@suse.de
- Fix SUSE31519: Implement idescsi_abort() function that does some-
  thing: If the command has not been sent yet, we can cleanly
  abort() and do not have to revert to bus resets.
* Tue Sep 23 2003 - mantel@suse.de
- disable CONFIG_DRM_SIS for x86_64 as well
* Tue Sep 23 2003 - schwab@suse.de
- Update SGI timer patch [SUSE30585].
* Tue Sep 23 2003 - mantel@suse.de
- disable CONFIG_DRM_SIS
* Tue Sep 23 2003 - hare@suse.de
- update lkcd-netdump-config to make netdump work (SUSE31380)
* Tue Sep 23 2003 - aj@suse.de
- Do not build libata on x86-64, it does not work.
* Tue Sep 23 2003 - mantel@suse.de
- disable libata-legacy
* Tue Sep 23 2003 - mantel@suse.de
- trim overlong new entries in pci.ids
* Tue Sep 23 2003 - ak@suse.de
- Only set up enabled processors on x86-64. Handle unsettable APIC
  IDs gratefully on x86-64 (partial fix for SUSE31533 to make it at least
  boot again)
* Tue Sep 23 2003 - mantel@suse.de
- fix locking bug in md/raid1 (SUSE23974)
* Tue Sep 23 2003 - mantel@suse.de
- add PCI IDs for Compaq NICs (SUSE31561)
* Tue Sep 23 2003 - ak@suse.de
- Fix memory corruption in sys_ioperm on x86-64 (SUSE30239, SUSE30128)
* Tue Sep 23 2003 - ak@suse.de
- Enable interupts before do_exit in oopses on x86-64
* Tue Sep 23 2003 - garloff@suse.de
- patches.common/ide-scsi-noreset-bug: workaround to avoid Oops
  in ide-scsi error handling. [SUSE31519]
* Tue Sep 23 2003 - ak@suse.de
- Don't save state for entering S5 (SUSE31066)
* Tue Sep 23 2003 - ak@suse.de
- Don't apply acpi-origirq on IA64 again
- Fix bogus memset in sk98lin 6.17 (SUSE29459)
* Mon Sep 22 2003 - olh@suse.de
- update patches.common/usb-storage-fixes
  add workaround for teac floppy, fix uninitialized variable
* Mon Sep 22 2003 - olh@suse.de
- update patches.common/seq-file-interrupts
  count interrupts in /proc/stat for vmstat (SUSE31457 - LTC4485)
* Mon Sep 22 2003 - garloff@suse.de
- 386/x86_64 configs: Disable CONFIG_FB_SIS: It uses floating
  point in kernel.
* Mon Sep 22 2003 - okir@suse.de
- syscall-audit:
  o patch for the filter handling problem (SUSE31194)
  o fixed LTP FAILs caused enabling audit
* Mon Sep 22 2003 - okir@suse.de
- Enabled system call audit patch for x86_64
* Mon Sep 22 2003 - garloff@suse.de
- SUSE31548 (LTC 4521): Never ever merge requests if we exceed the
  maximum number of scatter-gather segments that fit into a page
  on the respective arch.
* Mon Sep 22 2003 - ak@suse.de
- Use acpi-tolerate on x86-64 too
* Mon Sep 22 2003 - mantel@suse.de
- fix potential memleak in procfs
* Mon Sep 22 2003 - mantel@suse.de
- add help text for CONFIG_RASHOOKS
* Mon Sep 22 2003 - hare@suse.de
- Disable /proc/interrupts for S390.
* Mon Sep 22 2003 - agruen@suse.de
- Don't include hostname substitute in the resulting package.
- Set file modes of linux-%%ver_str-include/* to a=rX (had
  directories that were unreadable before).
* Mon Sep 22 2003 - hare@suse.de
- S390: Moved timer-patch to the end to avoid clashes with
  dynamic-timeslice patch.
* Mon Sep 22 2003 - mantel@suse.de
- disable libata-legacy
* Mon Sep 22 2003 - ak@suse.de
- Don't fall back to ACPI PIC mode on true SMP boxes, add acpi=tolerant
  (SUSE31209, potentially SUSE30577)
* Mon Sep 22 2003 - ak@suse.de
- Update x86-64 wrap32 patch
* Sun Sep 21 2003 - schwab@suse.de
- Revert last change, ia64 already used seqfile for a long time.
* Sun Sep 21 2003 - olh@suse.de
- update patches.common/seq-file-interrupts
  update patches.ia64/sgi-proc-interrupts
  use seqfile also on ia64
* Sun Sep 21 2003 - olh@suse.de
- update patches.ppc/ppc64-e1000-ioaccess
  dont stuff pointers in int (SUSE29087 - LTC3951)
* Sun Sep 21 2003 - olh@suse.de
- update patches.common/seq-file-interrupts
  remove patches.ppc/ibm-ppc64-large_interrupts
  use seqfile for /proc/interrupts on x86,s390,ppc64
  (SUSE31457 - LTC4485 / SUSE31489 - LTC4488)
* Sun Sep 21 2003 - olh@suse.de
- disable patches.ppc/ibm-ppc64-semaphore-deadlock
  removes syncs across cpus (SUSE30195 - LTC4271)
* Sat Sep 20 2003 - olh@suse.de
- update patches.common/usb-2.4
  [PATCH] USB: unusual device fixup for the Y-E floppy drive.
* Fri Sep 19 2003 - agruen@suse.de
- Re-add check of "$1" (number of package instances) to post.sh:
  The check _is_ important, in fact it is essential during initial
  installation.
* Fri Sep 19 2003 - schwab@suse.de
- Fix breakage from scheduler patch.
* Fri Sep 19 2003 - mantel@suse.de
- added some ISDN fixes
* Fri Sep 19 2003 - okir@suse.de
- Updated audit patch
* Fri Sep 19 2003 - mantel@suse.de
- adapt libata-legacy for new libata version (not yet active)
* Fri Sep 19 2003 - mantel@suse.de
- link dprobes.o, tracer.o and dump.o into the debug kernel (SUSE31112)
* Fri Sep 19 2003 - mantel@suse.de
- nfs-device-setattr was not active in series.conf (SUSE31366)
* Fri Sep 19 2003 - ak@suse.de
- Enable VIA SATA libata module in for x86-64
* Fri Sep 19 2003 - olh@suse.de
- update patches.ppc/ibm-ppc64-arch
  add patches.ppc/ibm-ppc64-drivers-pseries-vio
  update patches.ppc/ibm-ppc64-include
  Don't throw out our own stack segment in do_slb_bolted/make_slbe
  Fix ppc64 Makefile for cross-compilations with biarch gcc.
  Turn off RI when not recoverable.
  Add infrastructure supporting a virtual bus, including
  finding devices in the device tree and managing TCE tables.
  Also add the ibmveth driver.
  Add ibmveth to configs & makefiles
  Changes in inline asm to enable gcc3.3.1 to compile the kernel.
  ttyS2/ttyS3 ioport and irq settings set to better defaults on pSeries
* Fri Sep 19 2003 - ak@suse.de
- Fix iommu=memaper=... parsing on x86-64
* Fri Sep 19 2003 - agruen@suse.de
- Need some more files in the preconfigured header copies.
- Fake up hostname in preconf headers.
* Fri Sep 19 2003 - agruen@suse.de
- patches.common/{reiserfs-laptop-mode,reiserfs-search-restart}:
  add by request of Chris Mason <mason@suse.de>.
* Fri Sep 19 2003 - agruen@suse.de
- patches.common/reiserfs-xattr-ctime: Tentative fix for SUSE31333
  (Reiserfs doesn't update inode ctime for xattr/acl operations).
* Thu Sep 18 2003 - agruen@suse.de
- Another fix in the code that pulls in scsi_mod and sd_mod when
  they are needed. (This wouldn't trigger in all "reasonable"
  situations.)
- Mark files generated by depmod with %%verify(not md5 size mtime).
- Put kernel version string in /.kernelversion (needed for
  %%strict_preconf).
- In the /lib/modules/scripts directory, only try to execute
  regular files.
- Really include Kerntypes if it exists.
- Add %%strict_preconf option (disabled for now): This moves away
  /usr/src/linux and /usr/src/linux-%%ver_str while external
  modules are built. This ensure that they will access the kernel
  sources only via /lib/modules/`uname -r`/build.
- Pass $1 (number of instances of package) to trigger scripts.
- Don't touch /lib/modules/%%ver_str/modules.dep after running the
  %%post trigger scripts. Rather, check if any files below
  /lib/modules/%%ver_str/ are newer than modules.dep, and call
  depmod if so.
- Remove unnecessary check of "$1" (number of package instances)
  from post.sh.
- Make sure no files end up in the files list more than once.
* Thu Sep 18 2003 - olh@suse.de
- update kdb-v2.3-2.4.19-common-4-drivers
  do not entered KDB with Pause/Break key on ppc (SUSE31326 - LTC4456)
* Thu Sep 18 2003 - olh@suse.de
- update patches.ppc/ibm-ppc64-rtas_user
  use unsigned int instead of uint
* Thu Sep 18 2003 - mantel@suse.de
- fix o1 scheduler load balancing
* Thu Sep 18 2003 - olh@suse.de
- update patches.ppc/ibm-ppc64-drivers-iseries
  add viocons patch, sysrq supported, bugfixes
* Thu Sep 18 2003 - mantel@suse.de
- make hot-adding of devices work again
* Thu Sep 18 2003 - agruen@suse.de
- Fix rpm/cpio problem with preconfigured headers (hardlinks to
  files with size 0). Enable preconfigured headers for all
  %%suse_versions.
* Thu Sep 18 2003 - mantel@suse.de
- fix problem with set_ioapic_affinity() (SUSE28666)
* Thu Sep 18 2003 - schwab@suse.de
- Fix signedness bug in nr_free_buffer_pages, from Andrea.
* Thu Sep 18 2003 - ak@suse.de
- Don't check for Prefetch on LDT code segments on i386/x86-64
* Thu Sep 18 2003 - ak@suse.de
- Add more Nforce3 IDE PCI IDs
* Thu Sep 18 2003 - mantel@suse.de
- fix ide-scsi initialization lockup
- fix ide-tape lock up
* Wed Sep 17 2003 - agruen@suse.de
- In %%post, call mk_initrd as a fallback to mkinitrd if the latter
  does not exits. If neither of them exists, only print a warning.
* Wed Sep 17 2003 - agruen@suse.de
- Fix CONFIG_DUMP check, and check if the Kerntypes file gets
  created instead. Do so in a way so that the result is still
  available in the %%files section ...
* Wed Sep 17 2003 - agruen@suse.de
- Remove hack with empty.tar.gz with something better.
- Add /boot/Kerntypes-%%ver_str from LKCD whenever it exists.
- Remove xfs_support and xfs_dmapi from INITRD_MODULES if they
  still exist, instead of warning only.
- Make sure scsi_mod and sd_mod are only appended to
  INITRD_MODULES once.
- Fix corruption of /etc/sysconfig/kernel (or /etc/rc.config)
  when INITRD_MODULES is empty in update_rcfile_setting.sh
  (#30310).
- Retain file mode of /etc/sysconfig/kernel (or /etc/rc.config)
  when modifying (#30311).
- Skip building of external modules if the file skip-km exists.
- If pre-configured kernel headers are found, make
  /lib/modules/`uname -r`/build point to them.
- Create directory for kernel override modules.
- Hide output of `make dep', and only print the tail of the
  output if that command fails.
- Add directory /lib/modules/scripts: Upon %%pre, %%preun, %%post,
  and %%postun, each executable in that directory is called in turn
  with $1={--pre|--preun|--post|--postun} and $2=%%ver_str.
  The return values of the scripts are ignored.
- Another fix in the code that pulls in scsi_mod and sd_mod when
  they are needed. (This wouldn't trigger in all "reasonable"
  situations.)
- Re-add kernel configuration file with which the kernel was built.
- Call mkinitrd by its absolute path.
* Wed Sep 17 2003 - okir@suse.de
- NFS: chmod/chown didn't work on device files.
* Wed Sep 17 2003 - olh@suse.de
- update patches.ppc/ibm-ppc64-drivers-iseries
  convert /proc/iSeries/viodasd. to seqfile, avoids buffer overflow
  with many virtual disks (SUSE28664 - LTC3888)
* Wed Sep 17 2003 - ak@suse.de
- Blacklist Compaq Evo N600C to not enable ACPI (SUSE27131)
* Wed Sep 17 2003 - mantel@suse.de
- ALSA update:
- fixed via823x fixed rate problem.
- fixed the zero-read bug with rate converter.
- added enable_mpu option to es1968.  also, a blacklist for mpu is
  added, too.  a bit clean up of the code.
* Wed Sep 17 2003 - garloff@suse.de
- Don't apply dynamic-timeslice in S390 as it fails.
* Wed Sep 17 2003 - ak@suse.de
- When maxcpus=0 is specified disable the APIC early on x86-64
- Fix SMP kernel dummy APIC emulation in smpboot for x86-64 and i386:
  the process timer must be driven from the 8253 in this case
- Export int_ret_from_sys_call as novers (x86-64)
* Wed Sep 17 2003 - schwab@suse.de
- Fix dynamic-timeslice so that it compiles.
* Wed Sep 17 2003 - olh@suse.de
- disable CONFIG_KDB_USB until kdb/hid is fixed
* Wed Sep 17 2003 - ak@suse.de
- Fix fallback to normal PCI scanning when ACPI fails on x86-64
* Wed Sep 17 2003 - ak@suse.de
- Add noapic option to enable-apic-up and minor cleanup
- Add infrastructure to force APIC in DMI and overwrite it.
- Add DMI entry to force APIC for Shuttle Fx41 (SUSE30708)
* Wed Sep 17 2003 - ak@suse.de
- Fix "apic" on x86-64
* Wed Sep 17 2003 - ak@suse.de
- Use the BIOS assigned interrupt in ACPI if possible.
- Fix ACPI handling of "noapic" and "nolocalapic" on x86-64
- Increase number of proc inodes (potential fix for SUSE31092)
- Add AGP support for nforce3 (only partly tested)
- Rediff ide-noforce3
- Work around K8 compatibility mode page fault reporting issue
- Fix acpi_disabled __initdata bug for IA64 too
* Wed Sep 17 2003 - agruen@suse.de
- Fix another kgdb <=> kdb false dependency in config files.
- Re-enable kdb in k_debug kernel.
* Tue Sep 16 2003 - garloff@suse.de
- Split dynamic-timeslice off dynamic-hz: The first can be enabled
  on all archs.
- Reenable sched-o1-fork-interactive-balance. Benchmarks look good.
* Tue Sep 16 2003 - agruen@suse.de
- Disable preconfigured headers if %%suse_version <= 810.
* Tue Sep 16 2003 - olh@suse.de
- update patches.ppc/ibm-ppc64-pseries-surveillance-default
  real fix for surveillance related reboots (SUSE30696 - LTC4380)
* Tue Sep 16 2003 - olh@suse.de
- update patches.ppc/ibm-ppc64-arch
  Fix for iSeries native I/O interrupts.
  Missed in the large IRQ merge. (SUSE30713 - LTC4401)
* Tue Sep 16 2003 - garloff@suse.de
- Allow kgdb and kdb to coexist.
* Tue Sep 16 2003 - hare@suse.de
- Marked patches.common/smp-timers-virtual-fix as
  S390 only.
* Tue Sep 16 2003 - hare@suse.de
- add patches.common/smp-timers-virtual-fix
  Allow more than one system-tick per invocation.
- add patches.s390/s390-smp-timer-fix
  Fix timer interrupt to schedule timer-processes correctly.
- add patches.s390/s390-use-local-timer
  Use run_local_timers() instead of run_all_timers()
- Modify patches.s390/qeth-async.diff
  Proper inline statement for functions
* Tue Sep 16 2003 - mantel@suse.de
- fixed the OSS capture on via82xx.
* Tue Sep 16 2003 - olh@suse.de
- add patches.ppc/ibm-ppc64-pseries-surveillance-default
  disable surveillance on pseries unless specified on cmdline
  workaround until real fix arrives (SUSE30696 - LTC4380)
* Tue Sep 16 2003 - mantel@suse.de
- activate preconfigured headers
* Tue Sep 16 2003 - mantel@suse.de
- ALSA update:
- added PCM_TSAMP ioctl entry for ioctl32 wrapper.
- fixed the signed type of 8bit PCM on USB.
- fixed the warnings of make dep with module version.
* Tue Sep 16 2003 - schwab@suse.de
- Build SCSI modular on ia64.
* Tue Sep 16 2003 - olh@suse.de
- add patches.ppc/ibm-ppc64-pseries-hvc-kdb-snoop
  enter kdb via startKDB also on pseries hvc console (SUSE30930 - LTC4341)
* Tue Sep 16 2003 - mantel@suse.de
- add #ifdef __KERNEL__ to include/kiovec.h
* Tue Sep 16 2003 - schwab@suse.de
- More fixes for lkcd on UP configurations.
* Tue Sep 16 2003 - garloff@suse.de
- Add bitflag to scsi_host structure allowing a host adapter to
  prevent usage of REPORT_LUNS[SUSE20760]. Needed for zfcp (S390).
* Mon Sep 15 2003 - okir@suse.de
- NFS: be less aggressive about retransmits and growing/shrinking
  the congestion window (nfs-less-aggressive-timeouts) (SUSE30480)
* Mon Sep 15 2003 - ak@suse.de
- Another fix for acpi-apic-up
* Mon Sep 15 2003 - ak@suse.de
- Make acpi-apic-up IA32 only
* Mon Sep 15 2003 - agruen@suse.de
- Preconf fixes for uml.
* Mon Sep 15 2003 - okir@suse.de
- IPv6: got rid of annoying "changed default router" syslog message
* Mon Sep 15 2003 - mantel@suse.de
- update libata to 0.71
* Mon Sep 15 2003 - agruen@suse.de
- Add proposal for pre-configuring kernel sources, so that when
  the kernel-source package is installed, the headers and config
  files of the running kernel will always be accessible through
  /lib/modules/`uname -r`/build.
* Mon Sep 15 2003 - ak@suse.de
- Don't mark acpi_disabled __initdata (SUSE30477)
* Mon Sep 15 2003 - ak@suse.de
- Skip MADT ACPI setup when UP APIC is not active (SUSE30577)
* Mon Sep 15 2003 - mantel@suse.de
- ALSA update:
- give different pci name strings for ens1370 and ens1371.
- fixed the surrounds on m-audio revolution.
- fixed partial transfer on oss pcm emulation.
- added new entries for hwdep iface enum.
* Mon Sep 15 2003 - olh@suse.de
- CONFIG_SD_MAX_MAJORS=144 on ppc64
* Mon Sep 15 2003 - mantel@suse.de
- don't use floating point in epic100 driver
* Mon Sep 15 2003 - olh@suse.de
- add patches.common/scsi-proc-stat-sysstat
  report more scsi disks in /proc/stat (SUSE25794 - LTC2226)
* Mon Sep 15 2003 - okir@suse.de
- Updated audit patch, added x86_64 support from IBM
* Mon Sep 15 2003 - mantel@suse.de
- re-add libata now that legacy problems appear to be fixed
* Mon Sep 15 2003 - schwab@suse.de
- Fix breakage from last change.
* Mon Sep 15 2003 - andrea@suse.de
- patches.common/softirq-nowait: disable the anti-DoS fix
  tested on some embedded platforms, to avoid regressions due
  softirq delays
- Fixed a dynamic-hz 0.5*HZ bug spotted with -mfloat-store in
  amd8111e.c on x86-64
* Sun Sep 14 2003 - garloff@suse.de
- patches.common/cpufreq-k8: CONFIG_CPU_FREQ_TABLE and
  CONFIG_CPU_FREQ_GOV_USERSPACE are bools since 2003-09-09
  00:02:41 CEST change.
* Sun Sep 14 2003 - agruen@suse.de
- patches.common/jfs-dtree-fix: Possible trap/data loss when
  fixing directory index table.
* Sun Sep 14 2003 - aj@suse.de
- pdc-ultra driver is 32-bit only, disable it on x86-64 and ia64.
* Sat Sep 13 2003 - aj@suse.de
- Fix cpufreq module settings.
* Fri Sep 12 2003 - ak@suse.de
- fix compilation on x86-64
* Fri Sep 12 2003 - andrea@suse.de
- compile x86 and x86-64 with -msoft-float to be 100%% sure no buggy
  driver is using the fpu (this will also be able to catch stuff
  like schedule_timeout(0.1*HZ) )
* Fri Sep 12 2003 - andrea@suse.de
- workaround the melody crashes with k_numa and dynamic-hz
- roundup when converting from/to USER_HZ
- limit HZ to multiple and divisors of USER_HZ so the divisions are
  accurate and the code is simpler and faster
- auto initialize init_HZ if get_hz is called with __HZ = 0
* Fri Sep 12 2003 - ak@suse.de
- Don't clear IO APIC pins that are needed for SMI (SUSE30584)
* Fri Sep 12 2003 - ak@suse.de
- Don't change ACPI SCI settings when the MADT has no SCI override
  (SUSE30198)
* Fri Sep 12 2003 - schwab@suse.de
- In epoll_wait wrapper fall back to __get_free_pages when kmalloc fails.
* Fri Sep 12 2003 - schwab@suse.de
- Fix seqfile patch so that it applies.
* Fri Sep 12 2003 - ak@suse.de
- Add Nforce3 IDE support
* Fri Sep 12 2003 - schwab@suse.de
- Fix mmap on /dev/mem wrt to uncached accesses [SUSE30590].
* Fri Sep 12 2003 - okir@suse.de
- IPv6: don't ignore redirects without TLL (SUSE28516)
- IPv6: don't use router after its lifetime expired (SUSE28515)
- IPv6: fixed another bug in the handling of NS packets (SUSE28501, SUSE28499)
- IPv6: handle PKT_TOOBIG messages with MTU < MIN_MTU according to spec (SUSE28546)
- IPv6: fix handling of Router flag in NA packet (SUSE28514)
* Fri Sep 12 2003 - mantel@suse.de
- make vlan (802.1q) work with tulip cards (SUSE28403)
* Fri Sep 12 2003 - mantel@suse.de
- fix three instances of "-NODEV" which should be "-ENODEV"
* Fri Sep 12 2003 - mantel@suse.de
- use seqfile for reading /proc/interrupts. On large boxes, the
  output of "cat /proc/interrupts" exceeds one page, thus corrupting
  memory (SUSE30591)
* Fri Sep 12 2003 - mantel@suse.de
- disable broken libata completely
* Fri Sep 12 2003 - ak@suse.de
- Clear trailing padding in 32bit statfs on x86-64
- Default to noapic on x86-64/UP when Nvidia or VIA PIC bridges
  are in the system
- Quiten some noisy startup messages
* Fri Sep 12 2003 - ak@suse.de
- Disable libata-legacy for now
- Disable automatic hardware probing for libata
* Thu Sep 11 2003 - schwab@suse.de
- Fix nr_free_buffer_pages to only count local zones on each node
  [SUSE29186].
* Thu Sep 11 2003 - ak@suse.de
- More x86-64 config fixes: enable missing ISDN and lmsensors
  modules
* Thu Sep 11 2003 - agruen@suse.de
- No more test build. The real test is whether the k_*
  packages will build, anyway.
- patches.common/err-if-unconfigured: Install a dummy file
  include/linux/version.h file which errors, so that people
  know how to configure the kernel first.
- Do not pre-configure the kernel sources anymore: Users are
  expected to do a ( make cloneconfig ; make dep ) inside
  /usr/src/linux/ before building third party modules, etc.
* Thu Sep 11 2003 - ak@suse.de
- More config fixes for x86-64
* Thu Sep 11 2003 - ak@suse.de
- Reenable cpufreq for x86-64 default kernel
* Thu Sep 11 2003 - schwab@suse.de
- Two fixes for perfmon from maintainer.
* Thu Sep 11 2003 - olh@suse.de
- update patches.common/dynamic-hz
  remove floating point usage in tulip driver
  compilation fixes for ppc64, leave it disabled on ppc
* Thu Sep 11 2003 - olh@suse.de
- update patches.common/kdb-output-noredirect
  redirect only if CONFIG_VT
* Thu Sep 11 2003 - mantel@suse.de
- update e1000 driver to 5.2.16
* Thu Sep 11 2003 - mantel@suse.de
- update e100 driver to 2.3.27
* Thu Sep 11 2003 - mantel@suse.de
- add NEC iStorage to scsi-scan blacklist
* Thu Sep 11 2003 - olh@suse.de
- add patches.ppc/ibm-ppc64-rtasd_cpu
  migrade event-scan thread to all cpus (SUSE30290 - LTC4294)
* Thu Sep 11 2003 - mantel@suse.de
- fix machine freeze in agpgart-nvidia (SUSE30086)
* Thu Sep 11 2003 - schwab@suse.de
- Add config/ia64/page-64k.
* Thu Sep 11 2003 - agruen@suse.de
- Remove obsolete patch patches.common/uml-config-desktop-fix.
* Wed Sep 10 2003 - okir@suse.de
- audit: 64bit arguments were truncated to 32bit (SUSE30277)
* Wed Sep 10 2003 - agruen@suse.de
- Disable patches.common/reiserfs-jh-suse for now, it seems to be
  racey according to Chris Mason <mason@suse.com>.
* Wed Sep 10 2003 - ak@suse.de
- Add workaround for Athlon/Opteron prefetch errata to i386 and x86-64
* Wed Sep 10 2003 - ak@suse.de
- Pass acpi_link_allocate errors up for proper fallback
* Wed Sep 10 2003 - schwab@suse.de
- Throttle fpswa messages.
* Wed Sep 10 2003 - hare@suse.de
- s390: added qeth-async.diff for handling potential stack-overflows
  with the qeth driver. Removed old version qeth-inline.
* Wed Sep 10 2003 - olh@suse.de
- update patches.ppc/ibm-ppc64-arch
  Add a couple new HV return codes.
  Fix for a miscalculation in the size of a kernel,
  resulting in zImage kernels not booting.
* Wed Sep 10 2003 - ak@suse.de
- Disable OCFS for x86-64
* Wed Sep 10 2003 - mantel@suse.de
- don't oops when boot splash image cannot be found
* Wed Sep 10 2003 - mantel@suse.de
- check whether UML fault injection command is called with wrong
  arguments
* Wed Sep 10 2003 - mantel@suse.de
- fix proc_mm.c to use new internal __do_mmap2 interface
* Wed Sep 10 2003 - schwab@suse.de
- Fix missing export for CONFIG_HOTPLUG_PCI_ACPI and enable it.
* Wed Sep 10 2003 - mantel@suse.de
- re-enable CONFIG_HOTPLUG_PCI_ACPI on x86
* Wed Sep 10 2003 - agruen@suse.de
- struct ipt_psd_info is in units of HZ, so SCAN_DELAY_THRESHOLD
  must not also include HZ.
* Wed Sep 10 2003 - ak@suse.de
- Drop no ACPI/APIC fallback patch again for x86-64
* Wed Sep 10 2003 - ak@suse.de
- Add handling of legacy mode in ICH5 SATA controller for libata
* Wed Sep 10 2003 - mantel@suse.de
- allow netdump to be configured for lkcd
* Wed Sep 10 2003 - mantel@suse.de
- enable CONFIG_SCSI_CONSTANTS
* Wed Sep 10 2003 - andrea@suse.de
- Merge hotfix in dynamic hz.
* Wed Sep 10 2003 - agruen@suse.de
- Fix typo in dynamic-hz that breaks x86_64.
* Wed Sep 10 2003 - ak@suse.de
- Add acpi=nosci option to not override the ACPI SCI
- Add DMI entry for Tyan board that needs this
- When ACPI init fails on x86-64 disable apic mode.
* Tue Sep 09 2003 - ak@suse.de
- Disable PATA and ATAPI in libata
* Tue Sep 09 2003 - agruen@suse.de
- Another dynamic-hz fix in include/linux/ata.h.
* Tue Sep 09 2003 - ak@suse.de
- Disable libata for x86-64
* Tue Sep 09 2003 - agruen@suse.de
- Fix redefinition of CLOCKS_PER_SEC.
* Tue Sep 09 2003 - ak@suse.de
- Update x86-64 config files for dynamic HZ.
* Tue Sep 09 2003 - agruen@suse.de
- Add patches.common/static-hz for architectures that don't
  use patches.common/dynamic-hz (yet).
* Tue Sep 09 2003 - garloff@suse.de
- Make scsi logging UNLIKELY and enable in all configs.
* Tue Sep 09 2003 - andrea@suse.de
- Merge x86-64 dynamix-hz hotfix
- Fix libata compile problem with dynamic-HZ
- Export __HZ as ____HZ to prevent the segfaults for the x86-64
  vsyscalls.
* Tue Sep 09 2003 - hare@suse.de
- patches.common/90_s390x-aa-3: Removing unnecessary #define
  as it is handled by default (SUSE26638).
- patches.common/90_s90-aa-4: Ditto.
- Disabled reboot-smp.diff as it should be handled by the
  above fixes.
* Tue Sep 09 2003 - okir@suse.de
- syscall-audit: patch to avoid thundering-herd with processes
  waiting to queue an audit message (SUSE30191)
* Tue Sep 09 2003 - mantel@suse.de
- allow for the max in-flight sector count to be tuned via elvtune
* Tue Sep 09 2003 - mantel@suse.de
- add libata driver
* Tue Sep 09 2003 - olh@suse.de
- update patches.common/usb-2.4
  USB: fix oops when yanking a usb-serial device from the system
  with the port still opened.
  USB: fix copy_from_user call in acm.c
  USB: fix copy_from_user call in aiptek.c
  USB: fix copy_to_user call in uhci-debug.h
  USB: fix copy_to_user call in mdc800 driver
  USB: remove duplicated copy_from_user call in stv680 driver
  USB: fix copy_to_user calls in vicam driver.
  [PATCH] unusual_devs.h entry
* Tue Sep 09 2003 - ak@suse.de
- Fix ACPI power off (SUSE30068)
- Ignore failed ACPI ECDT initialization
- Fix fallback path for failed acpi bus init
* Tue Sep 09 2003 - hare@suse.de
- patches.common/linux-2.4.21-path-walk-inline: really inline
  functions.
- patches.common/90_s390-aa-4: fix finish_arch_switch to use
  spin_unlock_irq instead of spin_unlock (!) (SUSE26638).
- patches.common/90_s390x-aa-3: Ditto:
* Tue Sep 09 2003 - garloff@suse.de
- vesafb: Use video_size from setup info rather than calculating.
* Tue Sep 09 2003 - garloff@suse.de
- patches.common/vesafb-video_size: fix video_size calculation.
* Tue Sep 09 2003 - schwab@suse.de
- Fix 32bit wrapper for epoll_wait.
* Tue Sep 09 2003 - agruen@suse.de
- patches.common/dynamic-hz-hotfix: Compile fixes for dynamic-hz
  on x86_64.
* Tue Sep 09 2003 - olh@suse.de
- add patches.ppc/ibm-ppc64-pblades-serial
  update pblades patch, more workarounds
* Tue Sep 09 2003 - agruen@suse.de
- Fix typo: dynamic-hz was not being applied on x86_64.
* Tue Sep 09 2003 - garloff@suse.de
- patches.common/cpufreq-2.4.22-pre6-2: CPUfreq update, including
  support for new chipsets, including Centrino SpeedStep.
* Mon Sep 08 2003 - olh@suse.de
- add patches.common/kdb-LOG_BUF_LEN
  kdb dmesg command did not work after dynamic log_buflen change
  (SUSE30273 - LTC4290)
* Mon Sep 08 2003 - garloff@suse.de
- Set microcode driver license to GPL again.
* Mon Sep 08 2003 - mantel@suse.de
- update megaraid2 driver to v2.00.8
* Mon Sep 08 2003 - mantel@suse.de
- allow the filesystem write_super function to leave s->s_dirt set
* Mon Sep 08 2003 - schwab@suse.de
- Add epoll syscalls to <asm/unistd.h> [SUSE28630].
* Mon Sep 08 2003 - mantel@suse.de
- ALSA update:
- fixed another pnp wrapper bug.
- fixed Makefile dependency of snd-ioctl32
- clean up: removed unnecessary inclusion of header files.
- use CIV for tracing the current position on intel8x0 driver.
- added DXS channel check to via82xx driver.
- fixed the handling of EPIPE and ESTRPIPE on pcm-oss emulation.
- fixed isa-pnp configuration on AWE32 and Opti9x.
- fixed overlap of buffer-pointer on emu10k1 FX8010 PCM.
- added a quirk for USB Midiman Omni.
- fixed swapped channels on PMac DACA.
- fixed the stack usage on trident driver.
- fixed sample-rate on nForce SPDIF.
* Mon Sep 08 2003 - schwab@suse.de
- Make sure bigpages can't be enabled when not supported [SUSE29346].
* Mon Sep 08 2003 - schwab@suse.de
- Readd patch from SUSE21748 to fix gettimeofday.
* Mon Sep 08 2003 - olh@suse.de
- update patches.common/firewire_ieee1394
  add missing vmalloc.h in raw1394.c
* Mon Sep 08 2003 - okir@suse.de
- Added patch from Krishna Kumar to fix MIPv6 crash (SUSE30001)
* Mon Sep 08 2003 - stepan@suse.de
- new bootsplash-update: fixed "setting to SUSE65536" bug and repaint
  progress bar when setting it to smaller values.
* Mon Sep 08 2003 - agruen@suse.de
- Switch from config-desktop to dynamic-hz.
* Mon Sep 08 2003 - schwab@suse.de
- Add fixes for >32 cpus.
* Mon Sep 08 2003 - agruen@suse.de
- Back out patches.common/sched-o1-fork-interactive-balance.
* Mon Sep 08 2003 - agruen@suse.de
- Chris Mason <mason@suse.de>: reduce bkl contention caused by
  blkdev_put.
* Sun Sep 07 2003 - agruen@suse.de
- patches.common/rpcsvc-multihome-fix: Fix 64-bit alignment bug
  (SUSE30187). Clean up.
* Sun Sep 07 2003 - olh@suse.de
- update patches.ppc/ibm-ppc64-kdb-updates
  surveillance is only available on pseries
* Sun Sep 07 2003 - ak@suse.de
- Reduce kernel stack printed on x86-64 oopses.
* Sun Sep 07 2003 - agruen@suse.de
- patches.common/alsa-seq-mappers: Unresolved symbol seq_mappers:
  Need seq32.o in snd-ioctl32.o if CONFIG_SND_SEQUENCER != n.
* Sun Sep 07 2003 - aj@suse.de
- Build SCSI modular on AMD64.
* Sat Sep 06 2003 - ak@suse.de
- Pass full __SI_POLL data to user space (SUSE29362)
* Sat Sep 06 2003 - aj@suse.de
- Add module license to k8 powernow driver.
* Sat Sep 06 2003 - olh@suse.de
- update patches.common/firewire_ieee1394 (rev 1050)
* Sat Sep 06 2003 - olh@suse.de
- add patches.ppc/ibm-ppc64-pblades
  patches.ppc/ibm-ppc64-pblades-tg3
  initial support for powerblades
* Sat Sep 06 2003 - olh@suse.de
- add patches.ppc/ibm-ppc64-eeh_rtas
  provides procfs interfaces which allow tools to retrieve EEH
  diagnostic information via RTAS calls.
* Sat Sep 06 2003 - olh@suse.de
- add patches.ppc/ibm-ppc64-kdb-surveillance_timeout
  tune the service processor surveillance timeout from within kdb
* Fri Sep 05 2003 - olh@suse.de
- add patches.ppc/suse-ppc64-rtas_static
  do not build rtas helpers as modules
* Fri Sep 05 2003 - olh@suse.de
- update patches.ppc/ibm-ppc64-arch
  Remove xmon call from do_stab_bolted in head.S.
* Fri Sep 05 2003 - olh@suse.de
- add patches.ppc/ibm-ppc64-rtas_flash
  improve firmware uploading on pseries
* Fri Sep 05 2003 - olh@suse.de
- add patches.ppc/ibm-ppc64-qla2xx-6.06-6.07.patch
  initial support for ppc64, removes some of the changes
  needs some cleanup
* Fri Sep 05 2003 - olh@suse.de
- add patches.common/ppc64-pci-scan-all-functions
  scan all pci functions if func 0 does not exist
  required for LPAR systems when func 0 and func n belong to
  different partitions
* Fri Sep 05 2003 - schwab@suse.de
- Update sgi patches.
* Fri Sep 05 2003 - olh@suse.de
- add patches.ppc/ibm-ppc64-rtas_user
  allow userland application to cal RTAS on pseries
* Fri Sep 05 2003 - agruen@suse.de
- Add recent ext3 fixes:
  + patches.common/ext3-brelse-fix: ext3_read_inode() race fix.
  + patches.common/ext3-quota-truncate: Fixes quota/truncate oops.
  + patches.common/write-retval-64bit: Correct 64-bit write system
  call assignment.
- Adjust patches.common/xattr-ext3 (now xattr-ext3-2).
* Fri Sep 05 2003 - ihno@suse.de
- remove two assembler instructions in patches.common/syscall-audit
  that cause strace (and audit) to fail (on s390x).
* Fri Sep 05 2003 - ak@suse.de
- Fix unresolved symbols in PDC ultra driver
* Fri Sep 05 2003 - ak@suse.de
- Fix acpi=off crash
* Fri Sep 05 2003 - stepan@suse.de
- Fix crashing bootsplash in some cases. Unify error messages.
* Fri Sep 05 2003 - aj@suse.de
- Fix typo in k8 powernow driver.
* Fri Sep 05 2003 - olh@suse.de
- update patches.ppc/ibm-ppc64-arch
  update patches.ppc/ibm-ppc64-include
  Rework irq infrastructure to use more abstract interfaces.
  Remove excess asm instr, per suggestion from Hollis.
  Add base support for SMT processors.
  Add IRQ tree which supports up to 2^24 physical interrupt lines.
  Remove previous IRQ virtualization mechanism.
  Port of the ppc32 Altivec base support to ppc64.
  add support for rtas_extended_busy to pseries_get_boot_time
  and pseries_get_rtc_time
  fixed bug that allowed userland to write to kernel address
  Upcoming partition firmware requires the use of the ibm,phandle
  property for matching device nodes.
  Add a new field in device_node to contain this data.
  Update cputable data to include Power5 and new firmware features.
  obsoletes patches.ppc/ibm-ppc64-cpu_defines
  obsoletes patches.ppc/ibm-ppc64-iseries-protect-kernelspace
  obsoletes patches.ppc/ibm-ppc64-vmx-altivec
  update patches.common/02-rashooks.diff to apply again
* Fri Sep 05 2003 - mantel@suse.de
- fix small compilation problem in acpi-dmi
* Fri Sep 05 2003 - ak@suse.de
- fix ACPI SCI selection for x86-64 and i386
* Fri Sep 05 2003 - schwab@suse.de
- Fix overflow during SRAT scanning [SUSE29290].
* Fri Sep 05 2003 - olh@suse.de
- update patches.common/usb-2.4
  [PATCH] USB: Another unusual_devs.h entry update
  [PATCH] USB: ftdi_sio - tidy up write bulk callback
  [PATCH] USB: backport usbfs 'disconnect'
  [PATCH] USB: acm.c update for new devices
  USB: fix up a bunch of copyrights that were incorrectly declared.
  [PATCH] USB: add Garmin iQue support to visor driver
  [PATCH] USB: fix data toggle problem for pl2303 driver.
  USB: update usb-serial.h with spelling fixes and get and set functions
  USB: backport some pl2303 B0 fixes.
* Fri Sep 05 2003 - olh@suse.de
- reenable patches.common/binfmt-misc-filename
  add patch for other 32bit compat archs (SUSE24290)
* Fri Sep 05 2003 - agruen@suse.de
- nfsd patches from/via Neil Brown:
  + patches.common/nfsd-locking-fix: Lock client list while
  detaching locks.
  + patches.common/nfsd-double-delete: Additional checks.
  + patches.common/nfsd-rename-nohide: Trivial rename.
  + patches.common/lockd-purge-host: When stopping server-side NFS,
  or deleting a client (NFSCTL_DELCLIENT), lockd fails to purge
  blocked lockd requests.
* Fri Sep 05 2003 - ak@suse.de
- initialize acpi_tables to 0 (SUSE29991)
* Thu Sep 04 2003 - okir@suse.de
- syscall-audit: Fixed bugs SUSE29394, SUSE29399, SUSE29395
- fixed BUG() with kernel threads
* Thu Sep 04 2003 - schwab@suse.de
- Revert last change on patches.common/syscall-audit.
* Thu Sep 04 2003 - okir@suse.de
- IPv6: Added patches.common/suse-ipv6-neigh-sol to fix handling
  of neighbor solicitation (SUSE28521)
* Thu Sep 04 2003 - ihno@suse.de
- remove two assembler instructions in patches.common/syscall-audit
  that cause strace (and audit) to fail (on s390x).
* Thu Sep 04 2003 - aj@suse.de
- Add PDC Ultra driver to i386 and x86_64 configs.
* Thu Sep 04 2003 - ak@suse.de
- Add PDC Ultra driver
* Thu Sep 04 2003 - mantel@suse.de
- fix signedness bug in proc-mapped-base feature
* Thu Sep 04 2003 - ak@suse.de
- more ACPI interrupt tweaks:
- allow _CRS method to return 0 (Andrew de Quincey)
- Slightly penalize IRQ 12 in ACPI too
* Wed Sep 03 2003 - agruen@suse.de
- Add missing memory barrier in get_request_wait_wakeup().
* Wed Sep 03 2003 - ak@suse.de
- add acpi-picmode patch. This should handle fallback from
  APIC to PIC mode in ACPI better (particularly NForce2 boards)
* Wed Sep 03 2003 - ak@suse.de
- add qlogic symbols to x86-64 config
* Wed Sep 03 2003 - agruen@suse.de
- Drop patches.common/submit-bh: This duplicates code that is now
  in 9980_fix-pausing-5.
* Wed Sep 03 2003 - aj@suse.de
- Enable qla2xxx for AMD64.
* Wed Sep 03 2003 - agruen@suse.de
- Fix uml: jiffies_to_clock_t() was dividing by 0.
* Wed Sep 03 2003 - olh@suse.de
- add patches.ppc/ibm-ppc64-iseries-protect-kernelspace
  user processes should not write to kernel memory (SUSE29672 - LTC4160)
* Wed Sep 03 2003 - agruen@suse.de
- Allow to set CONFIG_SUSE_KERNEL and CONFIG_UNITEDLINUX_KERNEL
  from the config file.
* Wed Sep 03 2003 - olh@suse.de
- add patches.ppc/ibm-ppc64-vmx-altivec
  handle altivec on pseries
* Wed Sep 03 2003 - schwab@suse.de
- Fix typo in efi_memmap_walk.
* Wed Sep 03 2003 - schwab@suse.de
- Don't use NUMA on HP.
* Wed Sep 03 2003 - garloff@suse.de
- Reenable ipc-rcu on all archs but IA64.
* Wed Sep 03 2003 - agruen@suse.de
- Fix nfs oops in nfsacl when mounting an NFSv2 export.
* Wed Sep 03 2003 - schwab@suse.de
- Update SGI patches.
* Wed Sep 03 2003 - schwab@suse.de
- Fix broken hangcheck.
* Wed Sep 03 2003 - schwab@suse.de
- Fix ak's breakage.
- Fix leak in execve.
* Wed Sep 03 2003 - schwab@suse.de
- Use set_cpus_allowed() instead of directly modifying cpus_allowed.
* Wed Sep 03 2003 - mantel@suse.de
- do not try to update a/c/mtime on block devices
* Wed Sep 03 2003 - schwab@suse.de
- Disable broken patch.
* Wed Sep 03 2003 - ihno@suse.de
- Updated hangcheck driver from 0.6.0 to 0.8.0
  This includes now support for PPC64
* Tue Sep 02 2003 - ak@suse.de
- Undo last patch which clashed with Kurt's
* Tue Sep 02 2003 - ak@suse.de
- Enable all IA32 patches on x86_64 too
* Tue Sep 02 2003 - ak@suse.de
- Add support for lots of VIA chipsets in AGP driver
  (including some limited AGPv3 support, but for VIA only)
* Tue Sep 02 2003 - ak@suse.de
- reenable CONFIG_KALLSYMS for x86-64
* Tue Sep 02 2003 - ak@suse.de
- Fix compilation with CONFIG_ACPI_DEBUG
* Tue Sep 02 2003 - okir@suse.de
- Fixed IPsec bugs SUSE29499, SUSE29419
- Fixed a warning in suse-pfkey-sort-spd patch
* Tue Sep 02 2003 - garloff@suse.de
- patches.common/scsi-scan-cleanup: Move check for valid ch/ID/LUN
  above mem alloc in scsi_scan_hardcoded().
* Tue Sep 02 2003 - agruen@suse.de
- Clean up the whole xattr/acl mess.
* Tue Sep 02 2003 - garloff@suse.de
- We need to EXPORT_SYMBOL(open_softirq) to be able to load
  scsi_mod.
* Mon Sep 01 2003 - sf@suse.de
- adopted specfile to i386 to easier merge changes
* Mon Sep 01 2003 - ak@suse.de
- drop bogus comment from series.conf that broke my build scripts
* Mon Sep 01 2003 - garloff@suse.de
- Export symbol usbvideo_OverlayStats.
* Mon Sep 01 2003 - ak@suse.de
- don't export neigh_app_notify (SUSE29463)
* Mon Sep 01 2003 - ak@suse.de
- Reorder AGP entries again. Generic vendor entries must be always
  at the end of the vendor list (still SUSE29665)
* Mon Sep 01 2003 - garloff@suse.de
- Activate patches.common/sched-o1-fork-interactive-balance:
  * Draw estimated sleep_avg of child avg of center and parent's
  sleep_avg, resulting in higher starting value for children
  * Reduce sleep_avg more quickly for high values
- patches.common/scsi-softirq-2: Use per CPU queues and softirqs
  instead of scsi_bottom_half_handler to handle SCSI command
  completion.
* Mon Sep 01 2003 - ak@suse.de
- Fix x86-64 compilation
* Mon Sep 01 2003 - ak@suse.de
- Make AGP device table sorted again (SUSE29665)
* Mon Sep 01 2003 - ak@suse.de
- give 32bit processes an 32bit /proc/*/maps on x86-64
* Mon Sep 01 2003 - agruen@suse.de
- Update reiserfs-jh-suse patch from Chris Mason <mason@suse.de>.
* Mon Sep 01 2003 - mantel@suse.de
- add AGP support for Intel 855PM
* Mon Sep 01 2003 - ak@suse.de
- update x86-64 config. Enable siimage driver. Disable unneeded
  IDE drivers.
* Mon Sep 01 2003 - ak@suse.de
- ACPI updates for i386 and x86-64:
- sync bug fixes from 2.4.22 final
- fix IRQ routing bug
- Handle pci=noacpi correctly
- More error handling fixes
- Add acpi=ht as synonym for acpi=oldboot
- Remove some obsolete patches
* Mon Sep 01 2003 - mantel@suse.de
- ALSA update:
- the support for SPDIF input on ALC650 codec.
- fixed the default setting of DXS channels on VIA823x.
- more descriptions for VIA823x.
- support for multi-mutes on AD198x codecs.
- fixed SPDIF output on aureon boards.
- fixed tumbler/snapper initialization.
- experimental support of capture on snapper.
- fixed the mmap memory-leak problems.
- support of AC3 passthru on audigy.
- split audigy types.
- optimization on info.c.
* Mon Sep 01 2003 - olh@suse.de
- apply patches.common/usb-storage-fixes only on ppc
  This patch needs a review
* Mon Sep 01 2003 - okir@suse.de
- Fixed syscall audit bug in semop (SUSE29400)
* Sun Aug 31 2003 - agruen@suse.de
- Fix nfsacl incompatibility in nfs+nfsd: The uid/gid fields in
  acls are undefined for some types of acl entries. Linux sets
  those fields to ACL_UNDEFINED_ID (-1) internally. Solaris
  expects 0 there, and reports weird errors for some operations.
* Sun Aug 31 2003 - agruen@suse.de
- Fix nfsacl protocol incompatibility in nfsd: Error replies are
  expected to contain post_op_attr's, too. Solaris checks for
  that and stops talking nfascl if a bad reply is received. Among
  Linux boxes, this is irrelevant.
* Fri Aug 29 2003 - okir@suse.de
- Fixed various bugs in the audit kernel patch
  (SUSE29458, SUSE29465, SUSE28224, SUSE29398, SUSE29397, SUSE29393)
* Fri Aug 29 2003 - mantel@suse.de
- update CIFS to 0.8.7
* Fri Aug 29 2003 - mantel@suse.de
- update qla2x00 driver to v6.06.00
* Fri Aug 29 2003 - agruen@suse.de
- patches.common/nfs-optimistic-caching: Stop one case of nfs
  permissions cache trashing (see the comment in the patch).
* Fri Aug 29 2003 - agruen@suse.de
- patches.common/rpcsvc-multihome-fix: Make sure nfsd replies go
  out with the IP of the interface on which they were received.
* Fri Aug 29 2003 - andrea@suse.de
- global-irq-race: fix race condition in global cli() against irqs
* Thu Aug 28 2003 - garloff@suse.de
- ipc_init() was called too early which made the IPC RCU patches
  crash machines on boot. Fixed by andrea. Reenable IPC RCU.
* Thu Aug 28 2003 - ihno@suse.de
- integrate fix from uli@suse.de for
  loading s390-binaries on s390x-System (SUSE29268)
* Thu Aug 28 2003 - ak@suse.de
- Add PCI-IDs for VIA 8330 and VIA 8385 to K8 GART AGP driver
* Thu Aug 28 2003 - hare@suse.de
- Added missing #defines to sym6.c (patches.common/ipv6-exports).
* Thu Aug 28 2003 - olh@suse.de
- add patches.ppc/suse-ppc64-init_sys32_ioctl
  avoid linked list corruption, found by Olaf Kirch
* Thu Aug 28 2003 - olh@suse.de
- update patches.ppc/ibm-ppc64-arch
  Clear RI while SRR0/1 are live.
  Make some core functions non-static in preperation for
  forthcoming virtual I/O changes.
  disable CONFIG_DEBUG_SLAB, found no bugs in the past weeks
* Thu Aug 28 2003 - olh@suse.de
- add patches.ppc/suse-ppc64-deblock-oldconfig
  do not block make oldconfig if no defconfig exists
* Thu Aug 28 2003 - mantel@suse.de
- update Syskonnect driver sk98lin to v6.17
* Thu Aug 28 2003 - okir@suse.de
- Fixed bug in system call auditing (SUSE29465)
* Thu Aug 28 2003 - hare@suse.de
- S390: Removed unused variable active_hz_timer from timer-patch.
* Thu Aug 28 2003 - hare@suse.de
- S390: Update timer-patch to latest IBM code drop.
- Fixed changelog entries.
* Thu Aug 28 2003 - ihno@suse.de
- added code Drop from IBM (Patch cluster number 4 for 2.4.21
  in directory patches.s390/linux-2.4.21-s390-04-june2003-patches).
  This includes the fix for ctc_mode_2_panic (SUSE26975)
* Wed Aug 27 2003 - hare@suse.de
- Included update_times-fix in s390-timer patch (sorry).
* Wed Aug 27 2003 - mantel@suse.de
- update IPVS to 1.0.10
* Wed Aug 27 2003 - duwe@suse.de
- make DSDT (ACPI table) loadable from initrd,
  especially for laptops.
* Wed Aug 27 2003 - garloff@suse.de
- Make update_times_fix +S390 (it does not even apply on hammer)
* Wed Aug 27 2003 - ak@suse.de
- don't delete local SMP timer in x86_64-cvs-update
* Wed Aug 27 2003 - hare@suse.de
- Added fix for missing update_times() in kernel/timer.c (SUSE29281).
* Wed Aug 27 2003 - mantel@suse.de
- remove unnecessary function "get_blocksize_size" (just use
  "block_size")
* Wed Aug 27 2003 - olh@suse.de
- disable patches.common/binfmt-misc-filename
  this patch was completly untested
* Wed Aug 27 2003 - ak@suse.de
- fix static IPv6 compilation
* Wed Aug 27 2003 - mantel@suse.de
- fix UML build
* Wed Aug 27 2003 - garloff@suse.de
- Add asm constraint +m(opt) to pcibios_get_irq_routing_table().
* Wed Aug 27 2003 - mantel@suse.de
- update IBM ServeRAID (ips) driver to 6.10.52:
  o corrects several potential problems in memory allocation
  o adds support for x86_64 architecture
* Wed Aug 27 2003 - mantel@suse.de
- update e1000 driver to 5.2.13; needed for new hardware
* Wed Aug 27 2003 - mantel@suse.de
- update cciss driver to 2.4.48
* Wed Aug 27 2003 - garloff@suse.de
- Back out IPC RCU changes from 2003-08-26 21:44:22.
* Wed Aug 27 2003 - olh@suse.de
- update patches.ppc/ibm-ppc64-arch
  Add bridge_sync functionality to handle openpic EOI safely.
* Wed Aug 27 2003 - mantel@suse.de
- pass the filename to other binfmt handlers (SUSE24290)
* Wed Aug 27 2003 - ihno@suse.de
- merging patches.ia64/epoll.ia64.diff and patches.common/epoll-32bit
  into one patch. they implement the epoll-syscall on ia64
* Wed Aug 27 2003 - agruen@suse.de
- patches.common/nfs-errors-clutter-log: prevent nfs from filling
  the syslog with `server not responding' entries.
* Wed Aug 27 2003 - agruen@suse.de
- Remove obsolete patches.common/jfs-blk-atomic-fix.
- Add four new patches from Dave Kleikamp <shaggy@austin.ibm.com>.
* Tue Aug 26 2003 - agruen@suse.de
- Remove broken patches.common/nfsd-stop-whining and instead
  update patches.common/nfs-multiple-programs where this
  change actually belongs.
- Stop call_decode() from ignoring non-retry-able errors. Fixes
  the -EIO results of getxattr(2) (via acl_get_file(3))
  seen over nfs.
* Tue Aug 26 2003 - garloff@suse.de
- #ifndef PCMCIA the module_init/exit() calls in scsi_module.c
  to allow the PCMCIA scsi drivers to be built.
  patches.common/scsi-pcmcia-modules-compile
* Tue Aug 26 2003 - garloff@suse.de
- Add definition of read_barrier_depends() to x86-64 (copy from
  i386) to fix compilation.
* Tue Aug 26 2003 - garloff@suse.de
- Compile fix for patches.i386/xapic: Move xapic_support outside
  CONFIG_X86_CLUSTERED_APIC.
* Tue Aug 26 2003 - okir@suse.de
- audit patch: fixed a typo in ioctl32/64 conversion code
* Tue Aug 26 2003 - andrea@suse.de
- patches.common/ipc-rcu, patches.common/rcu-helpers: merged IPC
  RCU. NOTE: Modified it so that a read_depend is a rmb() on x86
  The performance difference doesn't matter and this way we're 100%
  safe.
* Tue Aug 26 2003 - duwe@suse.de
- updated unisys es7000 patch
- merged xapic support
* Tue Aug 26 2003 - mantel@suse.de
- add support for 3c905C Tornado 2 to 3c59x driver
* Tue Aug 26 2003 - olh@suse.de
- add patches.ppc/ibm-ppc64-large_interrupts
  disable /proc/interrupts also on ppc64
* Tue Aug 26 2003 - ak@suse.de
- disable CONFIG_XFS_RT in all config files
* Tue Aug 26 2003 - mantel@suse.de
- add missing ifdefs for fake_initrd (SUSE28532)
* Tue Aug 26 2003 - mantel@suse.de
- fix 3w-xxxx.c for S.M.A.R.T. (SUSE28993)
* Tue Aug 26 2003 - okir@suse.de
- Merged patch for IGMPv3/MLDv2 support
* Tue Aug 26 2003 - olh@suse.de
- add patches.common/usb-storage-samsung-floppy
  a samsung floppy reports multiple luns. untested patch (SUSE28303)
* Tue Aug 26 2003 - olh@suse.de
- add patches.ppc/ibm-ppc64-semaphore-deadlock
  disable patches.ppc/suse-ppc64-up-semaphore-sync
  hopefully better semaphore locking on power4
* Mon Aug 25 2003 - ak@suse.de
- fix mmap break for 3GB personality on x86-64.
- penalize irq 12 in irq setup
- support agp=off, agp=try_unsupported boot options
- support agp=try_unsupported for K8 GART driver
* Mon Aug 25 2003 - olh@suse.de
- update patches.common/usb-2.4
  [PATCH] USB: unlink interrupt URBs in scanner driver
  [PATCH] USB: ehci needs a readb() on IDP425 PCI (ARM)
  [PATCH] USB: ftdi_sio - additional pids
  [PATCH] USB: support for Zaurus 750/760 to usbnet.c (2.4.22-pre8)
  + code cleanup backport from 2.6
  [PATCH] USB: visor.h[c] USB device IDs documentation
  [PATCH] USB: PWC 8.11
  USB: added support for TIOCM_RI and TIOCM_CD to pl2303 driver and
  fix stupid bug.
  [PATCH] USB: More unusual_devs.h stuff
  [PATCH] USB: ehci-hcd and period=1frame hs interrupts
  [PATCH] USB: remove some vendor specific stuff from the pl2303
  driver to get other devices to work.
  [PATCH] USB: ftdi_sio - VID/PID for ID TECH IDT1221U USB to
  RS-232 adapter
  [PATCH] USB: Add Minolta Dimage F300 to unusual_devs
  [PATCH] USB: bug in EHCI device reset through transaction
  [PATCH] USB: new ids for io_ti driver
* Mon Aug 25 2003 - olh@suse.de
- update patches.common/config-desktop
  declare missing definitions
* Mon Aug 25 2003 - olh@suse.de
- update patches.ppc/ibm-ppc64-arch
  add CONFIG_LPARCFG
* Mon Aug 25 2003 - garloff@suse.de
- patches.common/nfsd-init-d_op-vxfs: The NFS server may create
  dentries when searching for parent without lookup. Thus d_op
  may not get initialized correctly. Patch fixes oops exporting
  VxFS.
* Mon Aug 25 2003 - garloff@suse.de
- config-desktop was erroneously not activated on ia64, ppc, x86-64
  and alpha in Aug 18 change. Fix.
- Leave default for timeslices at 10--300ms even if CONFIG_DESKTOP
  is enabled.
- Give children a higher estimated interactiveness bonus, but make
  them lose it faster. (Patch disabled, needs discussion.)
* Mon Aug 25 2003 - garloff@suse.de
- Compile fix for scsi-scan-allow-ghost-devs patch (missing SDpnt).
* Mon Aug 25 2003 - okir@suse.de
- audit patch: merged 32->64 ioctl conversion code from IBM (ppc64)
* Mon Aug 25 2003 - okir@suse.de
- IPsec: fixed pfkey module license
  + added patch to sort policy database most->least specific
* Mon Aug 25 2003 - mantel@suse.de
- do not try to update FIFO inode timestamps on ro filesystem
* Mon Aug 25 2003 - mantel@suse.de
- update megaraid2 driver to v2.00.7
* Mon Aug 25 2003 - agruen@suse.de
- Merge two patches from mason@suse.de:
  + patches.common/reiserfs-jh-3-suse reworks the reiserfs
  data=ordered and tail flushing code.
  + patches.common/aio-varyio-2 enables varyio support for aio
  reads and writes to raw devices. This patch is still pending
  further review, but its changes are local to aio, so I'm
  enabling it already.
* Mon Aug 25 2003 - okir@suse.de
- More NFS cleanup: cleaned up two patches that almost canceled
  each other out.
* Mon Aug 25 2003 - garloff@suse.de
- Replace EMC patch that unconditionally sets LUN 0 online by RH
  patch that introduces scsi_allow_ghost_devices parameter.
* Mon Aug 25 2003 - garloff@suse.de
- Port scsi_large_scan_timeout: We support the scsi_inq_timeout
  boot/module parameter now. It specifies the timeout for a reply
  to INQUIRY in seconds. Should be 1. Default is 6 though, on PPC
  it's 17 on request of the arch maintainer.
* Mon Aug 25 2003 - olh@suse.de
- disable patches.common/scsi_large_scan_timeout
  no zapata drive support for the next few hours
* Mon Aug 25 2003 - olh@suse.de
- add patches.i386/netdrivers_gdrvinfo
  I dont have the hardware, just too much time
* Sun Aug 24 2003 - garloff@suse.de
- Minor cleanup of scsi-scan patches: Add static to many decls.
- Implement BLIST_INQUIRY_36 and 58 flags (we'll share the black-
  list with 2.6 next ...)
* Sat Aug 23 2003 - olh@suse.de
- add patches.i386/pcmcia_gdrvinfo
  make pcmcica devices report pcmcia bus info in gdrvinfo
* Sat Aug 23 2003 - agruen@suse.de
- patches.common/cpufreq-k8: Fix compilation errors.
* Sat Aug 23 2003 - garloff@suse.de
- Enable new error-handler patch that integrates the work of M.
  Peschke. patches.commoon/scsi-error-handler-new (SUSE29179/LTC4021)
- patches-common/scsi-scan-cleanup: Major code cleanup in SCSI
  scan code.
- patches.common/scsi-scan-newopts: New boot/module parameters
  that influence scanning: scsi_sparselun, scsi_largelun,
  scsi_max_sparseluns.
- patches.common/scsi-scan-report-luns: Backport of 2.6 scanning
  code using REPORT_LUNS SCSI-3 command to find the present LUNS.
  Parameters scsi_noreportlun, scsi_reportlun2, max_report_luns
  to tweak the behaviour. By default, REPORT_LUNS is only used
  for SCSI-3 devices and by default allows for up to 511 present
  LUNS per SCSI target ID. (SUSE27610)
* Fri Aug 22 2003 - garloff@suse.de
- ALSA compile fix (tiwai).
* Fri Aug 22 2003 - okir@suse.de
- Updated NFS patches to 2.4.22 (mostly), as per suggestion from NetApp.
* Fri Aug 22 2003 - okir@suse.de
- Updates audit patch
* Fri Aug 22 2003 - olh@suse.de
- readd patches.ppc/ppc64-e1000-ioaccess
  different io access on ppc (SUSE29087 - LTC3951)
* Fri Aug 22 2003 - olh@suse.de
- merge with bk tree
  add patches.common/ide_pci_amd74xx-irq
  An IRQ is expected to be returned
  add patches.common/usb-storage-fixes
  ISD200 ATAPI support
  update patches.ppc/ibm-ppc64-arch
  update patches.ppc/ibm-ppc64-include
  Error Logging and nvram buffering.
  machine check updates, just kill the user process
  Unknown PHB support for LPAR mode
  takes out the /proc file if the rtas function is not supported.
  TCE address 0 fix on sg list creation
  ptrace.h PT_FPSCR fixup
  add patches.ppc/ibm-ppc64-cpu_defines
  new power4 cpu types
  add patches.ppc/ibm-ppc64-os_panic
  call an arch function on panic
  remove patches.ppc/ibm-ppc64-updates
  obsolete
* Fri Aug 22 2003 - ak@suse.de
- Add missing #endif to k8 cpufreq driver
* Fri Aug 22 2003 - garloff@suse.de
- Update ALSA sources.
  * Bugfixes: ICH5/AD1985 MoBos, deadlocks in emuX synth, oops
  in error msg after obj release, deadlock in linked streams on
  es1968, capture on es1968, race in maestro3, depedencies in
  core Makefile [SUSE28606].
  * Cleanups: Remove __devinitdate (2.6 sync), intl8x0 detection,
  OSS emu code
  * Improvements: AD1885, time-stamping in ALSA seq, whole-frag
  + no-silence in OSS emu, 192KHz support on ice1724, reg-dump
  in ymfpci.
* Fri Aug 22 2003 - okir@suse.de
- ipv6/sym6.c compile fix from Kurt
* Fri Aug 22 2003 - schwab@suse.de
- Update discontig patch.
- Fix /proc/interrupts for many cpus.
* Fri Aug 22 2003 - ak@suse.de
- update K8 cpufreq timer to version 6 at request of AMD
  (only some minor bugfixes)
* Fri Aug 22 2003 - ak@suse.de
- more fixes for edge/level triggered interrupts in ACPI
* Fri Aug 22 2003 - schwab@suse.de
- Fix breakage from acpi-dmi patch.
* Thu Aug 21 2003 - ak@suse.de
- update XFS to 1.3.0final (lots of small bugfixes)
- disable CONFIG_XFS_RT in i386 config files (it is still
  too experimental)
- remove obsolete xfs-tuning patch
* Thu Aug 21 2003 - ak@suse.de
- move acpi-dmi patch to the end in series.conf
* Thu Aug 21 2003 - olh@suse.de
- add patches.ppc/suse-ppc64-builtin-cmdline
  provide an optional builtin cmdline string on pseries
  overrides whatever is passed from OF or yaboot
* Thu Aug 21 2003 - ak@suse.de
- fix acpi=oldboot
* Thu Aug 21 2003 - agruen@suse.de
- Some further fixes for problems introduced by the uml related
  changes.
- Rename config/um/default back to config/um/um, and update it.
* Thu Aug 21 2003 - schwab@suse.de
- Switch to new ACPI on ia64.
* Thu Aug 21 2003 - olh@suse.de
- update patches.ppc/ibm-ppc64-arch
  Make the default to spread LP events.
* Thu Aug 21 2003 - schwab@suse.de
- Fix lkcd for UP configurations.
* Thu Aug 21 2003 - schwab@suse.de
- Fix breakage from ak's mpt fusion patch.
* Thu Aug 21 2003 - agruen@suse.de
- Commit changes from lmb@suse.de / skh@suse.de: Clean up
  kernel-source.spec. Build User Mode Linux sources package as a
  sub-package on i386.
* Thu Aug 21 2003 - olh@suse.de
- update patches.ppc/ibm-ppc64-kdb-updates
  nicer indention for short opcodes
* Thu Aug 21 2003 - olh@suse.de
- update patches.ppc/ibm-ppc64-arch
  update patches.ppc/ibm-ppc64-include
  sync wih current bitkeeper status, fix register handling in
  iSeries code, obsoletes these patches
  patches.ppc/ibm-ppc64-sys32
  patches.ppc/ibm-ppc64-sys32_ustat
  patches.ppc/suse-ppc64-lsb-writevreadv32
  patches.ppc/suse-ppc64-pseries-autoconsole
  patches.ppc/suse-ppc64-pseries-boot-imagesize
  patches.ppc/suse-ppc64-pseries-boot-utsrelease
  patches.ppc/suse-ppc64-pseries-cmd_line
* Thu Aug 21 2003 - hare@suse.de
- Fixed path_walk-inline.
- Fix default config for s390 and s390x.
* Thu Aug 21 2003 - aj@suse.de
- Fix default config for sparc.
* Thu Aug 21 2003 - schwab@suse.de
- Updates for discontig and timer patch from SGI.
* Thu Aug 21 2003 - hare@suse.de
- Added patch to fix hang on reboot.
- S390: Fixed timer patch (again).
* Wed Aug 20 2003 - ak@suse.de
- add missing hunk for x86-64 to acpi-link patch
* Wed Aug 20 2003 - schwab@suse.de
- Increase NR_CPUS to 64 on ia64.
* Wed Aug 20 2003 - olh@suse.de
- enable QLA2100,QLA2200,QLA2300 on pseries
* Wed Aug 20 2003 - schwab@suse.de
- Don't apply ak's acpi patches on ia64.
* Wed Aug 20 2003 - ak@suse.de
- make ska-compile patch IA32 only
* Wed Aug 20 2003 - ak@suse.de
- export touch_nmi_watchdog for i386 and x86-64
- use touch_nmi_watchdog in mpt fusion error handler during long
  mdelays.
* Wed Aug 20 2003 - ak@suse.de
- readd ACPI DMI blacklist and related infrastructure
- Backport ACPI interrupt edge/level triggered link fix from 2.6
  (for i386 and x86-64)
* Wed Aug 20 2003 - okir@suse.de
- IPv6: properly send ICMP UNREACH as a router, too (SUSE29144)
* Wed Aug 20 2003 - ak@suse.de
- Fix compilation with ska patch for i386
* Wed Aug 20 2003 - schwab@suse.de
- Fix missing EXPORT_SYMBOLs for dprobes.
* Wed Aug 20 2003 - schwab@suse.de
- Fix duplicate EXPORT_SYMBOL.
* Wed Aug 20 2003 - olh@suse.de
- update patches.common/execvp-TASK_UNMAPPED_BASE
  replace last fix with a better one, move the fix to exec_mmap()
  (SUSE28393 - LTC3759)
* Wed Aug 20 2003 - ak@suse.de
- Readd root checks for x86-64 LVM1 32bit emulation
* Wed Aug 20 2003 - ak@suse.de
- Remove length checks in x86-64 32bit LVM1 emulation (SUSE28452)
* Wed Aug 20 2003 - ak@suse.de
- Fix 32bit system call gate for x86-64
* Wed Aug 20 2003 - okir@suse.de
- Added patches.common/suse-ipv6-forwarding.patch to fix
  problems with IPv6 forwarding
* Wed Aug 20 2003 - schwab@suse.de
- Fix invalid unwind directive in dprobes patch.
* Tue Aug 19 2003 - schwab@suse.de
- Add dprobes for ia64.
- Apply lkcd patches also on ia64.
- Enable CONFIG_DUMP on all kernels, and CONFIG_DPROBES in debug kernel.
* Tue Aug 19 2003 - schwab@suse.de
- Make sure build fails when there were errors.
* Tue Aug 19 2003 - okir@suse.de
- Updated suse-ipv6-double-unref.patch (another in6_dev_put)
- Added suse-ipv6-icmp-oops that fixes an Ooops when ip6_build_xmit
  send a PKT_TOO_BIG message
* Tue Aug 19 2003 - garloff@suse.de
- Add /proc/net/ipsec_tncfg file to see interface relations for
  IPsec v4 tunnels.
* Tue Aug 19 2003 - lmb@suse.de
- Cleaned up um build.
* Tue Aug 19 2003 - garloff@suse.de
- Compile fix: Remove inline from do_mmap2().
* Tue Aug 19 2003 - garloff@suse.de
- Fix typos in uml-ska4.
* Tue Aug 19 2003 - olh@suse.de
- update patches.ppc/ibm-ppc64-updates , disable DEBUG
* Mon Aug 18 2003 - olh@suse.de
- disable CONFIG_EEPRO100 also on iseries
* Mon Aug 18 2003 - olh@suse.de
- disable CONFIG_SCSI_LPFC on ppc64
* Mon Aug 18 2003 - olh@suse.de
- add patches.ppc/ibm-ppc64-updates
* Mon Aug 18 2003 - garloff@suse.de
- Add two patches from EMC:
  * Never mark LUN 0 offline during scanning
  (patches.common/scsi-scan-emc-lun0-alway-online)
  * Do not try to spin up disks when the ASC/ASCQ says manual
  intervention needed.
  (patches.common/scsi-disk-emc-dontspinup-manual-intervention)
- Added replacement patch for scsi-error-handler, but disabled
  for now, as it's still in discussion under SCSI experts.
  (patches.common/scsi-error-handler-new)
* Mon Aug 18 2003 - garloff@suse.de
- patches.common/scsi-error-handler: Add SCSI_STATE_MLQUEUE as
  quiet state to scsi_unjam_host: Fixes SUSE28661/LTC3876.
* Mon Aug 18 2003 - garloff@suse.de
- Remove patches.i386/uml-ska3, uml-ska3-fixup and replace by
  uml-ska4: The changed interfaces are now preceeded by __
  and the old ones are kept and wrappers around the new ones.
* Mon Aug 18 2003 - garloff@suse.de
- patches.common/config-desktop: Support also on x86_64, iA64,
  PPC and alpha (thanks to tiwai@suse.de).
- Update configs accordingly. (Enable on x86_64/default, alpha/
  default and ppc/default, not on iA64 and SMP or NUMA kernels.)
* Mon Aug 18 2003 - okir@suse.de
- Fixed duplicate in6_dev_put call in ip6_build_xmit (SUSE28986)
* Mon Aug 18 2003 - hare@suse.de
- S390: Fixed timer patch.
* Mon Aug 18 2003 - garloff@suse.de
- iA32: uml-ska3-fixup: Fix do_mmap_pgoff() breakage introduced by
  uml-ska3.
- Move uml-ska3 and uml-ska3-fixup to patches.i386.
* Mon Aug 18 2003 - schwab@suse.de
- Fix ipsec to compile without CONFIG_NETFILTER.
* Mon Aug 18 2003 - schwab@suse.de
- Fix cyclone-time patch to work with UP configuration.
* Mon Aug 18 2003 - garloff@suse.de
- Enable SGI partition table detection on remaining platforms.
  (ix86, alpha, x86_64).
* Mon Aug 18 2003 - olh@suse.de
- update patches.ppc/ibm-ppc64-drivers-block-iseries
  update patches.ppc/ibm-ppc64-drivers-iseries
  do not initialize the iSeries drivers twice (SUSE28748 - LTC3914)
* Sat Aug 16 2003 - aj@suse.de
- Update Bluetooth stack to work on AMD64 (by Karsten Keil).
* Sat Aug 16 2003 - ihno@suse.de
- temporaery removed patches on s390
* Fri Aug 15 2003 - bk@suse.de
- add patches.s390/qeth-stackusage.diff to limit qeth stack usage
- add patches.s390/path_walk-inline.diff to help other stacks
* Fri Aug 15 2003 - aj@suse.de
- Apply SKA patches only on ia32 to fix other platforms.
* Fri Aug 15 2003 - schwab@suse.de
- Add MD autodection to SGI partition table.
- Enable SGI partition table detection.
- Update SGI serial console driver.
- Update SGI fetchop driver.
- Update SGI timer patch.
* Fri Aug 15 2003 - aj@suse.de
- Add fix for TSC non-monotonic (from Vojtech Pavlik).
- Handle K8 powernow support in config for AMD64.
* Fri Aug 15 2003 - garloff@suse.de
- patches.common/bluez-cmtp-bfusb: Add support for the Bluetooth(TM)
  CMTP CIP protocol, add the driver for the BLUEFRITZ! USB stick,
  add the hotplug firmware loader
- Adapt configs
* Fri Aug 15 2003 - garloff@suse.de
- patches.common/e820-export: Export e820 symbol on i386.
* Fri Aug 15 2003 - aj@suse.de
- Support PCMCIA with broken BIOS on x86-64 (from Vojtech Pavlik).
* Fri Aug 15 2003 - garloff@suse.de
- patches.common/uml-ska3: Add patch to complete SKA support for
  UML (from lmb) to provide address space protection and better
  performance for UML guests.
* Fri Aug 15 2003 - okir@suse.de
- syscall-audit: small fix to s390x code from Martin Schwidefsky
* Thu Aug 14 2003 - schwab@suse.de
- Replace hint-pause patch with a better one.
* Thu Aug 14 2003 - okir@suse.de
- Updated audit patch
* Thu Aug 14 2003 - schwab@suse.de
- Fix breakage from x86-64 merge.
* Thu Aug 14 2003 - olh@suse.de
- make the 'make oldconfig' fail optional
* Wed Aug 13 2003 - aj@suse.de
- Fix last change.
* Wed Aug 13 2003 - aj@suse.de
- Fix modules dependencies (#28223).
* Wed Aug 13 2003 - schwab@suse.de
- Add support for cyclone timer [SUSE28628].
- Add support for multiple IDE controllers in ACPI [SUSE28631].
- Fix initialization bug in qla2300 driver.
* Wed Aug 13 2003 - olh@suse.de
- add patches.ppc/suse-ppc64-epoll-syscall
  add epoll syscalls for ppc64,
  add dummy entries for the hole from 2.6
* Wed Aug 13 2003 - ak@suse.de
- merge x86-64 to CVS head
- drop obsolete patches (ACPI is in CVS now)
- update K8 cpufreq code
* Wed Aug 13 2003 - hare@suse.de
- s390: Include new zfcp driver from ibm.
- s390: Include new scsi fixes from ibm.
- s390: Compilation fix for timer patch.
* Wed Aug 13 2003 - hare@suse.de
- S390: split linux-2.4.21-june2003.scsi.diff for easier integration.
- Added linux/sched_runqueue.h to kerntypes.
* Wed Aug 13 2003 - bk@suse.de
- fix S/390 IEEE exception instruction pointer access checking
- s390: sanity check kmsg->msg_controllen in s390-emulation(SUSE26693)
- s390: add the missing config options for the software watchdog
- s390: update config according to SLES8 CGL config(crypto,ipsec)
- s390: update config according to i386 config(XFS, OCFS, khttpd)
- s390: enable SGI partition support for SAN environments(FC/iSCSI)
* Wed Aug 13 2003 - schwab@suse.de
- Let `make oldconfig' fail right away when new options pop up.
* Wed Aug 13 2003 - garloff@suse.de
- i386: Enable CONFIG_CRYPTO (needs to be 'y'!) and the depending
  CONFIG_IP_IPSEC ('m'). [SUSE28474].
* Tue Aug 12 2003 - olh@suse.de
- add patches.ppc/suse-pc64-lvm-ioctl32
  remove bogus size check. (SUSE28451)
* Tue Aug 12 2003 - bk@suse.de
- [SUSE26139] fix JFS SMP mount: replace blk-atomic-aa6-jfs-1 with fixed
  patches.common/jfs-locking-fix & patches.common/jfs-blk-atomic-fix
* Tue Aug 12 2003 - hare@suse.de
- Update patches.s390/linux-2.4.21-s390-timer.diff.
* Mon Aug 11 2003 - olh@suse.de
- add patches.ppc/suse-ppc-busy-loop-debug
  debug aid for busy loop devices
* Mon Aug 11 2003 - ak@suse.de
- enable fast user copy for Athlon
* Mon Aug 11 2003 - schwab@suse.de
- Add 32bit emulation for epoll_ctl and epoll_wait due to design bug
  [SUSE28630].
* Mon Aug 11 2003 - schwab@suse.de
- Use latest vtune driver also on ia64 [SUSE27628].
* Mon Aug 11 2003 - schwab@suse.de
- Use hint @pause.
* Mon Aug 11 2003 - ihno@suse.de
- integrate fix from boeblingen for panic with ctc-driver
  (bugzilla SUSE26975)
* Sun Aug 10 2003 - olh@suse.de
- update patches.ppc/suse-ppc64-up-semaphore-sync
  move sync to __sem_update_count()
* Sat Aug 09 2003 - agruen@suse.de
- Update patches.common/file-locking-fix, and merge with add-on
  patches. Fix an additional memory leak. By accident for each
  exec of an elf binary the files struct was duplicated, and the
  list of locks was traversed.
* Fri Aug 08 2003 - agruen@suse.de
- Un-modularize CONFIG_BLK_DEV_MD for now: If md.o is a module,
  auto-detection of md partitions and the RAID_AUTORUN ioctl are
  disabled. What a mess!
* Fri Aug 08 2003 - schwab@suse.de
- Fix resource leak sys_init_module.
* Fri Aug 08 2003 - bk@suse.de
- s390x:update reiserfs_ioctl32-unpack to 2.4.21(32-bit zipl:20021)
* Fri Aug 08 2003 - ihno@suse.de
- small correction for audit subsystem
  (__NR_truncate64 and __NR_ftruncate64 are
  not definied on s390x)
* Fri Aug 08 2003 - hare@suse.de
- Integrated all remaining patches for s390 into 2.4.21.
* Fri Aug 08 2003 - okir@suse.de
- Updated audit subsystem patch
* Fri Aug 08 2003 - garloff@suse.de
- Update ips driver from 6.10.19 to 6.10.24.
* Fri Aug 08 2003 - garloff@suse.de
- Allow (pf)key modules (needed by ipsec) to be loaded, if IPv6
  is not configured.
- Put license to (pf)key, so it no longer taints the kernel.
* Fri Aug 08 2003 - ihno@suse.de
- fix typo in patches.common/syscall-audit
* Fri Aug 08 2003 - ihno@suse.de
- integrate IBM code drop from 2003-07-25
  the code drop included the sysinfo-bug fix
  so our patch is removed.
* Fri Aug 08 2003 - agruen@suse.de
- Modularize CONFIG_SCSI, CONFIG_BLK_DEV_MD, and CONFIG_BLK_DEV_SD.
* Thu Aug 07 2003 - aj@suse.de
- Enable IPS driver for AMD64.
* Thu Aug 07 2003 - okir@suse.de
- add patches.common/nfsd-double-delete to fix crash
  in nfsd TCP code (SUSE28062)
* Thu Aug 07 2003 - olh@suse.de
- add patches.ppc/suse-ppc64-up-semaphore-sync
  sync between cpus in __up()
* Thu Aug 07 2003 - ihno@suse.de
- removed arch specific patch for LAuS for s390
  this is now part auf the common patch
* Thu Aug 07 2003 - olh@suse.de
- add patches.common/scsi_large_scan_timeout
  some DVD drives on a IDE-SCSI converter need large scan timeouts
  apply only on ppc (SUSE26609 - LTC2685)
* Wed Aug 06 2003 - schwab@suse.de
- Fix ACPI interrupt polarity/trigger interpretation.
* Wed Aug 06 2003 - schwab@suse.de
- Disable EARLY_PRINTK on ia64, it has too many problems in generic
  kernels.
* Tue Aug 05 2003 - schwab@suse.de
- Fix xconfig problem.
* Tue Aug 05 2003 - schwab@suse.de
- Fix compilation problem in evms driver.
- Fix initialisation problem with generic early_printk.
- Fix timer problem in tg3 link negotiation.
* Tue Aug 05 2003 - schwab@suse.de
- Fix more missing headers.
* Tue Aug 05 2003 - olh@suse.de
- update patches.common/firewire_ieee1394 (rev 1024)
* Tue Aug 05 2003 - garloff@suse.de
- >>32 -> >>16>>16 from 2003-08-04 is not needed for qla2xxx
  and was missing a ")" as schwab noted.
* Tue Aug 05 2003 - olh@suse.de
- add patches.ppc/suse-ppc64-sys_oldumount
  readd oldumount syscall for native ppc64 (SUSE28445 - LTC3796)
* Tue Aug 05 2003 - schwab@suse.de
- Disable broken patch qla-pci_dma_hi32-safeshift.
* Tue Aug 05 2003 - aj@suse.de
- Support ali5261 lan in dmfce driver.
* Tue Aug 05 2003 - bk@suse.de
- fix pmd_populate in s390x paging_init for pte-highmem semantics
- move all S390 ptep patches from june2003.diff to june2003.mm.diff
- temporary disable per-cpu-pages-2 b/c it's causing div/0 on S390
* Tue Aug 05 2003 - schwab@suse.de
- GCC 3.3 compile fix.
* Tue Aug 05 2003 - olh@suse.de
- update patches.ppc/ibm-ppc64-arch
  fix to oops in Power5 and 64bit applications, trying to dereference -1
* Mon Aug 04 2003 - garloff@suse.de
- Update to qla2xxx-6.06.00b12 (qla2xxx-6.06.00b12).
- Adapt depending patches (qla2xxx-template, -build, -link and
  sgi-qla2xxx), remove obsolete ones (07_qlogicfc-3,
  qlogicfc-template-aa-6, 09_qlogic-link-3).
- >>32 is undefined with 32bit types, thus use >>16)>>16
  (qla-pci_dma_hi32-safeshift).
* Mon Aug 04 2003 - garloff@suse.de
- Add Emulex LP8000/.../10000 driver (lpfc) version 1.22e.
- Integrate into kernel.
* Mon Aug 04 2003 - schwab@suse.de
- Update SGI patches.
* Mon Aug 04 2003 - schwab@suse.de
- Remove printk in ia64_ni_syscall.
* Mon Aug 04 2003 - agruen@suse.de
- Add patches.common/load_elf_binary-unwind, fixes the failure
  paths added by 00_binfmt-elf-checks-1 that unshare-files
  breaks.
- Add patches.common/steal-locks-cleanup. This moves the call to
  steal_locks() further up in load_elf_binary(), which is really
  necessary with load_elf_binary-unwind.
* Sun Aug 03 2003 - aj@suse.de
- Disable cpu frequency scaling on SMP kernels for AMD64.
* Sun Aug 03 2003 - olh@suse.de
- add patches.ppc/suse-ppc64-pseries-boot-utsrelease
  put uts_release into boot header (SUSE28426)
* Sun Aug 03 2003 - olh@suse.de
- add patches.ppc/suse-ppc64-pseries-boot-imagesize
  pass vmlinux filesize dynamically to boot header (SUSE28425)
* Sat Aug 02 2003 - olh@suse.de
- add patches.ppc/suse-ppc64-make-ppc_defs
  set correct make order for ppc_defs.h (SUSE28419)
* Sat Aug 02 2003 - olh@suse.de
- disable patches.ppc/ibm-ppc64-make_timers_more_smp-efficient
* Sat Aug 02 2003 - olh@suse.de
- CONFIG_AUDIT=m on ppc64
* Sat Aug 02 2003 - olh@suse.de
- add patches.common/execvp-TASK_UNMAPPED_BASE
  allow execvp from 64bit -> 32bit (SUSE28393 - LTC3759)
* Fri Aug 01 2003 - mantel@suse.de
- enable Aurema hooks now that legal issues are resolved
* Fri Aug 01 2003 - mantel@suse.de
- update e1000 driver to 5.1.13
* Fri Aug 01 2003 - mantel@suse.de
- update e100 driver to 2.3.18
* Fri Aug 01 2003 - mantel@suse.de
- update Syskonnect driver sk98lin to v6.14
* Fri Aug 01 2003 - mantel@suse.de
- update vtune driver to 1.0.188 (SUSE27628)
* Fri Aug 01 2003 - okir@suse.de
- Updated patches.common/syscal-audit, merged arch
  specific parts. Got rid of LAuS-s390.diff and
  audit.s390.diff
- Updated 02-rashooks and 04-dprobes to apply cleanly
  on top of audit patch
* Thu Jul 31 2003 - aj@suse.de
- Use k_wlan instead of k_atmel.
* Thu Jul 31 2003 - aj@suse.de
- Use k_wlan instead of k_atmel.
* Thu Jul 31 2003 - olh@suse.de
- add patches.ppc/ibm-ppc64-make_timers_more_smp-efficient
  improve timer handling on ppc64 (SUSE27914 - LTC3440)
* Thu Jul 31 2003 - olh@suse.de
- update patches.ppc/ibm-ppc64-drivers-iseries
  e2a takes still an unsigned argument
  mark viodasd_init and viodasd_exit not as module init
  (SUSE28377 - LTC3745), (SUSE24258 - LTC2097)
* Thu Jul 31 2003 - mantel@suse.de
- prevent possible DoS in netfilter code
* Thu Jul 31 2003 - mantel@suse.de
- update bonding driver to version from 2.4.22-pre3 (SUSE28026)
* Thu Jul 31 2003 - schwab@suse.de
- Add missing header for UP configuration.
- Fix qla2xxx driver for Altix.
- Add SN2 console support.
* Thu Jul 31 2003 - schwab@suse.de
- Add config/ia64/debug to config.conf.
* Thu Jul 31 2003 - mantel@suse.de
- update megaraid2 driver to v2.00.6
* Thu Jul 31 2003 - mantel@suse.de
- update cpufrequency code to support powernow K8
* Thu Jul 31 2003 - olh@suse.de
- add patches.common/mod_timer-deadlock
  fix race/deadlock in mod_timer (SUSE27914 - LTC3440)
* Wed Jul 30 2003 - schwab@suse.de
- Apply ia64 kdb patches only on ia64.
* Wed Jul 30 2003 - schwab@suse.de
- kdb compile fixes.
* Wed Jul 30 2003 - schwab@suse.de
- Add ia64 kdb patches.
- Add config/ia64/debug.
* Wed Jul 30 2003 - garloff@suse.de
- Revert patch from 2003-07-22 15:43:42 CEST,
  as the one   from 2003-07-25 16:06:37 CEST is better.
* Wed Jul 30 2003 - olh@suse.de
- add patches.common/proc_ioports_overflow
  prevent userland buffer overflow when reading /proc/ioports
  (SUSE27497 - LTC3236)
* Wed Jul 30 2003 - schwab@suse.de
- Fix more missing symbol exports.
- Fix hangcheck-timer for non-x86.
* Wed Jul 30 2003 - schwab@suse.de
- Disable CONFIG_SCSI_SIM710 on ia64.
* Wed Jul 30 2003 - schwab@suse.de
- Fix more breakage from ksoftirqd patch.
- Fix invalid uses of likely/unlikely.
- CONFIG_DESKTOP feature is i386-only.
- Fix typo in ppscsi-export patch.
* Wed Jul 30 2003 - schwab@suse.de
- Add support for SGI fetchop facility.
- Allow PCI probing when ACPI doesn't provide root bridge
  information.
- Fix wrap_mmu_context.
- Fix page count when there are holes in memory.
- Generalize SGI TP array blist matching.
* Wed Jul 30 2003 - olh@suse.de
- update patches.ppc/ibm-ppc64-kdb-consolehandling
  merge changes from bk
* Wed Jul 30 2003 - olh@suse.de
- update patches.ppc/ibm-ppc64-kdb-updates
  merge changes from bk
* Wed Jul 30 2003 - schwab@suse.de
- Fix missing symbol exports.
* Wed Jul 30 2003 - schwab@suse.de
- Fix breakage from ksoftirqd patch.
* Wed Jul 30 2003 - olh@suse.de
- update patches.ppc/suse-ppc64-pseries-autoconsole
  patches.ppc/suse-ppc64-pseries-cmd_line
  kill some warnings
* Wed Jul 30 2003 - mantel@suse.de
- added CONFIG_DESKTOP feature for better interactivity
* Wed Jul 30 2003 - mantel@suse.de
- re-add debug stuff like dprobes, lkcd, ltt and so on. Currently
  only enabled for i386 architecture. Created debug kernel conf.
* Wed Jul 30 2003 - olh@suse.de
- update patches.ppc/ibm-ppc64-driver-char-icom
  grab latest version of drivers/char/icom.* from bk
* Wed Jul 30 2003 - olh@suse.de
- update patches.ppc/ibm-ppc64-drivers-iseries
  grab latest version of drivers/iseries/* from bk
* Wed Jul 30 2003 - mantel@suse.de
- bring low latency io scheduling to 2.4.22-pre9 level
* Wed Jul 30 2003 - olh@suse.de
- update patches.ppc/ibm-ppc64-arch
  more ioctl32 fixes, rtas proc interface updates
  obsoletes patches.ppc/ibm-ppc64-ble-copy_tofrom_user
* Wed Jul 30 2003 - mantel@suse.de
- add hook to support a cache coherent DSM (Sistina/IBM)
* Wed Jul 30 2003 - mantel@suse.de
- remove bogus comment from monitor/mwait patch
* Wed Jul 30 2003 - mantel@suse.de
- allow ksoftirqd to really work in presence of flood or NAPI
* Wed Jul 30 2003 - mantel@suse.de
- add "acpi=oldboot" parameter for compatibility
* Wed Jul 30 2003 - schwab@suse.de
- Fix breakage from laptop mode patch.
* Wed Jul 30 2003 - mantel@suse.de
- update ACPI subsystem to version from 20030619
* Wed Jul 30 2003 - okir@suse.de
- Patch to fix race condition in nfsd start/stop
* Wed Jul 30 2003 - okir@suse.de
- Exported a few ipv6 symbols required by the qeth driver
* Wed Jul 30 2003 - mantel@suse.de
- fix reporting of phantom partitions in fatx partition code
* Wed Jul 30 2003 - okir@suse.de
- Updated system call auditing patch
* Tue Jul 29 2003 - garloff@suse.de
- Fix ieee1394/sbp2 prototypes.
* Tue Jul 29 2003 - mantel@suse.de
- add aio support for poll, networking and pipe
* Tue Jul 29 2003 - olh@suse.de
- disable patches.common/minolta-dimage
  this one is probably obsolete by the new usb-storage driver
* Tue Jul 29 2003 - mantel@suse.de
- fix glitch in laptop mode feature
* Tue Jul 29 2003 - mantel@suse.de
- add laptop mode feature to give harddisks the chance to spin down
* Tue Jul 29 2003 - olh@suse.de
- add patches.ppc/suse-ppc64-lsb-writevreadv32
  add length check to do_readv_writev32()
* Tue Jul 29 2003 - agruen@suse.de
- Remove the parallel build heuristics from spec file. Use
  `build --jobs=N' for that.
* Tue Jul 29 2003 - olh@suse.de
- add patches.common/fix__check_and_rekey-deadlock
  race in __check_and_rekey() (SUSE28119 - LTC3556)
* Tue Jul 29 2003 - olh@suse.de
- update patches.ppc/ibm-ppc64-drivers-pcnet32
- update patches.common/netconsole-pcnet32 to apply again
  avoid panic on module unload
  use one undocumented fix from 2.4.19pre5-ac3
* Tue Jul 29 2003 - schwab@suse.de
- Integrate patches from SGI.
- Update ia64 configs.
* Tue Jul 29 2003 - mantel@suse.de
- add support for Canterwood/Hance Rapids
* Tue Jul 29 2003 - mantel@suse.de
- use faster user copy on processors that support it
* Tue Jul 29 2003 - mantel@suse.de
- add Minolta Dimage s414 to list of unusual USB devices (SUSE27471)
* Tue Jul 29 2003 - mantel@suse.de
- add support for Prescott/Nocona platforms (SUSE27788)
* Tue Jul 29 2003 - mantel@suse.de
- update microcode driver to 1.12 (SUSE27789)
* Tue Jul 29 2003 - olh@suse.de
- update patches.common/firewire_ieee1394 (rev 1018)
* Tue Jul 29 2003 - aj@suse.de
- Disable unit-at-a-time compilation.
* Tue Jul 29 2003 - ihno@suse.de
- device-mapper: don't redefine fls on s390/s390x.
- corrected audit system-calllist
- corrected hangcheck
* Mon Jul 28 2003 - schwab@suse.de
- device-mapper: don't redefine fls on ia64.
* Mon Jul 28 2003 - agruen@suse.de
- nfsd: Fix error path that did not convert error number to nfs
  error code.
- nfsd: Fix a hang when /proc/fs/nfs/exports is read frequently
  (Neil Brown).
* Mon Jul 28 2003 - mantel@suse.de
- fix problem with ecc and chipset SUSE82860 (SUSE26838)
* Mon Jul 28 2003 - mantel@suse.de
- add some more devices to scsi_scan blacklist (LARGELUN despite
  claiming to be SCSI-2)
* Mon Jul 28 2003 - olh@suse.de
- update patches.ppc/ibm-ppc64-include
  Change spinlocks to be 64b and enable paths for iSeries to
  yield processor cycles to a lock holder, rather than spin.
* Mon Jul 28 2003 - schwab@suse.de
- Update qla1280 driver.
* Fri Jul 25 2003 - mantel@suse.de
- update ALSA to CVS version 20030725
* Fri Jul 25 2003 - mantel@suse.de
- update ALSA to CVS version 20030724
* Fri Jul 25 2003 - mantel@suse.de
- drop additional DM personalities; need update for new DM version
* Fri Jul 25 2003 - garloff@suse.de
- fix reported capacity in sd [SUSE28256]
* Fri Jul 25 2003 - ihno@suse.de
- activate hangcheck for s390, x86_64, ia64
- Integrate s390 specific part for audit-Interface
- corrected timer-patch
* Fri Jul 25 2003 - mantel@suse.de
- update bcm5700 driver to 6.2.17 (SUSE28241)
* Fri Jul 25 2003 - ihno@suse.de
- comitted patch patches.x86_64/epoll.x86_64.error.diff
  to remove some epoll errors on x86_64
- comitted patch.i386/hangcheck
  this patch now works for i386, s390, x86_64 and ia64
* Fri Jul 25 2003 - olh@suse.de
- add patches.ppc/ibm-ppc64-scsi-pciids
  some pci device ids for IBM scsi hardware
* Fri Jul 25 2003 - mantel@suse.de
- fix device mapper compilation for x86_64, sparc64 and mips
* Fri Jul 25 2003 - olh@suse.de
- update patches.ppc/ibm-ppc64-arch
  Use r13 for the paca pointer, and change to get current from the
  paca. SPRG3 still also holds the paca.  Some forthcoming shared
  processor changes for iSeries require this change
  (which has already been made in 2.5).
* Thu Jul 24 2003 - aj@suse.de
- Fix ffs for x86-64.
* Thu Jul 24 2003 - mantel@suse.de
- update device mapper to 4.0.1 for new version of LVM2
- add device mapper personalities for EVMS2
* Thu Jul 24 2003 - olh@suse.de
- update patches.ppc/ibm-ppc64-arch
  ltc bugzilla 3560. Code mistakenly allowed calls to
  HvCall_writeLogBuffer with buffers crossing page boundaries.
* Wed Jul 23 2003 - olh@suse.de
- update patches.ppc/suse-ppc64-pseries-autoconsole
  add patches.ppc/suse-ppc64-pseries-cmd_line
  print cmd_line only once, in the generic code
  remove it from the autoconsole and early setup path
* Wed Jul 23 2003 - agruen@suse.de
- SUSE28132: file-locking-fix: Fix unshare-files bug that causes
  processes to lose POSIX file locks after execve(2).
* Wed Jul 23 2003 - schwab@suse.de
- patches.ia64/sn2-ivt: add replacement IVT handler for SN2.
- patches.ia64/sn2-pal-mapping: use smallest possible mapping size
  for mapping the PAL.
* Wed Jul 23 2003 - olh@suse.de
- add patches.ppc/ul1-ppc64-quota-compile
  fix quota compile and enable quota in .config
* Wed Jul 23 2003 - olh@suse.de
- reenable patches.ppc/iseries_enable_initrd_-2.4.13
- reenable patches.ppc/pseries_enable_initrd-2.4.13
  do not force root=/dev/ram if there is an initrd
  and root= is not given at cmdline
* Wed Jul 23 2003 - schwab@suse.de
- Update patches.ia64/sched-O1.
- Update ia64 configs.
* Wed Jul 23 2003 - mantel@suse.de
- update device mapper to 3.0.0 for EVMS2
* Wed Jul 23 2003 - olh@suse.de
- add patches.ppc/suse-ppc64-CONFIG_DUMMY_CONSOLE
  define dummycon if confif_fb is disabled
  remove config_vga_console
  patches.ppc/suse-ppc64-iseries-ieee1394
  do not offer the firewire submenu on iseries
* Tue Jul 22 2003 - schwab@suse.de
- Fix display of device size in scsi disk driver.
* Mon Jul 21 2003 - agruen@suse.de
- Switch to officially reserved bit for nfsd `no_acl' export
  option; tiny cleanup.
* Mon Jul 21 2003 - ihno@suse.de
- Updating IBM-Patches from developerworks
  The files have changed their names.
* Mon Jul 21 2003 - agruen@suse.de
- Add smp-timers-locking-fix (SUSE27637, SUSE27260) from andrea.
- Add madvise-unmapped-bug from andrea, this adds a missing check
  for madvise(MADV_WILLNEED).
* Mon Jul 21 2003 - mantel@suse.de
- fix gdb and strace when the executable sits on XFS
* Mon Jul 21 2003 - mantel@suse.de
- fix race in the o1 scheduler
* Mon Jul 21 2003 - schwab@suse.de
- Fix nvidia agpgart patch.
* Sun Jul 20 2003 - olh@suse.de
- update patches.common/fs_hfsplus
  use official version
* Fri Jul 18 2003 - mantel@suse.de
- add yet another device to scsi_scan blacklist (LARGELUN despite
  claiming to be SCSI-2)
* Fri Jul 18 2003 - okir@suse.de
- merged first cut of system call audit code
* Fri Jul 18 2003 - mantel@suse.de
- added quota transfer fix from 2.4.22-pre6
* Fri Jul 18 2003 - mantel@suse.de
- add quirk to re-enable the SMBus PCI bridge for P4B533 and
  P4PE mainboards
* Fri Jul 18 2003 - mantel@suse.de
- add agpgart support for nvidia nforce/nforce2 chipsets
* Fri Jul 18 2003 - olh@suse.de
- add patches.common/usb-hid-revert-19pre5
  usb hid ignores global report count, some hid devices will
  not work properly without this patch
* Fri Jul 18 2003 - olh@suse.de
- update patches.ppc/ibm-ppc64-kdb-updates
  no exception frame if kdb was entered via the reset button
* Fri Jul 18 2003 - olh@suse.de
- update patches.ppc/ibm-ppc64-arch
  Add checking on creation of /proc entries.
* Thu Jul 17 2003 - olh@suse.de
- update patches.ppc/ibm-ppc64-arch
  correct byteorder in addRamdisk, include stdlib in addnote
* Thu Jul 17 2003 - olh@suse.de
- add patches.common/kdb-ps_show_running_processes
  Due to a bug in KDB, KDB ps will not print running processes.
* Thu Jul 17 2003 - olh@suse.de
- add patches.common/usb-serial-visor-deviceids
  Add ability to specify USB vendor/product ids as module options.
* Thu Jul 17 2003 - olh@suse.de
- update patches.common/linux-abi-fixes
  remove duplicate asm-ppc64/syscall.h stuff
* Thu Jul 17 2003 - mantel@suse.de
- fix root access to /proc/<pid>/environ
* Thu Jul 17 2003 - mantel@suse.de
- fix more compile problems caused by i2c update
* Thu Jul 17 2003 - mantel@suse.de
- make em8300 driver compile with new i2c version
* Thu Jul 17 2003 - olh@suse.de
- update patches.ppc/ibm-ppc64-arch
  update patches.ppc/ibm-ppc64-include
  iSeries fixes for cli and decrementer handling.
  fix bug in pthread_cancel
* Thu Jul 17 2003 - mantel@suse.de
- fix a bug with hot-adding devices to a multipath group
  (rdev->desc_nr was not set correctly)
* Wed Jul 16 2003 - olh@suse.de
- add patches.ppc/ibm-ppc64-kdb-updates
  * adds an instruction cache block invalidate after a breakpoint
  is set or cleared.
  * uses the current/active register contents for the cases where
  we didnt have an exception frame when kdb was called.
  update patches.ppc/ibm-ppc64-pci-64bit
  add a debug message for non-ppc64 if base starts at 0
* Wed Jul 16 2003 - olh@suse.de
- update patches.common/usb-2.4
  update patches.common/usb-scanlogic-usbide-hack.diff
  [PATCH] USB: Adding DSS-20 SyncStation to ftdi_sio
  [PATCH] USB: ax8817x.c - add Intellinet USB 2.0 Ethernet device ids
  [PATCH] USB: more ids for ipaq
  [PATCH] USB: Implement US_FL_FIX_CAPACITY for 2.4
  [PATCH] USB: usb-storage US_FL_FIX_CAPACITY fix
  [PATCH] USB: More unusual_devs.h entry updates
  [PATCH] USB: New vendor/product ids for scanner driver
  [PATCH] USB: fix check for SCN_MAX_MNR in scanner driver
  [PATCH] USB: Fix crash when scanners are disconnected while open
* Wed Jul 16 2003 - mantel@suse.de
- ensure data consistency between loop devices and targets
* Wed Jul 16 2003 - mantel@suse.de
- update i2c and lm_sensors to 2.8.0
* Wed Jul 16 2003 - mantel@suse.de
- add FATX (XBox) filesystem support
* Wed Jul 16 2003 - mantel@suse.de
- update configs for i386:
  + enable CONFIG_MODVERSIONS
  + enable CONFIG_PPP_MULTILINK
  + enable CONFIG_NFSD_TCP
* Wed Jul 16 2003 - mantel@suse.de
- update wireless extensions to version 16
* Wed Jul 16 2003 - mantel@suse.de
- set correct blocksize on open() (drbd got confused by this)
* Wed Jul 16 2003 - mantel@suse.de
- don't use kernel headers in ifenslave.c (SUSE27539)
* Wed Jul 16 2003 - olh@suse.de
- update patches.ppc/ibm-ppc64-arch
  Cause lack of a TCE allocation to panic,
  rather than pass back NO_TCE.
  add compatible ioctl TCSBRKP (SUSE27905 - LTC3452)
* Wed Jul 16 2003 - okir@suse.de
- Updated nfs-d_drop-lowmem to correctly drop the dentry
  in low memory situations for nfs_create and friends.
* Tue Jul 15 2003 - agruen@suse.de
- Make oldconfig tried to generate include/linux/version.h, but
  got it wrong. Don't try to generate version.h for oldconfig:
  With CONFIG_MODVERSIONS=y, all the include/config/ files
  generated by `make dep' are also needed, anyway. Instead,
  generate version.h in the spec file.
* Tue Jul 15 2003 - olh@suse.de
- update patches.ppc/ibm-ppc64-arch
  remove hardware multithreading option for RS64 cpus,
  lets see if that gets us any further
* Tue Jul 15 2003 - garloff@suse.de
- Fix oops that occurs if no queue is attached in blk_io_finished()
  [bug SUSE27684]
* Tue Jul 15 2003 - mantel@suse.de
- fix TIME_WAIT problem with nfsd fix (SUSE27937)
* Tue Jul 15 2003 - mantel@suse.de
- fix access to /proc/<pid>/cmdline
* Mon Jul 14 2003 - schwab@suse.de
- Fix procfs race conditions fix.
* Mon Jul 14 2003 - olh@suse.de
- update patches.ppc/ibm-ppc64-arch
  hide some icom calls in udbg
* Mon Jul 14 2003 - olh@suse.de
- add patches.common/firewire_ieee1394_ouiclean
  make clean removes drivers/ieee1394/oui.c
* Mon Jul 14 2003 - okir@suse.de
- added another ipv6 symbol to ipv6/sym6.c
* Mon Jul 14 2003 - olh@suse.de
- update patches.ppc/makeppc64-2.4.19
  use the EXTRAVERSION from config file
* Mon Jul 14 2003 - olh@suse.de
- update patches.ppc/ibm-ppc64-arch
  patches.ppc/ibm-ppc64-driver-char-icom
  patches.ppc/ibm-ppc64-kdb-consolehandling
  kdb on iSeries via the icom driver
  rename ppc64 config files
* Mon Jul 14 2003 - olh@suse.de
- remove patches.common/nokia-5510
  not needed anymore with current usb-storage
* Fri Jul 11 2003 - olh@suse.de
- update patches.common/firewire_ieee1394 (rev 999)
  Fix min() types.
  Include linux/pci.h
  Cast 48bit constant to long long. Fixes valid gcc-3.3 warning.
  Fix for old style sbp2 LUN's.
  Added RECV_FLUSH rawiso ioctl.
  Added cpu_to_le32() when sending raw packets
* Fri Jul 11 2003 - olh@suse.de
- update patches.common/usb-2.4
  remove patches.common/speedtouch patches.common/speedtouch-urb
  remove patches.common/vaio-memstick
  disable patches.common/00_usbnet-zaurus-c700-1
  update to cset 1.1082 from usb.bkbits.net:
  USB: pl2303: report CTS and DSR status changes to userspace.
  [PATCH] USB: Update for the powermate driver to work with newer devices
  USB: remove stupid conversions and use of floating point from aiptek.c
  USB: 2.4 fix UHCI debug kmalloc() usage
  [PATCH] USB: add support for 50 baud to io_edgeport.c
  [PATCH] USB: Desknote/ECS UCR-61S2B card reader (2.4.21 patched)
  remove Pentax Optio S digital camera unusual_devs entry
  [PATCH] USB: zaurus SL-C700
  [PATCH] USB: several ftdi_sio driver patches
  [PATCH] USB: usb-uhci fix for one-shot interrupt problem
  [PATCH] USB: usb-ohci handling of one-shot interrupt transfers
  [PATCH] USB: disconnect of v4l devices in 2.4
  [PATCH] USB: fix to previous vicam patch
  USB: compiler fixes for previous vicam patches.
  USB: fix build error on vicam driver
  [PATCH] USB: usb_string(), don't use bogus ids
  [PATCH] USB: usbnet updates
  [PATCH] USB: Reconcile unusual_devs.h for 2.4 and 2.5
  [PATCH] USB: Final reconciliation for unusual_devs.h in 2.4
  [PATCH] USB: Updates for unusual_devs.h
  [PATCH] USB: patch for sl811 usb host controller driver
  USB: fix up previous sl811 patch.
* Fri Jul 11 2003 - mantel@suse.de
- update cciss driver to 2.4.47
* Fri Jul 11 2003 - mantel@suse.de
- fix md-mp merge error
* Fri Jul 11 2003 - olh@suse.de
- add patches.ppc/ibm-ppc64-sys32
  add TIOCMIWAIT and TIOCGICOUNT, simpler version of put_statfs
  fix ipc32 SEMCTL third arg
* Thu Jul 10 2003 - olh@suse.de
- add patches.ppc/ibm-ppc64-FBIOBLANK
  reenable the compatible ioctl
* Thu Jul 10 2003 - olh@suse.de
- add patches.ppc/volatile-bitops-ppc64.patch
  remove wrong cast in test_bit, use volatile for the other bitop
  functions. (SUSE27685 - LTC3325)
* Thu Jul 10 2003 - olh@suse.de
- update patches.ppc/ibm-ppc64-pci-64bit
  pci_read_bridge_bases(), base address can be 0 on ppc64
  (SUSE27689 - LTC3328)
* Thu Jul 10 2003 - mantel@suse.de
- drop MXT support
* Thu Jul 10 2003 - schwab@suse.de
- config/ia64/itanium2-smp: disable CONFIG_SCx200_GPIO.
* Thu Jul 10 2003 - olh@suse.de
- add patches.ppc/ibm-ppc64-matroxfb
  arch specific io access functions for matroxfb (SUSE27660 - LTC3307)
* Thu Jul 10 2003 - mantel@suse.de
- fix several race conditions in procfs
* Wed Jul 09 2003 - mantel@suse.de
- update aacraid driver to 1.1.3
* Wed Jul 09 2003 - okir@suse.de
- Increased maximum nfsd blocksize to 32K (SUSE26834)
* Wed Jul 09 2003 - okir@suse.de
- Fixed ipv6/sym6.c for SMP
* Wed Jul 09 2003 - aj@suse.de
- Enable evlog on x86-64.
* Tue Jul 08 2003 - agruen@suse.de
- While marshalling nfs file attributes in nfsd, ignore acl
  related errors.  If the errors persist, successive accesses to
  the affected files will fail, anyway.
* Tue Jul 08 2003 - agruen@suse.de
- Remove nfs_permission_mode (nfsd module parameter), and replace
  it with an nfs export option.
* Tue Jul 08 2003 - okir@suse.de
- ipv6.o now properly exports all symbols required by ip6_tunnel
  and the mobility modules (SUSE27642)
* Tue Jul 08 2003 - agruen@suse.de
- Back out scripts-as-patches support. Feature is no longer used.
* Tue Jul 08 2003 - olh@suse.de
- add patches.ppc/ibm-ppc64-ble-copy_tofrom_user
  use correct branch in copy_tofrom_user (SUSE27285 - LTC3057)
* Mon Jul 07 2003 - mantel@suse.de
- new version of vm_reserve to make external modules (mainly vmware)
  happy
* Mon Jul 07 2003 - agruen@suse.de
- Modify NFS ACL patch so that Solaris no longer gets irritated.
* Mon Jul 07 2003 - agruen@suse.de
- patches.common/xattr-just-replace: In ext2 and ext3, optimize
  the case where attributes are updated but the new value has the
  same length as the old one had.
- Rework of the xattr locking strategy: The getxattr and listxattr
  inode operations no longer take i_sem. For jfs, xfs, reiserfs,
  the lock is moved down to the filesystem level.
- For ext2 and ext3,  make the code safe to run without i_sem.
  Also remove the global ext2_xattr_sem and ext3_xattr_sem locks
  in favor of a combination of per-inode xattr locks that are
  added, and the bh locks.
- The locking rework requires the journal_release_buffer function
  from fs/jbd/transaction.c. This function was commented out.
  Andrew Morton found two bugs in the implementation of this
  function that are fixed (patches.common/jbd-credits-fix.patch
  and patches.common/journal_release_buffer-race-fix.patch). There
  is one pending credit accounting bug with buffer stealing from
  transactions that still needs to be fixed.
- Enable xattr sharing on ext2. This was disabled due to a typo.
- A whole bunch of code cleanups in the xattr and acl code.
* Mon Jul 07 2003 - mantel@suse.de
- fix execve() file read race vulnerability
* Fri Jul 04 2003 - aj@suse.de
- Update to 2.4.21.
* Fri Jul 04 2003 - aj@suse.de
- Do not use km_freeswan.
* Fri Jul 04 2003 - agruen@suse.de
- Remove CONFIG_QSORT from fs/Config.in: (a) It has nothing to do
  in that config file, (b) Assignments like "CONFIG_QSORT=y" in
  Config scripts are syntactically incorrect, and break `make
  xconfig', (c) the test Olaf added is incomplete, and therefore
  incorrect.
* Fri Jul 04 2003 - olh@suse.de
- add patches.common/reiserfs-vs-3050
  fix for reiserfs deadlock (#Bug SUSE27445 - LTC3162)
* Fri Jul 04 2003 - mantel@suse.de
- update e1000 driver to 5.1.11
* Fri Jul 04 2003 - mantel@suse.de
- update e100 driver to 2.3.13
* Fri Jul 04 2003 - mantel@suse.de
- update CIFS to 0.8.0
* Fri Jul 04 2003 - mantel@suse.de
- update IPVS to 1.0.9
* Fri Jul 04 2003 - mantel@suse.de
- update aacraid driver to 1.1.2; add fixes for 64 bit archs
* Fri Jul 04 2003 - mantel@suse.de
- update bcm5700 driver to 6.2.11
* Fri Jul 04 2003 - mantel@suse.de
- some quota fixes:
- fix backward compatibility of Q_SYNC call
- fix quota deadlock on ext3 filesystems
- implement module autoloading on quotaon
* Fri Jul 04 2003 - aj@suse.de
- Update options for x86-64.
* Fri Jul 04 2003 - mantel@suse.de
- use consistent device names for all wireless LAN devices
* Fri Jul 04 2003 - mantel@suse.de
- update orinoco driver to 0.13e
* Fri Jul 04 2003 - mantel@suse.de
- export symbols find_trylock_page and path_lookup for XFS
* Fri Jul 04 2003 - mantel@suse.de
- add cache descriptors 86 and 87 (SUSE27638)
* Fri Jul 04 2003 - mantel@suse.de
- add x86 BIOS enhanced disk drive support
* Fri Jul 04 2003 - mantel@suse.de
- add vm_reserve kernel parameter to allow reserving a specific
  amount of memory for vmalloc and ioremap allocations
* Thu Jul 03 2003 - schwab@suse.de
- Fix missing PCI ID.
- Update ia64 configs.
- Fix build problems.
* Thu Jul 03 2003 - schwab@suse.de
- Update ia64 patch to 2.4.21-ia64-030702.
- Remove obsolete patches.
- Update configs.
* Wed Jul 02 2003 - garloff@suse.de
- acpiphp_glue compile fix (until we update ACPI anyway)
* Wed Jul 02 2003 - garloff@suse.de
- remove sg-rename-sg_base script. A Makefile trick is used
  instead of renaming sg->sg_base.
* Wed Jul 02 2003 - ak@suse.de
- remove homenode patch
* Tue Jul 01 2003 - agruen@suse.de
- Fix the check for changes in <linux/version.h>.
* Tue Jul 01 2003 - mantel@suse.de
- add AIO and AIO+O_DIRECT support to block devices
* Tue Jul 01 2003 - ak@suse.de
- fix a NULL pointer reference in PPPoE reconnect
* Tue Jul 01 2003 - ihno@suse.de
- remove reference to timerlist_lock in s390-code
- change schedule to do_schedule in s390-code
* Tue Jul 01 2003 - ak@suse.de
- use priviledged ports to access portmap
* Tue Jul 01 2003 - aj@suse.de
- Add code to recognize SiS K8 AGP.
* Tue Jul 01 2003 - olh@suse.de
- add patches.ppc/99_ppp_mppe_no_floats_in_kernel_please.diff
  name says it all
* Tue Jul 01 2003 - andrea@suse.de
- Checked in the aurema proprietary hooks
- Left out the RSS and IPCSHM ones for various reasons
* Tue Jul 01 2003 - olh@suse.de
- add patches.ppc/ibm-ppc64-drivers-veth-remove
  veth is now in drivers/iseries
* Mon Jun 30 2003 - olh@suse.de
- add patches.common/usagi-ipv6_reassembly_init.h
  __init requires linux/init.h
* Mon Jun 30 2003 - olh@suse.de
- add patches.ppc/ibm-ppc64-kdb-kdb_parse-nonstatic
  update patches.ppc/kdb-v2.3-2.4.21-ppc64.diff-kdb_serial
  ppc64 needs kdb_parse, define kdb_serial in ppc64
* Mon Jun 30 2003 - olh@suse.de
- update patches.common/solaris-acl-nfs
  patches.common/solaris-acl-nfsd
  CONFIG_QSORT=y if CONFIG_NFS/NFSD=y
* Mon Jun 30 2003 - olh@suse.de
- update patches.common/sd_many
  fix syntax error
* Mon Jun 30 2003 - ak@suse.de
- sync AMD64 epoll ABI with 2.5
* Mon Jun 30 2003 - olh@suse.de
- update patches.common/firewire_ieee1394 (rev 986)
* Mon Jun 30 2003 - mantel@suse.de
- two trivial compile fixes for ipv6
- update configs for i386
- drop ES7000 support for now; new version will be re-added
* Mon Jun 30 2003 - agruen@suse.de
- Fix typo that breaks ext2 acls for special files
* Mon Jun 30 2003 - olh@suse.de
- add patches.ppc/ibm-ppc64-sys32_ustat
* Mon Jun 30 2003 - olh@suse.de
- update patches.ppc/ibm-ppc64-pci-64bit
  correct argument to pci_size() in pci_read_bases
* Mon Jun 30 2003 - olh@suse.de
- add patches.ppc/ibm-ppc64-pseries-hvcconsole-devfs
* Mon Jun 30 2003 - garloff@suse.de
- Update kernel configs to sd_many (144 majors => 2304 disks).
* Mon Jun 30 2003 - garloff@suse.de
- aic7xxx-ioport-register: Rediff and reenable.
* Mon Jun 30 2003 - garloff@suse.de
- st-eot-fix: EOT with fixed blocked size buffers and non-emtpy
  buffers could lead to write errors. [SUSE27588]
- sg-done-race: done flag was set before all fields were filled
  in that may be processed.
- sd_onedisk-datadir: Data direction should be none for TEST_UNIT_
  READY.
- osst-0913-update: Update to osst-0.9.13.
- dc395x-notag-reqsense: Properly avoid tagged commands for auto
  REQUEST_SENSE.
* Sun Jun 29 2003 - garloff@suse.de
- sg-rename-sg_base, sg_many, sd_many, fix-regblkchrdev:
  Port scsi-many patches to 2.4.21.
  fix-scsi-noise and the snippet from ppc-O1-sdmany-fixes have
  been merged.
- scsi-scan-largelun: Update blacklist (mostly BLIST_SPARSELUN |
  BLIST_LARGELUN) additions.
* Sun Jun 29 2003 - garloff@suse.de
- kernel-source.spec, scripts/sequence-patch.sh: Allow scripts to
  be executed instead of a patch being applied (recognized by #!).
* Sun Jun 29 2003 - olh@suse.de
- add patches.ppc/ibm-ppc64-drivers-char-ttyio
  init viocons and hvc console
* Sun Jun 29 2003 - agruen@suse.de
- Fix bug in ext3 error path in xattr code (reported by Andrew
  Morton).
- Minor update to xattr/acl defconfig patches.
* Sat Jun 28 2003 - andrea@suse.de
- fix ppc64 so it compiles with pte-highmem and everything
- fix bug in varyio (can't trigger since O_DIRECT doesn't use varyio)
- cleanup in truncate race fixes
- ported smptimers to ia64 and integrated the x86-64 part too
- integrated some bit of ppc support into the right patches
- fix ppc compilation failure due leftover in new patch present in cvs
- move the expand_stack updates in the ppc64-aa patch
* Sat Jun 28 2003 - garloff@suse.de
- kdb compile fixes.
* Fri Jun 27 2003 - garloff@suse.de
- Remove bogus wait.h changes from epoll.common.diff
* Fri Jun 27 2003 - ak@suse.de
- make s390 patches s390 only to build other architectures again
- update to new homenode patch
- readd exception-trace sysctl
- support ELF header flags for executable/non executable stack
* Fri Jun 27 2003 - ihno@suse.de
- corrected sysinfo-call in s390 31-Bit emulation (SUSE26830)
- inserted length check to avoid possible exploid
  in s390 31-Bt emulation (SUSE26693)
- fix the following calls in the 32-Bit emulation Layer
- readv/writev (SUSE26158)
- msgget/msgrcv/msgsnd (SUSE26159)
- semget (SUSE26160)
- fcntl (SUSE26161)
* Fri Jun 27 2003 - ihno@suse.de
- provide epoll.patches for i386, s390, x86_64, i386
- aditional IBM-Patches
* Fri Jun 27 2003 - olh@suse.de
- add patches.ppc/ibm-ppc64-drivers-pcnet32
  patches.ppc/ibm-ppc64-pcnet32-outofsync
  better smp handling
  patches.ppc/ibm-ppc64-include-pci
  use int instead of char
  patches.ppc/ibm-ppc64-pci-64bit
  patches.ppc/drop_bogus_info-2.4.19
  noone cares about bogomips in userland
  patches.ppc/suse-ppc32-autoconsole
  add console= when OF console is serial
  patches.ppc/video_imstt-tt128mb8-2.4.18-rc1
  fix 8mb version
  patches.ppc/ul1-ppc32-o1-smpfix-jeffm
  O1 scheduler fixes
* Fri Jun 27 2003 - olh@suse.de
- add patches.ppc/suse-ppc64-pseries-autoconsole
  put AUTOCONSOLE in front of cmd_line for init=/bin/bash
  update patches.ppc/ul1-ppc64-kdb-serialsnoop
  use startKDB only on ppc64
* Fri Jun 27 2003 - garloff@suse.de
- IPv6 compile fixes.
* Fri Jun 27 2003 - okir@suse.de
- 64bit fixes to the cryptoapi sha1 implementation so it
  works on Itanium, too.
* Thu Jun 26 2003 - okir@suse.de
- Merged remaining CGL IPv6 bugfixes, and IPv6 mobility patches
  (aka: the last scream of the missing neighbor)
* Thu Jun 26 2003 - agruen@suse.de
- Fix Filesystems menu
* Thu Jun 26 2003 - olh@suse.de
- add patches.ppc/ibm-ppc64-drivers-sound-dmabuf
  use pci_map_single instead of virt_to_bus
  update patches.common/TIOCGDEV
  add comment, make sure ppc64 version is not lost
  update patches.common/block-highmem-all
  remove unneeded hunk, add comment
* Thu Jun 26 2003 - olh@suse.de
- add patches.ppc/ul1-ppc64-futex-PROT_SEM
  add patches.ppc/ibm-ppc64-kdb-consolehandling
  add patches.ppc/ibm-ppc64-printk-preferred_console
  update patches.common/evlog to apply
* Thu Jun 26 2003 - okir@suse.de
- more IPv6 patches; merged ipsec4 support
* Thu Jun 26 2003 - olh@suse.de
- add patches.ppc/ibm-ppc64-drivers-block-iseries
-build and init iSeries viocd
  add patches.ppc/suse-ppc64-viodasd-rootdev-hda3
  add patches.ppc/suse-ppc64-raid1-cflags
-use -O1 to avoid loop miscompilation in raid1/raid5
* Thu Jun 26 2003 - olh@suse.de
- add patches.ppc/suse-ppc64-ioctl32-raidautorun
  update patches.ppc/ibm-ppc64-arch
-fix comment in arch/ppc64/kernel/cputable.c
-Fix for a shared processor yield where we give up the processor
  for a full jiffy, rather than until the next jiffy should occur.
  Would result in a sleep of less than the specified time..
* Wed Jun 25 2003 - olh@suse.de
- add patches.ppc/ibm-ppc64-drivers-iseries
* Wed Jun 25 2003 - olh@suse.de
- add patches.ppc/ibm-ppc64-include-vethdevice
* Wed Jun 25 2003 - olh@suse.de
- add patches.ppc/ibm-ppc64-include-procfs-PROC_NDYNAMIC
* Wed Jun 25 2003 - olh@suse.de
- add patches.ppc/ibm-ppc64-include-major-iseries
  viod and viocd definitions
* Wed Jun 25 2003 - olh@suse.de
- add patches.ppc/ibm-ppc64-include-blk-iseries
  viod and viocd definitions
* Wed Jun 25 2003 - olh@suse.de
- add patches.ppc/ul1-ppc64-atomic-lookup
* Wed Jun 25 2003 - olh@suse.de
- add patches.ppc/ul1-ppc64-kdb-serialsnoop
  'startKDB' as serial snoop string
* Wed Jun 25 2003 - olh@suse.de
- add patches.ppc/ibm-ppc64-driver-char-icom
* Wed Jun 25 2003 - olh@suse.de
- add patches.ppc/ibm-ppc64-drivers-makefile-iseries
  build drivers/iseries/iseries.o
* Wed Jun 25 2003 - olh@suse.de
- add patches.ppc/ibm-ppc64-makefile-iseries
  build drivers/iseries/iseries.o
* Wed Jun 25 2003 - garloff@suse.de
- scsi-sensebuf-96: Set size of SCSI sense buffer from 64 to 96.
  Some devices need just more. (IBM Magstar3590 reports cleaning
  requirement at offset 70.) [SUSE26928]
* Wed Jun 25 2003 - okir@suse.de
- Fixed iff-dynamic patch (inetdev_changename already present in 2.4.21)
* Tue Jun 24 2003 - agruen@suse.de
- Fine-grained dependencies for <linux/version.h>: Instead of
  .config, only depend on the variables that are really used.
* Tue Jun 24 2003 - ak@suse.de
- readd race fixes to iff-dynamic
* Tue Jun 24 2003 - mantel@suse.de
- fix netevent deadlock
* Tue Jun 24 2003 - mantel@suse.de
- have sd_open() schedule instead of spinning hard (SUSE26786)
* Mon Jun 23 2003 - okir@suse.de
- Merged first chunk of USAGI patches
- Merged several NFS fixes from Trond Myklebust
* Mon Jun 23 2003 - mantel@suse.de
- update hangcheck driver to 0.6.0; adds support for x440 cyclone
  timer
* Mon Jun 23 2003 - mantel@suse.de
- fix race in sys_init_module (SUSE25214)
* Mon Jun 23 2003 - mantel@suse.de
- fix shmget trouble with bigpages
* Mon Jun 23 2003 - ihno@suse.de
- added patches from IBM-Boeblingen
* Sat Jun 21 2003 - schwab@suse.de
- Remove outdated README.patches.
* Fri Jun 20 2003 - olh@suse.de
- update patches.common/usb-2.4
  [PATCH] USB: pentax optio S
  [PATCH] USB: EHCI update for 2.4
  [PATCH] USB: US_SC_DEVICE and US_PR_DEVICE for 2.4
  [PATCH] USB: AX8817X Driver for 2.4 Kernels
  [PATCH] USB: New vendor/product ids for scanner driver
  [PATCH] USB: Fix HID logical min/max for 2.4
  Some UPSes have logical minimum and maximum value in HID descriptors the
  same. The HID driver rejects such devices. This patch fixes this. Please
  apply for 2.4, I'll take care of a 2.5 patch.
  [PATCH] USB speedtouch: parametrize the module
  [PATCH] USB: Patch for Vivicam 355
- update patches.common/firewire_ieee1394 (rev 962)
* Thu Jun 19 2003 - olh@suse.de
- disable speedtouch driver, use official one instead
* Wed Jun 18 2003 - ak@suse.de
- more paranoia in iff-dynamic locking
* Wed Jun 18 2003 - ak@suse.de
- fix prefetches in x86_64-suse
* Wed Jun 18 2003 - ak@suse.de
- add missing lock in iff-dynamic
* Wed Jun 18 2003 - olh@suse.de
- readd patches.ppc/ul1-ppc64-disable-kdb-io
  avoids circular dependencies
* Wed Jun 18 2003 - olh@suse.de
- fix patches.common/xattr-arch
  remove bogus #if 0 statements for asm-ppc64/unistd.h
* Wed Jun 18 2003 - olh@suse.de
- fix patches.common/netconsole-compile-in
  how did that unclosed brace { into the tree
* Wed Jun 18 2003 - olh@suse.de
- add patches.ppc/kdb-v2.3-2.4.21-ppc64.diff-kdb_serial
  remove duplicate declaration
  add patches.ppc/pte-highmem-prefetch
  move prefetch functions to asm/prefetch.h
  add patches.ppc/sched-O1-aa-2.4.19rc3-12-CONFIG_MAX_RT_PRIO
  add missing config option for ppc64
* Wed Jun 18 2003 - mantel@suse.de
- fix /proc/<pid>/cmdline overflow
* Wed Jun 18 2003 - ak@suse.de
- fix small bug in nfs-nonreserved patch
* Wed Jun 18 2003 - ak@suse.de
- fix homenode patch for non ikd kernel
* Wed Jun 18 2003 - mantel@suse.de
- fix memleaks in SCSI code (SUSE26489 / LTC2632)
* Wed Jun 18 2003 - mantel@suse.de
- drop patches.common/00_usb_get_string-len-1; it's unneeded
* Wed Jun 18 2003 - mantel@suse.de
- fix severe bug in fusion driver that can trigger on 64bit
  platforms. Don't use new error handler code (like in the past)
* Wed Jun 18 2003 - mantel@suse.de
- disable ikd
* Wed Jun 18 2003 - olh@suse.de
- update patches.ppc/kdb-v2.3-2.4.21-ppc64.diff
  remove include/asm/ files
  add patches.ppc/makeppc64-2.4.19
* Wed Jun 18 2003 - ak@suse.de
- add noreserved option for NFS client (SUSE27428)
* Wed Jun 18 2003 - olh@suse.de
- add patches.ppc/ibm-ppc64-arch
  patches.ppc/ibm-ppc64-include
* Wed Jun 18 2003 - olh@suse.de
- add patches.ppc/kdb-v2.3-2.4.21-ppc64.diff
* Wed Jun 18 2003 - olh@suse.de
- add i386 specific kdb code
  patches.i386/kdb-v2.3-2.4.19-i386-5
  patches.i386/kdb-v2.3-2.4.19-i386-5-kernel-bluesmoke
  patches.i386/kdb-v2.3-2.4.19-i386-5-kernel-entry
  patches.i386/kdb-v2.3-2.4.19-i386-5-kernel-i8259
  patches.i386/kdb-v2.3-2.4.19-i386-5-kernel-irq
  patches.i386/kdb-v2.3-2.4.19-i386-5-kernel-process
  patches.i386/kdb-v2.3-2.4.19-i386-5-kernel-smp
  patches.i386/kdb-v2.3-2.4.19-i386-5-kernel-smpboot
  patches.i386/kdb-v2.3-2.4.19-i386-5-kernel-traps
  patches.i386/kdb-v2.3-2.4.19-i386-5-vmlinux.lds
  patches.i386/kdb-v2.3-2.4.19-i386-5-Makefile
  patches.i386/kdb-v2.3-2.4.19-i386-5-asm-hw_irq
  patches.i386/kdb-v2.3-2.4.19-i386-5-asm-keyboard
  patches.i386/kdb-v2.3-2.4.19-i386-5-asm-ptrace
  patches.i386/kdb-v2.3-2.4.19-i386-5-config.in
  add compile fixes for O1 and 2.4.21 usb
  patches.common/kdb-v2.3-2.4.19-common-4-O1
  patches.common/kdb-v2.3-2.4.19-common-4-struct_urb
  patches.i386/kdb-v2.3-2.4.19-i386-5-struct_urb
* Tue Jun 17 2003 - olh@suse.de
- add common kdb code
  patches.common/kdb-v2.3-2.4.19-common-4
  patches.common/kdb-v2.3-2.4.19-common-4-Makefile
  patches.common/kdb-v2.3-2.4.19-common-4-drivers
  patches.common/kdb-v2.3-2.4.19-common-4-init
  patches.common/kdb-v2.3-2.4.19-common-4-kernel
  patches.common/kdb-v2.3-2.4.19-common-4-sysctl
* Tue Jun 17 2003 - olh@suse.de
- disable patches.common/9999_gcc-3.3-6 (no -finline-limit=2000)
  remove patches.common/no-sign-warnings
* Tue Jun 17 2003 - ak@suse.de
- fix up compilation with homenode
* Tue Jun 17 2003 - ak@suse.de
- Add new homenode scheduling patch
- switch AMD64 k_smp to NUMA allocation by default
- switch AMD64 k_numa to use homenode scheduling
- only allocate data structures for 8 CPUs on AMD64
* Tue Jun 17 2003 - ak@suse.de
- update defconfig for amd64
* Tue Jun 17 2003 - ak@suse.de
- merge ocfs 1.0.9-pre. only lightly tested so far.
* Mon Jun 16 2003 - olh@suse.de
- add patches.common/fork-copy_namespace-corruption
  kmalloc sizeof struct instead of sizeof pointer
* Mon Jun 16 2003 - olh@suse.de
- readd patches.common/block-highmem-all
  ppc64 must not use blk_nohighio
  sym53c8xx_2 must not reenable highmem_io behind the scsi layer
* Mon Jun 16 2003 - ak@suse.de
- netconsole fixes for AMD8111, tigon3, pcnet32, tulip, eepro100,
  3c59x
* Mon Jun 16 2003 - ak@suse.de
- update XFS to 1.3pre2
* Mon Jun 16 2003 - ak@suse.de
- remerge x86-64 for 2.4.21rc8aa1. Readd dropped patches.
- fix SMP local timers
- fix sleeping bug in ACPI
* Mon Jun 16 2003 - olh@suse.de
- add patches.common/fs_hfsplus
* Mon Jun 16 2003 - olh@suse.de
- update patches.common/usb-2.4
  obsoletes patches.common/usbstorage-workaround
  add patches.common/usb-scanlogic-usbide-hack.diff
  http://www.ussg.iu.edu/hypermail/linux/kernel/0201.1/0893.html
  add patches.common/keyboard_reconnect_led_state
  update LED immediately during KVM switch,
  and not when another key would trigger it (SUSE21944)
* Sun Jun 15 2003 - olh@suse.de
- add patches.common/firewire_ieee1394 (rev 954)
* Sun Jun 15 2003 - mantel@suse.de
- update to 2.4.21
- update to latest -aa kernel
* Fri Jun 13 2003 - schwab@suse.de
- Fix breakage from ak's patch.
* Thu Jun 12 2003 - sf@suse.de
- fix prepare-build.sh
- use make -s
* Thu Jun 12 2003 - sf@suse.de
- fix prepare-build.sh
- use make -s
* Thu Jun 12 2003 - sf@suse.de
- use get_release_number.sh
- specfile cleanup
* Thu Jun 12 2003 - olh@suse.de
- update patches.common/scsi-recoverederror
  better handling for scsi recovered errors. (SUSE27264 - LTC2972)
* Wed Jun 11 2003 - sf@suse.de
- use get_release_number.sh
- specfile cleanup
* Wed Jun 11 2003 - ak@suse.de
- add xfs-tuning: give better defaults for the logbufs= XFS parameter.
* Tue Jun 10 2003 - ak@suse.de
- fix for new uname
- put kernel-sources changes first
- build with -j2*cpus
* Tue Jun 10 2003 - ak@suse.de
- fix for new uname
- put changes from kernel-source first
- build with -j2*cpus
* Tue Jun 10 2003 - ak@suse.de
- fix compilation with kgdb for x86-64
* Tue Jun 10 2003 - ak@suse.de
- Merge to XFS 1.3pre1:
- xfs-1.2: Remove.
- xfs-1.3: Add
- xfs-infrastructure: add with generic support for XFS 1.3pre1
- xfs-qsort: add. Support for common qsort.
- xfs-aa: new changes for XFS 1.3pre1.
- solaris-acl-nfsd, solaris-acl-nfs: drop hunk
* Mon Jun 09 2003 - ak@suse.de
- fix typo in consistent64-megaraid1
* Mon Jun 09 2003 - ak@suse.de
- patch header file in amd8111e-update too
* Mon Jun 09 2003 - ak@suse.de
- reimplement acpi-readwritable
* Mon Jun 09 2003 - ak@suse.de
- add pci ids for new SIS chips
* Mon Jun 09 2003 - ak@suse.de
- acpi-readwriteable: disable unused/broken acpi_os_readable/writeable
  functions
* Mon Jun 09 2003 - ak@suse.de
- stackexec: add to fix non executable stack support for x86-64
* Mon Jun 09 2003 - ak@suse.de
- CVS update and merge AMD64 with CGL:
- x86_64-cvs-update: update to 090603 x86-64.org CVS
- x86_64-suse-fixes: split some part from cvs-update for convenience.
- x86_64-homenode: disable in series.conf for now
- consistent64-base, consistent64-x86_64: backport pci_set_consistent_dma_mask
  from 2.5 and support on K8.
- consistent64-megaraid1, consistent64-megaraid2: Use consistent dma mask.
  Set correct dma mask on 32bit for better highmem handling.
- consistent64-tg3: set 64bit dma mask for consistent mappings.
- personality-3gb: add workaround for broken 32bit Java.
- amd8111e-update: update to latest driver from AMD.
- x86_64-aio-bigpages: fix aio with bigpages.
- x86_64-ia32-nr-syscall: fix 32bit aio
- x86_64-warnings: fix some warnings.
- x86_64-acpi-dynamic-link: fix dynamic acpi links (from i386)
- x86_64-kgdb: fix for merge
- submit-bh: port submit-bh race fix from CGL.
- x86_64-suse: fix for merge
* Thu Jun 05 2003 - aj@suse.de
- Update SiS IDE patch.
- Updated via IDE support to support vt8237 and fix problems with vt8235.
- Support AMD Hotplug driver.
* Thu Jun 05 2003 - agruen@suse.de
- Merge some of the really small patches.
* Wed Jun 04 2003 - mantel@suse.de
- remove SMP-unsafe BUG in __remove_inode_page
* Wed Jun 04 2003 - aj@suse.de
- Fix SMP races in floppy driver (SUSE25656).
* Wed Jun 04 2003 - schwab@suse.de
- Don't printk in ia64_ni_syscall.
- Fix high fp corruption.
* Wed Jun 04 2003 - aj@suse.de
- Add megaraid-mbox-1 patch to fix problems where variables had
  a too small space or not the whole variable was initialized.
* Mon May 26 2003 - mantel@suse.de
- fix console redirect bug
* Fri May 23 2003 - mantel@suse.de
- fix kernel panic with pptpd when mss > mtu
* Fri May 23 2003 - mantel@suse.de
- fix incorrect memcpy in ioport fix
* Thu May 22 2003 - agruen@suse.de
- More cleanups in the NFS ACL protocol extension. Fix another
  potential memory leak.
* Tue May 20 2003 - agruen@suse.de
- Dropped one posix_acl_release() too many in yesterday's NFS ACL
  update to nfsd.
- Release ACLs correctly in nfs client even for misbehaving
  server.
* Mon May 19 2003 - agruen@suse.de
- Fix errors in the NFS ACL protocol extensions of nfs:
  + Removing default ACLs was causing a NULL pointer assignment
  Oops.
  + The nfs client now also refreshes inodes in the ACL related
  RPCs, so the client cache is up to date earlier.
  + Remove duplicate posix_acl_release() call (non-critical).
- Fix errors in the NFS ACL protocol extensions of nfsd:
  + Fix Oops by adding checks for dentry==NULL and
  dentry->d_inode==NULL in nfs3svc_encode_getaclres. Triggerable
  by causing accesses to stale file handles.
  + GETACL RPC did not properly report the number of Default ACL
  entries, but reported the number of Access ACL entries instead.
* Fri May 16 2003 - agruen@suse.de
- Add patches.common/nethashfix. The original comments from the
  2.5 changesets related to this bug are:
  + [NET]: Fix hashing exploits in ipv4 routing, IP conntrack,
  +        and TCP synq.
  +
  + Several hash table implementations in the networking were
  + remotely exploitable.  Remote attackers could launch attacks
  + whereby, using carefully choosen forged source addresses,
  + make every routing cache entry get hashed into the same hash
  + chain.
  +
  + Netfilter's IP conntrack module and the TCP syn-queue
  + implementation had identical vulnerabilities and have been
  + fixed too.  The choosen solution to the problem involved
  + using Bob's Jenkins hash along with a randomly choosen
  + input.  For the ipv4 routing cache we take things one step
  + further and periodically choose a new random secret.  By
  + default this happens every 10 minutes, but this is
  + configurable by the user via sysctl knobs.
  + [NET]: Cosmetic cleanups of jhash code.
  + - Consistent naming (i.e. jhash_xxx)
  + - Reduces the 2&1 word variants to call jhash_3words()
  + - Replaces __inline__ with inline.
* Fri May 16 2003 - agruen@suse.de
- Add patches.common/ioport. The original comment from the
  2.5 changeset for this bug is:
  + This makes sure that the ioperm bitmap in the TSS is
  + correctly set up during the first ioperm() call.  Without
  + this the TSS bitmap contains random garbage until the next
  + context switch.
- Add patches.common/x86_64-ioport from UL_1_0_CGL_BRANCH.
  (Submitted there from ak@suse.de.)
* Fri May 16 2003 - mantel@suse.de
- remove auto-generated files for sim710 driver, because it can
  prevent successful compilation in some cases (SUSE25912)
* Thu May 15 2003 - mantel@suse.de
- update ACPI to 20030512 (SUSE26316)
* Wed May 14 2003 - bk@suse.de
- SCSI: requeue if last pending command returns QUEUE_FULL[SUSE26271]
- SCSI: fix panic on full queue w/ partially fulfilled req[SUSE26271]
* Wed May 14 2003 - bk@suse.de
- JFS: Fix failures to honor ACLs with huge amounts of ACLs (SUSE26737)
* Wed May 14 2003 - agruen@suse.de
- Architecture dependent test build: The build only gives a rough
  idea if something is badly broken, so building vmlinux should
  be good enough. The vmlinux target is architecture independent.
- Fix file list generation for BETA: Autobuild aborts if there
  are files in $RPM_BUILD_ROOT that will not be installed.
* Mon May 12 2003 - agruen@suse.de
- Remove outdated `Provides'. Move them to `Obsoletes'. Set
  `Provides' to `linux'.
- Change version from 2.4.20.SuSE to 2.4.20.
- When copying config files, substitute/replace the release number
  and configuration names.
- Remove the hack that optionally builds k_smp in the clean
  section.
- Several additional clean-ups.
* Mon May 12 2003 - agruen@suse.de
- Enable patches.common/nfsd-subtreecheck after confirmation
  from Neil Brown <neilb@cse.unsw.edu.au> that the patch is good,
  and that it will go into mainline after 2.4.21 is out.
* Mon May 12 2003 - schwab@suse.de
- Resurrect asm-ia64/offsets.h.
* Mon May 12 2003 - agruen@suse.de
- Further cleanups in kernel-source.spec and scripts: The config-
  uration name and release number are now proper options in the
  config files; Kurt's mkconfig script is obsolete and gone.
* Sat May 10 2003 - bk@suse.de
- Update common/fix-module-loader to 2.4.21-rc2 fix level (SUSE26289)
* Thu May 08 2003 - garloff@suse.de
- Remove extraversion and extraversion-depend. Replace by new
  extraversion. Introduces scripts/mkconfg NAME [RELEASE]
  which copies the .config file from arch/ARCH/defconfig.NAME
  and tweaks EXTRAVERSION in the Makefile.
* Thu May 08 2003 - agruen@suse.de
- Make scripts/sequence-patch.sh search for the kernel tarball
  in the same directories as scritps/tar-up.sh. Check for the
  tarball locally before checking the mirror path.
* Wed May 07 2003 - bk@suse.de
- JFS: Fix inode deadlock with jfs_commit_inode (SUSE19901, SUSE22301)
* Wed May 07 2003 - agruen@suse.de
- Add proposed patches.common/nfsd-subtreecheck patch (disabled
  for now).  The patch fixes the check that walks from a dentry
  back to the nfs exported directory and verifies that the
  client user still has permission to access the file.  The check
  in 2.4.20 is broken with ACLs; directories with ACLs with uid=0
  and gid=0 and no execute permissions for others cannot be
  accessed.
* Wed May 07 2003 - agruen@suse.de
- Add missing hunks to SiS IDE update.
* Mon May 05 2003 - aj@suse.de
- Update SiS IDE patch.
* Wed Apr 30 2003 - schwab@suse.de
- Fix uses of head and tail commands.
* Wed Apr 16 2003 - mantel@suse.de
- fix wrong #if in hardirq.h (should be #ifdef) (SUSE26320)
* Wed Apr 16 2003 - mantel@suse.de
- back out patches.common/fsync-msync-async-errors
* Tue Apr 15 2003 - mantel@suse.de
- fix problems introduced by ptrace fix (SUSE26289)
* Tue Apr 15 2003 - mantel@suse.de
- allow IDE DMA for newer Intel chipsets (such as Centrino)
* Mon Apr 14 2003 - mantel@suse.de
- fix race in IDE driver that results in stack corruption (SUSE26285)
* Fri Apr 11 2003 - mantel@suse.de
- update bcm5700 driver to 6.2.2. Solves problem with MAC address
  being all zero (SUSE26074)
* Thu Apr 10 2003 - aj@suse.de
- Recognise ALI K8 NIC in Tulip dmfe.
* Thu Apr 10 2003 - aj@suse.de
- Use old SCSI EH handler for MPT fusion driver.
* Wed Apr 09 2003 - mantel@suse.de
- make sure vmalloc only uses the vmalloc range
* Wed Apr 09 2003 - mantel@suse.de
- fix output of /proc/ram for ecc driver (SUSE22388)
* Wed Apr 09 2003 - agruen@suse.de
- Some more alpha updates from ro@suse.de.
- And some more.
* Wed Apr 09 2003 - mantel@suse.de
- allow up to 32 GB in bigpages on i386
* Wed Apr 09 2003 - schwab@suse.de
- Enable ATM drivers on ia64.
* Tue Apr 08 2003 - bk@suse.de
- JFS deadlock fix: can't hold LCACHE_LOCK while doing I/O [SUSE26139]
* Tue Apr 08 2003 - sf@suse.de
- enable CONFIG_PDC202XX_FORCE for AMD64 kernels
* Tue Apr 08 2003 - mantel@suse.de
- enable CONFIG_PDC202XX_FORCE for i386 kernels
* Tue Apr 08 2003 - garloff@suse.de
- Fix aic7xxx EISA ioport registration. [Bug SUSE25856]
* Mon Apr 07 2003 - sf@suse.de
- use config from kernel-source (cvs)
* Mon Apr 07 2003 - sf@suse.de
- use config from kernel-source (cvs)
* Mon Apr 07 2003 - agruen@suse.de
- Updates from ro@suse.de to make the kernel compile on alpha
  again:
  * Two of the patches in series.conf can also be applied on
  alpha without problems.
  * A fixup for a missing hunk in
  patches.common/xattr-alpha is no longer needed.
  * linux-abi, remove-duplicate-exports: alpha has no sys_llseek.
* Mon Apr 07 2003 - schwab@suse.de
- Update config for ia64.
* Mon Apr 07 2003 - sf@suse.de
- update config for sk98lin*
* Mon Apr 07 2003 - schwab@suse.de
- Fix use of head/tail in specfile.
* Mon Apr 07 2003 - agruen@suse.de
- Add missing files from defconfig/ to config/ for architectures
  whose k_* packages have not yet been converted: ppc, ppc64,
  alpha.
* Sun Apr 06 2003 - agruen@suse.de
- Fix bug SUSE26096 in the extended attribute sharing code: In one
  case brelse() is not called on a buffer. See the bugzilla entry
  for details.
* Fri Apr 04 2003 - agruen@suse.de
- This probably is the first documented kernel configuration
  change in the history os SuSE !!!
- Enable Marvell Yukon Chipset / SysKonnect SK-98xx Support
  (CONFIG_SK98LIN) options in i386/*.
* Fri Apr 04 2003 - agruen@suse.de
- Move config files from k_* packages into kernel-source. In the
  course of moving the files over, the following renames were
  done:
  deflt -> default
  inst -> install
  Only some of the configs make sense for a particular version of
  the kernel, so a mechanism similar to the patch selection
  mechanism is used for configuration file selection. See
  config.conf. A configuration file with a relative path of
  config/$path is installed under the following name in the
  kernel source tree. Configuration files named "default" are
  additionally installed as arch/$(dirname $path)/defconfig in
  the respective architecture directory:
  arch/$(dirname $path)/defconfig.$(basename $path)
  arch/$(dirname $path)/defconfig
  Each k_$something package must only copy its defconfig.$something
  file to defconfig.
* Thu Apr 03 2003 - ak@suse.de
- update x86-64 to x86-64.org CVS (various bugfixes).
- add netconsole support for tg3 and amd8111e
- fix cosmetic bug in netconsole code
- remove x86_64 lkcd patch
- kgdb fixes to better work with a KVM
* Wed Apr 02 2003 - mantel@suse.de
- fix oops introduced by ptrace security fix
* Mon Mar 31 2003 - aj@suse.de
- Fix provides/obsoletes/conflicts.
* Mon Mar 31 2003 - aj@suse.de
- Fix provides/obsoletes/conflicts.
* Fri Mar 28 2003 - mantel@suse.de
- fix a bug when failing a spare device and another one in hot
  removal of a spare device
* Thu Mar 27 2003 - schwab@suse.de
- Fix module loader bug also for ia32 processes.
- Fix error checks in elf loader.
- Make sure a kernel thread has 64-bit limits.
* Wed Mar 26 2003 - sf@suse.de
- added oprofile
* Wed Mar 26 2003 - mantel@suse.de
- update Syskonnect driver sk98lin to v6.05
* Wed Mar 26 2003 - mantel@suse.de
- fix MD devices > 1 TB for 64 bit platforms
* Wed Mar 26 2003 - mantel@suse.de
- fix smbfs unicode problem
* Wed Mar 26 2003 - mantel@suse.de
- fix LFS on smbfs (SUSE18472)
* Wed Mar 26 2003 - mantel@suse.de
- fix SMP deadlock in eepro100 driver
* Wed Mar 26 2003 - mantel@suse.de
- add specific support for VIA C3 "Nehemiah" processors
* Wed Mar 26 2003 - mantel@suse.de
- add blk-atomix-fix from Jens
* Tue Mar 25 2003 - agruen@suse.de
- Merge upstream JFS patches:
  * JFS: Code cleanup suggested by static analysis tool.
  * JFS: Avoid deadlock when all tblocks are allocated.
* Tue Mar 25 2003 - aj@suse.de
- Fix SMP races in floppy driver (by Jens Axboe).
* Fri Mar 21 2003 - agruen@suse.de
- Fix to sequence-patch.sh from Jeff: makes the scripts search
  for .bz2 kernel archives too.
* Thu Mar 20 2003 - mantel@suse.de
- fix ide-scsi hang on SMP boxes
* Mon Mar 17 2003 - mantel@suse.de
- fix ptrace security hole (CAN-2003-0127)
* Mon Mar 17 2003 - mantel@suse.de
- update qla2x00 driver to v6.01.00-fo-dist; fixes performance
  problem with bounce buffers
* Sun Mar 16 2003 - agruen@suse.de
- Merge "[PATCH 2.4.21pre5] Ext2/3: noatime ignored for newly
  created inodes" from Theodore Ts'o, and adjust the following
  patches accordingly.
* Sun Mar 16 2003 - agruen@suse.de
- Add Hubert's three line apic fix from 2003-03-16.
* Sun Mar 16 2003 - agruen@suse.de
- Mark patches.common/x86_64-sys to apply on x86_64 only.
* Sat Mar 15 2003 - schwab@suse.de
- Remove obsolete part from ia64 patch.
* Fri Mar 14 2003 - ak@suse.de
- add missing file from last commit
* Fri Mar 14 2003 - ak@suse.de
- x86_64: merge with x86-64.org CVS (lots of bugfixes)
- x86_64: merge AIO 32bit emulation fixes from UL
* Fri Mar 14 2003 - agruen@suse.de
- Update from Chris <mason@suse.com>: "In testing here, the
  reiserfs-prepare_overflow path triggered a long standing bug in
  fs/reiserfs/stree.c:prepare_for_delete_or_cut() (the same place
  as the bug reiserfs-prepare_overflow was fixing)."
  Journal_begin() may not reserve enough blocks in the journal,
  which causes an oops.
* Fri Mar 14 2003 - agruen@suse.de
- Fix for SUSE25393: NFS mounts of reiserfs exports: symlink(2)
  fails with EIO from jeff. Adding patch as
  patches.common/reiserfs-setattr-symlink.
- Add fix for failure patch in nfsd_symlink as
  patches.common/nfsd-failpath-fix. This was triggered by SUSE25393.
* Fri Mar 14 2003 - mantel@suse.de
- add some machines to ACPI blacklist
* Fri Mar 14 2003 - mantel@suse.de
- fix memory leak in e100 driver
* Fri Mar 14 2003 - mantel@suse.de
- make IPMI driver compile with new ACPI code
* Fri Mar 14 2003 - mantel@suse.de
- backport network fixes from 2.4.21pre5aa1; fixes highmem crashes
  with NFS and memory corruption problem
* Fri Mar 14 2003 - mantel@suse.de
- preserve argv[0] in binfmt_misc
* Fri Mar 14 2003 - mantel@suse.de
- replace "threads" with "siblings" in /proc/cpuinfo (SUSE25344)
* Fri Mar 14 2003 - mantel@suse.de
- re-add ll_rw_block-sync-race; problem was somewhere else
* Fri Mar 14 2003 - mantel@suse.de
- fix yet another initialization problem in the APIC code
* Thu Mar 13 2003 - mantel@suse.de
- re-activate additional entries in DMI blacklist
* Thu Mar 13 2003 - mantel@suse.de
- fix SMP scheduler deadlock (SUSE24094)
* Thu Mar 13 2003 - mantel@suse.de
- fix wrong return value in ALSA isadma code
* Thu Mar 13 2003 - mantel@suse.de
- fix longstanding APIC initialization problem
* Wed Mar 12 2003 - mantel@suse.de
- reiserfs: do metadata readahead, offers significant performance
  improvements on sequential reads, especially sequential directory
  reads
* Wed Mar 12 2003 - mantel@suse.de
- change reiserfs to use i_size_read and i_size_write, which removes
  races when reading inode->i_size without the inode semaphore held
* Wed Mar 12 2003 - mantel@suse.de
- reiserfs updates:
  o if a file is heavily fragmented we might overflow the transaction
  trying to dirty all the bitmap blocks involved, the fix here is
  to restart the transaction when needed
  o concurrent link/unlinks can create savelinks for files that still
  exist, the fix here is to be somewhat smarter about when we
  change the link count
  o snapshots need a journal_end_sync so that a log replay isn't
  required on the snapshot
  o give stat data updates priority in do_journal_begin, should
  improve latency during stat data updates
* Wed Mar 12 2003 - mantel@suse.de
- update aacraid driver to 0.9.9-axb03
- update LSI Fusion-MPT driver to 2.04.00.01
* Wed Mar 12 2003 - mantel@suse.de
- add correct support for IBM x445 ("RUTHLESS")
* Wed Mar 12 2003 - mantel@suse.de
- update ALSA to CVS version 20030312:
- oops of usb-audio driver at disconnection
- possible double-free, oops on OSS sequencer emulation
- capture problem on trident 4D NX / SIS7018
- double spdif entries on SIS7018
- support for ICH5
- fixed memory check for SB Audigy
* Wed Mar 12 2003 - mantel@suse.de
- if we cannot enable udma 3/4/5, don't return good status
* Wed Mar 12 2003 - agruen@suse.de
- Re-adding patches.common/close-root-fd patch.
* Tue Mar 11 2003 - sf@suse.de
- update config
* Tue Mar 11 2003 - sf@suse.de
-  update config
* Tue Mar 11 2003 - agruen@suse.de
- Add patches.common/jfs-sync-barrier-hang from Dave Kleikamp,
  which fixes a bug where the synchronization-ready flag is
  not cleared after sync, prohibiting further transactions from
  starting.
* Tue Mar 11 2003 - agruen@suse.de
- Merge the fixes from solaris-acl-nfs2 into the solaris-acl-nfsd
  and solaris-acl-nfs patches.
* Tue Mar 11 2003 - mantel@suse.de
- update ALSA to CVS version 20030311:
- fix the DMA bitmask for emu10k1 audigy.
- added the support for intel ICH5.
* Tue Mar 11 2003 - mantel@suse.de
- drop "ll_rw_block-sync-race", because this can create deadlocks
  on ext3fs
* Tue Mar 11 2003 - mantel@suse.de
- make IDE code compile with gcc 2.95.3
* Tue Mar 11 2003 - mantel@suse.de
- correctly initialize inode->i_rdev in alloc_inode
* Mon Mar 10 2003 - sf@suse.de
- disable CONFIG_NFSD_TCP
* Mon Mar 10 2003 - sf@suse.de
- disable CONFIG_NFSD_TCP
* Mon Mar 10 2003 - aj@suse.de
- Update config.
* Mon Mar 10 2003 - aj@suse.de
- Update config.
* Mon Mar 10 2003 - agruen@suse.de
- Fix for SUSE25012: Deadlock with nfs + ext3
* Mon Mar 10 2003 - mantel@suse.de
- add hooks for prefiltering packets for the timeout calculation
  in ISDN code
* Mon Mar 10 2003 - mantel@suse.de
- activate USB hotplug in accordance with number of interfaces
* Mon Mar 10 2003 - mantel@suse.de
- fix hang problem in tulip-fiber code
* Mon Mar 10 2003 - mantel@suse.de
- pass through all ioctl's for pdcraid (SUSE13255)
* Mon Mar 10 2003 - stepan@suse.de
- update to bootsplash 3.0.7 (explicitly set verbose mode,
  bug SUSE24985)
* Mon Mar 10 2003 - stepan@suse.de
- update to bootsplash 3.0.6 (switch to verbose for crypto pw)
* Sun Mar 09 2003 - agruen@suse.de
- jfs-acl: Remove accidental leftover in fs/Config.h that causes
  "make xconfig" to fail.
- Fix a number of additional syntax errors in configure scripts;
  see patches.common/config-sytax-errors.
* Sat Mar 08 2003 - agruen@suse.de
- Compile fix in split jfs patches.
- Compile fix in (currently disabled)
  patches.common/solaris-acl-nfs2.
* Fri Mar 07 2003 - agruen@suse.de
- Align with UL kernel: split jfs-acl-fix patch into the
  following: jfs-locking-fix, jfs-blk-atomic, jfs-acl-fix.
  (On UL, jfs-blk-atomic cannot be applied for S/390.)
* Fri Mar 07 2003 - garloff@suse.de
- Add extraversion -athlon for CONFIG_MK7 kernels.
* Fri Mar 07 2003 - mantel@suse.de
- always setup DMA for IDE, so that "hdparm -d1 /dev/hdX" after boot
  does not crash the machine
* Fri Mar 07 2003 - mantel@suse.de
- add IDE support for i865 chipset
* Fri Mar 07 2003 - mantel@suse.de
- add PCI device IDs to e100 driver (for i865 chipset)
* Fri Mar 07 2003 - mantel@suse.de
- add sysctl_sched_yield_scale feature that allows choosing between
  optimization for scalability and interactiveness. By default it
  is switched off, so the behaviour is completely unchanged. For
  certain benchmarks, one wants to "echo 1 > /proc/sys/sched_yield_scale"
* Fri Mar 07 2003 - mantel@suse.de
- fix off-by-one error in ioremap
* Fri Mar 07 2003 - mantel@suse.de
- update via82cxxx driver to 3.36. Fixes problem with vt8233a and
  vt8235 southbridges
* Fri Mar 07 2003 - mantel@suse.de
- cleanup IDE code; obsoletes ide-nulldriver and ide-pci-id-NULL
* Fri Mar 07 2003 - agruen@suse.de
- Replace reiserfs-tentative with reiserfs-xattr-fixes from
  Jeff Mahoney.
* Thu Mar 06 2003 - sf@suse.de
- added /sbin/mkinitrd to PreReq
* Thu Mar 06 2003 - sf@suse.de
- added /sbin/mkinitrd to PreReq
* Thu Mar 06 2003 - schwab@suse.de
- Readd ACPI updates from HP.
* Thu Mar 06 2003 - agruen@suse.de
- Enable extended attribute sharing for ext2/ext3. This feature
  was accidentally disabled due to a bug in fs/mbcache.c. Critical
  change if ACLs/EAs are used on ext2/ext3.
* Thu Mar 06 2003 - agruen@suse.de
- Fix two debug messages in fs/ext2/xattr.c and fs/ext3/xattr.c
  (they are nor compiled into our kernels, so it's cosmetic only).
* Thu Mar 06 2003 - mantel@suse.de
- some samsung drives get confused by the stroke option (needed to
  use > 32 GB drives with older BIOS). Make sure this option is
  only used when really needed
* Thu Mar 06 2003 - mantel@suse.de
- fix unresolved symbol BUG in "freq_table.o" without the bug.h
  backport from 2.5 (broke x86_64)
* Thu Mar 06 2003 - stepan@suse.de
- update boot-splash to v3.0.5
  * simplify function key handling
  * use F2 instead of F10 to match grub key for silent mode
  * fix blanking on splash console
  * only use silent picture when it fits into the fb.
  * only use splash screen on cfb16 framebuffers for now.
  * some updates to the box code.
* Thu Mar 06 2003 - schwab@suse.de
- Go back to 20020517 ACPI patch for ia64.
* Thu Mar 06 2003 - mantel@suse.de
- drop patch "binfmt-misc-interpreter", since it changes the output
  of /proc/*/stat, which can break a lot of things (SUSE24290)
* Thu Mar 06 2003 - agruen@suse.de
- Complete NFS ACL support (listxattr and removexattr were still
  missing, but they are not extremely critical). Still needs to
  be thoroughly tested, so the changes are in a separate patch
  (patches.common/solaris-acl-nfs2), which is not included by
  default.
* Wed Mar 05 2003 - mantel@suse.de
- fix list-del bug in netfilter
* Wed Mar 05 2003 - mantel@suse.de
- update ALSA to CVS version 20030305
* Wed Mar 05 2003 - mantel@suse.de
- backport BUG macro from 2.5 kernel; needed for the cpufreq stuff
* Wed Mar 05 2003 - olh@suse.de
- apply a bunch of 2.4.21-pre5 fixes
  ethernet padding, official version of xid nfs race
  official version of tcp-retrans-collapse
  adapt call-reserve2 for new nfs-xid-smp
  obsolete export-obj-scx200
  patches.common/amd8111e_loopfix-21pre5
  patches.common/atm_nicstar_traffic-class-21pre5
  patches.common/bluetooth-21pre5
  patches.common/call-reserve2
  patches.common/disable_write_combine_450NX-21pre5
  patches.common/drivers-net-starfire-21pre5
  patches.common/drivers_radio-cadet_spinlock-21pre5
  patches.common/eth_3c523_typo-pre5
  patches.common/eth_e2100-crash-pre5
  patches.common/eth_padding-generic_skb_padto-pre5
  patches.common/export-obj-scx200
  patches.common/fixes-2.4.21-pre4-pre5.mbox
  patches.common/fs_ext3_i_blocks-truncate-21pre5
  patches.common/i386_amd768_rng-8111-21pre5
  patches.common/i386_ipmi-21pre5
  patches.common/i386_p4-type-21pre5
  patches.common/i386_smpboot-target_cpus-21pre5
  patches.common/i386_syscall_compat-21pre5
  patches.common/ide-masked_irq-21pre5
  patches.common/ide_cs-taskcontext-21pre5
  patches.common/ide_dma_off_quietly-21pre5
  patches.common/ide_raid-21pre5
  patches.common/ide_siimage_cleanup-21pre5
  patches.common/ide_umc_check_region-21pre5
  patches.common/iph5526_loopfix-21pre5
  patches.common/keyboard_led-21pre5
  patches.common/net-handle_ACKless_packets-21pre5
  patches.common/nfs-xid-smp
  patches.common/sb_mixer-21pre5
  patches.common/scsi_gdth_nullpointer-21pre5
  patches.common/smctr_loopfix-21pre5
  patches.common/sony_vaio_jogdial-21pre5
  patches.common/sound_es1371_unregister-21pre5
  patches.common/sound_trident_no5451resetfail-21pre5
  patches.common/swapon_mounted-21pre5
  patches.common/tcp-retrans-collapse
  patches.common/tokenring_madgemc_memleak-21pre5
  patches.common/typo_drivers_char_raw-21pre5
  patches.common/video_meye_suspend-21pre5
  patches.common/wireless_airo_pci-21pre5
  patches.common/write_buffer-2GB-21pre5
* Tue Mar 04 2003 - kukuk@suse.de
- Add PreRequires [Bug #24547]
* Tue Mar 04 2003 - kukuk@suse.de
- Add PreRequires [Bug #24547]
* Tue Mar 04 2003 - mantel@suse.de
- fix megaraid for x86_64
* Tue Mar 04 2003 - okir@suse.de
- Re-added nfslocks and nfsd-fhalias patches
* Tue Mar 04 2003 - agruen@suse.de
- Disable reiserfs-trusted patch.
- Add reiserfs-tentative patch on top of the other reiserfs
  patches (tentative fix for problems with reiserfs-trusted).
  Not enabled yet.
* Mon Mar 03 2003 - ak@suse.de
- Update config.
* Mon Mar 03 2003 - ak@suse.de
- Update config.
* Mon Mar 03 2003 - schwab@suse.de
- Update ia64 patch.
* Mon Mar 03 2003 - ak@suse.de
- fix duplicated function
* Mon Mar 03 2003 - ak@suse.de
- update from x86-64.org CVS
- fix hardware breakpoint access for gdb
- fix sigaltstack for IBMJava
- tune TCP/UDP checksumming a bit. Handle unaligned arguments
  and redo the inner loop of csum-partial.
- don't put unwind tables into kernel modules.
- don't destroy 64bit fs/gs in signal handlers
* Mon Mar 03 2003 - mantel@suse.de
- update cciss driver to 2.4.44
* Mon Mar 03 2003 - mantel@suse.de
- update sonypi driver to 1.18
* Mon Mar 03 2003 - mantel@suse.de
- update via-rhine driver to 1.1.16
* Mon Mar 03 2003 - mantel@suse.de
- fix small thinko in dpt_i2o driver
* Mon Mar 03 2003 - mantel@suse.de
- make sure to pass the filename to other binfmt handlers (SUSE24290)
* Mon Mar 03 2003 - mantel@suse.de
- add driver for 3cr990 series ("Typhoon")
* Mon Mar 03 2003 - mantel@suse.de
- update tg3 driver to version 1.4c
* Mon Mar 03 2003 - mantel@suse.de
- fix too small buffer in cdrom.c
* Mon Mar 03 2003 - mantel@suse.de
- update IBM ServeRAID driver ips.c to version 6.00.26. This driver
  can now be used on i386, x86_64 and ia64. The older driver
  (5.11.05) is still available (for i386 only) as "ips_old"
* Mon Mar 03 2003 - mantel@suse.de
- don't skip whole ACPI initialization when the embedded controller
  can not be initialized
* Mon Mar 03 2003 - mantel@suse.de
- add cpufreq feature
* Mon Mar 03 2003 - mantel@suse.de
- update amd74xx driver to 2.10
* Mon Mar 03 2003 - mantel@suse.de
- add relaxed aml checking option to ACPI to work around broken
  ACPI implementations of some laptops
* Mon Mar 03 2003 - mantel@suse.de
- update ACPI to 20030228
* Mon Mar 03 2003 - mantel@suse.de
- make new megaraid driver actually compile with our kernel
* Mon Mar 03 2003 - mantel@suse.de
- fix some more gcc33 compile warnings in module.h
* Mon Mar 03 2003 - mantel@suse.de
- make sure free blocks really get comitted for reiserfs
* Mon Mar 03 2003 - mantel@suse.de
- update megaraid driver to 1.19.6 (SUSE24460)
* Mon Mar 03 2003 - mantel@suse.de
- update aic7xxx driver to 6.2.29
- update aic79xx driver to 1.3.2
* Mon Mar 03 2003 - mantel@suse.de
- drop reiserfs-dirty_inode. Leaving inodes dirty instead of
  logging them all the time can result in a huge number of dirty
  inodes floating around the box if kupdate can't call write_inode
  fast enough
* Sun Mar 02 2003 - agruen@suse.de
- Don't use kmalloc in qsort anymore: This is expected to hurt
  the common case (sorting very small arrays). Also, change the
  prototype to a void return value, like in POSIX. For building
  qsort into the kernel, add EXPORT_SYMBOL(qsort) to
  kernel/ksyms.c to it that is always linked in.
- Remove errno patch (which defines ENOATTR as ENODATA
  and ENOTSUP as EOPNOTSUPP) and use ENODATA and EOPNOTSUPP
  directly, as in the 2.5 kernel.
* Sat Mar 01 2003 - agruen@suse.de
- Add fix for ReiserFS ACL remount bug [SUSE24237] from Jeff Mahoney.
- Fold reiserfs-acl-revert-flags and Jeff's init cleanup into
  reiserfs-acl.
- Add Jeff's reiserfs trusted xattr patch.
* Fri Feb 28 2003 - olh@suse.de
- update patches.common/firewire_ieee1394 (rev 805)
  fix crash on rmmod dv1394 due to access of freed list element
* Thu Feb 27 2003 - mantel@suse.de
- properly initialize {acm}time for cramfs
* Thu Feb 27 2003 - mantel@suse.de
- make sure APIC is really disabled for UP kernel when kernel
  parameter "apic" is not used
* Wed Feb 26 2003 - mantel@suse.de
- fix compilation for non-highmem case
* Tue Feb 25 2003 - aj@suse.de
- Update config.
* Tue Feb 25 2003 - aj@suse.de
- Update config.
* Tue Feb 25 2003 - bk@suse.de
- alsa ac97: skip modem-only codecs, fixes superflous mixer controls
- add omnibook driver for HP OmniBooks, Toshiba Satellites and others.
  Features control of LCD backlight on/off and brightness,  Battery
  and AC status, Fan and fan policy support, touchpad enable/disable,
  external display monitoring, docking station/port replicator support
  and is able to emulate APM battery status monitoring if ACPI has
  problems querying the ACPI functions for battery and AC status.
- Fix setting apm_info.disabled if APM does not activate because
  of SMP or ACPI already active. Allows the omnibook driver to emulate
  APM battery status monitoring and fixes an APM check in thinkpadpm.c
* Tue Feb 25 2003 - ak@suse.de
- update x86-64 to latest CVS
- add kgdb stub for x86-64
- disable noexec for now
- remove workarounds for older gcc 3.3 versions
* Tue Feb 25 2003 - mantel@suse.de
- add config variable CONFIG_SUSE_KERNEL to allow distinguish a
  SuSE kernel from the vanilla kernel
* Tue Feb 25 2003 - mantel@suse.de
- fix broken reiserfs-barrier patch
* Mon Feb 24 2003 - mantel@suse.de
- fix mount -o remount,barrier= handling for reiserfs
* Mon Feb 24 2003 - mantel@suse.de
- more precise reiserfs qutoas on symlinks
* Mon Feb 24 2003 - mantel@suse.de
- defer reiserfs logging for atime/mtime/ctime updates, improving
  performance
* Mon Feb 24 2003 - mantel@suse.de
- prevent deadlocks during show_task()
* Mon Feb 24 2003 - mantel@suse.de
- some optimizations to kinoded
* Mon Feb 24 2003 - mantel@suse.de
- fix O_DIRECT on NFS
* Mon Feb 24 2003 - mantel@suse.de
- fix generic xdr nfs highmem deadlock
* Mon Feb 24 2003 - mantel@suse.de
- update ntfs to 2.1.1a
* Mon Feb 24 2003 - schwab@suse.de
- Update ia64 patches.
* Mon Feb 24 2003 - mantel@suse.de
- update cifs to 0.6.8
* Mon Feb 24 2003 - mantel@suse.de
- fix broken fsync (SUSE23679)
* Sun Feb 23 2003 - aj@suse.de
- Update config.
* Sun Feb 23 2003 - aj@suse.de
- Update config.
* Fri Feb 21 2003 - mantel@suse.de
- add new driver megaraid-v2.00.3 (old one still there)
* Fri Feb 21 2003 - mantel@suse.de
- fix reiserfs j_wcount = 0 BUG
* Fri Feb 21 2003 - mantel@suse.de
- fix ACPI compilation for x86_64
* Fri Feb 21 2003 - mantel@suse.de
- fix LVM snapshot for multipathing
* Fri Feb 21 2003 - mantel@suse.de
- switch off NETDEBUG
* Fri Feb 21 2003 - mantel@suse.de
- update ALSA to CVS version 20030220
* Fri Feb 21 2003 - mantel@suse.de
- get rid of some io stalls in reiserfs data logging
* Fri Feb 21 2003 - mantel@suse.de
- fix IDE DMA for ide-scsi
* Fri Feb 21 2003 - mantel@suse.de
- update thinkpad drivers to 4.1
* Thu Feb 20 2003 - ak@suse.de
- fix strace on x86-64
* Thu Feb 20 2003 - mantel@suse.de
- fix megaraid driver for x86_64
* Thu Feb 20 2003 - mantel@suse.de
- update orinoco wlan driver to 0.13b
* Thu Feb 20 2003 - mantel@suse.de
- add CIFS version 0.5.8
* Thu Feb 20 2003 - mantel@suse.de
- update ACPI to 20030218
* Wed Feb 19 2003 - mantel@suse.de
- fix 'idescsi shows my cdrom xx times' bug
* Wed Feb 19 2003 - mantel@suse.de
- make uml compile again (got broken by linux-abi feature)
* Wed Feb 19 2003 - ak@suse.de
- readd vesafb-enable-mtrr
* Wed Feb 19 2003 - ak@suse.de
- use mtrrs for faster vesafb scrolling
- remove bogus patch
* Tue Feb 18 2003 - sf@suse.de
- update config
* Tue Feb 18 2003 - sf@suse.de
- update config
* Tue Feb 18 2003 - ak@suse.de
- update x86-64 to newer CVS state
- fix x86-64 NUMA kernel
- add x86-64 fixes for gcc 3.3
- disable sign warnings for gcc 3.3
* Tue Feb 18 2003 - mantel@suse.de
- ISDN updates from Karsten Keil
* Tue Feb 18 2003 - mantel@suse.de
- update Syskonnect driver sk98lin to v6.03
* Mon Feb 17 2003 - olh@suse.de
- add patches.common/usb-2.4
  update patches.common/module-license
  remove auerswald module license
  update patches.common/quickcam , patches.common/speedtouch
  move some lines to make usb-2.4 happy
* Mon Feb 17 2003 - olh@suse.de
- update patches.common/logbuffer-length
  128k LOG_BUF_LEN on ppc32
* Mon Feb 17 2003 - olh@suse.de
- update patches.common/firewire_ieee1394
  increase sbp2_max_outstanding_cmds 8 -> 64
* Mon Feb 17 2003 - mantel@suse.de
- update bttv subsystem to latest version from Gerd Knorr (kraxel)
* Mon Feb 17 2003 - mantel@suse.de
- add workaround for PS2 reconnect problem
* Mon Feb 17 2003 - mantel@suse.de
- add Nokia 5510 to list of unusual USB storage devices
* Mon Feb 17 2003 - mantel@suse.de
- update to 2.4.21-pre4aa3
* Sat Feb 15 2003 - olh@suse.de
- update patches.common/firewire_ieee1394
  change in Video1394 and DV1394 ioctl API, dma handling updates
* Fri Feb 14 2003 - aj@suse.de
- Update to 2.4.20.
* Fri Feb 14 2003 - aj@suse.de
- Disable it again, it's broken :-(.
* Fri Feb 14 2003 - aj@suse.de
- Enable NUMA ACPI.
* Fri Feb 14 2003 - mantel@suse.de
- re-add ACPI addons present in prior kernel
* Fri Feb 14 2003 - ak@suse.de
- fix x86-64 numa zone initialization
* Fri Feb 14 2003 - mantel@suse.de
- fix oops in IDE driver (triggered eg by hwscan)
* Fri Feb 14 2003 - agruen@suse.de
- New reiserfs-acl patch from jeff Mahoney addressing [SUSE23603].
* Fri Feb 14 2003 - aj@suse.de
- Fix dpt_i2o to compile on unknown archs
* Fri Feb 14 2003 - ak@suse.de
- use -gstabs for i386 kgdb build to save space
* Fri Feb 14 2003 - ak@suse.de
- fix XFS and reiserfs build
* Wed Feb 12 2003 - aj@suse.de
- Enable new options.
* Wed Feb 12 2003 - aj@suse.de
- Enable various options.
* Wed Feb 12 2003 - mantel@suse.de
- add some module license tags
* Wed Feb 12 2003 - mantel@suse.de
- fix wrong increment of sd_blocks in reiserfs (used by quota code)
* Wed Feb 12 2003 - mantel@suse.de
- update ALSA to CVS version 20030211 (includes fix for SB oops)
* Tue Feb 11 2003 - mantel@suse.de
- fix oops in ALSA sound driver for SB card
* Mon Feb 10 2003 - bk@suse.de
- from olh in UL_1_0: update patches.common/io_request_lock:
  do not call __scsi_release_command() instead of
  scsi_release_command() in __scsi_end_request().
  Avoids recursion problem in error path. (SUSE21727) LTC1512
- update loop-hardsect from ul cvs to cvs head and enable it
* Mon Feb 10 2003 - mantel@suse.de
- update aic7xxx driver to 6.2.28
* Mon Feb 10 2003 - mantel@suse.de
- correctly handle RECOVERED_ERROR sense key even if the information
  field is not marked valid
* Mon Feb 10 2003 - mantel@suse.de
- add agpgart support for the new Intel 855/865 chipsets
* Mon Feb 10 2003 - mantel@suse.de
- fix hangup during XSession logout on i810 systems if 3D is enabled
* Mon Feb 10 2003 - mantel@suse.de
- add route-ip-frag-timeout feature
* Mon Feb 10 2003 - mantel@suse.de
- update ALSA to CVS version 20030207
* Mon Feb 10 2003 - mantel@suse.de
- add elevator merge hint feature to reduce system time
* Mon Feb 10 2003 - mantel@suse.de
- re-add support for Cenatek Rocket Drive
* Mon Feb 10 2003 - mantel@suse.de
- optimize ACPI code for size (use CFLAG -Os)
* Mon Feb 10 2003 - mantel@suse.de
- re-add pmac-ide-highmem
* Mon Feb 10 2003 - mantel@suse.de
- re-add barrier feature
* Mon Feb 10 2003 - mantel@suse.de
- update firewire to version from 05 Feb 2003
* Fri Feb 07 2003 - ak@suse.de
- disable x86-64 machine check again because it is broken.
* Thu Feb 06 2003 - schwab@suse.de
- Update ips driver to 6.0.25.
* Thu Feb 06 2003 - ak@suse.de
- enable machine check for x86-64
* Thu Feb 06 2003 - ak@suse.de
- Readd x86_64-force-io-inline (for gcc 3.3)
* Thu Feb 06 2003 - schwab@suse.de
- Fix missing symbol export.
* Thu Feb 06 2003 - schwab@suse.de
- Extend frlock patch to all architectures.
* Thu Feb 06 2003 - schwab@suse.de
- Tweak version check in mtd driver.
* Thu Feb 06 2003 - mantel@suse.de
- fix reiserfs-quota for new kernel
* Thu Feb 06 2003 - ak@suse.de
- readd sem_semcount that got lost for x86-64
* Thu Feb 06 2003 - ak@suse.de
- force inlining for x86_64 io.h functions for gcc 3.3
* Thu Feb 06 2003 - ak@suse.de
- fix acpi-arch-x86_64 patch
* Wed Feb 05 2003 - ak@suse.de
- fix eth naming in irlan (bug SUSE21858)
* Wed Feb 05 2003 - ak@suse.de
- update x86-64 and remove lots of old patches.
* Wed Feb 05 2003 - mantel@suse.de
- fix unresolved symbol problem in sound/snd-pcm.o
* Wed Feb 05 2003 - mantel@suse.de
- re-add still needed part of ioapic-8131-quirk
* Wed Feb 05 2003 - mantel@suse.de
- export symbols copy_fs_struct and balance_dirty
* Wed Feb 05 2003 - schwab@suse.de
- Fix missing headers.
* Wed Feb 05 2003 - mantel@suse.de
- fix version number (it's still 2.4.20, not 2.4.21)
* Wed Feb 05 2003 - schwab@suse.de
- Fix multiline string literal.
* Wed Feb 05 2003 - mantel@suse.de
- increase maximum number of kernel command line args
* Wed Feb 05 2003 - schwab@suse.de
- Fix more build problems.
* Wed Feb 05 2003 - mantel@suse.de
- update reiserfs-data-logging for new kernel
* Wed Feb 05 2003 - mantel@suse.de
- update to 2.4.21-pre4aa1
* Tue Feb 04 2003 - schwab@suse.de
- Remove all ACPI patches from ia64 patch.
- Fix ACPI update.
- Fix futex patch.
- Fix affinity patch.
- Fix kgdb patch.
- Add ACPI hotplug patch.
* Tue Feb 04 2003 - mantel@suse.de
- re-add aio support for PPC
* Tue Feb 04 2003 - mantel@suse.de
- fix some drivers for new gcc33
* Tue Feb 04 2003 - mantel@suse.de
- make ide_map_buffer and ide_unmap_buffer static inline to make
  new gcc33 happy
* Tue Feb 04 2003 - mantel@suse.de
- adapt some drivers to new kernel version
* Tue Feb 04 2003 - mantel@suse.de
- move new ACPI code update to patches.common
* Tue Feb 04 2003 - mantel@suse.de
- fix kiobuf patch (some fields have just been renamed)
* Tue Feb 04 2003 - mantel@suse.de
- re-add quota support for reiserfs
* Mon Feb 03 2003 - agruen@suse.de
- Rename patches.common/config.gz to patches.common/config_gz:
  it's a patch not a gzip'ed patch...
- Fix compilation of jfs.
- Update to XFS 1.2-pre (2003-01-14_00:43_UTC).
- Resurrect patches.common/jfs-umount_hang.
* Mon Feb 03 2003 - mantel@suse.de
- fix typo in quota code in buffer.c
* Mon Feb 03 2003 - mantel@suse.de
- remove unneeded rl-corrupt patch
* Mon Feb 03 2003 - mantel@suse.de
- remove duplicate exports
* Mon Feb 03 2003 - mantel@suse.de
- remove excessive hangcheck modules (only hangcheck-timer is needed)
* Mon Feb 03 2003 - mantel@suse.de
- update reiserfs patches for new kernel
* Mon Feb 03 2003 - mantel@suse.de
- remove obsolete patches largepage-noPAE-compile and fix-bigpage-hang
* Mon Feb 03 2003 - mantel@suse.de
- update ACPI to 20030125
* Mon Feb 03 2003 - mantel@suse.de
- re-add md-mp feature
* Fri Jan 31 2003 - schwab@suse.de
- Add perfmon fix.
* Thu Jan 30 2003 - schwab@suse.de
- Update ia64 patch to 2.4.20-021210.
- Adapt remaining ia64 patches.
* Sat Jan 25 2003 - ak@suse.de
- increase inline limit for gcc 3.3 on x86_64
* Thu Jan 23 2003 - mantel@suse.de
- allow get/set floating-point exception mode (if meaningful)
* Thu Jan 23 2003 - mantel@suse.de
- remove micro-optimization "x86-fast-pte" since it seems to cause
  instabilities for DRM on some machines
* Wed Jan 22 2003 - mantel@suse.de
- update HTB packet scheduler to 3.6
* Wed Jan 22 2003 - mantel@suse.de
- fix several drivers for GCC 3.3
* Tue Jan 21 2003 - mantel@suse.de
- enable CONFIG_NET_SCH_HTB
- enable CONFIG_NET_SCH_HTB
* Tue Jan 21 2003 - mantel@suse.de
- add Minolta Dimage 7i to list of unusual USB devices
* Tue Jan 21 2003 - mantel@suse.de
- update ips ServeRAID driver to 5.11.05 for non-IA64
* Tue Jan 21 2003 - mantel@suse.de
- add HTB packet scheduler support
* Tue Jan 21 2003 - mantel@suse.de
- update ALSA to CVS version 20030120 (fix xconfig|menuconfig)
* Tue Jan 21 2003 - mantel@suse.de
- use new version 6.0 of ips driver only for ia64
* Sat Jan 18 2003 - mantel@suse.de
- update config; add km_drm for XFree86 4.3
- update config; add km_drm for XFree86 4.3
* Fri Jan 17 2003 - mantel@suse.de
- update ALSA to CVS version 20030116
* Fri Jan 17 2003 - mantel@suse.de
- fix treatment of unaligned data for O_DIRECT
* Fri Jan 17 2003 - mantel@suse.de
- update aacraid driver to 0.9.9-axb03
* Fri Jan 17 2003 - mantel@suse.de
- update cciss driver to 2.4.42
* Thu Jan 16 2003 - mantel@suse.de
- add support for IBM x445 ("RUTHLESS"). It's just a one-liner for
  detection of the machine (i386 only)
* Thu Jan 16 2003 - mantel@suse.de
- export symbols blk_get_atomic_seq and blk_refile_atomic_queue
* Wed Jan 15 2003 - kraxel@suse.de
- added km_v4l2 and km_lirc to neededforbuild
* Wed Jan 15 2003 - kraxel@suse.de
- added km_v4l2 and km_lirc to neededforbuild
* Wed Jan 15 2003 - mantel@suse.de
- export symbol submit_bh_blknr
* Tue Jan 14 2003 - mantel@suse.de
- add VMware framebuffer support
* Tue Jan 14 2003 - mantel@suse.de
- add support for tulip based fibre cards (eg. SMC1255FTX)
* Tue Jan 14 2003 - mantel@suse.de
- add hidden network device functionality
* Tue Jan 14 2003 - mantel@suse.de
- update aacraid driver to 1.0.1
* Mon Jan 13 2003 - mantel@suse.de
- update config
- update config
* Mon Jan 13 2003 - mantel@suse.de
- don't enable high-I/O for qla2x00 driver for now
* Mon Jan 13 2003 - mantel@suse.de
- update BCM5700 driver to 5.0.17
- update quickcam driver to 0.40c
* Mon Jan 13 2003 - mantel@suse.de
- fix highmem I/O for qla2x00 driver
* Mon Jan 13 2003 - mantel@suse.de
- update EVMS to 1.2.1
* Mon Jan 13 2003 - mantel@suse.de
- update JFS to 1.1.1
* Mon Jan 13 2003 - mantel@suse.de
- update i2c and lm_sensors to 2.7.0
* Mon Jan 13 2003 - mantel@suse.de
- fix unresolved symbols for ALSA
* Fri Jan 10 2003 - mantel@suse.de
- update Syskonnect driver sk98lin to v6.02
* Fri Jan 10 2003 - mantel@suse.de
- update megaraid driver to v1.18f
* Fri Jan 10 2003 - mantel@suse.de
- fix typo in sound/pci/ice1712/Makefile that prevented module from
  being built
* Fri Jan 10 2003 - mantel@suse.de
- add driver for Sigma Designs Hollywood Plus and Creative Labs DXR3
* Fri Jan 10 2003 - mantel@suse.de
- Update CCISS driver to 2.4.41
* Fri Jan 10 2003 - mantel@suse.de
- Update LSI Fusion driver to 2.03.00 (sync with maintenance)
* Thu Jan 09 2003 - sf@suse.de
- update .config
* Thu Jan 09 2003 - sf@suse.de
- update .config
* Thu Jan 09 2003 - ak@suse.de
- make x86_64 compile again.
* Thu Jan 09 2003 - mantel@suse.de
- prevent statfs overflow for huge NFS filesystems
* Thu Jan 09 2003 - mantel@suse.de
- drop ppp-header_length patch
* Wed Jan 08 2003 - mantel@suse.de
- update openssl-mppe to 0.9.6b
* Wed Jan 08 2003 - mantel@suse.de
- update amd8111e network driver to version 3.0.0
* Tue Jan 07 2003 - mantel@suse.de
- add bcm4400 network driver 1.0.1
* Tue Jan 07 2003 - mantel@suse.de
- update bcm5700 driver to 5.0.14
* Tue Jan 07 2003 - mantel@suse.de
- Fix lockup on full reiserfs (mason@suse.com, SUSE22733).
* Fri Jan 03 2003 - mantel@suse.de
- sync fixes from maintenance tree:
- make sure elv_seq is always zero for async-io
- fix hole+varyio+O_DIRECT bug
* Fri Dec 20 2002 - mantel@suse.de
- fix typo in free_pages_ok_no_irq
* Fri Dec 20 2002 - mantel@suse.de
- sync fixes from maintenance branch:
- fix oops when trying to free pages in aio
- fix off-by-one error in keventd initialization
* Thu Dec 19 2002 - mantel@suse.de
- fix md1 RAID oops when a disk has failed (problem was in md-mp)
* Wed Dec 18 2002 - mantel@suse.de
- sync recent fixes from maintenance branch (blk-atomic and
  varyio for O_DIRECT)
* Tue Dec 17 2002 - mantel@suse.de
- sync superbh feature from maintenance branch
* Tue Dec 17 2002 - mantel@suse.de
- fix data=journal data loss bug on umount
* Mon Dec 16 2002 - bk@suse.de
- add fixed nfs_clear_request-fput(prevent oops w/o ETXTBSY errors)
* Mon Dec 16 2002 - mantel@suse.de
- update ALSA to cvs head version of 20021213
* Mon Dec 16 2002 - mantel@suse.de
- symbol PCI_pin only exists when CONFIG_X86_IO_APIC is active
* Mon Dec 16 2002 - mantel@suse.de
- do a 36 byte SCSI inquiry first and a second one if:
- the device is SCSI-3 or higher
- the INQ results reports that more than 36 bytes are supported
  the second inquiry is done with the reported length
* Mon Dec 16 2002 - mantel@suse.de
- update megaraid driver to 1.18e
* Mon Dec 16 2002 - mantel@suse.de
- sync oracle fixes from maintenance branch to CVS head
* Tue Dec 10 2002 - schwab@suse.de
- ia64-1-ia32-ptrace: add support for sse registers.
- ia64-1-unaligned: fix unaligned handler.
* Tue Dec 10 2002 - agruen@suse.de
- split off scripts/arch-symbols (was duplicated in
  kernel-source.spec and sequence-numbers.sh)
- Fix cross-patching for other architectures
* Mon Dec 09 2002 - mantel@suse.de
- fix last remaining largepage bug reported by Oracle
* Mon Dec 09 2002 - mantel@suse.de
- don't allign "vm_area_struct" in order to save space
* Mon Dec 09 2002 - agruen@suse.de
- move identical patches that have been copied to multiple
  architecture directories back to patches.common, and adjust
  series.conf. Drop now-obsolete scripts/find-duplicates.
- sequence-patch.sh: remove ${SCRATCH}/last.log if last patch
  applied successfully; rename X.sane to X.orig.
* Mon Dec 09 2002 - agruen@suse.de
- add support files for moving to new configuration management
- add series.conf file which specifies which patches apply
  for which architectures
- update kernel-source.spec, scripts/tar-up.sh,
  scripts/sequence-patch.sh to using series.conf.
* Mon Dec 09 2002 - mantel@suse.de
- add workaround for AMD errata #56 for 768MPX chipset
* Wed Dec 04 2002 - mantel@suse.de
- fix three problems with Unisys ES7000 systems:
-- identification of Fosters/Cascades on ES7000 (required
  "acpi=off" for cascades)
-- handling of ES7000 interrupt override for PCI range
-- forced dump (this is more like a feature, though)
* Mon Dec 02 2002 - schwab@suse.de
- ia64-1-ia32_signal: fix ia32 signal handling.
- ia64-1-memcpy_mck: fix memcpy return value.
- ia64-1-pci-busscan: workaround for buggy firmware.
* Mon Dec 02 2002 - mantel@suse.de
- fix file mark handling bug in osst that breaks backup programs
* Mon Dec 02 2002 - mantel@suse.de
- fix typo in ide-cd.h that prevented compilation of kernel with
  gcc 3.3
* Mon Dec 02 2002 - mantel@suse.de
- fix semaphore.c for gcc 3.3
* Fri Nov 29 2002 - mantel@suse.de
- run "mkinitrd" after installing the new kernel
- run "mkinitrd" after installing the new kernel
* Thu Nov 28 2002 - bk@suse.de
- SUSE21877: make nfsd replay cache SMP-safe                   (okir)
- SUSE21877: prevent two rpc requests with the same XID on SMP (okir)
- SUSE21877: set page dirty on NFS write error                 (andrea)
* Thu Nov 28 2002 - ak@suse.de
- add kernel crash dump support for x86-64
- sync with bug selected fixes from x86-64.org CVS upto 021128:
  * add volatile to inline assembly (cvsps #1427)
  * more clear error message for missing aperture	(cvsps #1426)
  * sign extend errnos for 32bit (cvsps #1425)
  * add getdents64 and fix _syscall[56] (cvsps #1423)
  * check cpuid at early boot for all features (cvsps #1422)
  * fix stack rounding for signals (cvsps #1419)
  * fix 32bit getsockopt (cvsps #1416)
  * optimize gs reloading for signals
* Thu Nov 28 2002 - ak@suse.de
- allow NTFS mounting on 64bit (Phillip Thomas)
* Thu Nov 28 2002 - ak@suse.de
- remove obsolete files: x86_64-acpi x86_64-largepages discontig-fix
* Thu Nov 28 2002 - ak@suse.de
- symlink shm-largepage, fix-shm-largepage, pte-highmem,
  core-dump-seek-unmapped to patches.x86_64
- add x86_64-highpte for highpte/largepage support on x86-64
* Mon Nov 25 2002 - kkeil@suse.de
- enable build of AVM active card modules
* Mon Nov 25 2002 - kkeil@suse.de
- enable build of AVM active card modules
* Mon Nov 25 2002 - bk@suse.de
- update the specfile for the current S/390 release status
* Thu Nov 21 2002 - agruen@suse.de
- Fix ext2/ext3 xattr_handler->list operation: Also don't output
  the terminating '\0' for attributes that are not listed
  (prevents a potential future information leak).
* Thu Nov 21 2002 - ak@suse.de
- fix LVM major checking in XFS
* Wed Nov 20 2002 - bk@suse.de
- xfs ACLs: return ERANGE instead of E2BIG if #of entries overflows
- s390: fix overflow in BLKGETSIZE of xpram with devs > 2GB(SUSE16814)
- s390: add s390-patches/zfcp-trace(remove old debugs + fix traces)
* Thu Nov 14 2002 - stepan@suse.de
- remove splash-config-fix patch
- add new version of boot splash patch
  (works on other framebuffers than vesafb now as well)
- add fix for aty128fb to switch off indexed colors in 16bit
  mode when using the splash screen.
* Thu Nov 14 2002 - schwab@suse.de
- Fix TLB flush bug.
- Fix ACPI locking.
- Fix CPE polling.
* Thu Nov 14 2002 - ak@suse.de
- disable XFS over MD/LVM on x86-64 because it overflows the stack
* Thu Nov 14 2002 - schwab@suse.de
- Fix invalid token pasting.
* Thu Nov 14 2002 - mantel@suse.de
- fix the kernel's handling of the nested task (NT) flag (i386)
* Thu Nov 14 2002 - mantel@suse.de
- fix usb-uhci for non-ES7000 machines with bogus MP tables
* Thu Nov 14 2002 - ak@suse.de
- fix pci id in ioapic-8131-quirk patch
* Wed Nov 13 2002 - olh@suse.de
- add patches.common/ibm-ppc64-eeh.configaddr
  Firmware is returning good status on a bad PCI config addr.
  Now, skip such cards with status != ok.
* Tue Nov 12 2002 - olh@suse.de
- add patches.common/suse-ppc64-zimage-export_uts
  required for mk_initrd support on pSeries
* Tue Nov 12 2002 - mantel@suse.de
- export symbol page_waitqueue
* Tue Nov 12 2002 - bk@suse.de
- move fix-pausing before io_request_lock-scale(fixes s390 sequence)
* Tue Nov 12 2002 - mantel@suse.de
- add hangcheck modules on demand of Oracle
* Tue Nov 12 2002 - mantel@suse.de
- clear TF flag
* Mon Nov 11 2002 - olh@suse.de
- add patches.common/ibm-ppc64-xics_int-on (LTC1507)
* Mon Nov 11 2002 - olh@suse.de
- update patches.common/fix-pauses (SUSE20944)
  possible final fix for wait_on_buffer hang, wait_on_page hang
  and get_request_wait hang
* Mon Nov 11 2002 - bk@suse.de
- obsolete fsync-corruption-fix, obsoletes reverts in fix-pausing
- replace mb in fix-pausing with smp_mb(mb over all cpus not needed)
* Mon Nov 11 2002 - mantel@suse.de
- fix problem with processes not making progress for quite a long time.
  Cause was a longstanding subtle race that has been present in almost
  any kernel before, but became more easy to trigger with recent changes.
* Mon Nov 11 2002 - mantel@suse.de
- add support for vt8235
* Fri Nov 08 2002 - olh@suse.de
- add patches.common/ibm-ppc64-make_pte (SUSE21596/LTC1498)
* Fri Nov 08 2002 - olh@suse.de
- fix one breakage in patches.ia64/ia64-1-sched-O1
  o1-sched-livelock-fix is back
* Fri Nov 08 2002 - mantel@suse.de
- fix theoritacal scheduler race; extremely unlikely and never
  observed so far
* Fri Nov 08 2002 - mantel@suse.de
- re-added o1-sched-livelock-fix
* Fri Nov 08 2002 - bk@suse.de
- evms: s390_part.c: destroy s390_io_track_pool on rmmod (SUSE21624)
- correct menuconfig message if ncurses-devel is missing (SUSE20895)
- add patch description to patches.common/proc-cmdline
* Fri Nov 08 2002 - olh@suse.de
- update patches.common/ibm-ppc64-ucontext
  do not use a struct sigcontext in struct sigframe
  some code relies on the old layout and alignment
* Fri Nov 08 2002 - olh@suse.de
- update patches.ppc/suse-ppc32-autoconsole
  the current code adds console= to the end of cmd_line
  this fails in case of init=/bin/bash.
  new version puts it in front of cmd_line
* Thu Nov 07 2002 - olh@suse.de
- update patches.common/suse-ppc64-pseries-autoconsole
  the current code adds console= to the end of cmd_line
  this fails in case of init=/bin/bash.
  new version puts it in front of cmd_line
* Thu Nov 07 2002 - olh@suse.de
- add patches.common/ibm-ppc64-iseries-viocd-dvdram
  allows usage of dvd-ram drives on iSeries
* Thu Nov 07 2002 - olh@suse.de
- fix patches.common/commit_super-8-relocation-suse-2.4.19-rc3aa4
  missing braces around if body, should fix SUSE20944
* Thu Nov 07 2002 - mantel@suse.de
- fix memory corruption problem with RAM > 4GB on x86_64
* Wed Nov 06 2002 - olh@suse.de
- add patches.ia64/pte-highmem-f00f
  patches.ia64/pte-highmem
  patches.ia64/zone_start_pfn
  patches.ia64/core-dump-seek-unmapped
  patches.ia64/NUMAQ
  patches.ia64/discontigmem-meminfo
  patches.ia64/686-notsc_A0
  do not copy these files from i386 in specfile
* Wed Nov 06 2002 - olh@suse.de
- fix breakage in patches.ia64/ia64-1-sched-O1
* Wed Nov 06 2002 - bk@suse.de
- patches.s390/s390-fixes/dasd-block-init (simple checks, SUSE21592)
- patches.s390/s390-fixes/dasd-steal-timeout(HA use only, SUSE21592)
* Wed Nov 06 2002 - olh@suse.de
- fix patches.common/ibm-ppc64-eeh-fbdev-map compile bugs
* Wed Nov 06 2002 - olh@suse.de
- add patches.ppc/ppc64-e1000-ioaccess (SUSE21458/LTC1455)
* Wed Nov 06 2002 - mantel@suse.de
- remove o1-sched-livelock-fix
* Wed Nov 06 2002 - mantel@suse.de
- fix shm largepage support
* Wed Nov 06 2002 - mantel@suse.de
- fix a bunch of unicon bugs (ak@suse.de)
* Wed Nov 06 2002 - olh@suse.de
- add patches.ppc/ppc64-e1000
  this is a cp -a drivers/net/e1000 from 2.4.20rc1 (SUSE21458/LTC1455)
* Wed Nov 06 2002 - mantel@suse.de
- remove some more SCSI debug output
* Wed Nov 06 2002 - agruen@suse.de
- fs/mbcache.c bug: down(&sem) while holding spin lock.
* Tue Nov 05 2002 - agruen@suse.de
- Fix suspect locking code in the cache-def patch that probably
  can deadlock.
* Tue Nov 05 2002 - schwab@suse.de
- Update ips driver to 6.0.0.
* Tue Nov 05 2002 - mantel@suse.de
- fix breakage of non-i386 archs introduced by ioapic-8131-quirk
* Tue Nov 05 2002 - bk@suse.de
- move disabling of debug printk(set_personality) from ia64 to common
* Tue Nov 05 2002 - olh@suse.de
- add patches.common/suse-ppc32-signal-SIGURG , fix LSB testcases
* Tue Nov 05 2002 - olh@suse.de
- fix patches.common/ioapic-8131-quirk
  hide the new function in #ifdef CONFIG_X86_IO_APIC
* Tue Nov 05 2002 - olh@suse.de
- update patches.common/ibm-ppc64-eeh-fbdev-map
  sync with rochester tree
* Tue Nov 05 2002 - olh@suse.de
- add patches.common/ibm-ppc64-hash_page (SUSE21523/LTC1461)
* Tue Nov 05 2002 - olh@suse.de
- add patches.common/ibm-ppc64-kbd-bughandling
  handle BUG() in kdb (SUSE21292/LTC1433)
* Mon Nov 04 2002 - ak@suse.de
- drop x86_64-vmalloc32
* Mon Nov 04 2002 - bk@suse.de
- common/personality-nodebug: disable debug printk for personality
- s390/md-hardsector-align: align md_size to hardsect_size(SUSE21102)
* Mon Nov 04 2002 - mantel@suse.de
- fix USB compile for non-SMP configurations
* Mon Nov 04 2002 - mantel@suse.de
- don't accept SYN packets with a RST or FIN bit set
* Mon Nov 04 2002 - bk@suse.de
- common/jfs-umount_hang: fix hang on umount after stress test(SUSE21357)
* Mon Nov 04 2002 - mantel@suse.de
- fix USB for Unisys machines (they use IRQ 0 in APIC mode)
* Mon Nov 04 2002 - mantel@suse.de
- update vtune driver to version 0.908 due to request from Intel
* Mon Nov 04 2002 - mantel@suse.de
- move ioapic-8131-quirk to patches.common so the workaround for
  the AMD bug is also available with 32 bit kernels
* Mon Nov 04 2002 - mantel@suse.de
- make sure nr_ioapics is always correctly initialized
* Thu Oct 31 2002 - ro@suse.de
- fix changelog generation (x-bit for prepare-build.sh)
* Thu Oct 31 2002 - olh@suse.de
- add patches.common/ibm-ppc64-eeh-fbdev-map (SUSE17535/LTC1100)
  should fix most X11 related problems on ppc64
  patches.common/ibm-ppc64-kdb-consolehandling (SUSE21292/LTC1433)
* Thu Oct 31 2002 - schwab@suse.de
- ips-enable-ia64: enable IBM ServeRAID driver for ia64.
* Wed Oct 30 2002 - schwab@suse.de
- ia64-1-brl_emu: fix truncated values.
- ia64-1-denormal: fix handing of denormal in fpu emulation.
* Wed Oct 30 2002 - bk@suse.de
- add patches.common/msgrcv-race, fixes SMP race with msgrcv(SUSE21444)
- s390: add isclean and flushtlb, fixes races discovered in bug SUSE21265
- s390: reenable ptep, removing it only hided the mm problem(SUSE21265)
- update jfs to 1.0.24: readSuper() was incorrectly checking return
  status of sb_bread(reported by olh) obsoletes jfs-gclock-release
* Wed Oct 30 2002 - ak@suse.de
- don't let x86-64 backtrace wrap
* Wed Oct 30 2002 - mantel@suse.de
- remove write barrier feature, since it seems to cause problems on
  some machines
* Wed Oct 30 2002 - schwab@suse.de
- ia64-kdb-smp: Fix kdb compilation for SMP.
* Tue Oct 29 2002 - ak@suse.de
- Update 3ware driver to 1.02.00.031
* Tue Oct 29 2002 - olh@suse.de
- update patches.ppc/freeswan to the status of mainpackage
  remove some unneeded files to reduce the patch size
* Tue Oct 29 2002 - ak@suse.de
- update bcm5700 driver to 4.0.4
- rediff amd 8111 patch
* Tue Oct 29 2002 - bk@suse.de
- s390: CONFIG_EVMS_S390_SEGMENT_MGR=m (support dasd parts, SUSE21293)
* Mon Oct 28 2002 - schwab@suse.de
- lvm-procfs: work around stupid hack in proc_file_read.
* Mon Oct 28 2002 - schwab@suse.de
- New patches from HP:
  patches.ia64/ia64-1-acpi-atomic
  patches.ia64/ia64-1-discontig
  patches.ia64/ia64-1-hp-agp
  patches.ia64/ia64-1-ide_dma
  patches.ia64/ia64-1-lastsect
  patches.ia64/ia64-1-megaraid
  patches.ia64/ia64-1-pal_call
  patches.ia64/ia64-1-srlz
  patches.ia64/ia64-1-tulip
  patches.ia64/ia64-3-forte-2
* Mon Oct 28 2002 - bk@suse.de
- fix patches.s390/loop-iostat-config.diff for make xconfig(SUSE20895)
* Fri Oct 25 2002 - ak@suse.de
- fix x86_64-modmap patch to apply all changes
* Fri Oct 25 2002 - mantel@suse.de
- move tux-cgi to patches.common
* Fri Oct 25 2002 - olh@suse.de
- add patches.common/scsi_free_host_dev
  avoid panic when rmmod a scsi driver
* Fri Oct 25 2002 - olh@suse.de
- add patches.common/suse-ppc32-sigsuspend
  ensure that sys_[rt_]sigsuspend give the correct error code.
* Thu Oct 24 2002 - bk@suse.de
- s390: disable ptep patches also on s390x, fixes bug SUSE21265
- ctc: restart after -EIO & set some messages to debug (bug SUSE20957)
- add module license to drivers/s390/net/fsm.c
* Thu Oct 24 2002 - olh@suse.de
- add patches.common/ibm-ppc64-rtasd-colt
  fixes rtasd for O1 scheduler and early boothang on p610 (SUSE19891)
  add patches.ppc/ibm-ppc64-pci-64bit
  properly handling 64-bit BARs
* Thu Oct 24 2002 - bk@suse.de
- endianness fix for jfs-xattr(add patches.common/jfs-xattr-endian)
* Wed Oct 23 2002 - bk@suse.de
- fix defconfig/arch-special.s390 for SCSI config options(bug SUSE20820)
- patches.s390/cpcmd-sam31.diff: remove not neccesary spinlock code
- update patches.s390/s390-fixes/dasd-timer.diff
* Wed Oct 23 2002 - olh@suse.de
- add patches.ppc/freeswan to avoid ugly module package
  used only ppc, due to crosscompile requirements
* Wed Oct 23 2002 - ak@suse.de
- add tux cgi fix for x86-64 (not really x86-64 specific)
* Wed Oct 23 2002 - olh@suse.de
- patches.common/ppc64-binfmt_elf-load_elf_binary
  the last change broke static apps, fixed (SUSE21047)
* Wed Oct 23 2002 - ak@suse.de
- x86_64: fix alternative signal stack and si_addr passing.
- x86_64: fix numa=off option
- x86_64: enable seeking to negative areas in /proc/kcore
- x86_64: add pci quirk for amd8131 apic
- x86_64: add amd8111 optimized IDE driver (Vojtech Pavlik)
- x86_64: cosmetic fix for oops printing
- x86_64: remove .eh_frame from linked kernel
* Tue Oct 22 2002 - bk@suse.de
- add s390 patches: zfcp-statusread, zfcp-retries, dasd-timer,
  ebcdic.diff and s390io-try-sensible-path.diff. Bug # is SUSE21198
* Tue Oct 22 2002 - schwab@suse.de
- Fix aio syscall numbers.
* Tue Oct 22 2002 - schwab@suse.de
- Revert to e100-2.0.30 for now on ia64.
* Tue Oct 22 2002 - schwab@suse.de
- Update SBA IOMMU patches.
* Mon Oct 21 2002 - olh@suse.de
- patches.common/ppc64-binfmt_elf-load_elf_binary
  fixed for target and the interpreter as shared objects (SUSE21047)
* Mon Oct 21 2002 - bk@suse.de
- 390: add oldrootmsg.diff (see bug SUSE20891), register_ioctl.diff
  for registering 31-bit ioctls and raid1-hard-debug-1(see bug SUSE21102)
* Mon Oct 21 2002 - mantel@suse.de
- allow disabling of IDE flush feature via kernel parameter; this
  command seems to confuse some drives
* Mon Oct 21 2002 - mantel@suse.de
- allow disabling of cyclone timer via kernel parameter
* Mon Oct 21 2002 - mantel@suse.de
- fix bad pipe bandwidth
* Sat Oct 19 2002 - olh@suse.de
- add patches.ppc/suse-ppc32-autoconsole
* Sat Oct 19 2002 - ak@suse.de
- fix x86_64 gart address decode problem for addresses > 4GB.
* Fri Oct 18 2002 - olh@suse.de
- add patches.common/rl-corrupt (workaround for IDE bugs SUSE17539)
* Fri Oct 18 2002 - olh@suse.de
- add patches.common/ibm-ppc64-kdb-io-update
* Thu Oct 17 2002 - mantel@suse.de
- fix loadbalance for non-SMP
* Thu Oct 17 2002 - mantel@suse.de
- further improve performance with new load_balance
* Thu Oct 17 2002 - olh@suse.de
- add patches.common/ibm-ppc64-ucontext
* Thu Oct 17 2002 - mantel@suse.de
- remove duplicate entry from ACPI blacklist
* Thu Oct 17 2002 - mantel@suse.de
- fix aio getevents timeout
* Thu Oct 17 2002 - schwab@suse.de
- Fix breakage from last scheduler change.
* Thu Oct 17 2002 - schwab@suse.de
- Remove fix-hid-input, the original code was correct.
* Thu Oct 17 2002 - mantel@suse.de
- fix compilation when extended attributes are disabled
* Thu Oct 17 2002 - mantel@suse.de
- fix overlong device name in pci.ids
* Thu Oct 17 2002 - mantel@suse.de
- update ACPI and DMI blacklists
* Thu Oct 17 2002 - mantel@suse.de
- update pci-ids
* Thu Oct 17 2002 - mantel@suse.de
- fix scheduler problem with CPUs being idle although there is lots
  of work to do
* Thu Oct 17 2002 - ak@suse.de
- readd more iommu debugging support
- add /proc/*/binfmt (currently applied on x86-64 only, but generic patch)
- add warning to broken vmalloc32
* Wed Oct 16 2002 - bk@suse.de
- fix s390/cpcmd-sam31.diff for 31-bit mode and add module license
- fix sched_setaffinity for not existing pid values(andrea/duwe)
* Wed Oct 16 2002 - olh@suse.de
- add patches.common/ibm-ppc64-kdb-resethandling (SUSE20493/LTC1353)
* Wed Oct 16 2002 - ak@suse.de
- disable -fno-strength-reduce and -fno-reorder-blocks on x86-64
* Wed Oct 16 2002 - schwab@suse.de
- Clear fp exception state before calling ia32 signal handler.
* Wed Oct 16 2002 - bk@suse.de
- disable Minix filesystem support on 390, does not work(bug SUSE20794)
- add s390/cpcmd-sam31.diff - add missing cpcmd function for cpint
* Wed Oct 16 2002 - mantel@suse.de
- enable CONFIG_EVLOG_FWPRINTK
* Wed Oct 16 2002 - mantel@suse.de
- update blacklist in scsi_scan.c; join two patches with same
  functionality
* Wed Oct 16 2002 - mantel@suse.de
- update qla2x00 driver to 6.0.2
* Wed Oct 16 2002 - agruen@suse.de
- Fix error handling in acl-ext3: Users triggerable error may
  panic the kernel if the FS error behavior is set to panic.
* Tue Oct 15 2002 - agruen@suse.de
- acl-ext[23]: complete the undo in ext2_next_inode() and
  ext3_new_inode(): I've missed the dummy versions that are
  not used with our configuration.
* Tue Oct 15 2002 - bk@suse.de
- add s390-patches/zfcp-order6.diff, removes a 6-order in zfcp init
* Tue Oct 15 2002 - agruen@suse.de
- acl-ext[23]: revert obsolete change in ext2_next_inode() and
  ext3_new_inode()
- xattr-ext[23]: fix access to out-of-scope variable
* Tue Oct 15 2002 - ak@suse.de
- fix potential iommu gart encode problem on x86-64
* Tue Oct 15 2002 - ak@suse.de
- remove x86_64-ia32-updates, it is incorporated in ia32-updates now
* Tue Oct 15 2002 - mantel@suse.de
- add another endianess fix to ncpfs
* Tue Oct 15 2002 - schwab@suse.de
- ia64-1-fpstate: fix save and restore of ia32 fpstate.
* Tue Oct 15 2002 - ak@suse.de
- x86_64: fix manual mem= option
- x86_64: 32bit emulation updates
- fix LSB fcntl test for 64bit
* Mon Oct 14 2002 - bk@suse.de
- 390: changes CONFIG_SD_MAX_MAJORS from 16 (only 256 disks) to 224,
  allows 448 disks with 8 redundant paths(multipathing) - Bug SUSE20820
- 390: increase CONFIG_SR_EXTRA_DEVS from 4 to 16 for big things
* Mon Oct 14 2002 - mantel@suse.de
- work around severe bug in older VIA southbridges
* Mon Oct 14 2002 - mantel@suse.de
- fix thinko in hid-input.c
* Mon Oct 14 2002 - mantel@suse.de
- fix config.in for cyclone timer support
* Mon Oct 14 2002 - mantel@suse.de
- fix DMI blacklist entries for IBM xSeries servers
* Mon Oct 14 2002 - mantel@suse.de
- fix printk() when ACPI is disabled via blacklist
* Mon Oct 14 2002 - mantel@suse.de
- fix a race which make syncppp dial on demand not working with
  newer kernel versions
* Mon Oct 14 2002 - bk@suse.de
- s390: add sys32_recvmsg.diff(fixes bug SUSE20558) and sigurg.diff
  apply the recently added fixes(uaccess, dasd diag, futex, zfcp)
* Mon Oct 14 2002 - stepan@suse.de
- add alpha_wtd_fix (missing wtd implementation for alpha)
- update alpha_compile_fix (adjustments to make it compile)
* Mon Oct 14 2002 - mantel@suse.de
- update aio-raw-hangs to fix the AIO hang problem
* Sat Oct 12 2002 - olh@suse.de
- add ibm-ppc64-codecleanup
  ibm-ppc64-eeh-enable
  ibm-ppc64-msgsnd_msgrcv
  ibm-ppc64-paca-decrementer
  ibm-ppc64-restore_flags-barrier
  ibm-ppc64-sigsuspend
* Fri Oct 11 2002 - agruen@suse.de
- this addresses bug SUSE20828, LSB conformance in the ACL code:
  o fix a systematic bug in the acl aware permission() functions
  (ext2, ext3, reiserfs, jfs) (agruen@suse.de)
  o fix a reiserfs acl bug that causes the umask to be ignored
  for special files (jeffm@suse.com)
* Fri Oct 11 2002 - bk@suse.de
- backout the check for the return of kvec_op
  added previously on request of andrea.
* Thu Oct 10 2002 - ak@suse.de
- compile RTC in again
* Thu Oct 10 2002 - ak@suse.de
- compile RTC in again
* Thu Oct 10 2002 - ak@suse.de
- update for new EVMS
- make RTC modular
- disable debugging (IOMMU,CHECKING) for RC
* Thu Oct 10 2002 - ak@suse.de
- update for new EVMS
- make RTC modular
- disable debugging (IOMMU,CHECKING) for RC
* Thu Oct 10 2002 - bk@suse.de
- add a number of s390-specific fixes:
  o make uaccess fixups independent of the lowcore to not break
  o dasd diag: endless recovery loop when a buffer is above 2GB
  o detect ancient 3880 eckd dasds(use correct device type number)
  o fix the sys32_futex system call wrapper for 32-bit emulation
  o fix race in zfcp driver and enchance trace for HW problems
* Thu Oct 10 2002 - bk@suse.de
- add patches.common/aio-raw-hangs (andrea) which fixes:
  o hangs when using AIO on RAW devices
  o calculate max_sectors to fix resource shortage
  o and check for return value of kvec_op
* Thu Oct 10 2002 - agruen@suse.de
- Minor typo in reiserfs-acl that breaks build if ACLs are
  not compiled in (jeffm@suse.com).
* Thu Oct 10 2002 - ak@suse.de
- make sure tux is really called for x86-64
* Thu Oct 10 2002 - bk@suse.de
- tar-up: fix remaining cases where disabled patches were packaged
* Thu Oct 10 2002 - ak@suse.de
- remove x86_64-tsc-hpet-pet from sequence-numbers
* Thu Oct 10 2002 - schwab@suse.de
- Remove x86_64-tsc-hpet-pet due to conflicts.
* Thu Oct 10 2002 - schwab@suse.de
- Fix breakage from livelock patch.
* Thu Oct 10 2002 - olh@suse.de
- add x86_64-tsc-hpet-pet to sequencepatch and disable it
* Thu Oct 10 2002 - agruen@suse.de
- ReiserFS patch fixing lockups with full file systems (mostly),
  from {jeffm,mason}@suse.de. See patches.common/reiserfs-fixes
  for details.
* Thu Oct 10 2002 - aj@suse.de
- Add o1 patch to fix some scheduler livelock bugs.
* Thu Oct 10 2002 - ak@suse.de
- add PIT/HPET/TSC timekeeper selection patch from Vojtech Pavlik (x86-64)
* Thu Oct 10 2002 - ak@suse.de
- add x86_64-open32 to not enable O_LARGEFILE by default in 32bit
- add x86_64-int32 to export IRET return path
* Thu Oct 10 2002 - olh@suse.de
- add patches.common/ibm-ppc64-free_pgtables-a.out.h
  patches.common/ibm-ppc64-free_pgtables-processor.h
  patches.common/ibm-ppc64-free_pgtables-uaccess.h
  patches.common/ibm-ppc64-free_pgtables-mminit
  workaround for ree_pgtables where an entire addr space is
  cleared rather than a subset. (SUSE20051 / #LTC1293)
* Thu Oct 10 2002 - olh@suse.de
- add patches.common/suse-ppc64-addsysmap-bufferfix
  patches.common/suse-ppc64-addramdisk-bufferfix
  dont assume the whole desired line fits in last read buffer
* Wed Oct 09 2002 - bk@suse.de
- enable reiserfs acls in config.i386.default(used as base for s390)
* Wed Oct 09 2002 - bk@suse.de
- disable ptep in ESA kernel for now, seems to be issue with 31-bit
- add fix for dasd driver on s390x when loaded above 2GB(diag210)
- add fix for xpram size array type(should also fix bug SUSE16814)
* Wed Oct 09 2002 - olh@suse.de
- fix compiler error in patches.common/ibm-ppc64-syscall-cleanup
* Wed Oct 09 2002 - mantel@suse.de
- update EVMS to 1.2.0
* Wed Oct 09 2002 - agruen@suse.de
- ReiserFS ACL patch (removes sb reservation requirement) from
  {jeffm,mason}@suse.de.
* Wed Oct 09 2002 - mantel@suse.de
- add IBM x440 (Vigil) to ACPI blacklist (needs ACPI_OLDBOOT)
* Wed Oct 09 2002 - mantel@suse.de
- fix bug in SYN/ACK handling of ip_conntrack code
* Wed Oct 09 2002 - mantel@suse.de
- fix bogus compile of ibmasm driver
* Tue Oct 08 2002 - bk@suse.de
- add /proc/<pid>/mapped-base on s390x, needed for 31-bit(bug SUSE19326)
- 390: disable XFS in default config, it locks the kernel quickly
* Tue Oct 08 2002 - mantel@suse.de
- fix problem with machines needing parameter "acpi=oldboot". If this
  turns out to work on all affected machines, we can waive the DMI
  blacklist
* Tue Oct 08 2002 - mantel@suse.de
- update DMI blacklist
* Tue Oct 08 2002 - mantel@suse.de
- update nfslocks patch; bogus patch linux-2.4.19-rc3aa4 removed
* Tue Oct 08 2002 - mantel@suse.de
- add support for Cenatek IDE driver
* Tue Oct 08 2002 - mantel@suse.de
- speedup mass-exit of thread groups
* Tue Oct 08 2002 - mantel@suse.de
- kill segment coalescing for IDE, since it is pretty worthless and
  even leads to frozen boxes in certain cases
* Tue Oct 08 2002 - mantel@suse.de
- fix oops in i830 DRM driver
* Tue Oct 08 2002 - mantel@suse.de
- add pci fixup for serverworks IDE
* Tue Oct 08 2002 - mantel@suse.de
- increase PPP header length
* Tue Oct 08 2002 - mantel@suse.de
- corrected blacklist entry for IBM eServer BladeCenter HS20
* Tue Oct 08 2002 - mantel@suse.de
- back out fix-o1-livelock, since it seems to cause locks instead of
  fixing them
* Mon Oct 07 2002 - bk@suse.de
- Add patches.s390/s390-fixes/linux-2.4.19-tapemountfix.diff
- Enable the patches in patches.s390/patches.s390/arch-special
- Tag the io_request_lock-scale patches and scsi-error-handler
  with NO390, they conflict with the SCSI error handling changes
  in patches.s390/arch-special/s390-zfcp-required-changes.diff
* Mon Oct 07 2002 - olh@suse.de
- add patches.common/ibm-ppc64-ioctl-HDIO_GETGEO_BIG
  patches.common/ibm-ppc64-iseries-pme-sync
  patches.common/ibm-ppc64-sembuf
  patches.common/ibm-ppc64-syscall-cleanup
  patches.common/ibm-ppc64-syscall-readahead
* Mon Oct 07 2002 - mantel@suse.de
- fix kernel compilation with gcc 2.95.3
* Mon Oct 07 2002 - mantel@suse.de
- added some machines to the DMI blacklist
* Mon Oct 07 2002 - schwab@suse.de
- Fix breakage from futex patch update.
* Mon Oct 07 2002 - mantel@suse.de
- fix race in get_module_list
* Mon Oct 07 2002 - mantel@suse.de
- ibmasm driver should not assume the kernel is compiled with
  modversions
* Sat Oct 05 2002 - ak@suse.de
- fix x86_64-header-bug
* Sat Oct 05 2002 - olh@suse.de
- add ibm-ppc64-export-systemcfg
  ibm-ppc64-ipc_perm32
  ibm-ppc64-newstat
  ibm-ppc64-remove-DRENG_TYPES
* Sat Oct 05 2002 - ak@suse.de
- disable out_of_line_bug for x86-64
* Fri Oct 04 2002 - olh@suse.de
- add ibm-ppc64-FWNMI-reset-path
  ibm-ppc64-drivers-ide-winbond-reset
  ibm-ppc64-flush_dcache_icache
  ibm-ppc64-iseries-randomness
  ibm-ppc64-iseries-veth-broadcast
  ibm-ppc64-iseries-viocons-password
  ibm-ppc64-iseries-viodasd-HDIO_GETGEO_BIG
  ibm-ppc64-iseries-viopath
  ibm-ppc64-pcnet32-outofsync
  ibm-ppc64-systemcfg-xmon
  ul1-ppc64-block-highmem-ide
* Fri Oct 04 2002 - mantel@suse.de
- fix unresolved symbol in ipv6 introduced by route fix
* Fri Oct 04 2002 - mantel@suse.de
- fix "make xconfig" for jfs-acl
* Fri Oct 04 2002 - mantel@suse.de
- update Intel vtune driver to 0.905
* Fri Oct 04 2002 - mantel@suse.de
- add missing check in get_vm_area
* Fri Oct 04 2002 - mantel@suse.de
- fix realmode reboot for some boxes
* Fri Oct 04 2002 - mantel@suse.de
- fix largepage support for shmfs
* Fri Oct 04 2002 - mantel@suse.de
- fix shm largepage compile for non PAE
* Fri Oct 04 2002 - mantel@suse.de
- fix bug in aio that could lead to the system going oom (newly
  allocated pages were never put into the lru lists, so don't get
  reclaimed)
* Fri Oct 04 2002 - mantel@suse.de
- fix scheduler live lock condition under the ltp waitpid load
* Fri Oct 04 2002 - mantel@suse.de
- update summit cyclone code to latest version B3
* Fri Oct 04 2002 - mantel@suse.de
- fix problem with ipv6 where the kernel could lose its default
  route under certain circumstances
* Fri Oct 04 2002 - mantel@suse.de
- update es7000 code to version that has been tested and reported to
  work by Unisys
* Fri Oct 04 2002 - mantel@suse.de
- add aio support for jfs (can use generic routines)
* Fri Oct 04 2002 - mantel@suse.de
- add device descriptions for DAC960 driver to do_mounts.c since grub
  does not know them
* Thu Oct 03 2002 - ak@suse.de
- remove km_ferrari, km_basilik, gpp from neededforbuild
- disable speedtouch driver
* Thu Oct 03 2002 - ak@suse.de
- disable speedtouch driver
- remove gpp from neededforbuild
* Thu Oct 03 2002 - ak@suse.de
- disable wanpipe (64bit problems)
- update
- enable CONFIG_IOMMU_DEBUG
- enable CONFIG_KALLSYMS
* Thu Oct 03 2002 - ak@suse.de
- disable wanpipe (64bit problems)
- update
- enable CONFIG_IOMMU_DEBUG
- enable CONFIG_KALLSYMS
* Thu Oct 03 2002 - ak@suse.de
- fix timekeeping on x86-64 (Vojtech Pavlik)
* Thu Oct 03 2002 - ak@suse.de
- make kallsyms output parseable by ksymoops again
* Thu Oct 03 2002 - ak@suse.de
- x86_64: Add system call for Tux web server
- x86_64: Remove offset.h dependency for C include files
- x86_64: Remove rw lock for gs reload on context switch
- x86_64: Add kallsyms option
- x86_64: Rename CONFIG_IOMMU_LEAK to CONFIG_IOMMU_DEBUG, reduce
  GART TLB flushes.
- x86_64: Don't try to access HPET timer in the APIC code.
- x86_64: Increase CPU affinity factor
* Wed Oct 02 2002 - olh@suse.de
- add patches.common/ibm-ppc64-rs64iv-cacheflush (SUSE20027)
* Wed Oct 02 2002 - bk@suse.de
- fix missing config options for Twofish and iostat(bug# SUSE20421)
- add GPL c7000 driver
* Wed Oct 02 2002 - olh@suse.de
- add patches.common/ibm-ppc64-sigcontext
* Wed Oct 02 2002 - mantel@suse.de
- add missing ioctl case to DAC960 driver to make parted happy
* Wed Oct 02 2002 - mantel@suse.de
- fix possible oops in PCI probing code
* Wed Oct 02 2002 - mantel@suse.de
- update ibmasm driver to Build ID WRP122A
* Wed Oct 02 2002 - mantel@suse.de
- significantly speed up USB hotplug by reducing the number of
  syscalls needed to read /proc/bus/usb/devices
* Wed Oct 02 2002 - mantel@suse.de
- remove some SCSI debug output
* Wed Oct 02 2002 - olh@suse.de
- add patches.common/ibm-ppc64-systemcfg
* Wed Oct 02 2002 - mantel@suse.de
- adapt O_DIRECT on ext3 to the UL kernel (take nfs o_direct changes
  into account)
* Wed Oct 02 2002 - mantel@suse.de
- make sure timeout var for aio is always initialized so it doesn't
  always wait for an event to finish
* Wed Oct 02 2002 - mantel@suse.de
- add aio support for reiserfs (can use generic routines)
* Tue Oct 01 2002 - mantel@suse.de
- implement ACPI policy changes:
- DMI can toggle ACPI now. This is often better than keying the
  blacklist on ACPI tables, because DMI has much more specific
  information about the Motherboard vendor than ACPI.
- ACPI blacklist moved to own file (patch from Andrew Grover/Patrick Mochel)
- ACPI pci routing is on by default now (near all newer boxes need this)
- Don't enable the APIC for UP (previously code did still some APIC
  ACPI stuff even though it was disabled). This sould fix several laptops.
- ACPI is disabled by default when your BIOS was produced before 2001
- Support the Unisys ES7000 with new ACPI
* Tue Oct 01 2002 - duwe@suse.de
- re-added i2c-keywest option, eliminated by i2c patch
* Tue Oct 01 2002 - agruen@suse.de
- update jfs patches from version 1.0.22 to 1.0.23
* Mon Sep 30 2002 - olh@suse.de
- add patches.common/ul1-ppc32-o1-smpfix-jeffm
* Sun Sep 29 2002 - olh@suse.de
- add patches.common/suse-ppc64-viodasd-rootdev-hda3
* Sat Sep 28 2002 - olh@suse.de
- add patches.common/suse-ppc64-ioctl32-raidautorun
* Fri Sep 27 2002 - mantel@suse.de
- fix oops in pppoe when reconnecting
* Fri Sep 27 2002 - mantel@suse.de
- update JFS to 1.0.22; remove obsolete fixes
* Fri Sep 27 2002 - mantel@suse.de
- update futex patch (now also contains ia64 support)
* Fri Sep 27 2002 - bk@suse.de
- enable dasd_eckd_mod as module for fixed aaa_base/mk_initrd
* Fri Sep 27 2002 - mantel@suse.de
- fix minor documentation bug in nfsd (default for nfs_permission_mode
  is now 0 [unchanged])
* Fri Sep 27 2002 - mantel@suse.de
- update steeleye-nbd patch. This patch eliminates the oops problems
  that the current nbd code has and it works correctly with the
  new locking in the 2.4.18 nbd driver (without backing out the
  locking changes). Tested for several weeks by SteelEye.
* Thu Sep 26 2002 - olh@suse.de
- add patches.common/ibm-ppc64-sigfpe-64
* Thu Sep 26 2002 - schwab@suse.de
- ia64: fix mca handling.
* Thu Sep 26 2002 - bk@suse.de
- 390: add set_fs.diff: ar4 pointing to the correct address space
- 390: apply io_request_lock-scale and scsi-error-handler(testing)
* Thu Sep 26 2002 - bk@suse.de
- s390-api-3-futex: add sys32_futex() to fix 32/64bit tv_sec problem
* Thu Sep 26 2002 - mantel@suse.de
- remove i845G-fixes, since the patch is incomplete
* Thu Sep 26 2002 - mantel@suse.de
- update bcm5700 driver to 4.0.2
* Thu Sep 26 2002 - mantel@suse.de
- fix problem with real time priority under load; important for HA
* Thu Sep 26 2002 - mantel@suse.de
- make the radeonfb driver work with the ATI Rage Mobility P/M
* Thu Sep 26 2002 - mantel@suse.de
- make i845 gart recover after suspend
* Thu Sep 26 2002 - mantel@suse.de
- fix missing checks in video1394
* Thu Sep 26 2002 - mantel@suse.de
- this should be the minimum non invasive fix for the i845 problems
* Thu Sep 26 2002 - mantel@suse.de
- work around RAID1 miscompilation on SPARC with old compiler
* Thu Sep 26 2002 - mantel@suse.de
- fix netfilter oops/memory leak (from 2.4.20-pre6)
* Thu Sep 26 2002 - mantel@suse.de
- re-added fixed file-leases patch
* Thu Sep 26 2002 - mantel@suse.de
- allow console switching after panic
* Thu Sep 26 2002 - mantel@suse.de
- update serverworks IDE driver to 0.5
* Thu Sep 26 2002 - mantel@suse.de
- re-add Unisys ES7000 support since the problem with breaking SMP
  is fixed now.
* Wed Sep 25 2002 - olh@suse.de
- add patches.common/ul1-ppc64-mm_spin_lock
  patches.ppc/ul1-ppc64-kdb-serialsnoop
* Wed Sep 25 2002 - olh@suse.de
- fix kdb compilation for real on ppc64
* Wed Sep 25 2002 - agruen@suse.de
- Back out change Tue Sep 24 12:52:11 CEST 2002 - agruen@suse.de:
  regression bug; check is too restrictive.
* Wed Sep 25 2002 - mantel@suse.de
- remove Unisys ES7000 support because it breaks normal SMP machines
* Wed Sep 25 2002 - mantel@suse.de
- update sis900 network driver to 1.08.06
* Wed Sep 25 2002 - olh@suse.de
- add patches.ppc/ul1-ppc64-disable-kdb-io
  usb leads to circular dependency asm/page.h -> linux/kdb.h
  kdb_serial is not defined
* Wed Sep 25 2002 - olh@suse.de
- add patches.common/suse-ppc64-hvc-pseries-only
  patches.common/suse-ppc64-icom-iseries-only
* Wed Sep 25 2002 - olh@suse.de
- add patches.common/ul1-ppc64-enable-kdb
* Tue Sep 24 2002 - olh@suse.de
- update ibm-ppc64 patch to 2.4.19-3:
  * remove duplicate define in icom driver ; increase adapter limit
  * veth: reduce severity of reported errors.
  * viodasd: clean up of output
  * iSeries PCI: improved error output
  * iSeries PCI: increase retry count on mmio failures
  * shared processors: close a timing window. Significant performance
  fix.
- obsoletes patches.common/ibm-ppc64-sigfpe-handling,
  patches.common/suse-ppc64-zimage-htab
* Tue Sep 24 2002 - schwab@suse.de
- Fix breakage from i2c update.
* Tue Sep 24 2002 - olh@suse.de
- increase log_buf size on ppc64 to 128k (SUSE19888)
* Tue Sep 24 2002 - agruen@suse.de
- xfs fixes: Symlink permissions were not always set to lrwxrwxrwx.
  Some error codes returned were wrong. Fix return value of
  getxattr for acls. `cp -p dir1 dir2' resulted in Invalid argument
  errors.
* Tue Sep 24 2002 - mantel@suse.de
- fix i386 Hammer support
* Tue Sep 24 2002 - mantel@suse.de
- fix compilation of SMP kernel even when CONFIG_ES7000 is disabled
* Tue Sep 24 2002 - bk@suse.de
- s390: change default config: compile dasd driver as modules
* Tue Sep 24 2002 - mantel@suse.de
- drop tg3 driver update; needs infrastructure update from newer
  kernel; re-added tg3_maxwaitcnt fix
* Tue Sep 24 2002 - agruen@suse.de
- minor parameter checking improvement in the ext2/ext3 acl code.
- minor parameter checking improvement in the ext2/ext3 acl code.
* Tue Sep 24 2002 - mantel@suse.de
- defconfig of kernel should match config of default kernel
* Tue Sep 24 2002 - mantel@suse.de
- remove magicclose watchdog patches, since they are incomplete
* Tue Sep 24 2002 - mantel@suse.de
- remove file-leases patch, since it appears to be incomplete
* Tue Sep 24 2002 - mantel@suse.de
- fix several problems (including at least one race condition) in
  file leases code
* Tue Sep 24 2002 - mantel@suse.de
- sign fix for i2c
* Tue Sep 24 2002 - mantel@suse.de
- check for buffer length in USB vicam driver
* Tue Sep 24 2002 - mantel@suse.de
- add some missing checks to video4linux drivers
* Tue Sep 24 2002 - mantel@suse.de
- fix wrong sizes in amdtp driver
* Tue Sep 24 2002 - mantel@suse.de
- don't allow unlimited kmalloc in i2c driver
* Tue Sep 24 2002 - mantel@suse.de
- update tg3 driver to 1.1; obsoletes tg3_maxwaitcnt (fixed in new
  version)
* Tue Sep 24 2002 - mantel@suse.de
- add AMD Hammer support to the i386 port. Just make sure that all
  places that detect an Athlon by the model number handle the 15
  model number in the Hammer too
* Mon Sep 23 2002 - bk@suse.de
- s390: add reiserfs_ioctl32-unpack.diff, adds ioctl32/unpack(SUSE20021)
* Mon Sep 23 2002 - mantel@suse.de
- increase size of kernel logbuffer
* Mon Sep 23 2002 - mantel@suse.de
- add O_DIRECT support for ext3
* Mon Sep 23 2002 - mantel@suse.de
- added some watchdog approvements
* Mon Sep 23 2002 - mantel@suse.de
- fix name of patch "scsi_get_host_dev"; this is a generic one, not
  ppc64 specific
* Mon Sep 23 2002 - mantel@suse.de
- work around cache size detection for Intel PIII Tualatin
* Mon Sep 23 2002 - mantel@suse.de
- fix race in reiserfs unlink; with CONFIG_REISERFS_CHECK, the bug
  is harmless, but we want to fix it anyway
* Mon Sep 23 2002 - mantel@suse.de
- add safe fixes from 2.4.20-pre5
* Mon Sep 23 2002 - agruen@suse.de
- patches.common/reiserfs-acl: patch from jeffm@suse.com that
  fixes another deadlock in the reiserfs extended attribute
  code.
* Sun Sep 22 2002 - olh@suse.de
- patches.ppc/makeppc64-2.4.19: use -ul1 tag from specfile
* Sat Sep 21 2002 - ak@suse.de
- fix stack overflow in amd 8111 ethernet driver
* Fri Sep 20 2002 - bk@suse.de
- lkcd: allow Kerntypes for all archs, automatic only for i386/390
* Fri Sep 20 2002 - mantel@suse.de
- rename trivial_jfs_fix to trivial_jffs_fix in order to avoid confusion
* Fri Sep 20 2002 - mantel@suse.de
- update i2c/lm_sensors to 2.6.5
* Thu Sep 19 2002 - schwab@suse.de
- Fix narrow window during which signal could be delivered with only the
  memory stack switched over to the alternate signal stack.
* Thu Sep 19 2002 - ak@suse.de
- make sure aperture doesn't overlap used memory
* Thu Sep 19 2002 - duwe@suse.de
- added patches to support unisys ES7000 APIC and IBM summit
  cyclone timer
* Thu Sep 19 2002 - schwab@suse.de
- Add hugepage patch for ia64.
- Fix sigstack handling.
* Thu Sep 19 2002 - mantel@suse.de
- allow root filesystem on disks attached to additional cpqarray and
  cciss RAID controllers
* Thu Sep 19 2002 - mantel@suse.de
- don't sleep for 5 seconds on unknown patches
* Thu Sep 19 2002 - bk@suse.de
- s390: fix crypto operation exception oops: s390-fixes/check.diff
- s390: io-layer fixes: hang on incident mcheck and /proc/chpids
* Thu Sep 19 2002 - mantel@suse.de
- add patches.common/reiserfs-xattr-fix which fixes another
  extended attributes lockup bug.
* Thu Sep 19 2002 - olh@suse.de
- add patches.common/ul1-ppc64-ibmsis-scsi_get_host_dev
* Thu Sep 19 2002 - bk@suse.de
- add patches.common/md-mp, needed for testing it on real HW
* Wed Sep 18 2002 - ak@suse.de
- disable ATM
* Wed Sep 18 2002 - ak@suse.de
- disable ATM
* Wed Sep 18 2002 - olh@suse.de
- add patches.common/ibm-ppc64-ipc-ltp
  fixes several LTP failures on ELF64 ppc64
* Wed Sep 18 2002 - ak@suse.de
- fix qlogic stack overflow
* Wed Sep 18 2002 - bk@suse.de
- update reiserfs-acl(obsoletes reiserfs-acl-fixes and reiserfs-acl-fixes2)
- add jfs-xattr-fixes2(disallow setting any xattrs with an unknown prefix)
- remove hunk from reiserfs-i_size(already in new reiserfs-acl)
- add compile fixes to lkcd patch +fix cpu_online_map type mismatch
- update config.i386.default to i386.defconfig for use as template
- specfile: allow one-step build of k_smp when building manually
- add configs.UL for UL specific config options for use as template
* Wed Sep 18 2002 - schwab@suse.de
- Add vtune compile fix.
* Wed Sep 18 2002 - schwab@suse.de
- Add vtune patch for ia64.
- Add patch for delaying saving the higher fp state.
* Wed Sep 18 2002 - schwab@suse.de
- reiserfs data logging fix for PAGE_SIZE > block size (Chris Mason).
* Wed Sep 18 2002 - ak@suse.de
- fix nfsd stack overflow
- check correctly for iommu
* Wed Sep 18 2002 - olh@suse.de
- fix patches.ppc/ibm-ppc64-drivers-pcnet32 patch
* Wed Sep 18 2002 - bk@suse.de
- add s390 dasd fixes: invalparm2. missing-names and dasd-major-0
* Wed Sep 18 2002 - olh@suse.de
- add patches.common/ibm-ppc64-sigfpe-handling
* Tue Sep 17 2002 - olh@suse.de
- remove duplicate patches.ppc/extraversion-2.4.7-pre3aa1
* Tue Sep 17 2002 - olh@suse.de
- update patches.ppc/ibm-ppc64-drivers-pcnet32
  remove all whitespace changes, add sync for cpu<->adapter update
* Tue Sep 17 2002 - olh@suse.de
- add patches.common/modutils-uname_machine
* Tue Sep 17 2002 - olh@suse.de
- add patches.common/suse-ppc64-pseries-autoconsole
* Tue Sep 17 2002 - ak@suse.de
- fix tsc monotonic patch to appear only once
- readd panic-blink for x86-64
- add 32bit emulation updates
- move tsc-monotonic to patches.x86_64
- keep only top of real ram in end_pfn (x86_64-ram-map)
- added mapped_base feature for 32bit processes
- fix ACPI mapping for new end_pfn_mapped
* Mon Sep 16 2002 - schwab@suse.de
- Move lkcd kerntypes stuff to i386 makefile where it belongs.
* Mon Sep 16 2002 - ak@suse.de
- fix ntfs build
* Mon Sep 16 2002 - olh@suse.de
- add ul1-ppc64-block-highmemio, disable highio on ppc64
* Mon Sep 16 2002 - schwab@suse.de
- Fix breakage from iseries patches.
* Mon Sep 16 2002 - olh@suse.de
- add aio-ppc to fix linking on ppc
* Mon Sep 16 2002 - olh@suse.de
- add patches.common/reiserfs-bitops-cleanup
  add and remove casts for bitops operations
  to avoid compiler warnings
* Mon Sep 16 2002 - olh@suse.de
- add ibm-ppc64-process-cleanup
* Mon Sep 16 2002 - olh@suse.de
- fix possible race in aio, add_wait_queue_cond()
* Mon Sep 16 2002 - olh@suse.de
- add ul1-ppc64-drivers-iseries-icom
  ul1-ppc64-drivers-iseries-viocons
  ppc32-drivers-video-controlfb
* Sun Sep 15 2002 - ak@suse.de
- update
* Sun Sep 15 2002 - ak@suse.de
- update
* Sun Sep 15 2002 - olh@suse.de
- add suse-ppc64-wchan suse-ppc64-zimage-htab
* Sun Sep 15 2002 - olh@suse.de
- update patches.common/ntfs-update after aio update
  remove also obsolete patches.common/syscall-number-fix
* Sun Sep 15 2002 - olh@suse.de
- update aio, drop old and obsolete files:
  patches.common/aio-2.5-syscall-numbers
  patches.common/aio-bugfix
  patches.common/pipe-aio
  patches.common/aio-API-x86
  patches.common/aio-kmap.diff
  patches.common/x86_64-aio-kmap
* Sun Sep 15 2002 - olh@suse.de
- add patches.ppc/ibm-ppc64-printk-preferred_console
* Sun Sep 15 2002 - olh@suse.de
- add patches.common/ul1-ppc64-smp-nr_cpus
* Sun Sep 15 2002 - olh@suse.de
- add patches.common/ul1-ppc64-sched-O1
* Sun Sep 15 2002 - olh@suse.de
- add patches.common/ul1-ppc64-remove-screen_info
* Sun Sep 15 2002 - olh@suse.de
- add patches.common/ul1-ppc64-quota
* Sun Sep 15 2002 - olh@suse.de
- add patches.common/ul1-ppc64-linux-abi
* Sun Sep 15 2002 - olh@suse.de
- add patches.common/ul1-ppc64-ksyms
* Sun Sep 15 2002 - olh@suse.de
- add patches.common/ul1-ppc64-futex-PROT_SEM
* Sun Sep 15 2002 - olh@suse.de
- add patches.common/ul1-ppc64-dma64_addr_t
* Sun Sep 15 2002 - olh@suse.de
- add patches.common/ul1-ppc64-disable-kdb
* Sun Sep 15 2002 - olh@suse.de
- add patches.common/ul1-ppc64-block-highmem_page_to_phys
* Sun Sep 15 2002 - olh@suse.de
- add patches.common/ul1-ppc64-atomic-lookup
* Sun Sep 15 2002 - ak@suse.de
- add scsi malloc fix for x86-64 (Jens Axboe)
- add tsc monotonic fix for x86-64 (Vojtech Pavlik)
* Sun Sep 15 2002 - olh@suse.de
- remove patches.ppc/ibm-ppc64
  patches.ppc/zzz_ppc64-hacks
  patches.ppc/zzz_viodasd-blkpkg
* Sun Sep 15 2002 - olh@suse.de
- fix patches.common/evms-integrate
* Sun Sep 15 2002 - olh@suse.de
- fix patches.i386/linux-dprobes-core
* Sun Sep 15 2002 - olh@suse.de
- fix patches.common/lm_sensors
* Sun Sep 15 2002 - olh@suse.de
- add patches.ppc/ibm-ppc64-include-pci
* Sun Sep 15 2002 - olh@suse.de
- add patches.ppc/ibm-ppc64-drivers-sound-dmabuf
* Sun Sep 15 2002 - olh@suse.de
- add patches.ppc/ibm-ppc64-drivers-pcnet32
* Sun Sep 15 2002 - olh@suse.de
- add patches.ppc/ibm-ppc64-drivers-pci
* Sun Sep 15 2002 - olh@suse.de
- add patches.ppc/ibm-ppc64-drivers-olympic
* Sun Sep 15 2002 - olh@suse.de
- add patches.common/ibm-ppc64-makefile-macintosh
* Sun Sep 15 2002 - olh@suse.de
- add patches.common/ibm-ppc64-makefile-iseries
* Sun Sep 15 2002 - olh@suse.de
- add patches.common/ibm-ppc64-include-vethdevice
* Sun Sep 15 2002 - olh@suse.de
- add patches.common/ibm-ppc64-include-procfs
* Sun Sep 15 2002 - olh@suse.de
- add patches.common/ibm-ppc64-include-major
* Sun Sep 15 2002 - olh@suse.de
- add patches.common/ibm-ppc64-include-blk
* Sun Sep 15 2002 - olh@suse.de
- add patches.common/ibm-ppc64-drivers-veth-remove
* Sun Sep 15 2002 - olh@suse.de
- add patches.common/ibm-ppc64-drivers-makefile-iseries-macintosh
  needs update in lm_sensors, evms, lkcd
* Sun Sep 15 2002 - olh@suse.de
- add patches.common/ibm-ppc64-drivers-iseries
* Sun Sep 15 2002 - olh@suse.de
- add patches.common/ibm-ppc64-drivers-char-ttyio
* Sun Sep 15 2002 - olh@suse.de
- add patches.common/ibm-ppc64-drivers-block-iseries
* Sun Sep 15 2002 - olh@suse.de
- add patches.common/ibm-ppc64-drivers-acenic
* Sun Sep 15 2002 - olh@suse.de
- add patches.common/ibm-ppc64-driver-char-icom
* Sun Sep 15 2002 - olh@suse.de
- add patches.common/ibm-ppc64-driver-char-hvcconsole
* Sun Sep 15 2002 - olh@suse.de
- move patches.ppc/ibm-ppc64 to  patches.common/ibm-ppc64
  includes arch/ppc64 and asm-ppc64
  status: ftp.linuxppc64.org/pub/ppc64/linuxppc64-2.4.19-2.patch.gz
* Sat Sep 14 2002 - olh@suse.de
- add patches.common/ppc64-binfmt_elf-load_elf_binary
  ELF_PLAT_INIT takes now a second argument
  required for ppc64 ELF ABI
* Sat Sep 14 2002 - mantel@suse.de
- fix silly bug in i810-tco
* Sat Sep 14 2002 - mantel@suse.de
- set PG_lru inside the lock in lru_cache_add(), so PG_lru and
  "presence on the LRU" are consistent for properly locked code.
* Sat Sep 14 2002 - mantel@suse.de
- add another VAIO APM workaround entry to the dmi_blacklist
* Sat Sep 14 2002 - mantel@suse.de
- fix compilation when CONFIG_X86_IO_APIC is disabled
* Sat Sep 14 2002 - mantel@suse.de
- update ibmasm driver to 21A (20A would not load)
* Sat Sep 14 2002 - mantel@suse.de
- makes patches apply with script from CVS
* Fri Sep 13 2002 - ak@suse.de
- update
- reenable amd 8111 driver
- enable stack overflow checks and iommu leak tracing (off by default)
* Fri Sep 13 2002 - ak@suse.de
- update.
- reenable amd 8111 driver
- enable stack overflow checks and iommu leak tracing (off by default)
* Fri Sep 13 2002 - ak@suse.de
- Fix numa bootup problem on x86-64
* Fri Sep 13 2002 - bk@suse.de
- fix sequence-numbers so Andrea can work directly from the CVS
* Fri Sep 13 2002 - olh@suse.de
- remove patches.ppc/bootlogo-ver-2.4.5
* Fri Sep 13 2002 - mantel@suse.de
- fix acpi blacklist entry for IBM thinkpad T21
* Fri Sep 13 2002 - ak@suse.de
- update to 020912 x86-64.org CVS snapshot.
- remove dynamic bus allocation because it doesn't work with new ACPI
- drop obsolete patches that were included in CVS already
- fix x86-64 ACPI for new CVS
- update to new AMD8111/L7 network driver from AMD
- fix XFS IO error checking in inode read
* Fri Sep 13 2002 - mantel@suse.de
- correctly close file descriptors when switching to new root fs
* Fri Sep 13 2002 - mantel@suse.de
- added some more laptops to ACPI blacklist
* Fri Sep 13 2002 - mantel@suse.de
- fix ALSA intel8x0 driver not running on nVidia nForce chipset
* Fri Sep 13 2002 - mantel@suse.de
- fix excessive unfairness in elevator that led to stalls of up to
  several seconds
* Thu Sep 12 2002 - mantel@suse.de
- fix config
- fix config
* Thu Sep 12 2002 - mantel@suse.de
- fix crash in boot splash patch when screen was unblanked when the
  kernel was in an interrupt handler
* Thu Sep 12 2002 - mantel@suse.de
- don't hang machine on device removal
* Thu Sep 12 2002 - mantel@suse.de
- fix "make xconfig"
* Thu Sep 12 2002 - mantel@suse.de
- fix detection of Promise RAID controllers
* Thu Sep 12 2002 - ak@suse.de
- fix IOMMU problems in bcm5700 driver
* Thu Sep 12 2002 - mantel@suse.de
- print warning when user tries to disable TSC and this is not
  possible
* Thu Sep 12 2002 - mantel@suse.de
- added new config option CONFIG_X86_TSC_DISABLE from 2.4.20-pre2+
  which is needed on some NUMA like boxes
* Thu Sep 12 2002 - mantel@suse.de
- fix critical bug in SCSI error handler that can lead to hanging fsck
  in failover setups. Tested and blessed by SteelEye and Jens Axboe.
* Thu Sep 12 2002 - mantel@suse.de
- fix another non-critical buglet in reiserfs-acl
* Thu Sep 12 2002 - mantel@suse.de
- small ALSA update:
- fixed pci_alloc_consistent hack for x86-64 and other architectures.
- fixed the detection of 2nd codec on intel8x0.
* Wed Sep 11 2002 - bk@suse.de
- 390-updates: set initial TERM to dumb, fix status of zfcp procs,
  apply arch-special ptep patches and tux(execpt for external cgi)
* Wed Sep 11 2002 - mantel@suse.de
- temporarily remove md-mp patch, since it breaks autodetection of
  RAID0 devices
* Wed Sep 11 2002 - mantel@suse.de
- update defconfig/i386.defconfig due to new options
* Wed Sep 11 2002 - mantel@suse.de
- add bunch of network fixes from current -pre kernel; approved by
  Marcelo
* Wed Sep 11 2002 - mantel@suse.de
- fix race in reiserfs data logging
* Wed Sep 11 2002 - mantel@suse.de
- make sure the right transceiver mode is chosen for 3c59x driver;
  otherwise performance is abysmal
* Wed Sep 11 2002 - mantel@suse.de
- fix usb hub brokeness with broken devices
* Wed Sep 11 2002 - mantel@suse.de
- re-added EA/ACL support for JFS now that it has been cleaned up
* Wed Sep 11 2002 - mantel@suse.de
- allow using old miniacpi for machines that won't boot at all with
  new ACPI code, but need the functionality for proper detection of
  HT CPUs. Can be activated with "acpi=oldboot"
* Wed Sep 11 2002 - mantel@suse.de
- add endianess fix for ncpfs
* Wed Sep 11 2002 - mantel@suse.de
- re-added new ACPI code; currently there is only one class of
  problematic machines left (Compaq workstations). Will be fixed
  with additional kernel parameter soon.
* Tue Sep 10 2002 - mantel@suse.de
- remove ACPI update again. It causes huge amounts of problems on
  many, many machines.
* Tue Sep 10 2002 - mantel@suse.de
- update ALSA to cvs20020910:
- fixed the calculation of the current pointer on via drivers.
- fixed capture on usb-audio.
- fixed the handling of bd arrays on via686/8233 drivers
  when the period size is smaller than PAGE_SIZE.
- sndstat shows the more descriptive mixer names.
- sndstat shows the synth devices if registered.
- fixed (possible) i2c deadlocks on smp.
- more ac97 codec ids.  fixed for stac975x, ad1886a.
- fixed some typos in rme32 driver.
- experimental support for breakbox on terratec dmx 6fire (ice1712).
- added more card to support spdif on ens1371.
- added snd_vid/snd_pid options to speicfy the device for usb-midi.
- fixed the oops on usb audio under xrun.
* Tue Sep 10 2002 - mantel@suse.de
- drop EA/ACL support for JFS
* Tue Sep 10 2002 - mantel@suse.de
- make "pci=noacpi" the default, since there are too many broken machines.
  New parameter "pci=acpi" allows forced enable if it should be needed.
* Tue Sep 10 2002 - mantel@suse.de
- add new kernel parameter "pci=noacpi" to allow work around for buggy ACPI
* Tue Sep 10 2002 - mantel@suse.de
- enable iANS support for e100 and e1000 drivers
* Tue Sep 10 2002 - mantel@suse.de
- fix compilation when kdb is on and dprobes are off
* Tue Sep 10 2002 - mantel@suse.de
- added some entries to ACPI blacklist
* Tue Sep 10 2002 - mantel@suse.de
- allow to map more than one page in __acpi_map_table
* Tue Sep 10 2002 - mantel@suse.de
- add EA/ACL support for JFS
* Mon Sep 09 2002 - mantel@suse.de
- fix config
- fix config
* Mon Sep 09 2002 - bk@suse.de
- s390: fix no access after SNID - Device became not operational
* Mon Sep 09 2002 - mantel@suse.de
- defconfig of Hammer should match the one from k_deflt
* Mon Sep 09 2002 - mantel@suse.de
- add support for Lexar USB CF Reader
* Mon Sep 09 2002 - mantel@suse.de
- fix silly bug in o1-sched_yield that leads to lockups on SMP
  machines
* Mon Sep 09 2002 - mantel@suse.de
- use new ACPI code only on i386
* Sun Sep 08 2002 - mantel@suse.de
- allow e100 driver to be compiled into the kernel
* Sun Sep 08 2002 - mantel@suse.de
- update to new ACPI code from 20020829; while there still are problems
  on some machines, "acpi=off" now seems to work fine, so "failsafe"
  will work
* Sun Sep 08 2002 - mantel@suse.de
- fix for kmod spewing the message "unable to exec /sbin/modprobe"
* Sun Sep 08 2002 - mantel@suse.de
- update ntfs to 2.1.0a; disable write support since it's dangerous
* Sat Sep 07 2002 - aj@suse.de
- Use NUMA as kernel name following a change in kernel-source.
* Fri Sep 06 2002 - mantel@suse.de
- preserve /boot/vmlinux in RPM for debugging purposes
- preserve /boot/vmlinux in RPM for debugging purposes
* Fri Sep 06 2002 - bk@suse.de
- s390: update claw.diff and arch-special/s390-timer.diff(for sysctl)
* Fri Sep 06 2002 - mantel@suse.de
- fix for latest known reiserfs ACL bug (fix return value)
* Fri Sep 06 2002 - mantel@suse.de
- final round of reiserfs ACL fixes; should be stable now
- add missing declarations in xattr-um
* Fri Sep 06 2002 - mantel@suse.de
- don't install modules ibmasm.o and ibmser.o twice
* Fri Sep 06 2002 - mantel@suse.de
- remove usagi-bind_ipv6only-2-2.4.19aa1 due to problems with multicast
* Fri Sep 06 2002 - mantel@suse.de
- the reiserfs fsync call has an optimization to allow a few more writes
  to come in before forcing the transaction to close. This can lead to
  "hanging processes", that means processes only will make progress as
  soon as some other process triggers disk I/O. This is fixed now. The
  bug has been known as the "system hangs on boot" bug.
* Fri Sep 06 2002 - mantel@suse.de
- use new EXTRAVERSION "NUMA" for numa kernels, since modules are not
  compatible with normal SMP modules due to CONFIG_DISCONTIGMEM
* Fri Sep 06 2002 - mantel@suse.de
- don't install module amd-8111.o twice
* Fri Sep 06 2002 - mantel@suse.de
- fix longstanding futex bug (shared conditional needs to be reversed)
* Fri Sep 06 2002 - mantel@suse.de
- fix CONFIG_IDEDMA_ONLYDISK
* Fri Sep 06 2002 - duwe@suse.de
- fix PPC32, broken by O(1)-sched & aio
- fixed PowerMac IDE
- minor ALSA update from Takashi
* Fri Sep 06 2002 - schwab@suse.de
- Fix 32 bit ipc emulation.
* Fri Sep 06 2002 - ak@suse.de
- x86_64: fix bug in 32bit msgrcv (originally from David Mosberger)
* Fri Sep 06 2002 - mantel@suse.de
- update to new futex patch 2.0.1
* Thu Sep 05 2002 - bk@suse.de
- s390-defconfig: Timer patch enabled, but not activated by default
* Thu Sep 05 2002 - mantel@suse.de
- go back to older aic79xx driver, because new one breaks aic7xxx. Sic!
  we need modules.dep and assorted files in /lib/modules/<version>.
  Now no modules have unresolved externals, so delete patch no-depmod
* Thu Sep 05 2002 - bk@suse.de
- s390-fixes: pwrite, slabinfo, nodevfs, cp2user and module-license
* Thu Sep 05 2002 - bk@suse.de
- update patches.s390/arch-special/s390-timer.diff to new version
* Thu Sep 05 2002 - ak@suse.de
- x86_64: move commandline-initdata-x86_64 to common patches.
- x86_64: fix VIRTUAL_BUG_ON macro
* Thu Sep 05 2002 - ak@suse.de
- x86_64: Try to enable IOMMU even without AGP
* Thu Sep 05 2002 - schwab@suse.de
- Split up kdb-compile patch to make it work on non-i386.
* Thu Sep 05 2002 - mantel@suse.de
- make kdb actually compile
* Thu Sep 05 2002 - mantel@suse.de
- update aic79xx driver to 1.0.11
* Thu Sep 05 2002 - mantel@suse.de
- make UML build again
* Wed Sep 04 2002 - ak@suse.de
- update to latest ACPI changes
* Wed Sep 04 2002 - ak@suse.de
- update to latest ACPI changes
* Wed Sep 04 2002 - bk@suse.de
- sequence-numbers: tag TIOCGDEV with NO390
* Wed Sep 04 2002 - mantel@suse.de
- reading from /proc/cmdline should honour the max length
* Wed Sep 04 2002 - bk@suse.de
- mantel: kernel-source.spec: fix specfile for x86_64
- schwab: kernel-source.spec: Apply s390 patches only on s390.
* Wed Sep 04 2002 - mantel@suse.de
- command_line was marked __initdata but still used for the environment
  of the execve(/sbin/init) call. Fixed.
* Wed Sep 04 2002 - mantel@suse.de
- update Documentation/devices.txt
* Wed Sep 04 2002 - mantel@suse.de
- update to new vtune 0.92 from Intel; remove obsolete patch vtune-fixes
  (now already incorporated); activate -DENFORCE_ROOT_ONLY_ACCESS
* Wed Sep 04 2002 - schwab@suse.de
- Remove HP patch that breaks Tiger.
- Repair ia64 patch.
* Wed Sep 04 2002 - bk@suse.de
- ak/x86_64:
  o Use Intel ACPI 20020821-2.4.19
  o Added HPET support and other minor fixes
  o Make sure fcntl and fcntl64 in 32bit accept the same arguments
  o 32bit personality returns i686 instead of i386 as uname now
  o Disable extensive NUMA debugging checks
* Wed Sep 04 2002 - mantel@suse.de
- fix lockups with token ring cards in high load SMP environments.
* Wed Sep 04 2002 - mantel@suse.de
- fix one-liner bug in aio; test suite now passes successfully with
  new libaio
* Tue Sep 03 2002 - bk@suse.de
- s390-updates: use needed extraversion on s390/s390x
- fixes lots of bogus warnings on s390x vmlinux link
- remove not neccesary cast to make xfs compile for s390 also
- s390: add config for SCSI support and disable io_request_lock-scale
* Tue Sep 03 2002 - bk@suse.de
- add aio types to asm-{s389,s390x,ia64,ppc,ppc64}/kmap_types.h
- fix xattr patch and add needed scsi patches for zfcp
* Tue Sep 03 2002 - bk@suse.de
- duwe: added kernel debugger KDB by sgi. Context updated accordingly.
- ak: x86_64-aio-kmap: Make it compile again with latest aio changes
- bk/s390: base config on i386 with modifications in arch-special.s390
- bk/s390: add timer patch and xattr support for s390/s390x
* Mon Sep 02 2002 - ak@suse.de
- disable AMD 8111 driver for x86-64
* Mon Sep 02 2002 - ak@suse.de
- disable AMD 8111 driver for x86-64
* Mon Sep 02 2002 - bk@suse.de
- Update to reiserfs-data_logging-28 (mason)
- add aio update from Andrea which obsoletes aio-bugfix and pipe-aio
- add mason-reiserfs-directio (helps reiser with directio)
- add mason-reiserfs-i_size_readwrite-support(supports andrea's
  i_size_read/write calls)
* Mon Sep 02 2002 - schwab@suse.de
- Add new patches from HP.
* Mon Sep 02 2002 - bk@suse.de
- patches.common/xattr-mbcache: enable CONFIG_FS_MBCACHE
  unconditionally to avoid stupid bug reports (agruen)
- add patches.common/xattr-m68k (agruen)
- cpu-affinity: fix allocating the task struct via slab or vmalloc.
* Mon Sep 02 2002 - mantel@suse.de
- add fix for loading of memory sticks on Sony Vaios
* Mon Sep 02 2002 - bk@suse.de
- ak/x86_64:
  o Don't use HPET timer on x86-64 when the BIOS didn't enable it
  o Fix syscall export for x86-64
  o Add AMD hotplug stub
  o Add IRET exception security fix fromx86-64.org CVS
  o Export more system calls in x86-64 to fix unresolved symbols
  o Add EVMS configuration for x86-64
  o Update x86-64 defconfig
- olh/ppc:
  o Update ppc64.defconfig for pSeries
- schwab/ia64:
  o Update ia64 defconfig
* Sat Aug 31 2002 - ak@suse.de
- sync configuration with i386
- disable some broken drivers (mod_quickcam and meye)
- enable AMD hotplug driver stub
- sync configuration with i386
- disable some broken drivers (mod_quickcam and meye)
- enable AMD hotplug driver stub
* Sat Aug 31 2002 - olh@suse.de
- define TIOCGDEV in asm-ppc64 and ppc64/ioctl32
* Fri Aug 30 2002 - bk@suse.de
- Add one more ipv6only check in IPv4 flow from USAGI cvs (kukuk)
- Fix i386 system call numbers for futex/sched affinity	     (ak)
- x86_64: Fix more ioctl32 bugs and reserve page 0 on UP.    (ak)
- fix exports of chdir, chroot, dup, write, fcntl and shmctl (bk)
* Fri Aug 30 2002 - mantel@suse.de
- added filesystem lock patch (wrapper) from Polyserve
* Fri Aug 30 2002 - mantel@suse.de
- abit_apic_required broke SMP compiles; fixed. Moved abit_apic_required
  to patches.i386, since it depends on enable_apic
* Fri Aug 30 2002 - mantel@suse.de
- remove obsolete patches from specfile
* Fri Aug 30 2002 - mantel@suse.de
- update e100 driver to 2.1.15
- update e1000 driver to 4.3.15
* Fri Aug 30 2002 - mantel@suse.de
- work around bug in XFS preallocation handling
* Fri Aug 30 2002 - mantel@suse.de
- forcibly enable APIC and disable APM on ABIT KX7-333[R] board.
  Else it crashes.
* Thu Aug 29 2002 - bk@suse.de
- add fix from andrea to make patches apply with --dry-run and
  renamed to iff-dynamic and uml-patch
* Thu Aug 29 2002 - mantel@suse.de
- update cciss driver to 2.4.32
- update cpqfc driver to 2.1.2
- update cpqarray driver to 2.4.22
- all those drivers update come directly from Compaq/HP
* Thu Aug 29 2002 - mantel@suse.de
- added support for IBM Advanced System Management
* Thu Aug 29 2002 - bk@suse.de
- duwe/all:
  o add ALSA CVS update from Takashi
- ak/x86_64:
  o fix dynamic 32bit ioctl registration
  o emulate aio correctly
  o emulate scheduler affinity system calls correctly
- bk/s390:
  o fix definition von PROT_SEM im futex patch
  o ioctl32.c: compile fix for O1 scheduler
  o linux32.c: temporary workaround for new quota API (large uid quotas)
* Thu Aug 29 2002 - mantel@suse.de
- add documentation for kernel parameter "apic"
* Thu Aug 29 2002 - schwab@suse.de
- Fix pte-highmem for ia64 and use it again.
- Fix use of PCI DMA interface in sba_iommu.
* Thu Aug 29 2002 - mantel@suse.de
- remove TRACE code from arch/i386/kernel/traps.c:do_nmi() because it
  is reported to be able to freeze the machine.
* Wed Aug 28 2002 - bk@suse.de
- remove basilisk(Mac II Emu) and others from neededforbuild
- allow parallel build on dual processor machines
- use SMP config from ak to fix boot for SCSI and stablility
- use .kversion to automatically use also the extraversion
* Wed Aug 28 2002 - ak@suse.de
- new configuration. disable alsa 32bit emulation. reenable the rest.
* Wed Aug 28 2002 - ak@suse.de
- Update to new configuration.
* Wed Aug 28 2002 - sf@suse.de
- removed intel i8x0 alsa sound driver
* Wed Aug 28 2002 - sf@suse.de
- fixed ussage of .kversion (was missing at one point)
* Wed Aug 28 2002 - sf@suse.de
- applied ak's config, only added NUMA
* Wed Aug 28 2002 - aj@suse.de
- Do not use parallel build.
* Wed Aug 28 2002 - bk@suse.de
- x86-64: enable SMP, UP does not work,disable ISA drivers and others
* Wed Aug 28 2002 - bk@suse.de
- fix to apply on s390/s390x also
* Wed Aug 28 2002 - bk@suse.de
- Update reiserfs ACLs with many fixes from Jeff
- Apply enable-apic patch only on i386
- Apply evlog (Event Logging) on all archs
- AIO: Use the same System call numbers as 2.5
- add performance fix for ip_conntrack_core from ak/Siemens
* Tue Aug 27 2002 - bk@suse.de
- remove pte-highmem diffs from s390{,x}-aa
- split ptep.diff and adapt it to vm_17 to boot on s390x
- includes x86-64 update from Andi
* Tue Aug 27 2002 - mantel@suse.de
- don't force people to build the vtune module (can't be compiled
  with gcc 2.95.3)
* Mon Aug 26 2002 - schwab@suse.de
- Move pte-highmem and related patches to patches.i386.
* Mon Aug 26 2002 - mantel@suse.de
- fix problem with printk macro in event logging patch
* Mon Aug 26 2002 - mantel@suse.de
- update i2c and lm_sensors to 2.6.4
* Mon Aug 26 2002 - mantel@suse.de
- update IPVS to 1.0.6 (bugfix in connection synchronization code)
* Mon Aug 26 2002 - mantel@suse.de
- new version of ibmhpacpi hotplug driver
* Mon Aug 26 2002 - mantel@suse.de
- fix several SMP races in ACL/EA code
* Sat Aug 24 2002 - mantel@suse.de
- fix random memory corruption for initrd (the famous IDE problem)
- update md-mp patch (cleanup, some bugfixes and removal of dead code)
* Fri Aug 23 2002 - schwab@suse.de
- Update ia64 patch to 2.4.19-020821.
* Fri Aug 23 2002 - mantel@suse.de
- Candidate for beta#1
* Thu Aug 22 2002 - sf@suse.de
- removed Intel i8[1234]0 stuff
* Thu Aug 22 2002 - sf@suse.de
- removed all Intel i8[1234]0 stuff
* Thu Aug 22 2002 - mantel@suse.de
- mv x86_64 stuff to common
- add workaround for piix IDE code
- add safe fixes from 2.4.20-pre1
- some nfs access fixes for ACL
- fix oops when reiserfs gets written full
* Wed Aug 21 2002 - bk@suse.de
- update s390 patches (added patches.s390/arnd/) and from duwe:
  o move shm-largepage to i386 and move it to the end
  o pte-high: remove processor.h -> asm/prefetch.h diffs(not needed)
* Tue Aug 20 2002 - mantel@suse.de
- go back to older reiserfs write barrier code, cause current one
  is unstable
- fix bug in .reiserfs_priv handling on 3.5 format
- fix EVMS snapshot bug on S390
* Tue Aug 20 2002 - mantel@suse.de
- some bugfixes for reiserfs-acl. Disable attribute sharing as the
  implementation is racey still
* Mon Aug 19 2002 - ro@suse.de
- don't try to remove dprobes patches on non-x86, they are only
  in patches.i386 now
* Mon Aug 19 2002 - mantel@suse.de
- update ALSA to latest CVS version; fix problem with USB modules
- clean up reiserfs ACL patch (remove auto generated file)
- some ACL bugfixes
- add EVMS 1.1.0
- update JFS to 1.0.21
- dprobes should only be used on ia32
- re-added evlog facility for ia32
- re-added LTT for ia32
- add VTune performance driver module
- fix interaction of dprobes with Kylix debugger
- reiserfs_writepage no longer tries to do data journaling, it can't be
  done without deadlocking against kswapd.
- the unused journal slab cache was causing an oops on module
  unload/reload.  Fixed.
- oops triggered by reiserfs_journal_kupdate() trying to write a bogus
  transaction. (bugzilla bug # SUSE18076)
- adds blk_flush_device so that reiserfs can force flushes of the IDE
  write cache on fsync and O_SYNC
* Fri Aug 16 2002 - mantel@suse.de
- enable ACL on reiserfs
- enable ACL on reiserfs
* Fri Aug 16 2002 - mantel@suse.de
- fix bad I/O performance caused by elevator
- APIC on UP systems needs to be explicitly enabled with "apic"
- new version of assorted SCSI patches; adds sg_many which completes
  the suite
- add new SCSI largelun parameter, so this can be used as workaround
  for hardware that needs to be added to the device_list in scsi_scan
- fix race with free_pte/truncate
- add missing e1000 ioctl checks
- fix some ACL bugs for all supported filesystems
- fix IRQ balance problem for summit machines
* Wed Aug 14 2002 - bk@suse.de
- builds on s390 now and enabled reiserfs ACLs i386.defconfig
- other changes are from Hubert, I only can see which files are new:
- new patches: pipe-aio quota-gcc3 noquota-Makefile block_dev-get-block
  io_request_lock-scale-3 io_request_lock-scale-drivers-2
  reiserfs-acl-2.4.19-SuSE-2+agruen.patch reiser-ACL-defconfig
- updated patches: block-highmem-all-19 elevator-fixes nopart-stat-2.4.19
  write_barrier-7-suse-2.4.19-rc5 linux-abi-2.4.18.0-2.4.19-pre10
* Tue Aug 13 2002 - mantel@suse.de
- fix ACL code
- remove Linux Trace Toolkit for now
* Mon Aug 12 2002 - mantel@suse.de
- allow disabling of local APIC via kernel parameter
- add dprobes support from IBM
- fix problem with nfsd/ACL
- new version of USAGI bind patch
- add new ID to USB pl2303 driver
- new version of epic100 FX support code
- add fix for SCSI inquiry command (length - 252 instead of 255)
- update IPVS to 1.0.5
- add older pcnet32 driver as pcnet32-old since the new one makes
  trouble on quite some machines
- add Linux Trace Toolkit from IBM
- add multipath support to md driver
- add multipath support to LVM driver
* Mon Aug 12 2002 - olh@suse.de
- create a patches.ppc, to fix package dependency chain
  add ppc64 defconfig
* Fri Aug 09 2002 - uli@suse.de
- initial package
* Thu Aug 08 2002 - mantel@suse.de
- update to new version
- fix generation of hostname
- enable NFS over TCP
* Thu Aug 08 2002 - mantel@suse.de
- update LSI fusion drivers to 2.01.10
- update gdth driver to 2.04
- fix config for splash screen
- add sd_many patches, now that they are fixed
- add EA/ACL support for ext2/ext3; clean up infrastructure
- add new entry for device_list in scsi_scan (Hitachi OPEN-E)
- backport ncpfs fix from 2.5 (fixes "ls ." in $PWD)
- provide mapping information of the logical processors and physical
  packages in /proc/cpuinfo
- allow binding of different programs to the IPv4 and IPv6 port
- enforce RSS limits
- optimize reiserfs tree searching routine
- fix race between iget and the reiserfs read inode funcs
- add ATA133 support for SiS961/962
* Tue Aug 06 2002 - mantel@suse.de
- bump version number
* Tue Aug 06 2002 - mantel@suse.de
- fixed config (we still use the old NTFS code)
* Tue Aug 06 2002 - mantel@suse.de
- adapted config
* Tue Aug 06 2002 - mantel@suse.de
- fix x86_64 (don't use the code from -aa)
  so far no aio and largepage support on x86_64
- back out sd_many stuff (breaks SCSI systems)
- fix problem with bootsplash freezing machine on wakeup
* Mon Aug 05 2002 - mantel@suse.de
- update to 2.4.19 final
- update ALSA to cvs20020802
- several ISDN updates from maintainer
- fix tail handling bug for data=ordered for reiserfs
  data=ordered is now the default, data=writeback mount option added
- add support for ipv6 shared cards for IBM zSeries
- NFS locking fixes from Olaf Kirch
- add support for "many" SCSI disks (allocate new unused majors
  dynamically for systems that need huge numbers of disks)
- update NTFS to 2.0.23a
- make kiobuf headers more memory efficient by allocating the
  headers dynamically
- fix two bugs in reiserfs log replay code:
  don't replay a transaction from an old mount id
  correctly detect transacations to reply; could result in
  non-working LVM snapshots
* Fri Aug 02 2002 - mantel@suse.de
- update to 2.4.19-rc5aa1
- remove old qlogic drivers, since the new ones from -aa are
  confirmed to work fine
- update ALSA to cvs20020801
* Thu Aug 01 2002 - mantel@suse.de
- update to 2.4.19-rc4aa1
- update to 2.4.19-rc5
* Wed Jul 31 2002 - mantel@suse.de
- update to 2.4.19-rc3aa4 (includes async-I/O)
- reiserfs updates from Chris Mason:
  o 301-relocation-4.diff
  Allows for external log devices, and log device tuning
  o 302-commit_super-8-relocation-suse-2.4.19-rc3aa4
  Makes things faster by allowing longer transactions
  o 303-beta-data-logging-19-suse.diff
  Adds data=journal and data=ordered support, and includes many
  optimizations for small transactions.  In data=journal mode,
  mail server work loads are 2x-4x times as fast, even in
  writeback and ordered mode, there are nice performance gains.
  o 305-write_barrier-7-suse.diff
  rediffed
- update IPVS to 1.0.4
- update DC395x driver to 1.41
- allow netconsole code to be compiled in and configured from lilo
- add ID for USB scanner
- update to latest backport of 2.5 ACPI code
- re-enable ACPI for x86
* Wed Jul 31 2002 - stepan@suse.de 
- fix last jpeg fix for non-hammer platforms (remove struct info
  conflicts)
- adapt ia64-1-decl patch in patches.ia64.tar.bz2
* Tue Jul 30 2002 - stepan@suse.de
- vmalloc temporary variables instead of keeping them in local
  scope for splash screen (fixes stack overflow on some machines
  during jpeg decompression)
* Mon Jul 29 2002 - stepan@suse.de
- add km_bios
* Tue Jul 23 2002 - schwab@suse.de
- Update ia64 patch to 2.4.18-020722.
* Tue Jul 23 2002 - sf@suse.de
- added new patchset from ak (replaced patches.x86_64.tar.bz2)
* Mon Jul 22 2002 - sf@suse.de
- updated config
* Mon Jul 22 2002 - sndirsch@suse.de
- added '9D_sisfb' patch (patches.tar.bz2) required for DRI support
  on SiS chips
* Mon Jul 22 2002 - schwab@suse.de
- Update ia64 patch to 2.4.18-020719.
* Mon Jul 22 2002 - stepan@suse.de
- don't ignore abi patches on alpha
- fix agpgart patch to apply cleanly
- add patch to fix up exported symbols.
* Fri Jul 19 2002 - duwe@suse.de
- update 2.4.19-rc1 to -rc2
  patches deleted / trimmed / context updated accordingly;
- starfire "diff" deleted, clashes seriously.
- drivers/ieee1394 changes hidden in 020_pte-highmem-25 alike.
- ALSA update by Takashi
- Hammer updates by Stefan Fent
* Thu Jul 18 2002 - sf@suse.de
- activate VESA-fb
* Thu Jul 18 2002 - aj@suse.de
- Mount ext3 correctly as rootfs.
* Thu Jul 18 2002 - sf@suse.de
- corrected error in last patch
* Thu Jul 18 2002 - sf@suse.de
- make VESA-fb configurable in kernel
* Wed Jul 17 2002 - schwab@suse.de
- Fixes for O(1) scheduler on ia64.
- Add HP patches for ia64.
* Tue Jul 16 2002 - ak@suse.de
- Update to latest x86_64 CVS. Remove obsolete patches.
* Tue Jul 16 2002 - kukuk@suse.de
- disable acpi on ix86
* Tue Jul 16 2002 - ak@suse.de
- x86_64 fix: make vesafb work (Vojtech Pavlik)
* Mon Jul 15 2002 - ak@suse.de
- Reenable HPET timers
* Mon Jul 15 2002 - ak@suse.de
- x86_64 fixes:
  * disable IO MMU when no 8151 is available (BIOS bug workaround)
  * disable RTC interrupts to prevent problems with HPET timers
  * warn for invalid GART MTRRs
  * use UC mappings to user space for AGP GART
  * disable exception trace for now
* Fri Jul 12 2002 - sf@suse.de
- update configuration to be next to i386
- disabled HPET-timers, they don't work actually
- disable all active ISDN-Cards (for now)
- fixed specfile
* Wed Jul 10 2002 - schwab@suse.de
- New ia64 patches:
  * Bootmem initialisation on big machines
  * Pointer truncation in radeon fb driver
  * Security fix for flush_tlb_pgtables.
* Mon Jul 08 2002 - ak@suse.de
- Some fixes from x86-64 CVS
* Fri Jul 05 2002 - ak@suse.de
- update configuration to 2.4.19rc1
- disable SMP
- enable IOMMU, HPET and MCE (all experimental features, but they need
  testing)
- disable SE401 driver because it triggers a compiler bug
* Fri Jul 05 2002 - schwab@suse.de
- Fix ACPI initialisation.
* Fri Jul 05 2002 - ro@suse.de
- fix typo in last change
* Fri Jul 05 2002 - ro@suse.de
- set RPM_TARGET to i386 on i586 and i686
* Fri Jul 05 2002 - schwab@suse.de
- Fix compilation with CONFIG_IA64_GENERIC.
* Fri Jul 05 2002 - ak@suse.de
- Update to 2.4.19-rc1 snapshot CVS x86-64 kernel patch
  IDE changes dropped for now because they corrupt file systems.
- Port to O(1) scheduler
- Fix lilo on reiserfs
- Fix SMP build
* Thu Jul 04 2002 - schwab@suse.de
- Makefile fix for e100 driver.
* Thu Jul 04 2002 - schwab@suse.de
- Update ia64 patch.
* Wed Jul 03 2002 - mantel@suse.de
- update to 2.4.19-rc1aa1
- update ALSA to cvs20020627
- update ips driver to 5.10.21
- add fx support to epic100 driver
- add futex 2.0
* Sun Jun 30 2002 - adrian@suse.de
- update to 2.4.19rc1
  * update patches
- 005_vm_07_local_pages-2 -> -3
- 005_vm_14_block_flushpage_check-1 -> -2
- 030_x86_setup-boot-cleanup-4 -> -5
- 070_xfs-1.1-2 -> -3
  * small fixes in
- 005_vm_17_rest-7 -> -8
- 52_extraversion-depend
  * rework patches
- 50_readv-2.4.18-pre7aa2
  * remove obsolete patches
- 000_apm-idle_period-parse-1
- 000_export-vmalloc_to_page-1
- 000_fix-stat-irq-1
- 000_scsi-error-thread-reparent-1
- 000_sig_ign-discard-sigurg-1
- 50_pci_highmem-fix-2.4.19-pre10aa2
- 50_ns83820-0.18-2.4.19-pre10aa2
- 50_export-acpi_walk_namespace-2.4.18
- fix spec file for cross compile
- add mips patches
* Tue Jun 25 2002 - schwab@suse.de
- Update ia64 patch.
* Mon Jun 24 2002 - mantel@suse.de
- update to 2.4.19-pre10aa4
- update JFS to 1.0.20
- update orinoco driver to 0.12
- small fix for modular ide-cd (nr_sects = 0)
- export do_select
- add aic79xx driver
- drop export of secure_ipv6_id (does not exist anymore)
- update IPVS to 1.0.3
* Sat Jun 22 2002 - schwab@suse.de
- Update ia64 patch to 2.4.18-020622.
- Fix alsa patch.
* Fri Jun 21 2002 - tiwai@suse.de
- removed EXPORT_NO_SYMBOLS from ALSA sbawe module.
- fixed ALSA for x86-64.
* Wed Jun 19 2002 - mantel@suse.de
- fix no-depmod patch (we still need postinstall for pcmcia)
- add NFS locking fixes
- dirty inode speedup for reiserfs and ext3
- update JFS to 1.0.19
- make sure UP modules are compatible independent of compiler version
- re-add write barrier patch for reiserfs
- add xfs write barrier support for XFS
* Wed Jun 19 2002 - tiwai@suse.de
- updated alsa patches to cvs 0.9.0 rc2.
  including snd-usb-audio driver.
  ALSA directory is moved under linux/sound as well as on 2.5
  tree.
* Mon Jun 17 2002 - schwab@suse.de
- Fix more missing declarations.
* Mon Jun 17 2002 - schwab@suse.de
- Fix missing declarations.
* Sun Jun 16 2002 - schwab@suse.de
- Update ia64 patch.
* Fri Jun 14 2002 - mantel@suse.de
- update to 2.4.19-pre10aa2
- update qla2x00 driver to 6.0b23
- added SteelEye patches
- added PolyServ patches
- update ns83820 driver to 0.18
- added workaround for USB storage module
- update summit patch to version from 7.5.2002
- update JFS to 1.0.18
- added some missing header includes
- temporarily removed accessibility stuff
- add new USB driver usbdnet v0.4b
- integrate ALSA into kernel sources
- fix floppy change bug
- add bugfixes to qlogicfc driver
* Mon Jun 10 2002 - mantel@suse.de
- removed km_drm from neededforbuild
* Sat May 25 2002 - schwab@suse.de
- Increase default number of IO TLBs.
- Fix setup of cpu family.
* Wed May 15 2002 - olh@suse.de
- do not remove pte-highmem on ppc, build vmlinux on ppc64
* Tue May 14 2002 - ro@suse.de
- keep this as smp for now (non-smp won't compile)
  (but some packages need a k_deflt)
* Tue May 14 2002 - kukuk@suse.de
- Add pte-highmem for sparc64
- Add lot of more sparc fixes
* Mon May 13 2002 - ro@suse.de
- clone from k_smp
* Mon May 13 2002 - stepan@suse.de
- initial version
* Fri May 10 2002 - ak@suse.de
- Fix x86_64 compilation. Define correct ABI for x86-64 autofs.
* Thu May 09 2002 - schwab@suse.de
- Fix qla2x00-emc driver to compile.
* Thu May 09 2002 - schwab@suse.de
- Update ia64 patch to 2.4.18-020508.
* Thu May 09 2002 - mantel@suse.de
- fix small patch reject introduced by x86-64 cleanup
- fix "make xconfig"
* Wed May 08 2002 - ak@suse.de
- Report x86-64 from CVS.
- Lots of 64bit driver fixes.
- Fix XFS for long flags.
- Remove x86-64 changes from common patches.
* Wed May 08 2002 - stepan@suse.de
- initial x86-64 support.
* Tue May 07 2002 - schwab@suse.de
- Fix file list.
* Mon May 06 2002 - mantel@suse.de
- correct fix for initrd free from Al Viro
* Mon May 06 2002 - mantel@suse.de
- remove reiserfs write barrier support
* Sat May 04 2002 - schwab@suse.de
- Update ia64 patch.
* Sat May 04 2002 - mantel@suse.de
- update to 2.4.19-pre8aa2
- fix ufs compilation
* Sat May 04 2002 - mantel@suse.de
- update to 2.4.19-pre8aa1
- update cciss driver to 2.4.27
- add sard support for cpqarray driver
- fix compilation when CONFIG_ROOT_NFS is set
- add summit patch 2002-05-03
- use official version 4.1.7 of e1000 driver
- update qla2200/qla2300 driver to 6.0b20
* Thu May 02 2002 - mantel@suse.de
- update to 2.4.19-pre7aa3
- added scsi changer driver 0.20
- added some fixes from SteelEye to qla2x00 driver
* Mon Apr 29 2002 - mantel@suse.de
- update to 2.4.19-pre7aa2
- set needed compile option for dl2k driver
- fix for emu10k when compiled with highmem
- export "sb_limit_maxbytes" for intermezzo
- some Linux-ABI fixes from hch
- temporarily remove some cleanups from -pre7 until additional
  packages are fixed
* Thu Apr 25 2002 - mantel@suse.de
- update to 2.4.19-pre7aa1
- update JFS to 1.0.17
- update Linux ABI to 2.4.18.0
- add some entries for SCSI large lun (devices that report to be
  SCSI2 but are using large LUNs)
- update qla2x00 to 4.47.8 (EMC certified version)
- fix acct for 32 bit UID/GID
- add workaround for buggy CD-ROM drives (read TOC)
- update e100 to 1.8.38
- update starfire to 1.07
- add infiniband support 20020411
- update cyclades driver
- add accessibility/jupiter patches for blind users
- update i2c to 2.6.3
- update lm_sensors to 2.6.3
- fix endless loop in getpid
- fix for SIGURG for LSB testsuite
- fix some remaining drivers for pte-highmem
- make linux-abi compile
* Fri Apr 12 2002 - schwab@suse.de
- Update ia64 patch to 2.4.18-020410.
- Remove ia64 compiler workarounds.
- Fix reiserfs virtual_node size computation for 64bit archs.
- Fix invalid use of compound literal.
* Wed Mar 27 2002 - garloff@suse.de
- Fix for rpc buffer size adjustment for NFS (from ak).
* Wed Mar 27 2002 - garloff@suse.de
- Fixed RPC congestion handling broken by nfs-tcp-tweaks patch
  which caused devastating performance sometimes. (SUSE15423)
- Two patches for Alpha architecture: Fix NR_SYSCALLS in entry.S
  and underflow handling for floats in kernel IEEE math support.
- Don't apply mxt7  on alpha (depends on sisbug)
* Mon Mar 25 2002 - ro@suse.de
- added patch from axboe to work around problems with
  samsung cd-rom firmware (unable to mount medium)
* Sun Mar 24 2002 - mantel@suse.de
- fix XFS high load race
* Fri Mar 22 2002 - mantel@suse.de
- fix wrong vfree in HFC PCI (SUSE15290)
- fix problems with PCMCIA and USB Hotplug (after the driver did a
  unload here was no chance to delete the network interface
  ==> isdn module cannot unload anymore).
- fix XFS not always vfreeing vmalloced memory
- fix syn ack bug
* Wed Mar 20 2002 - mantel@suse.de
- update cpqarray driver to 2.4.21B
- fix typo in boot splash patch
- fix wrong 50_AM53C974-ioport-register-2.4.18 (revert condition)
* Tue Mar 19 2002 - mantel@suse.de
- update firewire subsystem to CVS version and make it compile
  with current official compiler
- update USB wacom driver to 1.21.3
* Mon Mar 18 2002 - mantel@suse.de
- fix small quota bug (users would see non-uptodate quotas)
- correctly export symbol IO_APIC_get_PCI_irq_vector for hotplug
- some netfilter fixes:
  + ipt_string is now SMP safe
  + a REJECT icmp was eventually sent with DF set, which does
  not make sense as DF is not handled with ICMP messages
  + clean up Configure.help texts
- fix JFS race introduced by thread handling cleanup
- fix typo in sysctl-by-name interface
- fix broken page_to_phys() for > 4GB case on x86
- make AM53C974 driver register its IO-space and fail if no
  adapter is found with available IO-space
- change aic7xxx driver to register its IO ports even if it uses
  memory mapped IO to access the registers; this ensures we don't
  clash with aic7xxx_old anymore
- make XFS return proper errnos
* Thu Mar 14 2002 - mantel@suse.de
- update e1000 driver to 4.2.4
- update tigon3 driver to 0.97
- some small updates from Andrea:
  + 50_dnotify-fl_owner-2
  This is the new version that handles per-"files" notifier
  (so not only fork() will stop messing with the parent, but
  the child will be allowed to use its own notifier too)
  + 9A_blk-highmem-updates-1
  This one adds the highmem = 1 to via and amd chipsets.
  + 9A_f00f-pte-highmem-1
  fix boot problem for classical Pentium MP systems. Problem
  was caused by use of vmalloc before smp_init
  + 9A_fdatasync-FIFO-1
  This is an obviously safe and right optimization that will
  streamline the msync I/O in ascendent order (good for most storages).
  + 9A_really-write-inode-1
  This fixes O_SYNC/fsync and it makes sure the inode updates are
  really been flushed by the time we return from sync_one.
  + 9A_vm-deadlock-fix-1
  Fix possible ext3 deadlock problem under high load
- use more elegant lcall_trace fix from 2.4.19-pre3
* Wed Mar 13 2002 - mantel@suse.de
- export symbol IO_APIC_get_PCI_irq_vector (needed by hotplug)
- update JFS to 1.0.16
- fix 64 bit breakage in rwsem-fair
- add scatter pad for sr driver
- some more XFS fixes from Andi Kleen
- update ns83820 driver to 0.17
- update bcm5700 driver to 2.2.8
- increase TX locks for JFS; this is just a workaround
* Mon Mar 11 2002 - schwab@suse.de
- Update ia64 patch.
* Mon Mar 11 2002 - mantel@suse.de
- fix NFS hang for slow cards
- fix boot splash patch when switching fb device
- update sis5513 driver to 0.13
- fix raw ioctl forwarding patch (use i_rdev instead of i_dev)
- better dnotify fix
- update tigon3 driver to 0.96
- some USB updates pending for 2.4.19-pre2 from Greg:
  usb-ipaq, usb-cyberjack, usb-ov511, usb-uhci and usb-storage
- update DC395 driver to 1.38
- various XFS fixes:
  + Always report 4K block size in stat(2) to work around db1.85
  bugs
  + Fix access after free race in pagebuf
  + Fix growfs crash due to not zeroed data structures that was
  added in the new non synchronous delete patches that went in
  quickly before we branched
  + Fix irixism in group sgid handling
  + Avoid quota problem when mounting read only XFS LVM snapshots;
  don't try to log a quota status change on the read only volume
  + Build fix when procfs is disabled
  (Andi Kleen and Eric Sandeen)
- fix SMP race in multipath routing
* Mon Mar 11 2002 - mantel@suse.de
- updated to build on s390x (merged from bk)
* Tue Mar 05 2002 - mantel@suse.de
- add two missing module license tags
- fix ISDN EnterNow! compilation for IA64
- fix tcsetattr(TCSAFLUSH) discarded output problem
- update tigon3 driver to 0.95
* Mon Mar 04 2002 - mantel@suse.de
- small fix for GCC 3.1 (triggered by XFS)
- add ordered write support for reiserfs
- fix return codes for msync and mprotect
- update tigon3 driver to 0.94
- add support for USR Robotics ISDN PCI Card TA
- add support for Eicon Diva 2.02 PCI
- add support for Formula One EnterNow!
- allow early ioremap (hopefully fixes boot problem on MXT)
* Sun Mar 03 2002 - schwab@suse.de
- Fix race between sync_supers and kill_super.
* Fri Mar 01 2002 - mantel@suse.de
- update to 2.4.19-pre1aa1
- increase default number of loop devices to 16
- don't automatically load dc2xx and stv680 driver
- update tigon driver to 0.92
- several ISDN updates from Karsten Keil
- new PCI hotplug drivers from Greg Kroah
- fix IDE timings for secondary slave
- update IPS ServeRaid driver to 4.90.18
- update bcm5700 driver to 2.2.5
- update dc395x driver to 1.37
- fix for theoretical reiserfs corruption when disk gets full
- update ymfpci driver (backport from 2.5)
- sd cleanup fixes finally in
- update LSI drivers to 2.00.11
- fix reiserfs oops for blocksize != 4k
- adapt MXT to -aa VM
- update sk9dlin driver to 1.03
- update sk98lin driver to 4.11
- add include/linux/modules/*.ver files to filelist
- export acpi_walk_namespace (needed by pcihpacpi)
- update cciss driver to 2.4.27 (2.4.19-pre1 version is incomplete)
- fix return value for shmdt
* Wed Feb 27 2002 - schwab@suse.de
- Update ia64 patch to 2.4.18-020226.
* Tue Feb 26 2002 - mantel@suse.de
- update to 2.4.19-pre1
- added 3c359 token ring driver 1.2.0
- added AMD Elan watchdog driver
- update pcwd watchdog driver
- fix possible quota corruption on high SMP load
- fix for wrong gid on reiserfs dir creation
- add tigon3 driver 0.90
- fix for lcall7/lcall27 trace
* Mon Feb 25 2002 - mantel@suse.de
- update to 2.4.18-rc4aa1 (Andrea Arcangeli)
- qla2x00 should correctly inline kmem_zalloc
- remove double condition check from dquot.c (Jan Kara)
- fix listxattr call for XFS (Nathan Scott)
* Mon Feb 25 2002 - schwab@suse.de
- Export power management hooks on ia64.
* Sun Feb 24 2002 - olh@suse.de
- fix fake_initrd for boot floppies (SUSE12628)
* Sat Feb 23 2002 - mantel@suse.de
- fix device node clash for Auerbach devices (Wolfgang Mes)
- update via driver to 3.34 (Vojtech Pavlik)
- add XFS support (Nathan Scott)
- update to 010_vm-26 (Andrea Arcangeli)
* Fri Feb 22 2002 - mantel@suse.de
- update to 2.4.18-rc4
- high I/O is no longer experimental (Jens Axboe)
- update write barrier code (Jens Axboe, Chris Mason)
- serialize microcode updates (Sunil Saxena)
- update quota patch to 2.4.17-3 (Jan Kara)
- allow user to manually enable DMA for all IDE devices even when
  CONFIG_IDEDMA_ONLYDISK is active (Jens Axboe)
* Fri Feb 22 2002 - schwab@suse.de
- Update ia64 patch.
* Thu Feb 21 2002 - mantel@suse.de
- update to 2.4.18-rc2aa2
- update USB subsystem to latest version from Greg
- update i2o to version from 2.4.18-rc2ac1
- update mxser driver to 1.2.1
- update sis driver to 1.3.11
* Wed Feb 20 2002 - mantel@suse.de
- update to 2.4.18-rc2
- downgrade to older VM-22
- add module license tags for netfilter modules
- add kinoded
- add O_DIRECT support for reiserfs
- fix oops in hpfs (s_blocksize needs to be set earlier)
- update LVM to 1.0.3 (user space only, so just version number)
- remove IDE noop code
- modify correct aic7xxx template for highio and varyio
- add write barrier patch from Chris Mason
- make MXT compile for certain configurations
- update e100 driver to 1.8.37
- update e1000 driver to 4.0.7
- add driver for ForteMedia 801 gameports
* Tue Feb 19 2002 - schwab@suse.de
- Fix i830 drm driver for ia64.
- Fix ia64 linker script.
* Mon Feb 18 2002 - mantel@suse.de
- update IDE code to 02152002
- update JFS to 1.0.15
- fix reiserfs quota patch (chattr to uids > 2^16 on new format)
- use official DRM update (-ac kernel now uses rmap VM)
* Thu Feb 14 2002 - schwab@suse.de
- Update ia64 patch.
* Thu Feb 14 2002 - mantel@suse.de
- update to 2.4.18-rc1
- correctly check rlim for F_DUPFD
- revert to old driver name "aic7xxx" even with new version 6.2.5
- fix xconfig for new aic7xxx (comment out unimplemented driver)
* Wed Feb 13 2002 - mantel@suse.de
- update aic7xxx to 6.2.5
- update pcnet32 to 1.27a
- update qla2x00 to 5.38b16
- add MXT support
- update USB pegasus to 0.4.23
- update u14f-34f to 6.50
- update sis video driver to version from 2.4.18-pre9ac3
- add device ID for sb-card
- update qnx fs support; r/o support no longer experimental
- update olympic TR driver to 1.0.0
- update matrox fb to 1.62
- small fix to avoid DELL Latitude crash
- add i2o work around
- add new device id for eepro100
- update eata to 6.50
- update DRM drivers to version from 2.4.18-pre9ac3
- add bridge resources to the resource tree
- add support for AMD768 RNG and power management
- workaround for non-PCI compliant BIOS
- add new device id for RTL8139
- add NeoMagic Framebuffer Driver
* Mon Feb 11 2002 - mantel@suse.de
- update DC395 driver to 135a
- make mmap return value POSIX conform
- update boot splash to 2.0.1
* Sat Feb 09 2002 - schwab@suse.de
- Fix clone2 also for 32bit processes.
* Fri Feb 08 2002 - mantel@suse.de
- update to 2.4.18-pre9
- update IDE code to 02072002
- update 50_mss-fix-2.4.18-pre9
- add mtrr patch for HT
- add tiny network fixes from Jeff
- optimize kiobuf_init
- add missing module license tags
- forward ioctl for raw devices
* Fri Feb 08 2002 - schwab@suse.de
- Fix memory corruption in clone2 syscall.
* Fri Feb 08 2002 - schwab@suse.de
- Update ia64 patch.
* Thu Feb 07 2002 - olh@suse.de
- add 70__zzz_fix_aa-2.4.18-pre8-1.diff
* Wed Feb 06 2002 - mantel@suse.de
- update to 2.4.18-pre8
- make MSS advertisement to be RFC1122 compliant
- more efficient dcache allocation
- fix page cache upper limit checking
- reduce mount hash table to a reasonable size
- pick correct key version in reiserfs
- fix dnotify
- new SCSI reset patch version from SteelEye
- fix cosa compilation in 2.4.18-pre8
- update cciss driver to 2.4.27
- fix BUG when encountering read errors on MO media
- revert freevxfs to -pre7 until missing include gets found
- fix 000_nanosleep-6 (get_fast_time no longer exists)
* Mon Feb 04 2002 - kukuk@suse.de
- Fix tcsetpgrp (0 is no valid process group)
* Mon Feb 04 2002 - schwab@suse.de
- Fix pte-highmem for ia64.
- Increase max-inline-insns.
* Sun Feb 03 2002 - mantel@suse.de
- update to 2.4.18-pre7aa2
- add support for summit machines
- fix reiserfs atime for truncate
- fix quickcam driver for pte-highmem
- add small readv fix
- add support for large SCSI luns
- update i810-audio to 0.21
* Thu Jan 31 2002 - schwab@suse.de
- Update ia64 patch.
* Thu Jan 31 2002 - mantel@suse.de
- fix pagetable corruption bug in pte-highmem
* Wed Jan 30 2002 - mantel@suse.de
- update to 2.4.18-pre7aa1
- update LVM snapshot locking patch
- fix missing atime update on reiserfs and pipes
- added dyn_mp_bus_2002-01-16
* Tue Jan 29 2002 - schwab@suse.de
- Update ia64 patch.
* Tue Jan 29 2002 - mantel@suse.de
- update to 2.4.18-pre7
- update LVM to 1.0.2
- add IBM hotplug driver
- update boot splash patch to 2.0.0
- fix ipfwadm compilation
- fix autofs for PPC and s/390
- update JFS to 1.0.14
- add missing netfilter files
- fix typo in "pci_unmap_addr_SET"
* Fri Jan 25 2002 - schwab@suse.de
- Update ia64 patch.
* Wed Jan 23 2002 - mantel@suse.de
- update to 2.4.18-pre4aa1 (contains pte-highmem)
- downgrade qla2x00 to EMC certified version 4.46.5
- add cciss block-high diagnosis patch
- rename old sym53c8xx driver to sym53c8xx-old to avoid name clash
- update IDE code to 01192002
- removed 020_pte-highmem-6 (does not yet work in all configs)
* Fri Jan 18 2002 - mantel@suse.de
- export req_finished_io for modular SCSI
- update ext3 to 2.4-0.9.17
- update bcm5700 driver to 2.0.34
* Wed Jan 16 2002 - schwab@suse.de
- Fix syntax error in speedtouch driver.
- Update ia64.defconfig.
* Wed Jan 16 2002 - s@suse.de
- removed 100_pci_iommu patch from Compaq, It's already included in
  2.4.18-pre3 (only for Alpha)
- changed 100_drm-patch to apply to 2.4.18-pre3 (only Alpha)
- added 100_stats-2.4.17.diff to include <linux/init.h> to
  ./net/sunrpc/stats.h
* Wed Jan 16 2002 - mantel@suse.de
- update to 2.4.18-pre4
- update i810_audio to 0.20
- update e100 driver to 1.6.29
- update e1000 driver to 3.6.8
- update speedtouch driver
- update bcm5700 driver to 2.0.24
- add ecc memory monitoring driver 0.14
- add netgear 621/622 drivers
- add missing cs4281_wrapper.h
* Mon Jan 14 2002 - schwab@suse.de
- Update ia64 patch to 2.4.17-011226.
* Mon Jan 14 2002 - mantel@suse.de
- update to 2.4.18-pre3 and -pre2aa2
- update Linux-abi to 2.4.17.0
- update JFS to 1.0.12
- update qla2x00 to 4.46.12b
- update qla2200/2300 to 5.36.3
- make max open files dependant on amount of RAM
- allow for broadcomm driver to be linked into kernel
- add new IDE stuff 12102001
- increase maximum number of MP busses
- make softdog margin readable from /proc
- update qla1x160 to 3.12; add compile fixes
- add sard patches
- add driver for netgear 622
- small bugfix in lock device layer (release request)
- fix APIC alignment bug
- make orinoco driver compile (add missing header files)
- add aacraid updates from 2.4.18-pre3ac2
- add i2o updates from 2.4.18-pre3ac2
- update rcpci45 driver to 2.20
- add codepage for Slavic/Central European Languages
- make radeonfb driver compile
* Tue Dec 18 2001 - mantel@suse.de
- revert to the stock IDE code since the new one renames
  devices
* Mon Dec 17 2001 - mantel@suse.de
- fix severe performance problems with loop device; backported
  from -pre7aa1; removed obsolete patches
- fix reiserfs remount problem with converted filesystems
* Sat Dec 15 2001 - schwab@suse.de
- Update ia64 patch to 2.4.16-011214.
* Wed Dec 12 2001 - mantel@suse.de
- fix NFS race
- fix for incorrect inode mapping; fixes direct IO
- set correct i_mode for inode
- revert one line from -aa so that buffers won't grow to much
* Tue Dec 11 2001 - sf@suse.de
- added a fix for jensen
- cleaned up spec
- remove sisbug for Alpha
* Mon Dec 10 2001 - mantel@suse.de
- allow more symlinks
- fix JFS bug
- add DMA mask fix
- make somaxconn sysctl configurable
- fix for loop device hang
- add bugfix for generic_direct_IO
- add bugfix for ip_nat_irc
- update ns83820 to 0.15
- add bugfix for ymfpci driver
* Fri Dec 07 2001 - bk@suse.de
- first step in updating the s390 parts to 2.4.16
- defconfig.tar.bz2: s390x.defconfig is a symlink to s390.defconfig
- removed outdated GFS patches
* Wed Dec 05 2001 - mantel@suse.de
- add audit patch for support of 2 TB filesystems
- add fix for s_maxbytes handling
- add older version v4.31.8 of qla2x00 (certified by EMC)
- update JFS to 1.0.10
- fix module license for NLS modules
- add updates from 2.4.17-pre2 for ieee1394, USB and irda
- add reiserfs updates from 2.4.17-pre2
- smarter atime update (blessed by LT)
* Tue Dec 04 2001 - schwab@suse.de
- ia64 fixes in signal and swiotlb handling.
* Fri Nov 30 2001 - mantel@suse.de
- update to 2.4.17-pre1aa1 (just cosmetic cleanup)
- fix another problem with sd_blocks in reiserfs quota
* Thu Nov 29 2001 - schwab@suse.de
- Update ia64 patch to 2.4.16-20011128.
* Thu Nov 29 2001 - mantel@suse.de
- update to 2.4.17-pre1
- fix xconfig for reiserfs
- make UML actually compile
- new version of sisbug fix
- fix sd_blocks problem for reiserfs quota
- fix reiserfs preallocation problem
- fix time syscall (was not always monotonous)
- update e100 to 1.6.29 and e1000 to 3.5.19
* Wed Nov 28 2001 - sf@suse.de
- added alpha patches from Compaq.
* Mon Nov 26 2001 - mantel@suse.de
- update to 2.4.16
- add megaraid fix again
- added small quota bugfix
* Mon Nov 26 2001 - schwab@suse.de
- Update ia64 patch.
* Mon Nov 26 2001 - mantel@suse.de
- update IDE code to 2.4.16-p1.11242001
- update Linux-ABI to 2.4.15
* Sat Nov 24 2001 - mantel@sus.de
- update to 2.4.15aa1 (fix umount problem)
- update aacraid driver to 2.4.15-aacraid-20011123
* Fri Nov 23 2001 - schwab@suse.de
- Update ia64 patch.
- Restore ia64 ksyms patch.
* Fri Nov 23 2001 - mantel@suse.de
- update to final 2.4.15
* Fri Nov 23 2001 - mantel@suse.de
- update to 2.4.15-pre-final plus patches from -pre9aa1
* Thu Nov 22 2001 - olh@suse.de
- update ia64 ksyms patch
* Thu Nov 22 2001 - olh@suse.de
- update linux-abi patch to compile again
* Thu Nov 22 2001 - olh@suse.de
- update 70__mmporter_prep_pci-2.4.15-pre9-1.fix
  use "badpci" to tweak pci ressource assignment
* Thu Nov 22 2001 - olh@suse.de
- update ppc patch 70__2.4.15-pre9-linuxppc_2_4-1.diff
* Thu Nov 22 2001 - mantel@suse.de
- update to 2.4.15-pre9
- update aacraid driver to 2.4.13-20011105
* Wed Nov 21 2001 - stepan@suse.de
- added 55_alpha_ext3_ksyms-2.4.14-SuSE.diff
- added 55_alpha_generic_srm_fix-2.4.14-SuSE.diff
* Wed Nov 21 2001 - mantel@suse.de
- update to 2.4.15-pre8
- rediffed 50_config.gz-2.4.15-pre8 and 50_ide-11062001-2.4.15-pre8
- export needed fb functions
* Wed Nov 21 2001 - mantel@suse.de
- update to 2.4.15-pre7aa1
- update IPVS to 0.8.2
- add Coolscan ID
- update i2c and lm_sensors to 2.6.2
- fix oops in JFS xtSearch
* Tue Nov 20 2001 - schwab@suse.de
- Update ia64 patches.
* Mon Nov 19 2001 - mantel@suse.de
- update to 2.4.15-pre6aa1
- update JFS to 1.0.9
- update Linux-ABI to 2.4.14
- added aiptek USB driver 0.1
- update IDE code to ide.2.4.14.11062001
- re-added block-highmem-all-18
- added 60_fbgen_export-2414S4
- remove duplicate syscall symbol exports (introduced by Linux-ABI)
* Fri Nov 16 2001 - schwab@suse.de
- Fix missing page alignment that could clobber ia64_boot_param.
- Output CRLF instead of LFCR on serial console.
* Wed Nov 14 2001 - ro@suse.de
- added sk9dlin driver
* Tue Nov 13 2001 - stepan@suse.de
- Added Alpha specific patch to fix PCI subsystem.
* Tue Nov 13 2001 - schwab@suse.de
- Readd lost ia64 patch for agp.
* Tue Nov 13 2001 - ro@suse.de
- fix name of patch to be ignored for sparc (70__ide-2.4.11)
* Tue Nov 13 2001 - ro@suse.de
- apply ide on ppc, don't apply any ide on sparc
* Tue Nov 13 2001 - schwab@suse.de
- Update ia64 patches.
- Fix 50_quota-patch-2.4.14-pre7.diff for ia64.
* Mon Nov 12 2001 - ro@suse.de
- added alpha patches:
  60_2.4.14p7aa2.SuSE-AXP-fixes
  60_2.4.14p7aa2.SuSE-cirrus-fixes
* Mon Nov 12 2001 - ro@suse.de
- updated ppc-patches (70__)
* Mon Nov 12 2001 - ro@suse.de
- up to 2.4.15pre3aa
- obsolete:
  000_strnlen_user-x86-ret1-1
  50_ext3-2.4-0.9.14-2.4.15-pre1
  50_pppoatm-2-2.4.15-pre1
- rediffed:
  000_rwsem-fair-23
  010_vm-13
  50_fake_initrd-2.4.5
  50_quota-patch-2.4.14-pre7.diff
  50_reiserfs-stable-2.4.10-pre12
- redone:
  000_lvm-1.0.1-rc4-3 (diffed to pre1aa1 files again)
  000_rwsem-fair-23-recursive-4 (additional down read in ia64)
* Sun Nov 11 2001 - ro@suse.de
- add error_log to export-objs in arch/ppc/kernel/Makefile
  99_ppc_export_symflags
* Sun Nov 11 2001 - ro@suse.de
- try to fix compilation on alpha and ppc
  no ide-patches on ppc
  don't apply duplicate-exports on alpha
* Sun Nov 11 2001 - schwab@suse.de
- Update ia64 patch to 2.4.14-011105.
* Sat Nov 10 2001 - ro@suse.de
- 50_ipvs-0.8.1-2.4.15-pre1: page_cache_size is not atomic_t
  any longer
* Sat Nov 10 2001 - ro@suse.de
- update to 2.4.15pre1aa1
- obsolete:
  50_bonding-patch-2.4.4-20010601
  50_inflate-fs-2.4.14-pre3
  50_zlib-fs-h-missing-2.4.14-pre3
- re-diffed:
  502_ipt_string-2412.diff
  50_dc395-132-2.4.7-pre3
  50_ext3-2.4-0.9.14-2.4.14-pre7aa1
  50_intel-e100-e1000-2.4.13-pre6
  50_ipvs-0.8.1-2.4.7-pre3
  50_jfs-1.0.8-2.4.13-pre3
  50_pppoatm-2-2.4.10-pre12
  50_sisbug-2.4.14-pre3
  51_lm_sensors-2.6.1-2.4.13-pre5
- updated:
  50_quota-patch-2.4.14-pre7.diff
  90_nesting_reiserfs-8
  91_reiserfs-quota-14
- updated defconfigs
- version up to 2.4.14
* Thu Nov 08 2001 - kukuk@suse.de
- Update SPARC patches
* Mon Nov 05 2001 - ro@suse.de
- up to pre7aa2
- obsolete:
  50_fix-netconsole-2.4.13-pre2
- re-diffed:
  50_ext3-2.4-0.9.14-2.4.14-pre6aa1
  50_ide-2.4.14pre6
* Mon Nov 05 2001 - schwab@suse.de
- Update ia64 patch to 2.4.13-011024.
* Fri Nov 02 2001 - ro@suse.de
- up to pre6aa1
- obsolete:
  503_ipt_irc_conntrack_nat-2412.diff
  506_ipt_LOG_ipv6-2412.diff
  90_block-highmem-all-17b-2.4.14-pre3aa1  (in pre6aa1)
  90_syncookie-2.4.7
  99_export-nohighio-2.4.13-pre6
- re-diffed:
  504_ipt_ah_esp-2412.diff
  50_ext3-2.4-0.9.14-2.4.14-pre5aa1
  50_ide-2.4.11
  50_linux-abi-2.4.12.0-2.4.14-pre5aa1
  50_quota-patch-2.4.13-pre2
  91_reiserfs-quota-12-2.4.13-pre6
- updated defconfig
* Tue Oct 30 2001 - mantel@suse.de
- update ext3 to 2.4-0.9.14-2414p5
- update Linux-ABI to 2.4.12.0
* Tue Oct 30 2001 - mantel@suse.de
- update to 2.4.14-pre5aa1
* Mon Oct 29 2001 - mantel@suse.de
- update to 2.4.14-pre3aa4
* Mon Oct 29 2001 - mantel@suse.de
- update to 2.4.14-pre3aa3
- add sis bug workaround
* Sun Oct 28 2001 - mantel@suse.de
- update to 2.4.14-pre3aa2
* Sun Oct 28 2001 - mantel@suse.de
- update to 2.4.14-pre3aa1
- update boot splash patch to 0.9.17
- re-added block-highmem patch; we really need this for decent
  performance
- add fix for syncookie vulnerability
* Thu Oct 25 2001 - mantel@suse.de
- update to 2.4.14-pre1
- fix compilation of pdc driver
- allow IDE drivers to be built als module
- apply Linus' brown paper bug fix ;)
* Tue Oct 23 2001 - mantel@suse.de
- fix high load reiserfs problem with quota
- yet another fix for boot splash
- add Alcatel Speedtouch USB modem support
* Mon Oct 22 2001 - mantel@suse.de
- fix problem with ywrap/ypan in boot splash
* Mon Oct 22 2001 - mantel@suse.de
- update to 2.4.13-pre6
- update ext3 to 0.9.13
- fix boot splash patch problem with setfont
- fix RCU fd patch (from IBM)
* Fri Oct 19 2001 - mantel@suse.de
- update to 2.4.13-pre5aa1
- fix qlogicfc for new PCI64
* Fri Oct 19 2001 - mantel@suse.de
- improve performance of quota on reiserfs
- handle out of space when making a hole on a file in reiserfs
- fix data corruption on 3ware controller (block-highmem-all-17b)
* Thu Oct 18 2001 - mantel@suse.de
- update to 2.4.13-pre4
* Wed Oct 17 2001 - mantel@suse.de
- update jfs to 1.0.8
* Wed Oct 17 2001 - mantel@suse.de
- remove 000_seg-reload-1; it's a wrong "optimization" and the
  current version is even buggy (dosemu could crash the machine)
- update 90_nesting-reiserfs: fixes a deadlock where the transaction
  nesting pointer might get nulled out too soon. Very hard to hit,
  only causes hangs, not corruption
- update 91_reiserquota-patch: when copying stat data to disk,
  set the block count on directories the same way non-quota reiserfs
  versions did (they round up)
- 50_kreiserfsd-timeout: interruptible_sleep_on_timeout works in
  jiffies
- 50_block-highmem-all-17: no bounce buffers for highmem I/O. Can be
  disabled by command line parameter "nohighio"
* Tue Oct 16 2001 - mantel@suse.de
- update to 2.4.13-pre3aa1
- update osst driver to 0.9.9
- update DAC960 driver to 2.4.11
- assorted IP tables extensions
- fix possible deadlock in quota code
- fix i2o compilation (is now in directory message/i2o)
- fix compilation of UDF
* Tue Oct 16 2001 - kukuk@suse.de
- Disable splash patch on SPARC
- Compile reiserfs with -O1 on SPARC
* Mon Oct 15 2001 - mantel@suse.de
- small update for quota on reiserfs
- ugly workaround for IDE taskfile link problem
- fix "make xconfig" for netconsole
- correct snapshot locking patch
- don't use floating point in kernel (openssl-0.9.6-mppe)
- build mwave module
* Sun Oct 14 2001 - mantel@suse.de
- merge Sparc patches
- remove 61_sparc64.memory_clobber.diff (no longer needed)
* Sun Oct 14 2001 - mantel@suse.de
- update to 2.4.13-pre2aa1
- add quota for reiserfs support
* Sun Oct 14 2001 - kukuk@suse.de
- Export more symbols for tux in SMP mode on UltraSPARC
- Add sparc32 highmem fix
- Update defconfig for SPARC
* Sat Oct 13 2001 - kukuk@suse.de
- Update SPARC patches
* Fri Oct 12 2001 - mantel@suse.de
- update to 2.4.13-pre1
- update aic7xxx driver to 6.2.4
- update lm_sensors to 2.6.1
- fix log replay problem of JFS
- added some i2o fixes
* Thu Oct 11 2001 - mantel@suse.de
- update to 2.4.12aa1
* Thu Oct 11 2001 - mantel@suse.de
- update to 2.4.12
- update JFS to 1.0.7
- update aacraid driver to 20011010
- fix cosmetical problem with "free" displaying bogus values
- fix parport-pc which got broken by 2.4.12
* Wed Oct 10 2001 - mantel@suse.de
- update to 2.4.11aa1
- fix compilation of at1700 driver
* Fri Oct 05 2001 - sf@suse.de
- removed '99_irq-alpha-01', is not neccessary anymore
* Tue Oct 02 2001 - schwab@suse.de
- Add ia64 update patch.
* Fri Sep 28 2001 - ro@suse.de
- 60_rss-fix: test for VALID_PAGE first
- s390 only: Remove outdated s390 patches
* Thu Sep 27 2001 - schwab@suse.de
- Update ia64 patch to 2.4.10-010924.
* Thu Sep 27 2001 - mantel@suse.de
- fix oops with pppoe on failed authentication
- fix ISDN shutdown problem
- remove enable apic patch; it is not correct anyway
- fix cosmetic problem with ps and top output
- fix theoretical division by zero in shrink_caches
* Tue Sep 25 2001 - mantel@suse.de
- invalidate ramdisk buffers correctly
* Mon Sep 24 2001 - mantel@suse.de
- update boot splash patch to 0.9.12
- fix sparc32 uaccess
* Mon Sep 24 2001 - mantel@suse.de
- update Moxa serial driver to 1.2.1
* Mon Sep 24 2001 - mantel@suse.de
- fix possible oops when releasing ramdisk memory
- updated boot splash patch
* Sun Sep 23 2001 - mantel@suse.de
- update to 2.4.10aa1
* Sun Sep 23 2001 - mantel@suse.de
- update to 2.4.10-pre15aa1
- add enableapic kernel parameter
- small bugfix for nfsv2
- go back to old version of ov511 driver
* Sun Sep 23 2001 - mantel@suse.de
- update to 2.4.10-pre15
- fix firestream driver
- fix performance problem with reiserfs
- fix ISDN bug in -pre kernels (was due to min/max changes)
- remove obsolete function put_gendisk from IDE RAID drivers
* Sat Sep 22 2001 - mantel@suse.de
- update to 2.4.10-pre14
- update atp870u to 2.6
* Fri Sep 21 2001 - mantel@suse.de
- update to 2.4.10-pre13aa1
- little bugfix for reiserfs-bigendian
- finally added uptodate quota patches
- fix boot splash patch for != 1024 resolutions
- re-add support for AMD761 and i830
- add ipt-string module (doesn't touch rest of kernel)
* Thu Sep 20 2001 - mantel@suse.de
- update to 2.4.10-pre12aa1
- fix starfire.c compilation
- remove non-existing option IDE_SERVICE
- remove ramdisk-secure patches
* Thu Sep 20 2001 - mantel@suse.de
- update to 2.4.10-pre12
- revert minix fs to version of 2.4.9
* Wed Sep 19 2001 - mantel@suse.de
- update to 2.4.10-pre11
- xircom_cb should honor manual settings
- fbdev cleanup
- update mptlinux fusion drivers to 1.02.02
- fix /proc/partition mess
- update boot splash patch to 0.9.10
* Tue Sep 18 2001 - mls@suse.de
- initrd_change_root patch: be more defensive when freeing the
  initrd
* Mon Sep 17 2001 - mantel@suse.de
- update to 2.4.10-pre10
- update JFS to 1.0.5
- update aic7xxx to 6.2.3
- update e100 to 1.6.22
- update e1000 to 3.1.23
- fix JFS and ext3 for aa modifications
- fix iff dynamic patch
- update IDE subsystem to ide-2.4.10-p8
- update ips to 4.80
- update qla2x00 to 5.31 (now builds two modules qla2200.o and
  qla2300.o)
* Fri Sep 14 2001 - ro@suse.de
- update boot splash patch to 0.9.9
* Tue Sep 11 2001 - kukuk@suse.de
- remove not longer existing patches from remove list
* Tue Sep 11 2001 - mantel@suse.de
- update to 2.4.10-pre7aa2
- update to 2.4.10-pre8
- update linux-abi to 2.4.9.0
- update boot splash patch to 0.9.8
- update 000_rcu-2 patch (cosmetical load fix)
* Mon Sep 10 2001 - mantel@suse.de
- update to to 2.4.10-pre7
- remove 199_block-highmem-all patch
- remove 70__2.4.7-pre6_safe_ide_audiocd (breaks CD players)
* Sat Sep 08 2001 - mantel@suse.de
- update to 2.4.10-pre5
- update boot splash patch to 0.9.7
- update PCI IDs for Intel NICs
- revert rd fixes from 2.4.10-pre5 (won't compile)
* Fri Sep 07 2001 - mantel@suse.de
- update boot splash patch to 0.9.6
- update endian-safe-reiserfs for 2.4.10-pre4aa1
- update quota patch and fix to official versions
- update aic7xxx driver to 6.2.2
- added freemem option for sysreq
- update ext3 to 0.9.9
- update LSI fusion driver to 1.02.01
- fix oops in megaraid driver
- update 3ware driver to 1.02.00.008
- small fixes from -ac9 for aha1542, epic100 and pcnet32
* Thu Sep 06 2001 - kukuk@suse.de
- rename mmap-rb-6_other-archs to mmap-rb_6_other-archs
- exclude all mmap-rb on SPARC
* Wed Sep 05 2001 - kukuk@suse.de
- don't add ide-dma patch on SPARC
- fix ioctl32 for new LVM on UltraSPARC
* Tue Sep 04 2001 - mantel@suse.de
- don't run child first on fork (there are too many buggy
  programs out there)
- update boot splash patch
* Mon Sep 03 2001 - mantel@suse.de
- update to 2.4.10-pre4aa1
- update LVM to 1.0.1-rc2
- update JFS to 1.0.4
- add iff dynamic feature
- fix IDE DMA bug in 199_block-highmem-all-13
- make max_map_count configurable via sysctl
- update gdth driver to 2.03
- added ppp over ATM driver
- added lanai driver
* Sun Sep 02 2001 - olh@suse.de
- add 50_usbstorage_datafab-2.4.8.diff
* Sat Sep 01 2001 - olh@suse.de
- fix 70__2.4.8-pre4-safe_isapnp.diff
  fix 51_boot-splash-0.9.4-2.4.9, really use the scr_write function
  fix 70__2.4.7-pre6_chrp_serialconsole.diff, use correct variable
  add 50_ipv6_securityfix-2.4.10-pre2, from Andi
  add 70__kmap_user-2.4.10-pre1.diff for KM_USER0/1 on ppc
  add 70__kbdrate_2.4.10-pre1.diff for fix kbdrate for ppc
  really provide patches.tar.bz2
* Wed Aug 29 2001 - ro@suse.de
- removed 53_reiserquota-patch-2.4.9-1 (seems to kill reiserfs)
* Tue Aug 28 2001 - mantel@suse.de
- update to 2.4.10-pre1
- update block-highmem-all to 13 plus SCSI fix
- update quota-fix and quota-patch to official version 2.4.9-1
- added quota support for reiserfs
- update LVM to 1.0.1-rc1
- update boot splash patch to 0.9.4; update picture
- fix AX25 crash
- make ext3 link when not used as module
* Mon Aug 27 2001 - schwab@suse.de
- Don't use qla2100 patch on ia64.
- Fix keyboard fixes for ia64.
- Fix mmap-rb patch for ia64.
* Sat Aug 25 2001 - kukuk@suse.de
- Fix 52_quickcam again to use correct linker call
- Don't use block-highmem-all on SPARC
- Add Keyboard fixes from DaveM
- Add small CVS fixes for SPARC
- Don't declare init_mmap static (fix for aa3 patchset)
* Fri Aug 24 2001 - mantel@suse.de
- remove 40_blkdev-pagecache-14 for the time being (hurts I/O
  performance a lot)
* Thu Aug 23 2001 - mantel@suse.de
- update to 2.4.9aa3
- update 199_block-highmem-all to 199_block-highmem-all-11-2.4.9aa3
- update JFS to 1.0.3
- use configuration of default kernel as default
- fix new min and max macros
- update reiserfs patches
- update qla2x00 driver to 5.25
- remove 000_seg-reload-1 patch
- remove 99_screen-endian-patch.diff (breaks hgafb.c)
* Thu Aug 23 2001 - olh@suse.de
- add mmap-rb and block-highmem to ppc ignore list
  update ppc defconfig
* Thu Aug 23 2001 - olh@suse.de
- provide used patches in /usr/src/linux-version/patches.tar.bz2
* Thu Aug 23 2001 - olh@suse.de
- remove 70__2.4.5_be_console_selection.diff
  obsolete with 99_screen-endian-patch.diff
  update 99_screen-endian-patch.diff to fit on
  51_boot-splash-0.9-2.4.6
* Thu Aug 23 2001 - olh@suse.de
- Fix 50_bootlogo-ver-2.4.5 and  51_boot-splash-0.9-2.4.6
  scr_writew must be used to modify the screen content
  add 99__2.4.9-fix_min-max.diff
  99_screen-endian-patch.diff from Geert for sane screen access
  ppc specific patches:
  remove 70__2.4.2_4port_ethernet.dif
  70__2.4.6-pre3_serial_macserial.dif
  70__2.4.6-pre8_ohci_alignment.diff
  add    70__00_linux-2.4.9_linuxppc_2_4--1.diff
  70__2.4.7-pre6_safe_ide_audiocd.diff
  70__2.4.7_mmporter_prep_pci.fix
  70__2.4.7_prep_long_commandline_for_vi.diff
  70__2.4.8-pre3-pcidebug.dif
  70__2.4.8-pre4-safe_isapnp.diff
  70__2.4.8_dri_pagetobus_cs1.310.diff
  update 70__2.4.7-pre6_chrp_serialconsole.diff
* Wed Aug 22 2001 - schwab@suse.de
- Fix typo in reiser-fillholes-corruption patch.
- Fix new drm code for ia64.
- Fix fph corruption during signal handing.
* Tue Aug 21 2001 - schwab@suse.de
- Update ia64 patch to 2.4.9-010820.
* Mon Aug 20 2001 - schwab@suse.de
- update to 2.4.9aa2
- added ext3 2.4-0.9.6-248
- update aacraid driver to 2.4.9-20010816
- fix compilation of NTFS (this time correct)
- added driver for Broadcomm 5700 gigabit
- added driver for NS SUSE83820 gigabit
- fix compilation of cpqfc driver 2.0.5
* Sat Aug 18 2001 - kukuk@suse.de
- Fix patchlist for SPARC
* Sat Aug 18 2001 - schwab@suse.de
- Update Ia64 patch.
- Don't apply block-highmem-all and pci-dma-high on ia64.
- Fix mmap-rb patch for ia64.
* Fri Aug 17 2001 - mantel@suse.de
- update to 2.4.9aa1
- add endian safe reiserfs patch to default patches
- fix compilation of ntfs
* Thu Aug 16 2001 - schwab@suse.de
- Update ia64 patch to 2.4.8-010815.
- Fix psaux reconnect patch.
- Don't enable debugging in pci probing.
* Tue Aug 14 2001 - schwab@suse.de
- Update ia64 patch to 2.4.8-010814.
- Update reiserfs patch and apply on all architectures.
* Sun Aug 12 2001 - kukuk@suse.de
- Adjust sparc makefile patch, remove extra patches.sparc archive
- Update endian safe reiserfs patch
* Sat Aug 11 2001 - mantel@suse.de
- update to 2.4.8aa1
- update JFS to 1.0.2
- update cpqfc driver to 2.0.4
- increase timeout for SCSI disks
- update gdth driver to 2.01
- update aic7xxx driver to 6.2.1
- update linux-abi to 2.4.7.0
- update aacraid driver to 2.4.8-20010811
- fix config.gz patch to make "less /proc/config.gz" work
- add fix for psaux reconnect problem (sysctl)
- fix help entry for pdcraid driver
- add dead man driver
- add bonding patch for HP
- fix compilation of emu10k1 driver
* Mon Aug 06 2001 - kukuk@suse.de
- Add tulip patch for Netra-X1 onboard card.
* Fri Jul 27 2001 - kukuk@suse.de
- Use kernel 2.4 version of cg14 patch
* Thu Jul 26 2001 - kukuk@suse.de
- Add cg14 cursor patch
* Thu Jul 26 2001 - schwab@suse.de
- Update ia64 patch to 2.4.7-010726.
- Apply endian-safe-reserfs patch on ia64 which despite its name also
  fixes ia64 issues.
* Wed Jul 25 2001 - schwab@suse.de
- Fix missing declaration.
- Fix __ioremap -> ioremap.
* Tue Jul 24 2001 - schwab@suse.de
- Use qla2x00 driver from ia64 patch.
* Tue Jul 24 2001 - mantel@suse.de
- update qla2x00 to 4.27
* Tue Jul 24 2001 - schwab@suse.de
- Update ia64 patch to 2.4.7-010723.
* Tue Jul 24 2001 - kukuk@suse.de
- Don't add gcc30-reiserfs fixes on SPARC
* Tue Jul 24 2001 - mantel@suse.de
- update to final 2.4.7aa1
- correct completion fix for cpqfc driver
- new version of ov511 driver
- fix data corruption when writing filemark on IDE tape
- off by one fix for aacraid driver
* Mon Jul 23 2001 - sf@suse.de
- changed entries for ??_linux-abi* so they won't be applied to
  SPARC and ALPHA
* Mon Jul 23 2001 - olh@suse.de
- remove patches.alpha/99_alpha-config
* Mon Jul 23 2001 - olh@suse.de
- add ppc patches for 2.4.7:
  50_linux-abi.fixes-2.4.7-pre6
  70__00_linux-2.4.7_linuxppc_2_4.dif
  70__01_00_2.4.6-pre8-fixes
  70__2.4.0ac6_isdn_bsdcomp_unresolvedsym.dif
  70__2.4.0ac6_macserial.dif
  70__2.4.0ac6_xmonreadme.dif
  70__2.4.2_4port_ethernet.dif
  70__2.4.2_hisax_niccy.dif
  70__2.4.5-pre1_vfat_direntry_endianfix.diff
  70__2.4.5-pre3_chrp_rtas.dif
  70__2.4.5_be_console_selection.diff
  70__2.4.5_vga_console.diff
  70__2.4.6-pre3_serial_macserial.diff
  70__2.4.6-pre6_aty128fb-16bit.diff
  70__2.4.6-pre8_ohci_alignment.diff
  70__2.4.7-pre3_platinum.diff
  70__2.4.7-pre3_silent_stack_overflow_flag.diff
  70__2.4.7-pre6_chrp_serialconsole.diff
* Sat Jul 21 2001 - kukuk@suse.de
- Fix typos in spec file, merge all different versions
* Sat Jul 21 2001 - mantel@suse.de
- update to 2.4.7
* Fri Jul 20 2001 - mantel@suse.de
- update to 2.4.7-pre9
- update 2.4.7-pre8aa1
- update e100 to 1.6.13 and e1000 to 3.0.16
- update bttv driver to 0.7.72
- update cciss driver to 2.4.6B
- update aic7xxx driver to 6.2.0
- update jfs to 1.0.1
- fix SMP race in sk98lin
- completion fixes for DAC960.c and cpqfc
* Thu Jul 19 2001 - froh@suse.de
- made 'find' -follow symlinks for the sake of symlinks like
  patches.sparc64->patches.sparc
- fixed typo in a filename
* Wed Jul 18 2001 - froh@suse.de
- added ignore/select list to ignore/select specific patches from
  patches.common
- cleaned up and commented spec file
* Wed Jul 18 2001 - kukuk@suse.de
- Add new 32bit SPARC fix
* Tue Jul 17 2001 - kukuk@suse.de
- Add SPARC patches
- Overwrite reiserfs fixes with endian-safe fixes on SPARC
* Tue Jul 17 2001 - mantel@suse.de
- back out new BTTV driver (does not even compile)
* Tue Jul 17 2001 - mantel@suse.de
- back out 40_blkdev-pagecache-5
- update BTTV driver to 0.7.71
- fix for i810
- fix for VIA southbridge problem
- fix pipe init problem
- added assorted network driver fixes from Jeff Garzik
* Fri Jul 13 2001 - mantel@suse.de
- update to 2.4.7-pre6aa1
- increase limits for MSGMNI (128) and SEMMNI (1024)
- correct fix for hisax jiftime problem
- update for Sedlbauer ISDN cards
- added reiserfs fixes (7*)
* Thu Jul 12 2001 - sf@suse.de
- added patches.alpha.tar.bz2
- removed 50_linux_abi for Alpha
- removed endian-clean-reiserfs-patch for alpha and ia64
* Wed Jul 11 2001 - mantel@suse.de
- update to 2.4.7-pre6
- update 2.4.7-pre5aa1
- update boot splash patch to 0.9
- added ide.2.4.7-p3.all.07092001
- update linux-abi to 2.4.7-pre6
- update JFS to 1.0.1
* Mon Jul 09 2001 - mantel@suse.de
- update to 2.4.7-pre3aa1
- downgrade IPVS to 0.8.1 (stable version)
* Fri Jul 06 2001 - mantel@suse.de
- update to 2.4.7-pre3
- added still valid patches from 2.4.7-pre2aa1
- removed obsolete patches
- fix hgafb
- fix output of /proc/meminfo on big machines (> 4 GB RAM)
* Thu Jul 05 2001 - mantel@suse.de
- update to 2.4.7-pre2
- fixed fbcon
* Wed Jul 04 2001 - mantel@suse.de
- update to 2.4.6
- updated and fixed quota patches
* Tue Jul 03 2001 - mantel@suse.de
- update to 2.4.6-pre9
- added 50_block-highmem-2.4.6-pre9
- fixed 00_nanosleep-5
* Mon Jul 02 2001 - ro@suse.de
- removed duplicate jfs patch
* Mon Jul 02 2001 - mantel@suse.de
- added JFS 1.0.0
* Sat Jun 30 2001 - bk@suse.de
- used the previosly prepared hooks for integration of JFS-1.0.0
* Fri Jun 29 2001 - olh@suse.de
- add ppc patches for 2.4.6-pre5:
  2.4.5-pre1_vfat_direntry_endianfix.diff
  y_ppc_00_00_ppc_prefixup.diff
  y_ppc_00_linux-2.4.6-pre5_linuxppc_2_4.diff
  y_ppc_2.4.0ac6_isdn_bsdcomp_unresolvedsym.dif
  y_ppc_2.4.0ac6_macserial.dif
  y_ppc_2.4.0ac6_xmonreadme.dif
  y_ppc_2.4.2_4port_ethernet.dif
  y_ppc_2.4.2_hisax_niccy.dif
  y_ppc_2.4.5-pre3_chrp_rtas.dif
  y_ppc_2.4.5_be_console_selection.diff
  y_ppc_2.4.5_pcnet32.dif
  y_ppc_2.4.5_vga_console.diff
  y_ppc_2.4.6-pre3_serial_macserial.diff
  y_ppc_2.4.6-pre5_bk1.152_reverse.diff
- update defconfig for ppc
* Wed Jun 27 2001 - schwab@suse.de
- Update ia64 patch to 2.4.5-010626.
* Tue Jun 26 2001 - schwab@suse.de
- Update ia64 patches.
- Revert acpi to 2.4.6-pre3.
- Output CRLF, not LFCR on serial console.
* Tue Jun 26 2001 - mantel@suse.de
- fix lockup problem under high load (currently testing)
- update USB stack to 2.4.5-ac18
- updated several SCSI drivers
* Sat Jun 23 2001 - bk@suse.de
- 390: added VFS fix for 2.4.5-s390x-reiserfs(runs on s390x)
- 390: added GFS-hook patches to support GFS(runs on s390)
- 390: both archs use the same defconfig additions now
- generic: prepared for jfs integration(could become stable next time)
* Fri Jun 22 2001 - mantel@suse.de
- update to 2.4.6-pre5aa1
- update gdth driver to 2.00
- fix zerocopy for 3c59x on highmem machines
- new SCSI reset patches from SteelEye
- export highmem declarations
- update sg driver to 3.19
* Fri Jun 22 2001 - bk@suse.de
- patches.s390: add ctc fix for kfree_skb on hard IRQ(include readme)
- kernel-source.spec: add support for patches with(s390 only)
- defconfig.tar.gz/s390x.defconfig: updated to latest version
* Thu Jun 21 2001 - bk@suse.de
- update s390 remove patches section to only remove not building ones
* Wed Jun 20 2001 - bk@suse.de
- added s390 and s390x patches to fix unresolved symbols
- check for unresolved symbols on s390 and s390x
- changed s390x defconfig to base on original s390x defconfig
* Wed Jun 20 2001 - schwab@suse.de
- Update ia64 patches.
* Wed Jun 20 2001 - mantel@suse.de
- update to 2.4.6-pre3aa2
- updated quota-fix and quota-patch for 2.4.6-pre3
- fixed colors in boot splash
- added pdcraid (driver for Promise software RAID)
- remove inetpeer cache (fixes security problem)
- fixed UDF/quota bug
* Tue Jun 19 2001 - bk@suse.de
- updated endian-reiser to endian-safe-reiserfs-for-2.4.5.final.patch.bz2
- fixed to build on s390 and s390x(2.4.6-pre3 is not supported yet)
* Tue Jun 19 2001 - mantel@suse.de
- fixed several mtd drivers (need interrupt.h)
- video_register_device now needs additional argument
* Mon Jun 18 2001 - mantel@suse.de
- update to 2.4.6-pre3aa1
- update IPVS to 0.9.1
- update IDE to 2.4.6-p1.06062001
- update i2c and lm_sensors to 2.6.0
- update Intel e100 to 1.6.5
- update Intel e1000 to 3.0.10
- update cpqfc driver to 2.0.1C
- added workaround for smbfs (when volume has same label as dir)
- added zerocopy funcionality to 3c59x
- added reiserfs preallocate fix
- several minor module parameter fixes for 3c515, aironet4500 and arlan
- added new driver for CATC based USB network adapters
* Wed Jun 13 2001 - bk@suse.de
- updated s390 patches and add support for s390x
* Fri May 18 2001 - schwab@suse.de
- Add some ia64 patches.
- Put the ia64 patches in its own tar file.
* Wed May 16 2001 - bk@suse.de
- make it compile on s390 (without tux, but it compiles)
* Tue May 15 2001 - mantel@suse.de
- fix TCP syn ack bug
- fix oops when mmaping /dev/fb0
* Mon May 14 2001 - mantel@suse.de
- fix potential memory leak in reiserfs on concurrent
  writepage calls to a hole in a file
* Fri May 11 2001 - mantel@suse.de
- fix initmem corruption problem
* Fri May 11 2001 - mantel@suse.de
- added new option: disableapic
* Fri May 11 2001 - mantel@suse.de
- update boot splash patch to version 0.8
- final fix for mmap over NFS; NFS now can be used as module again
- remove suspect hunk from IDE CD-ROM patch
* Fri May 11 2001 - schwab@suse.de
- Don't apply ksoftirq patch on ia64.
* Fri May 11 2001 - mantel@suse.de
- update UDF to 0.9.3 and fix quota patches accordingly
- increase kernel log buffer size (don't loose information on SMP systems)
- correct fix for the mmap over NFS problem
- fix potential memleak in TCP code
- check for NULL pointer in ipv6 code
- add driver for Logitech USB quickcam
- update IPVS to version 0.8.0
- update version.h on changes of extraversion
* Wed May 09 2001 - schwab@suse.de
- Update ia64 patch to 2.4.4-010508.
- Update some patches for ia64:
  31_tux-logger-1
  50_abi-2.4.4-1
  50_cciss-2.4.5-1
* Tue May 08 2001 - mantel@suse.de
- remove 50_filemap_fdatasync until we are sure it is correct
* Tue May 08 2001 - mantel@suse.de
- updated some patches from Jens to the final version:
  50_cd-2.4.5-pre1
  50_loop-2.4.5-pre1
  50_ramdisk-2.4.5-pre1
* Tue May 08 2001 - mantel@suse.de
- update IPVS to 0.2.12
- update dpt_i2o driver to 2.3.5
- update via-rhine driver to 3.22
- fix sync data problem over NFS
* Mon May 07 2001 - mantel@suse.de
- fix boot problem on SMP highmem machines
- update OmniVision OV511 driver to 1.39
- fix problem with setting of unimap on all consoles
- new SCSI reset patches for SteelEye
- fix crash with IPv6
- new boot splash screen code
* Sat May 05 2001 - mantel@suse.de
- fix menuconfig again
- revert to the old behaviour where after fork the parent
  is run first
* Sat May 05 2001 - mantel@suse.de
- update to 2.4.5-pre1aa1
- fix max-sectors patch (fix horrible SCSI performance)
- update aic7xxx driver to 6.1.13
* Thu May 03 2001 - ro@suse.de
- added include/linux/modversions.h to file-list
* Mon Apr 30 2001 - kukuk@suse.de
- Add reiserfs patch for bigendian on non-ia32 plattforms
* Mon Apr 30 2001 - mantel@suse.de
- revert to smaller IDE patch from 04092001 due to advice from
  Andre
- added several fixes for non-intel architecture (60_* patches)
- another one liner fix for snapshots over reiserfs
- added Linux ABI (formerly known as "iBCS2")
* Mon Apr 30 2001 - mantel@suse.de
- fix compilation of pci2220i driver
* Mon Apr 30 2001 - mantel@suse.de
- update to 2.4.4aa2
- added TUX
- update aic7xxx driver to 6.1.12
- update bootsplash to version 4
- fix compilation of qla driver
* Fri Apr 27 2001 - bk@suse.de
- make it compile on s390
* Fri Apr 27 2001 - mantel@suse.de
- removed parport compatibility patch (gives oops when reading
  autoprobing info). Closes Bug #7143
* Fri Apr 27 2001 - mantel@suse.de
- update to 2.4.4-pre8
* Thu Apr 26 2001 - mantel@suse.de
- updated IPVS to 0.2.11
- updated boot splash patch
* Thu Apr 26 2001 - mantel@suse.de
- update to 2.4.4-pre7aa1
- fix boot problem on highmem machines
- added tailfix for reiserfs
- added ksymoops fix for AXP
- revert default umask to 022 as it was before 2.4.3
- update IPS driver to 4.72
* Tue Apr 24 2001 - mantel@suse.de
- update to 2.4.4-pre6aa1
- new boot spash patch
- fix for SMP autofs race
* Tue Apr 24 2001 - mantel@suse.de
- update to 2.4.4-pre6
- make affs compile
- fix link error due to new compiler
- remove quotes from extraversion
- update cciss driver to 2.4.3D
- update cpqarray driver to 2.4.3B
- fix reiserfs over NFS
- update to rawio-5
- added graphical splash screen
* Mon Apr 23 2001 - kukuk@suse.de
- Don't include linux source archive in src.rpm, only patches
* Fri Apr 20 2001 - mantel@suse.de
- fix NULL pointer dereference for IDE CD-ROMs
* Fri Apr 20 2001 - mantel@suse.de
- update to 2.4.4-pre5
- added patches from 2.4.4-pre4aa1
- added quota fixes; update to new quota format
- added PPC patches
- fix VIA quirk
- added parport compatibility entry in /proc
- added fixes from Jens (loop-misc-1 and cd-244p4-1)
- update dpt_i2o driver to 2.3
- update ipvs to 0.2.9
- small update to lvm (get_hardblocksize is gone in 2.4.4-pre5)
- added ISDN fixes from maintainer
- fix autofs4 race condition
- some small AXP fixes
* Thu Apr 19 2001 - schwab@suse.de
- Update ia64 patch.
* Thu Apr 19 2001 - kukuk@suse.de
- Ignore failed kernel build on sparc32
* Fri Apr 13 2001 - mantel@suse.de
- update LVM to 0.9.1beta7
- several small fixes for 2.4.4pre2
* Thu Apr 12 2001 - mantel@suse.de
- update to 2.4.4pre2
- added cciss-queue-1, cpqarray-queue-1 and idecd-misc-1
- correctly return blocksize
- minimal support for asymmetric MP
- don't panic on wrong blocksizes for MO media
- added IPVS 0.2.8
* Tue Apr 10 2001 - mantel@suse.de
- update to 2.4.4pre1
- update aic7xxx driver to 6.1.11
- update EIDE subsystem to ide.2.4.4-p1.all.04092001
* Sat Apr 07 2001 - schwab@suse.de
- Integrate ia64 patch.
- Fix file list.
* Fri Apr 06 2001 - mantel@suse.de
- updated aic7xxx driver to 6.1.10
- e1000 driver now shows up in gigabyte section of Config.in
* Thu Apr 05 2001 - ro@suse.de
- removed linclude (again)
* Thu Apr 05 2001 - mantel@suse.de
- fix loop device for highmem configurations
- update zoran driver
- update aic7xxx to 6.1.9
- added cai patch for Computer Associates
* Tue Apr 03 2001 - mantel@suse.de
- downgrade VIA driver to 3.24
- added ip-id-2.4.3 fix
- update IPS Serveraid driver to 4.71.01
- added twofish encryption for loop driver
* Mon Apr 02 2001 - mantel@suse.de
- remove imon feature (doesn't work)
* Sat Mar 31 2001 - mantel@suse.de
- package renamed to kernel-source
- update to 2.4.3
- update cpqfc driver to 1.3.6
- update ide subsystem to 03242001
- added axp-irq-2.4.3 patch
- fix LVM snapshots on reiserfs
- added openssl-0.9.6-mppe-2.4.3
- added graphical-boot-2.4.3
- fix extraversion patch (update version.h when .config changes)
- added imon-0.0.2-2.4.3
* Thu Mar 15 2001 - mantel@suse.de
- fix names of Intel network drivers upon Intel request
- update gdth driver to 1.28 (fix memory overwrite bug)
- update to scsi-max-sectors-4
- merged sparc patches
- merged AXP patches
* Wed Mar 14 2001 - ro@suse.de
- added buz-2.4-compile.patch
* Tue Mar 13 2001 - mantel@suse.de
- update to 2.4.3pre4
- update aic7xxx to 6.1.7
- fix for emu10k
- updated aacraid driver to version 1.0.7 (incl. PERCID_add patch)
- updated e100 driver to version 1.5.5
- updated e1000 driver to version 3.0.7
- remove obsolete patches (fixes already in current pre-patch)
- update usb-update-2.4.3pre4 patch (still one scanner missing)
* Mon Feb 26 2001 - mantel@suse.de
- update dpt_i2o driver to version 2.0
* Mon Feb 26 2001 - mantel@suse.de
- update megaraid driver to 1.14g
- added new driver aacraid 1.0.6 (Beta!)
- added scsi-max-sectors-3 (needed for aacraid driver)
- fix problem with unkillable processes
- update lm_sensors to 2.5.5
* Thu Feb 22 2001 - mantel@suse.de
- update to 2.4.2
- update VIA driver to version 4.3
* Wed Feb 21 2001 - mantel@suse.de
- fix reiserfs problem (could corrupt small files)
* Wed Feb 21 2001 - mantel@suse.de
- fix loop device (loop-5B)
- add support for old binutils
- add pci-fixup-serverworks-2.4.2pre4
* Sun Feb 18 2001 - mantel@suse.de
- update to 2.4.2pre4
* Wed Feb 14 2001 - mantel@suse.de
- fix compilation of 6pack driver
* Mon Feb 12 2001 - mantel@suse.de
- update to 2.4.2pre3
- fix buz driver
* Thu Feb 08 2001 - mantel@suse.de
- fix buz driver
- added AX25 routing fix
- ISDN include files protected with #ifdef __KERNEL__
- update DAC960 driver to version 2.4.10
* Mon Feb 05 2001 - mantel@suse.de
- update to 2.4.2pre1
- remove modutils-hotplug patch
- update TIOCGDEV-2.4.2pre1 for Sparc
- update e100 driver to version 1.4.21
* Thu Feb 01 2001 - mantel@suse.de
- update to 2.4.1
* Tue Jan 23 2001 - mantel@suse.de
- update to 2.4.1pre10 (important fixes for cpqarray and DAC960)
- update ips driver to 4.50
* Mon Jan 22 2001 - mantel@suse.de
- update megaraid driver to version 1.14a
* Sat Jan 20 2001 - ro@suse.de
- re-added sub-package linclude to specfile
- re-added Obsoletes: lx_suse to specfile
- added Provides: lx_suse to specfile
* Fri Jan 19 2001 - mantel@suse.de
- update e100 and e1000 driver to most recent version
* Thu Jan 18 2001 - mantel@suse.de
- really build sensors modules
- another fix for cpqarray
- new SMC Token Ring driver
- export proc_get_inode symbol
- build needed ISDN module for AVM PCMCIA card
* Wed Jan 17 2001 - mantel@suse.de
- add another fix to the cpqarray driver
* Wed Jan 17 2001 - mantel@suse.de
- include bugfix for cpqarray driver
- fix UP compilation of qla2x00 driver
- add LVM fixes again
- add cardbus-pci-2.4.1pre8
* Wed Jan 17 2001 - mantel@suse.de
- switch to 2.4.1pre8
- added Qlogic qla2x00 driver
* Wed Jan 17 2001 - mantel@suse.de
- added dpt_i2o driver
- fix reiserfs bug with O_SYNC on SMP
* Mon Jan 15 2001 - mantel@suse.de
- fix e100 driver
* Mon Jan 15 2001 - ro@suse.de
- fixed version 2.4.0 -> 2.4.0.SuSE
* Mon Jan 15 2001 - mantel@suse.de
- added some obvious fixes from 2.4.0-ac7
- bugfix for K7 crash
- update to blk-14-suse18 (be nicer to lowmem machines)
- fix config.gz patch (overwrote memory)
- update idetape to 1.17
- added isdn-2.4.0-ac5
- allow 32 swapfiles
* Sat Jan 13 2001 - kukuk@suse.de
- Add SPARC fixes for asm_offsets.h and SBUS audio modules
* Thu Jan 11 2001 - mantel@suse.de
- update to 2.4.0-ac6
* Thu Jan 11 2001 - mantel@suse.de
- fix compile when HIGHMEM is configured
* Thu Jan 11 2001 - mantel@suse.de
- update to 2.4.0-ac5
- added fix for overlong filenames on reiserfs
- added nfs fix from Trond
- updated ISDN checksums
* Wed Jan 10 2001 - mantel@suse.de
- again back out loop fixes - too dangerous at this time
- use forward port from 2.2.x-aax to fix MD panic bug
- add another typo fix for 2.4.0-ac4
- add LVM snapshot fix
- updated PPC patches
* Tue Jan 09 2001 - ro@suse.de
- added fix for hotplug patch to make lp compile again
* Mon Jan 08 2001 - mantel@suse.de
- add patch to allow hotplug autoload of modules (2.4.1)
* Mon Jan 08 2001 - mantel@suse.de
- again fix the loop device problem
- added fix for RAID5 crash on PIII machines
- added support for Ensoniq 5880 rev 3
* Mon Jan 08 2001 - mantel@suse.de
- remove loop-* diffs; they're buggy
* Mon Jan 08 2001 - mantel@suse.de
- fix typo in 2.4.0-ac4 which broke compile of qnx4/inode.c
* Mon Jan 08 2001 - mantel@suse.de
- update to 2.4.0-ac4
- updated PPC stuff
- added module compile fix for PCMCIA
- added some USB scanners to the list of known devices
- updated fix for loop device
* Sun Jan 07 2001 - mantel@suse.de
- fix typo in 2.4.0-ac3 which broke compile in vesafb.c
* Sun Jan 07 2001 - mantel@suse.de
- update to 2.4.0-ac3
- update reiserfs to 3.6.25
* Sat Jan 06 2001 - kukuk@suse.de
- Update defconfig for sparc/sparc64
- Fix quotactl wrapper in sys_sparc32
* Sat Jan 06 2001 - mantel@suse.de
- added ppscsi-0.91-2.4.0 (support for parallel port Scanners)
- fix loop device; this time really ;)
- fix module compile annoyance
* Sat Jan 06 2001 - mantel@suse.de
- update to 2.4.0-ac2
- added lvm-fix1
- added fixes for PPC
- added bugfix for reiserfs
* Fri Jan 05 2001 - mantel@suse.de
- backout loop fix as it breaks other things
* Fri Jan 05 2001 - mantel@suse.de
- fix loop device
* Fri Jan 05 2001 - mantel@suse.de
- added two bugfixes for CD-ROMs from Jens Axboe
* Fri Jan 05 2001 - mantel@suse.de
- adapted and added blk-13B-2.4.0.ac1
* Fri Jan 05 2001 - mantel@suse.de
- update to 2.4.0
- update to 2.4.0-ac1
- update reiserfs to 3.6.24
- remove obsolete patches
- added driver for Intel e100 and e1000. UNTESTED!
* Wed Jan 03 2001 - sf@suse.de
- remove km_alsa from neededforbuild
* Thu Dec 21 2000 - ro@suse.de
- fix spec
* Thu Dec 21 2000 - ro@suse.de
- copied/renamed to lx_sus24
* Thu Dec 21 2000 - mantel@suse.de
- update to 2.4.0-test13pre3
- added the following patches:
  idetape-116g-linux240.diff
  dc390-20f-240t12.diff
  SMP-extraversion-240t12.diff
  TIOCGDEV-240t11.diff
  dc395-132-240t10.diff
  osst-0942-240t12.diff
  lvm-0.9-aa-1
  ipvs-0.1.1-2.4.0
  99_reiser_export
  FXSR_686
  linux-2.4.0-test13-pre3_linuxppc_2_3.dif
- update lm_sensors
- adapt linux.sparc.diff to new version
* Wed Dec 13 2000 - kukuk@suse.de
- up to test12 final
- Update CVS/SPARC patches
* Sun Dec 10 2000 - kukuk@suse.de
- up to test12pre7
- update to latest reiserfs version + test12 fixes
- Add SPARC patches from CVS
* Fri Nov 24 2000 - kukuk@suse.de
- up to test11 final
- Add patch set from mge
- Add PPC patches from olh
* Mon Nov 13 2000 - ro@suse.de
- up to test11-pre4
* Sat Nov 11 2000 - kukuk@suse.de
- update to test11-pre2
- Add reiserfs
* Mon Oct 30 2000 - ro@suse.de
- update to test10-pre6
- updated defconfig
- group sorted
* Fri Oct 13 2000 - kukuk@suse.de
- fix defconfig for i386
* Fri Oct 13 2000 - kukuk@suse.de
- update to test10-pre2
* Tue Sep 26 2000 - ro@suse.de
- up to test7, updated defconfigs
* Tue Sep 26 2000 - ro@suse.de
- specfile fixed
* Mon Sep 25 2000 - ro@suse.de
- use as lx_suse for BETA
* Mon Sep 25 2000 - ro@suse.de
- up to test9pre6
- fixed defconfig
* Thu Aug 24 2000 - ro@suse.de
- update to 2.4.0-test7
* Fri Jun 09 2000 - ro@suse.de
- re-start: up to 2.4.0-test1
* Wed Feb 23 2000 - bk@suse.de
- update to 2.3.46aa1 with the old patches applied and simplyfied patching.
* Tue Feb 08 2000 - bk@suse.de
- moved andrea's alpha-irq-4 patch which allows irq to be distributed
  in SMP across all CPUs to linux/only-for-tsunami-and-sx164 so it will
  be in the tree but not applied. It involve the rewriting of the
  interrupt layer and with this patch applyed only tsunami and sx164
  compiles.
- re-enable kernel compile in build on Alpha.
* Tue Feb 08 2000 - bk@suse.de
- fix patching and improve check-if-patches-apply script
* Tue Feb 08 2000 - bk@suse.de
- update to 2.3.42aa2 with the patches which applied after the update.
- wrote a check-if-patches-apply script to the patch process which
  checks which patches apply and build a tree that includes only
  those that applied.
- now calling oldconfig with tr '\000' '\n' </dev/zero | make oldconfig,
  this ends the need to redo all defconfigs for every update.
- this tree compiles currently not on alpha, possibly due to the
  generic alpha build attempted by the default config
- patches that did not apply are in patches-from-2.3.39-that-didnt-apply.tar.gz
  This is the list:
  23x-SMP-extraversion.diff-2.3.38
  alpha-rtc-1
  delack-timer
  lm_sensors-2.4.0-lm-kernel-2.3.38
  ppc-irq-offset-1
  sparc-from-cvs-2
  zzz-sparc-fixes-3
* Sat Jan 29 2000 - bk@suse.de
- re-start on ro's lx_suse based on 2.3.40-pre6, and updated to
  real 2.3.40, every patch fit in, only the i386.defconfig needed
  a new entry.
  ro's changelog(cumulated):
- added patch dc390-20d25
- updated ppc-patches
- updated sparc-patches
- added: ppc-setup-fix (new ide-structs)
- switch i386-default SMP->UP
- added patch 2.3.40-pre4
- updated sparc-vs-cvs , zzz-sparc-fixes
- updated defconfigs (PCMCIA on alpha = off, won't compile)
- version 2.3.40-SuSE
- updated: zzz-sparc-fixes-2 to make it at least compile on sparc32
- removed: alpha-irq-2
- added-patches: alpha-imb-1 alpha-rtc-1 alpha-symb-1 bdflush-sleep
  block_dev-fs-corruption-1 delack-timer jay-2.3.39-11jan2045
  oom-1 oops-1 probe-irq-2.3.14-pre2-1 protected-balance-2-2.3.39
  rbtree-1 timer_bh-deadlock-1
  ppc-from-cvs, sparc-from-cvs (from linuxcare.au)
  ppc-missing-files-2 zzz-sparc-fixes-2
- updated: sched-2
* Mon Nov 08 1999 - ro@suse.de
-fixed alpha.defconfig
* Mon Nov 08 1999 - bk@suse.de
- update to 2.3.26, removed all patches i386.defconfig ok.
* Mon Sep 20 1999 - ro@suse.de
- added provides kernel_headers
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Aug 23 1999 - ro@suse.de
- updated defconfig.alpha
* Fri Jul 23 1999 - bk@suse.de
- add /proc/config.gz support and make cloneconfig
- add fix for 2GB support from Leonard N. Zubkoff
- add fix for too small heap size for uncompressing kernel
* Fri Jul 23 1999 - bk@suse.de
- update standard tulip driver to v0.90
- fix for compiling the new tulip driver into the kernel
- fix for not compiling-in new and old tulip.c simultaneously
* Wed Jul 21 1999 - bk@suse.de
- update to 2.3.10 + 27 patches from lx_suse
- splitted the updates of 3c39x-0.99L, epic100-1.06 and the new
  tulip driver from newnet-2.2.10. Old tulip driver is still there.
* Mon May 24 1999 - ro@suse.de
- specfile fix to build on beta-i386
* Sat May 22 1999 - bk@suse.de
- build with TEST_COMPILE=yes succeeds on aplha now
* Mon May 10 1999 - bk@suse.de
- removed absoulte path from %%post
* Tue May 04 1999 - bk@suse.de
- make mrproper output nach /dev/null umleiten
* Mon May 03 1999 - bk@suse.de
- additional Documentation
- turned the new config options into experimental ones
- more consvervatiave defaults (new options: off)
- include include/linux/autoconf.h in the package
- minor typo-like fixes in the patches
* Mon May 03 1999 - bk@suse.de
- update to 2.2.7 with bleeding edge patches
* Wed Apr 14 1999 - bk@suse.de
- update to 2.2.5ac7, added arca-mmap-fix, installpath, isdn-2.2.4,
  newnet-2.2.5, rd-patch and rl100-2.2.5
* Sat Apr 10 1999 - ro@suse.de
- added defconfig for alpha
* Tue Apr 06 1999 - bk@suse.de
- update to 2.2.5ac4
  changed build method to use original kernel as base and patch with %%patch
  added buffer cache patches from Andrea Acrangeli
  added -V2.7.2.3 to *CFLAGS which forces use of gcc
  added su1 to EXTRAVERSION
* Mon Feb 01 1999 - ro@suse.de
- update to 2.2.1
* Wed Jan 27 1999 - ro@suse.de
- update to 2.2.0
* Mon Jan 18 1999 - bs@suse.de
- update to 2.2.0-pre7
* Tue Jan 12 1999 - ro@suse.de
- update to 2.2.0-pre6
* Thu Dec 03 1998 - bs@suse.de
- update to 2.1.131
* Fri Nov 27 1998 - ro@suse.de
- fixed version in specfile
* Fri Nov 27 1998 - ro@suse.de
- update to vanilla 2.1.130
* Sun Nov 22 1998 - ro@suse.de
- added .config file (needed for alans additional drivers)
* Sun Nov 22 1998 - ro@suse.de
- update to 2.1.129 + alans 129-ac-3
- removed knfs-patch: is all in alan's patch except a little hack
  for amd
- updated isdn-patch to cvs of 981122
* Tue Nov 10 1998 - bs@suse.de
- not an autopac anymore
* Mon Nov 09 1998 - ro@suse.de
- kernel 2.1.127
- removed pre-patch
- updated isdn-patch to cvs from 981109
* Tue Nov 03 1998 - ro@suse.de
- leave version numer as 126
* Mon Nov 02 1998 - ro@suse.de
- update to 127pre3 (to be able to build sound-modules)
* Mon Oct 26 1998 - ro@suse.de
- cut down knfs-patch (removed all that was done in patch-2.1.126)
* Wed Oct 21 1998 - ro@suse.de
- updated knfs-patch to allow NFS_NULLPROC from any client (by HJL)
* Tue Oct 20 1998 - ro@suse.de
- updated knfs-patch
* Wed Sep 30 1998 - ro@suse.de
- added current patchset for knfsd
- save possible .config and make a distclean after patching
* Thu Sep 24 1998 - ro@suse.de
- another update of the isdn-patch :-(((
* Tue Sep 22 1998 - ro@suse.de
- updated isdn-patch (needed symbol to compile i4l in beta)
* Mon Sep 21 1998 - ro@suse.de
- added isdn-980921.patch.gz
* Mon May 18 1998 - bs@suse.de
- auto update with 2.1 kernels
- don't include own joystick.h
* Mon May 04 1998 - bs@suse.de
- switched to 2.1.99.SuSE (for pre-6.0)
* Mon Apr 20 1998 - mantel@suse.de
- fixed syndrop Bug
- new aic7xxx driver (5.0.13)
- some new ethernet drivers (e.g. Tulip and Boomerang)
* Thu Apr 16 1998 - bs@suse.de
- don't include .config
* Thu Feb 19 1998 - bs@suse.de
- fixed problems with gdb and strace
* Wed Feb 18 1998 - bs@suse.de
- new Adaptec driver
- fixed DPMI stuff for dosemu
* Mon Feb 09 1998 - mantel@suse.de
- deleted Initio driver (due to copyright problems)
- new adaptec scsi driver
* Wed Feb 04 1998 - mantel@suse.de
- new driver for aic7xxx, ncr53c8xx, advansys, BusLogic and Tekram.
- a lot of new versions of net drivers
- Attention for Vortex cards (3c595)!  The new driver (0.49 - very
  stable for Boomerang cards) is unstable for this cards.  You
  should use the version 0.42 (in kernel-patches.tgz under
  /unsorted).
- added stability patches by Alan Cox (pre-2.0.34-2)
- recent Parallel port CD-ROM drivers
* Thu Jan 08 1998 - bs@suse.de
- switched to 2.0.33.SuSE
* Thu Dec 11 1997 - bs@suse.de
- 2.0.33.pre.SuSE.3
- include include/linux/joystick.h from joystick package.
* Sun Oct 19 1997 - bs@suse.de
- prepared for autobuild (2.0.31)
